(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    500459,      13419]
NotebookOptionsPosition[    466176,      12880]
NotebookOutlinePosition[    466546,      12896]
CellTagsIndexPosition[    466503,      12893]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]], "Input",ExpressionU\
UID->"29843012-b31e-48a9-b694-21745a87705e"],

Cell[BoxData[
 RowBox[{"<<", "TripleK`"}]], "Input",ExpressionUUID->"452fd77b-3d9f-48a7-bf0a-9a7e5b4c0ed7"],

Cell[BoxData[
 RowBox[{"<<", "Konformal`"}]], "Input",ExpressionUUID->"cb595ba1-d494-4023-a796-31c4d5b52212"],

Cell[CellGroupData[{

Cell["Some definitions", "Section",
 CellChangeTimes->{{3.795261493599044*^9, 
  3.795261495719575*^9}},ExpressionUUID->"1e1eabfb-a03e-416a-af9e-\
8c156c4454f2"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"assumed", "=", "$Assumptions"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$Assumptions", "=", 
   RowBox[{"Union", "[", 
    RowBox[{"assumed", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"p", ">", "0"}], ",", " ", 
       RowBox[{"d", ">", "2"}], ",", 
       RowBox[{
        RowBox[{"\[CapitalDelta]", "[", "1", "]"}], ">", 
        RowBox[{"d", "/", "2"}]}], ",", 
       RowBox[{
        RowBox[{"\[CapitalDelta]", "[", "2", "]"}], ">", 
        RowBox[{"d", "/", "2"}]}], ",", 
       RowBox[{
        RowBox[{"\[CapitalDelta]", "[", "3", "]"}], ">", 
        RowBox[{"d", "/", "2"}]}], ",", 
       RowBox[{"\[CapitalDelta]", ">", 
        RowBox[{"d", "/", "2"}]}], ",", 
       RowBox[{"u", ">", "0"}], ",", 
       RowBox[{"v", ">", "0"}], ",", 
       RowBox[{"\[Epsilon]", ">", "0"}]}], "}"}]}], "]"}]}], ";"}]}], "Input",\

 CellChangeTimes->{{3.7952624567292767`*^9, 3.795262550177476*^9}, {
   3.795263890606868*^9, 3.7952639004748487`*^9}, {3.7958952082910633`*^9, 
   3.7958952247560863`*^9}, {3.795942934829412*^9, 3.7959429442929173`*^9}, 
   3.795945604421892*^9},ExpressionUUID->"bd7d230f-bdbd-4d74-bc0c-\
19eb4c165c9d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"suJDiff", " ", "=", "  ", 
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Derivative", "[", 
         RowBox[{"i_", ",", "0", ",", "0"}], "]"}], "[", 
        RowBox[{"J", "[", 
         RowBox[{"A_", ",", 
          RowBox[{"{", 
           RowBox[{"q_", ",", "qq_", ",", "qqq_"}], "}"}]}], "]"}], "]"}], 
       "[", 
       RowBox[{"a_", ",", "b_", ",", "c_"}], "]"}], "\[RuleDelayed]", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "a"}], " ", 
        RowBox[{
         RowBox[{
          RowBox[{"Derivative", "[", 
           RowBox[{
            RowBox[{"i", "-", "1"}], ",", "0", ",", "0"}], "]"}], "[", 
          RowBox[{"J", "[", 
           RowBox[{
            RowBox[{"A", "+", "1"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"q", "-", "1"}], ",", "qq", ",", "qqq"}], "}"}]}], 
           "]"}], "]"}], "[", 
         RowBox[{"a", ",", "b", ",", "c"}], "]"}]}], "/;", 
       RowBox[{"i", ">", "0"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Derivative", "[", 
         RowBox[{"i_", ",", "j_", ",", "0"}], "]"}], "[", 
        RowBox[{"J", "[", 
         RowBox[{"A_", ",", 
          RowBox[{"{", 
           RowBox[{"q_", ",", "qq_", ",", "qqq_"}], "}"}]}], "]"}], "]"}], 
       "[", 
       RowBox[{"a_", ",", "b_", ",", "c_"}], "]"}], "\[RuleDelayed]", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "b"}], " ", 
        RowBox[{
         RowBox[{
          RowBox[{"Derivative", "[", 
           RowBox[{"i", ",", 
            RowBox[{"j", "-", "1"}], ",", "0"}], "]"}], "[", 
          RowBox[{"J", "[", 
           RowBox[{
            RowBox[{"A", "+", "1"}], ",", 
            RowBox[{"{", 
             RowBox[{"q", ",", 
              RowBox[{"qq", "-", "1"}], ",", "qqq"}], "}"}]}], "]"}], "]"}], 
         "[", 
         RowBox[{"a", ",", "b", ",", "c"}], "]"}]}], "/;", 
       RowBox[{"j", ">", "0"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Derivative", "[", 
         RowBox[{"i_", ",", "j_", ",", "k_"}], "]"}], "[", 
        RowBox[{"J", "[", 
         RowBox[{"A_", ",", 
          RowBox[{"{", 
           RowBox[{"q_", ",", "qq_", ",", "qqq_"}], "}"}]}], "]"}], "]"}], 
       "[", 
       RowBox[{"a_", ",", "b_", ",", "c_"}], "]"}], "\[RuleDelayed]", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "c"}], " ", 
        RowBox[{
         RowBox[{
          RowBox[{"Derivative", "[", 
           RowBox[{"i", ",", "j", ",", 
            RowBox[{"k", "-", "1"}]}], "]"}], "[", 
          RowBox[{"J", "[", 
           RowBox[{
            RowBox[{"A", "+", "1"}], ",", 
            RowBox[{"{", 
             RowBox[{"q", ",", "qq", ",", 
              RowBox[{"qqq", "-", "1"}]}], "}"}]}], "]"}], "]"}], "[", 
         RowBox[{"a", ",", "b", ",", "c"}], "]"}]}], "/;", 
       RowBox[{"k", ">", "0"}]}]}]}], " ", "}"}]}], ";"}]], "Input",Expression\
UUID->"8b272795-53ec-4bc4-bc1c-0fb03e46c1fc"],

Cell[BoxData[
 RowBox[{
  RowBox[{"suJPerm", "=", 
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"J", "[", 
        RowBox[{"a_", ",", 
         RowBox[{"{", 
          RowBox[{"b3_", ",", "b2_", ",", "b1_"}], "}"}]}], "]"}], "[", 
       RowBox[{
        RowBox[{"p", "[", "3", "]"}], ",", "p2_", ",", "p1_"}], "]"}], 
      "\[RuleDelayed]", 
      RowBox[{
       RowBox[{"J", "[", 
        RowBox[{"a", ",", 
         RowBox[{"{", 
          RowBox[{"b1", ",", "b2", ",", "b3"}], "}"}]}], "]"}], "[", 
       RowBox[{"p1", ",", "p2", ",", 
        RowBox[{"p", "[", "3", "]"}]}], "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"J", "[", 
        RowBox[{"a_", ",", 
         RowBox[{"{", 
          RowBox[{"b1_", ",", "b3_", ",", "b2_"}], "}"}]}], "]"}], "[", 
       RowBox[{"p1_", ",", 
        RowBox[{"p", "[", "3", "]"}], ",", "p2_"}], "]"}], "\[RuleDelayed]", 
      RowBox[{
       RowBox[{"J", "[", 
        RowBox[{"a", ",", 
         RowBox[{"{", 
          RowBox[{"b1", ",", "b2", ",", "b3"}], "}"}]}], "]"}], "[", 
       RowBox[{"p1", ",", "p2", ",", 
        RowBox[{"p", "[", "3", "]"}]}], "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"J", "[", 
        RowBox[{"a_", ",", 
         RowBox[{"{", 
          RowBox[{"b2_", ",", "b1_", ",", "b3_"}], "}"}]}], "]"}], "[", 
       RowBox[{
        RowBox[{"p", "[", "2", "]"}], ",", 
        RowBox[{"p", "[", "1", "]"}], ",", 
        RowBox[{"p", "[", "3", "]"}]}], "]"}], "\[RuleDelayed]", 
      RowBox[{
       RowBox[{"J", "[", 
        RowBox[{"a", ",", 
         RowBox[{"{", 
          RowBox[{"b1", ",", "b2", ",", "b3"}], "}"}]}], "]"}], "[", 
       RowBox[{
        RowBox[{"p", "[", "1", "]"}], ",", 
        RowBox[{"p", "[", "2", "]"}], ",", 
        RowBox[{"p", "[", "3", "]"}]}], "]"}]}]}], " ", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.7952615216259823`*^9, 3.79526158155971*^9}, {
  3.795261614346261*^9, 3.795261637263956*^9}, {3.7952618293309383`*^9, 
  3.795261936640142*^9}, {3.795279513612423*^9, 
  3.7952795335624504`*^9}},ExpressionUUID->"cedd95e4-60ab-4c5b-8ebf-\
b2333d660213"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"MinusOne", "[", 
    RowBox[{"ks_", ",", "m_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "j", "}"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"ks", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], 
        "-", 
        RowBox[{"KroneckerDelta", "[", 
         RowBox[{"j", ",", "m"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", "3"}], "}"}]}], "]"}]}], "]"}]}], 
  ";"}]], "Input",ExpressionUUID->"d3bcf744-64fa-4b85-8dba-20e8602c89e8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"suKonJ", "=", 
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"HoldForm", "[", "KKOp", "]"}], "[", 
       RowBox[{
        RowBox[{"X_", "+", "Y_"}], ",", "m_", ",", "n_"}], "]"}], 
      "\[RuleDelayed]", 
      RowBox[{
       RowBox[{
        RowBox[{"HoldForm", "[", "KKOp", "]"}], "[", 
        RowBox[{"X", ",", "m", ",", "n"}], "]"}], "+", 
       RowBox[{
        RowBox[{"HoldForm", "[", "KKOp", "]"}], "[", 
        RowBox[{"Y", ",", "m", ",", "n"}], "]"}]}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"HoldForm", "[", "KKOp", "]"}], "[", 
       RowBox[{
        RowBox[{"-", "X_"}], ",", "m_", ",", "n_"}], "]"}], "\[RuleDelayed]", 
      
      RowBox[{"-", 
       RowBox[{
        RowBox[{"HoldForm", "[", "KKOp", "]"}], "[", 
        RowBox[{"X", ",", "m", ",", "n"}], "]"}]}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"HoldForm", "[", "KKOp", "]"}], "[", 
       RowBox[{
        RowBox[{"c_", " ", "X_"}], ",", "m_", ",", "n_"}], "]"}], 
      "\[RuleDelayed]", 
      RowBox[{
       RowBox[{"c", " ", 
        RowBox[{
         RowBox[{"HoldForm", "[", "KKOp", "]"}], "[", 
         RowBox[{"X", ",", "m", ",", "n"}], "]"}]}], "/;", 
       RowBox[{"FreeQ", "[", 
        RowBox[{"c", ",", "p"}], "]"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"HoldForm", "[", "KKOp", "]"}], "[", 
       RowBox[{"c_", ",", "m_", ",", "n_"}], "]"}], "\[RuleDelayed]", 
      RowBox[{"0", "/;", 
       RowBox[{"FreeQ", "[", 
        RowBox[{"c", ",", "p"}], "]"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"HoldForm", "[", "KKOp", "]"}], "[", 
       RowBox[{
        RowBox[{
         RowBox[{"J", "[", 
          RowBox[{"N_", ",", "ks_"}], "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}], ",", "m_", ",", "n_"}], 
       "]"}], "\[RuleDelayed]", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], 
        RowBox[{"ks", "\[LeftDoubleBracket]", "m", "\[RightDoubleBracket]"}], 
        
        RowBox[{
         RowBox[{"J", "[", 
          RowBox[{
           RowBox[{"N", "+", "1"}], ",", 
           RowBox[{"MinusOne", "[", 
            RowBox[{"ks", ",", "m"}], "]"}]}], "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}]}], "+", 
       RowBox[{"2", 
        RowBox[{"ks", "\[LeftDoubleBracket]", "n", "\[RightDoubleBracket]"}], 
        
        RowBox[{
         RowBox[{"J", "[", 
          RowBox[{
           RowBox[{"N", "+", "1"}], ",", 
           RowBox[{"MinusOne", "[", 
            RowBox[{"ks", ",", "n"}], "]"}]}], "]"}], "[", 
         RowBox[{
          RowBox[{"p", "[", "1", "]"}], ",", 
          RowBox[{"p", "[", "2", "]"}], ",", 
          RowBox[{"p", "[", "3", "]"}]}], "]"}]}]}]}]}], " ", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.7952660964102163`*^9, 3.795266119043413*^9}, {
  3.7952667161119213`*^9, 3.795266802722543*^9}, {3.79526694929001*^9, 
  3.795266953807592*^9}, {3.795267081447322*^9, 3.7952671144722633`*^9}, {
  3.7952671580598583`*^9, 3.7952671597674522`*^9}, {3.7952762867157173`*^9, 
  3.795276293235727*^9}, {3.7953389729722757`*^9, 3.795338981790202*^9}, {
  3.7958912693919325`*^9, 3.795891306386984*^9}, {3.796571274573089*^9, 
  3.79657136110821*^9}, {3.7965737876156087`*^9, 
  3.796573825010661*^9}},ExpressionUUID->"7d81754a-e8c5-4961-bce0-\
6dc1b5107802"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ZeroMomentumLimit", "[", 
     RowBox[{"aa_", ",", " ", "b_"}], "]"}], "[", "p_", "]"}], " ", ":=", " ", 
   RowBox[{
    RowBox[{"2", "^", 
     RowBox[{"(", 
      RowBox[{"aa", "-", "3"}], ")"}]}], "*", 
    RowBox[{
     RowBox[{"Gamma", "[", 
      RowBox[{"b", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "]"}], "/", 
     RowBox[{"Gamma", "[", 
      RowBox[{"aa", "-", 
       RowBox[{"b", "[", 
        RowBox[{"[", "3", "]"}], "]"}], "+", "1"}], "]"}]}], " ", "*", " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{
      RowBox[{"1", "/", "2"}], "*", 
      RowBox[{"(", 
       RowBox[{"aa", "-", 
        RowBox[{"b", "[", 
         RowBox[{"[", "3", "]"}], "]"}], "+", "1", "+", 
        RowBox[{"b", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "+", 
        RowBox[{"b", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], "]"}], "*", 
    RowBox[{"Gamma", "[", 
     RowBox[{
      RowBox[{"1", "/", "2"}], "*", 
      RowBox[{"(", 
       RowBox[{"aa", "-", 
        RowBox[{"b", "[", 
         RowBox[{"[", "3", "]"}], "]"}], "+", "1", "-", 
        RowBox[{"b", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "+", 
        RowBox[{"b", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], "]"}], "*", 
    RowBox[{"Gamma", "[", 
     RowBox[{
      RowBox[{"1", "/", "2"}], "*", 
      RowBox[{"(", 
       RowBox[{"aa", "-", 
        RowBox[{"b", "[", 
         RowBox[{"[", "3", "]"}], "]"}], "+", "1", "+", 
        RowBox[{"b", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "-", 
        RowBox[{"b", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], "]"}], "*", 
    RowBox[{"Gamma", "[", 
     RowBox[{
      RowBox[{"1", "/", "2"}], "*", 
      RowBox[{"(", 
       RowBox[{"aa", "-", 
        RowBox[{"b", "[", 
         RowBox[{"[", "3", "]"}], "]"}], "+", "1", "-", 
        RowBox[{"b", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "-", 
        RowBox[{"b", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], "]"}], "*", 
    RowBox[{"p", "^", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"b", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "+", 
       RowBox[{"b", "[", 
        RowBox[{"[", "2", "]"}], "]"}], "+", 
       RowBox[{"b", "[", 
        RowBox[{"[", "3", "]"}], "]"}], "-", "aa", "-", "1"}], ")"}]}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.795262124650385*^9, 
  3.795262127762042*^9}},ExpressionUUID->"a0bde24b-d414-433e-b416-\
8556c94be0bf"],

Cell[BoxData[
 RowBox[{
  RowBox[{"suZeroMomentumLimit", " ", "=", " ", 
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"i", "[", 
       RowBox[{"a_", ",", "b_"}], "]"}], "\[RuleDelayed]", 
      RowBox[{
       RowBox[{"ZeroMomentumLimit", "[", 
        RowBox[{"a", ",", "b"}], "]"}], "[", "p", "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"i", "[", 
        RowBox[{"a_", ",", "b_"}], "]"}], "[", 
       RowBox[{"p1_", ",", "p2_", ",", 
        RowBox[{"p", "[", "3", "]"}]}], "]"}], "\[RuleDelayed]", 
      RowBox[{
       RowBox[{"ZeroMomentumLimit", "[", 
        RowBox[{"a", ",", "b"}], "]"}], "[", "p", "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"i", "[", 
        RowBox[{"a_", ",", "b_"}], "]"}], "[", 
       RowBox[{"p1_", ",", "p2_", ",", "0"}], "]"}], "\[RuleDelayed]", 
      RowBox[{
       RowBox[{"ZeroMomentumLimit", "[", 
        RowBox[{"a", ",", "b"}], "]"}], "[", "p", "]"}]}], ",", 
     RowBox[{
      RowBox[{"p", "[", "1", "]"}], "\[Rule]", "p"}], ",", 
     RowBox[{
      RowBox[{"p", "[", "2", "]"}], "\[Rule]", "p"}], ",", 
     RowBox[{
      RowBox[{"p", "[", "3", "]"}], "\[Rule]", "0"}]}], " ", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.7965795194762487`*^9, 
  3.7965795202832947`*^9}},ExpressionUUID->"b65f91c8-e14e-45e7-8b02-\
3dcf21f11e58"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"suAs", "[", "X_", "]"}], ":=", 
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"A", "[", "j_", "]"}], "[", "ps__", "]"}], "\[RuleDelayed]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"A", "[", "j", "]"}], "/.", "X"}], "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"J", "[", "x__", "]"}], "\[RuleDelayed]", 
         RowBox[{
          RowBox[{"J", "[", "x", "]"}], "@@", 
          RowBox[{"{", "ps", "}"}]}]}], "}"}]}], ")"}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.795265365966395*^9, 3.795265388179249*^9}, {
  3.79589116104078*^9, 
  3.7958911661457877`*^9}},ExpressionUUID->"341b1ab8-7aff-46d7-a97b-\
180d7bdf7a32"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CheckPrimaryCWIs", "[", 
    RowBox[{"X_", ",", " ", "As_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"PrimaryCWIs", "[", "X", "]"}], "/.", 
        RowBox[{"suExpandAs", "[", "A", "]"}]}], "/.", 
       RowBox[{"suAs", "[", "As", "]"}]}], "/.", "suJPerm"}], "//.", 
     "suKonJ"}], "//", "Simplify"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.795276325640772*^9, 3.7952764594309597`*^9}, 
   3.795277295271304*^9, {3.795277919023178*^9, 3.7952779274991903`*^9}, 
   3.795338477628234*^9, {3.7953385750386953`*^9, 3.795338586160261*^9}, {
   3.795891449608185*^9, 3.7958914646232057`*^9}, {3.79589182486671*^9, 
   3.7958918353067245`*^9}, 3.795892395432124*^9, {3.795941675483694*^9, 
   3.795941694699883*^9}, {3.795941746652308*^9, 3.7959417540681267`*^9}, {
   3.7965795333400416`*^9, 3.796579541372501*^9}, {3.79671920892903*^9, 
   3.796719214500795*^9}, {3.797373828645138*^9, 
   3.797373829325138*^9}},ExpressionUUID->"af726353-7510-4aa1-980c-\
15d303778992"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"LhsOfSecondaryCWIs", "[", 
    RowBox[{"X_", ",", "As_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"ReleaseHold", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"SecondaryCWIsLhs", "[", "X", "]"}], "/.", 
          RowBox[{"suExpandAs", "[", "A", "]"}]}], "/.", 
         RowBox[{"suAs", "[", "As", "]"}]}], "/.", "suJPerm"}], "]"}], "//.", 
      "suJDiff"}], "/.", 
     RowBox[{"suJToI", "[", 
      RowBox[{"d", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[CapitalDelta]", "[", "1", "]"}], ",", 
         RowBox[{"\[CapitalDelta]", "[", "2", "]"}], ",", 
         RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}], "}"}]}], "]"}]}], "/.",
     "suZeroMomentumLimit"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.798418225179295*^9},ExpressionUUID->"e8ebb10f-e1e3-4ae9-a9b3-\
08f3668aa38f"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"LhsOfSecondaryCWIs", "[", 
    RowBox[{"X_", ",", "As_", ",", "d_", ",", "\[CapitalDelta]s_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"ReleaseHold", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"SecondaryCWIsLhs", "[", "X", "]"}], "/.", 
           RowBox[{"suExpandAs", "[", "A", "]"}]}], "/.", 
          RowBox[{"suAs", "[", "As", "]"}]}], "/.", "suJPerm"}], "/.", 
        RowBox[{"{", " ", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"HoldForm", "[", "LOp", "]"}], "[", "x__", "]"}], 
           "\[RuleDelayed]", 
           RowBox[{
            RowBox[{
             RowBox[{"HoldForm", "[", "LOp", "]"}], "[", 
             RowBox[{"d", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                "\[CapitalDelta]s", "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}], ",", 
                RowBox[{
                "\[CapitalDelta]s", "\[LeftDoubleBracket]", "2", 
                 "\[RightDoubleBracket]"}]}], "}"}]}], "]"}], "[", "x", 
            "]"}]}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{"HoldForm", "[", "LprimeOp", "]"}], "[", "x__", "]"}], 
           "\[RuleDelayed]", 
           RowBox[{
            RowBox[{
             RowBox[{"HoldForm", "[", "LprimeOp", "]"}], "[", 
             RowBox[{"d", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                "\[CapitalDelta]s", "\[LeftDoubleBracket]", "1", 
                 "\[RightDoubleBracket]"}], ",", 
                RowBox[{
                "\[CapitalDelta]s", "\[LeftDoubleBracket]", "2", 
                 "\[RightDoubleBracket]"}]}], "}"}]}], "]"}], "[", "x", 
            "]"}]}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{"HoldForm", "[", "ROp", "]"}], "[", "x__", "]"}], 
           "\[RuleDelayed]", 
           RowBox[{
            RowBox[{
             RowBox[{"HoldForm", "[", "ROp", "]"}], "[", 
             RowBox[{
             "\[CapitalDelta]s", "\[LeftDoubleBracket]", "1", 
              "\[RightDoubleBracket]"}], "]"}], "[", "x", "]"}]}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{"HoldForm", "[", "RprimeOp", "]"}], "[", "x__", "]"}], 
           "\[RuleDelayed]", 
           RowBox[{
            RowBox[{
             RowBox[{"HoldForm", "[", "RprimeOp", "]"}], "[", 
             RowBox[{
             "\[CapitalDelta]s", "\[LeftDoubleBracket]", "2", 
              "\[RightDoubleBracket]"}], "]"}], "[", "x", "]"}]}]}], " ", 
         "}"}]}], "]"}], "//.", "suJDiff"}], "/.", 
     RowBox[{"suJToI", "[", 
      RowBox[{"d", ",", "\[CapitalDelta]s"}], "]"}]}], "/.", 
    "suZeroMomentumLimit"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7966715944718084`*^9, 3.7966717512020283`*^9}, 
   3.798418220779694*^9},ExpressionUUID->"01d30fc2-b415-4a5c-b063-\
8c16e0dd9d6e"]
}, Closed]],

Cell[CellGroupData[{

Cell["<OOO>", "Section",
 CellChangeTimes->{{3.795261710502955*^9, 3.79526171311106*^9}, 
   3.795697320501752*^9},ExpressionUUID->"ff6e76b4-e41e-436f-9fd6-\
e856b4510a85"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PrimarySolutions", "[", "OOO", "]"}]], "Input",
 CellChangeTimes->{{3.795697325961759*^9, 3.79569732644176*^9}, {
  3.795890930922458*^9, 3.7958909547424917`*^9}, {3.798418150104203*^9, 
  3.798418150719029*^9}},ExpressionUUID->"2b973e36-34dc-4fe9-8f30-\
88a5158a5efc"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"A", "[", "1", "]"}], "\[Rule]", 
   RowBox[{
    RowBox[{"J", "[", 
     RowBox[{"0", ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
    RowBox[{"\[Alpha]", "[", "1", "]"}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.796579551559084*^9, {3.798418148265895*^9, 3.7984181510007153`*^9}, 
   3.7985056271781693`*^9, 3.798687890792183*^9, 
   3.799039763071965*^9},ExpressionUUID->"d85feaee-392f-4285-ba7e-\
d5e18fd179b2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CheckPrimaryCWIs", "[", 
  RowBox[{"OOO", ",", " ", 
   RowBox[{"PrimarySolutions", "[", "OOO", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.795265014608569*^9, 3.79526503181986*^9}, {
   3.7952650984793167`*^9, 3.795265101709263*^9}, {3.795265181219277*^9, 
   3.7952651814031477`*^9}, {3.795265243643098*^9, 3.795265309128849*^9}, {
   3.795265395159733*^9, 3.795265401019408*^9}, 3.795266143978883*^9, {
   3.7952762109956117`*^9, 3.7952762189356227`*^9}, {3.795276301120738*^9, 
   3.795276313605755*^9}, {3.7952764669509697`*^9, 3.7952764773609843`*^9}, 
   3.795537917860772*^9, {3.7958909731125174`*^9, 3.7958909785525246`*^9}, {
   3.798418155047367*^9, 
   3.798418155711833*^9}},ExpressionUUID->"4f255293-5669-43d8-a2a9-\
a97aa1a20e49"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "0", "}"}], ",", 
   RowBox[{"{", "0", "}"}], ",", 
   RowBox[{"{", "0", "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7952617444983892`*^9, 3.795265032207391*^9, {3.795265285700379*^9, 
   3.7952653103374653`*^9}, 3.795265416579867*^9, {3.7952661266935873`*^9, 
   3.7952661453025427`*^9}, {3.7952762160306187`*^9, 
   3.7952762193156233`*^9}, {3.7952763058207445`*^9, 3.795276313985756*^9}, 
   3.795276477695985*^9, 3.795537918608815*^9, 3.795538230158635*^9, 
   3.7958909964935503`*^9, 3.7958913309470186`*^9, 3.795891480498228*^9, 
   3.795891758106617*^9, 3.796571379628236*^9, 3.7965738376956787`*^9, 
   3.79657955621235*^9, 3.798418155990326*^9, 3.798505627672864*^9, 
   3.798687890806184*^9, 
   3.799039763099774*^9},ExpressionUUID->"cfbe79cd-1c02-4b85-b1df-\
022bcf39e4df"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["<JOO>", "Section",
 CellChangeTimes->{{3.795261710502955*^9, 
  3.79526171311106*^9}},ExpressionUUID->"e9cf0603-4da8-4a60-b0c1-\
666e8c8e60c6"],

Cell["List of solutions to primary WIs.", "Text",
 CellChangeTimes->{{3.795891975626921*^9, 
  3.795891986056936*^9}},ExpressionUUID->"d4f6d38c-234b-4b92-b077-\
e27bb87cc818"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PS", "=", 
  RowBox[{"PrimarySolutions", "[", "JOO", "]"}]}]], "Input",
 CellChangeTimes->{{3.79589149603325*^9, 3.7958915004532557`*^9}, {
   3.7958920556720333`*^9, 3.7958920569470353`*^9}, 
   3.798418173344331*^9},ExpressionUUID->"8ec9bdea-17ce-4f89-bf97-\
0771b0969072"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"A", "[", "1", "]"}], "\[Rule]", 
   RowBox[{
    RowBox[{"J", "[", 
     RowBox[{"1", ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
    RowBox[{"\[Alpha]", "[", "1", "]"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.7955380183895226`*^9, 3.7955381980868006`*^9, 
  3.7958915009282565`*^9, 3.795891759441619*^9, 3.795892057657036*^9, 
  3.7965738447956886`*^9, 3.796579602220981*^9, 3.798418173571986*^9, 
  3.798505629027425*^9, 3.7986878908201847`*^9, 
  3.799039763131441*^9},ExpressionUUID->"0bcfe1ef-de27-4a78-aa09-\
acbc50ab5cc9"]
}, Open  ]],

Cell["Check if they satisfy primary WIs.", "Text",
 CellChangeTimes->{{3.7958919896269407`*^9, 
  3.7958920010319567`*^9}},ExpressionUUID->"dd33f9dc-3045-40b6-a1d2-\
c8f2ee2a09ea"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CheckPrimaryCWIs", "[", 
  RowBox[{"JOO", ",", " ", "PS"}], "]"}]], "Input",
 CellChangeTimes->{{3.795265014608569*^9, 3.79526503181986*^9}, {
   3.7952650984793167`*^9, 3.795265101709263*^9}, {3.795265181219277*^9, 
   3.7952651814031477`*^9}, {3.795265243643098*^9, 3.795265309128849*^9}, {
   3.795265395159733*^9, 3.795265401019408*^9}, 3.795266143978883*^9, {
   3.7952762109956117`*^9, 3.7952762189356227`*^9}, {3.795276301120738*^9, 
   3.795276313605755*^9}, {3.7952764669509697`*^9, 3.7952764773609843`*^9}, 
   3.795537917860772*^9, {3.7958915150632763`*^9, 3.7958915161482778`*^9}, {
   3.7958920616520414`*^9, 
   3.7958920637470446`*^9}},ExpressionUUID->"e536bff8-bc1a-4299-8a58-\
6b22360105cc"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "0", "}"}], ",", 
   RowBox[{"{", "0", "}"}], ",", 
   RowBox[{"{", "0", "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7952617444983892`*^9, 3.795265032207391*^9, {3.795265285700379*^9, 
   3.7952653103374653`*^9}, 3.795265416579867*^9, {3.7952661266935873`*^9, 
   3.7952661453025427`*^9}, {3.7952762160306187`*^9, 
   3.7952762193156233`*^9}, {3.7952763058207445`*^9, 3.795276313985756*^9}, 
   3.795276477695985*^9, 3.795537918608815*^9, 3.795538230158635*^9, 
   3.795891516863279*^9, 3.7958917603516197`*^9, 3.7958920646270456`*^9, 
   3.79657384579569*^9, 3.7965796033620462`*^9, 3.798418174837349*^9, 
   3.798505630171386*^9, 3.7986878908321853`*^9, 
   3.799039763157522*^9},ExpressionUUID->"f9bb8a48-0206-420d-8314-\
b23834587b87"]
}, Open  ]],

Cell["\<\
Zero-momentum limit of the left hand sides of the secondary WIs.\
\>", "Text",
 CellChangeTimes->{{3.795892005566963*^9, 
  3.795892023231988*^9}},ExpressionUUID->"0ee48846-3676-48b8-99be-\
9533d38b4cb0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ReleaseHold", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"SecondaryCWIsLhs", "[", "JOO", "]"}], "/.", 
      RowBox[{"suExpandAs", "[", "A", "]"}]}], "/.", 
     RowBox[{"suAs", "[", "PS", "]"}]}], "/.", "suJPerm"}], "]"}], "//.", 
  "suJDiff"}]], "Input",
 CellChangeTimes->{{3.7965739039957714`*^9, 3.796573930225808*^9}, {
  3.798418180703726*^9, 
  3.798418181265994*^9}},ExpressionUUID->"a33ace72-ce33-4195-bf5c-\
bd0a8d589304"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Alpha]", "[", "1", "]"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          SubsuperscriptBox["p", "2", "2"]}], "+", 
         SubsuperscriptBox["p", "3", "2"]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"\[CapitalDelta]", "[", "1", "]"}]}], ")"}]}], "+", 
      RowBox[{
       SubsuperscriptBox["p", "1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "-", 
         RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"\[CapitalDelta]", "[", "2", "]"}]}]}], ")"}]}]}], ")"}], 
    " ", 
    RowBox[{
     RowBox[{"J", "[", 
      RowBox[{"1", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], "[", 
     RowBox[{
      SubscriptBox["p", "1"], ",", 
      SubscriptBox["p", "2"], ",", 
      SubscriptBox["p", "3"]}], "]"}]}], "-", 
   RowBox[{
    SubsuperscriptBox["p", "1", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      SubsuperscriptBox["p", "1", "2"], "+", 
      SubsuperscriptBox["p", "2", "2"], "-", 
      SubsuperscriptBox["p", "3", "2"]}], ")"}], " ", 
    RowBox[{"\[Alpha]", "[", "1", "]"}], " ", 
    RowBox[{
     RowBox[{"J", "[", 
      RowBox[{"2", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}]}], "]"}], "[", 
     RowBox[{
      SubscriptBox["p", "1"], ",", 
      SubscriptBox["p", "2"], ",", 
      SubscriptBox["p", "3"]}], "]"}]}], "-", 
   RowBox[{"2", " ", 
    SubsuperscriptBox["p", "1", "2"], " ", 
    SubsuperscriptBox["p", "2", "2"], " ", 
    RowBox[{"\[Alpha]", "[", "1", "]"}], " ", 
    RowBox[{
     RowBox[{"J", "[", 
      RowBox[{"2", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}], "[", 
     RowBox[{
      SubscriptBox["p", "1"], ",", 
      SubscriptBox["p", "2"], ",", 
      SubscriptBox["p", "3"]}], "]"}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.7965739083007774`*^9, 3.7965739307958093`*^9}, 
   3.7965796055841737`*^9, 3.798418181607821*^9, 3.798505631109744*^9, 
   3.798687890847186*^9, 
   3.799039763188154*^9},ExpressionUUID->"9d847cf0-612b-4419-9a27-\
288dfdd05c5e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SecLhs", "=", 
  RowBox[{
   RowBox[{"LhsOfSecondaryCWIs", "[", 
    RowBox[{"JOO", ",", "PS"}], "]"}], "//", "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.795261770138795*^9, 3.795261789827681*^9}, {
   3.795261949969742*^9, 3.795261962610084*^9}, {3.795261999794832*^9, 
   3.7952620474772377`*^9}, {3.795262157712533*^9, 3.7952621733515387`*^9}, 
   3.795265434636959*^9, {3.795266229249584*^9, 3.7952662310395117`*^9}, {
   3.79527648120599*^9, 3.7952764965810113`*^9}, {3.7955379215159817`*^9, 
   3.7955379397750254`*^9}, {3.795891528548295*^9, 3.7958915618233414`*^9}, {
   3.7958918773867836`*^9, 3.7958918789617863`*^9}, {3.7958919156968374`*^9, 
   3.795891916051838*^9}, 
   3.7958920673870497`*^9},ExpressionUUID->"12598b74-448a-4b1d-9f68-\
87185ddd3108"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"Gamma", "[", 
      RowBox[{"d", "-", 
       RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}], "]"}]], 
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{"-", "2"}], "+", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["p", 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "d"}], "+", 
       RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "+", 
       RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "+", 
       RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}]], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "d"}], "-", 
         RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "-", 
         RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "-", 
         RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}], ")"}]}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d", "+", 
         RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "-", 
         RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "-", 
         RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}], ")"}]}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d", "-", 
         RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "+", 
         RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "-", 
         RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}], ")"}]}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "+", 
         RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "-", 
         RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}], ")"}]}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["d", "2"]}], "+", 
       RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}], "]"}], " ", 
     RowBox[{"\[Alpha]", "[", "1", "]"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.795261752158103*^9, 3.795261790581032*^9}, {
   3.795261950333003*^9, 3.795261963020537*^9}, {3.795262004117352*^9, 
   3.795262040301216*^9}, {3.7952621471892443`*^9, 3.7952621738296347`*^9}, 
   3.795262573109961*^9, 3.795265436576318*^9, 3.795266148173765*^9, 
   3.79526623460083*^9, 3.7952764980110135`*^9, {3.795537923028068*^9, 
   3.7955379406680765`*^9}, {3.795891531343299*^9, 3.7958915630383434`*^9}, 
   3.7958917622416224`*^9, 3.7958918833667917`*^9, 3.795891918071841*^9, 
   3.795892068157051*^9, {3.7965738469556913`*^9, 3.7965738686857224`*^9}, 
   3.7965796083483315`*^9, 3.798418186103032*^9, 3.798418233839641*^9, 
   3.79850563381172*^9, 3.7986878919742484`*^9, 
   3.799039764497924*^9},ExpressionUUID->"1e748a5e-5885-409e-8738-\
290b514dfb2d"]
}, Open  ]],

Cell["\<\
Zero-momentum limit of the right hand sides of the secondary WIs. We use \
transverse WIs in the process.\
\>", "Text",
 CellChangeTimes->{{3.7958920265219927`*^9, 3.795892043247016*^9}, {
  3.7958920767070627`*^9, 
  3.7958920874220777`*^9}},ExpressionUUID->"73f7872b-e82e-477a-a1be-\
07cabf8dabc6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SecRhs", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"ReleaseHold", "[", 
     RowBox[{
      RowBox[{"SecondaryCWIsRhs", "[", "JOO", "]"}], "/.", 
      RowBox[{"TransverseWIs", "[", "JOO", "]"}]}], "]"}], "/.", 
    "suZeroMomentumLimit"}], "//", "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.795262175092338*^9, 3.7952621802480383`*^9}, {
  3.7952622342184267`*^9, 3.795262234386072*^9}, {3.795262274299431*^9, 
  3.795262280721725*^9}, {3.7952637001179113`*^9, 3.7952637029059963`*^9}, {
  3.795263759953979*^9, 3.79526376255427*^9}, {3.795263839469105*^9, 
  3.7952638684266768`*^9}, {3.795264082294034*^9, 3.795264082586402*^9}, {
  3.795264119021545*^9, 3.795264119250308*^9}, {3.7958919193968425`*^9, 
  3.795891919736843*^9}, {3.7958922234422684`*^9, 3.795892225422271*^9}, {
  3.798418196826165*^9, 
  3.798418198547195*^9}},ExpressionUUID->"e58e71a9-115d-4bc2-a84f-\
43e626dd8b7d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "2"}], " ", 
   SuperscriptBox["p", 
    RowBox[{
     RowBox[{"-", "d"}], "+", 
     RowBox[{"2", " ", 
      RowBox[{"\[CapitalDelta]", "[", "2", "]"}]}]}]], " ", 
   RowBox[{"cO", "[", "2", "]"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"\[CapitalDelta]", "[", "1", "]"}]}], ")"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7952621805721827`*^9, 3.795262234651559*^9, {3.795262275200886*^9, 
   3.7952622810149508`*^9}, {3.795263682848351*^9, 3.79526370315583*^9}, {
   3.795263752333869*^9, 3.795263763158441*^9}, {3.795263848153117*^9, 
   3.795263868700594*^9}, 3.795263908112606*^9, 3.795264082999452*^9, {
   3.795264120286715*^9, 3.795264127369176*^9}, 3.7952765136960354`*^9, 
   3.795537943511239*^9, {3.795891547143321*^9, 3.795891570048353*^9}, 
   3.7958917623466225`*^9, 3.795891920416844*^9, 3.7958920955770893`*^9, 
   3.795892225732271*^9, 3.7965796136446342`*^9, {3.798418190388431*^9, 
   3.798418198841444*^9}, 3.798418235099217*^9, 3.79850563404346*^9, 
   3.7986878920272512`*^9, 
   3.799039764567956*^9},ExpressionUUID->"dc43ff53-59f9-49df-b799-\
c89e45145768"]
}, Open  ]],

Cell[TextData[{
 "Solutions for primary constants ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Alpha]", "j"], TraditionalForm]],ExpressionUUID->
  "d58664e2-2d62-4032-b2cb-5b535c0f9fe7"],
 " in a generic case. Note that for special values of dimensions \
renormalization and/or additional contributions from functional derivative \
terms may appear."
}], "Text",
 CellChangeTimes->{{3.7958920998420954`*^9, 
  3.795892171062195*^9}},ExpressionUUID->"4e4a4afe-cf81-4d89-b690-\
f68ecfe91248"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"solAlpha", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"SecLhs", "\[Equal]", "SecRhs"}], ",", 
       RowBox[{"\[Alpha]", "[", "1", "]"}]}], "]"}], "\[LeftDoubleBracket]", 
     "1", "\[RightDoubleBracket]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "\[Rule]", 
       RowBox[{"d", "-", "1"}]}], ",", 
      RowBox[{
       RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "\[Rule]", 
       "\[CapitalDelta]"}], ",", 
      RowBox[{
       RowBox[{"\[CapitalDelta]", "[", "3", "]"}], "\[Rule]", 
       "\[CapitalDelta]"}]}], "}"}]}], "//", "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.795263799986126*^9, 3.795263833858448*^9}, {
  3.7952639153702307`*^9, 3.795263950522517*^9}, {3.795264192880327*^9, 
  3.795264197178268*^9}, {3.795537946732424*^9, 3.795537947661477*^9}, {
  3.7955381555083647`*^9, 3.7955381587705517`*^9}, {3.7958919221818466`*^9, 
  3.7958919258418517`*^9}},ExpressionUUID->"a89fa288-49fd-44de-81b4-\
de34ed877cbd"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[Alpha]", "[", "1", "]"}], "\[Rule]", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{
      SuperscriptBox["2", 
       RowBox[{"4", "-", 
        FractionBox["d", "2"]}]], " ", 
      RowBox[{"cO", "[", "2", "]"}], " ", 
      RowBox[{"Sin", "[", 
       RowBox[{
        FractionBox["1", "2"], " ", "\[Pi]", " ", 
        RowBox[{"(", 
         RowBox[{"d", "-", 
          RowBox[{"2", " ", "\[CapitalDelta]"}]}], ")"}]}], "]"}]}], 
     RowBox[{"\[Pi]", " ", 
      RowBox[{"Gamma", "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        FractionBox["d", "2"]}], "]"}]}]]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.7952638051502323`*^9, 3.7952638152575207`*^9}, {
   3.795263916005083*^9, 3.795263951790344*^9}, 3.7952641978733892`*^9, 
   3.7952765171260405`*^9, 3.795537948054499*^9, 3.7955381601666317`*^9, 
   3.7958915758583612`*^9, 3.7958917637216244`*^9, 3.795891928596855*^9, 
   3.7965796175108557`*^9, 3.7984182044785833`*^9, 3.798418236499424*^9, 
   3.7985056356198072`*^9, 3.798687892231263*^9, 
   3.7990397648001137`*^9},ExpressionUUID->"0fa418b6-f6a2-4609-8549-\
f0ee46adf761"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["<TOO>", "Section",
 CellChangeTimes->{{3.795261710502955*^9, 3.79526171311106*^9}, {
  3.795263974571103*^9, 
  3.795263974865499*^9}},ExpressionUUID->"c35a76a7-d9f3-4189-af89-\
7b997d20cbd4"],

Cell["List of solutions to primary WIs.", "Text",
 CellChangeTimes->{{3.795891975626921*^9, 
  3.795891986056936*^9}},ExpressionUUID->"604cb770-bef3-4394-b62a-\
aa93d5c0b4c6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PS", "=", 
  RowBox[{"PrimarySolutions", "[", "TOO", "]"}]}]], "Input",
 CellChangeTimes->{{3.79589149603325*^9, 3.7958915004532557`*^9}, {
   3.7958920556720333`*^9, 3.7958920569470353`*^9}, {3.795892186912217*^9, 
   3.7958921870872173`*^9}, 
   3.798418242489056*^9},ExpressionUUID->"88e82e39-e391-45b2-a50b-\
037bd582a9d6"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"A", "[", "1", "]"}], "\[Rule]", 
   RowBox[{
    RowBox[{"J", "[", 
     RowBox[{"2", ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
    RowBox[{"\[Alpha]", "[", "1", "]"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.7955380183895226`*^9, 3.7955381980868006`*^9, 
  3.7958915009282565`*^9, 3.795891759441619*^9, 3.795892057657036*^9, 
  3.7958921877972183`*^9, 3.796579623796215*^9, 3.7984182428026247`*^9, 
  3.798505636675249*^9, 3.798687892250264*^9, 
  3.799039764810576*^9},ExpressionUUID->"6c172dd8-8f88-4bf0-b57c-\
c9adffcd9d6a"]
}, Open  ]],

Cell["Check if they satisfy primary WIs.", "Text",
 CellChangeTimes->{{3.7958919896269407`*^9, 
  3.7958920010319567`*^9}},ExpressionUUID->"606dcb71-dfcc-4183-9215-\
3406d8323efc"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CheckPrimaryCWIs", "[", 
  RowBox[{"TOO", ",", " ", "PS"}], "]"}]], "Input",
 CellChangeTimes->{{3.795265014608569*^9, 3.79526503181986*^9}, {
   3.7952650984793167`*^9, 3.795265101709263*^9}, {3.795265181219277*^9, 
   3.7952651814031477`*^9}, {3.795265243643098*^9, 3.795265309128849*^9}, {
   3.795265395159733*^9, 3.795265401019408*^9}, 3.795266143978883*^9, {
   3.7952762109956117`*^9, 3.7952762189356227`*^9}, {3.795276301120738*^9, 
   3.795276313605755*^9}, {3.7952764669509697`*^9, 3.7952764773609843`*^9}, 
   3.795537917860772*^9, {3.7958915150632763`*^9, 3.7958915161482778`*^9}, {
   3.7958920616520414`*^9, 3.7958920637470446`*^9}, {3.795892190432222*^9, 
   3.795892190537222*^9}},ExpressionUUID->"452b9684-fa45-4d54-a468-\
74f1e8e8d1b8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "0", "}"}], ",", 
   RowBox[{"{", "0", "}"}], ",", 
   RowBox[{"{", "0", "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7952617444983892`*^9, 3.795265032207391*^9, {3.795265285700379*^9, 
   3.7952653103374653`*^9}, 3.795265416579867*^9, {3.7952661266935873`*^9, 
   3.7952661453025427`*^9}, {3.7952762160306187`*^9, 
   3.7952762193156233`*^9}, {3.7952763058207445`*^9, 3.795276313985756*^9}, 
   3.795276477695985*^9, 3.795537918608815*^9, 3.795538230158635*^9, 
   3.795891516863279*^9, 3.7958917603516197`*^9, 3.7958920646270456`*^9, 
   3.795892191012223*^9, 3.7965796249862833`*^9, 3.7984182442279177`*^9, 
   3.798505637963311*^9, 3.798687892269265*^9, 
   3.799039764836853*^9},ExpressionUUID->"6cc5575c-e4b1-4586-961a-\
8a00fe4239c2"]
}, Open  ]],

Cell["\<\
Zero-momentum limit of the left hand sides of the secondary WIs.\
\>", "Text",
 CellChangeTimes->{{3.795892005566963*^9, 
  3.795892023231988*^9}},ExpressionUUID->"b4997c9e-49e0-40bf-8159-\
0f0492f592a9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SecLhs", "=", 
  RowBox[{
   RowBox[{"LhsOfSecondaryCWIs", "[", 
    RowBox[{"TOO", ",", "PS"}], "]"}], "//", "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.795261770138795*^9, 3.795261789827681*^9}, {
   3.795261949969742*^9, 3.795261962610084*^9}, {3.795261999794832*^9, 
   3.7952620474772377`*^9}, {3.795262157712533*^9, 3.7952621733515387`*^9}, 
   3.795265434636959*^9, {3.795266229249584*^9, 3.7952662310395117`*^9}, {
   3.79527648120599*^9, 3.7952764965810113`*^9}, {3.7955379215159817`*^9, 
   3.7955379397750254`*^9}, {3.795891528548295*^9, 3.7958915618233414`*^9}, {
   3.7958918773867836`*^9, 3.7958918789617863`*^9}, {3.7958919156968374`*^9, 
   3.795891916051838*^9}, 3.7958920673870497`*^9, {3.7958921945272274`*^9, 
   3.795892194657228*^9}},ExpressionUUID->"a42db36f-3246-41ea-a3fc-\
68f285b05bd6"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"Gamma", "[", 
      RowBox[{"1", "+", "d", "-", 
       RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}], "]"}]], 
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["p", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "d"}], "+", 
       RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "+", 
       RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "+", 
       RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}]], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"2", "+", "d", "+", 
         RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "-", 
         RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "-", 
         RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}], ")"}]}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"2", "+", "d", "-", 
         RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "+", 
         RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "-", 
         RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}], ")"}]}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"2", "+", 
         RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "+", 
         RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "-", 
         RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}], ")"}]}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"1", "+", "d", "-", 
       FractionBox[
        RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "2"], "-", 
       FractionBox[
        RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "2"], "-", 
       FractionBox[
        RowBox[{"\[CapitalDelta]", "[", "3", "]"}], "2"]}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["d", "2"]}], "+", 
       RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}], "]"}], " ", 
     RowBox[{"\[Alpha]", "[", "1", "]"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.795261752158103*^9, 3.795261790581032*^9}, {
   3.795261950333003*^9, 3.795261963020537*^9}, {3.795262004117352*^9, 
   3.795262040301216*^9}, {3.7952621471892443`*^9, 3.7952621738296347`*^9}, 
   3.795262573109961*^9, 3.795265436576318*^9, 3.795266148173765*^9, 
   3.79526623460083*^9, 3.7952764980110135`*^9, {3.795537923028068*^9, 
   3.7955379406680765`*^9}, {3.795891531343299*^9, 3.7958915630383434`*^9}, 
   3.7958917622416224`*^9, 3.7958918833667917`*^9, 3.795891918071841*^9, 
   3.795892068157051*^9, 3.7958921950472283`*^9, 3.7965796273824205`*^9, 
   3.798418246568345*^9, 3.798505639485992*^9, 3.7986878929843063`*^9, 
   3.7990397657069273`*^9},ExpressionUUID->"c98f278d-5716-4830-8018-\
c5002dff9a4e"]
}, Open  ]],

Cell["\<\
Zero-momentum limit of the right hand sides of the secondary WIs. We use \
transverse WIs in the process.\
\>", "Text",
 CellChangeTimes->{{3.7958920265219927`*^9, 3.795892043247016*^9}, {
  3.7958920767070627`*^9, 
  3.7958920874220777`*^9}},ExpressionUUID->"a8768788-7328-4104-ab2c-\
1454893c8de0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SecRhs", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"ReleaseHold", "[", 
     RowBox[{
      RowBox[{"SecondaryCWIsRhs", "[", "TOO", "]"}], "/.", 
      RowBox[{"TransverseWIs", "[", "TOO", "]"}]}], "]"}], "/.", 
    "suZeroMomentumLimit"}], "//", "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.795262175092338*^9, 3.7952621802480383`*^9}, {
  3.7952622342184267`*^9, 3.795262234386072*^9}, {3.795262274299431*^9, 
  3.795262280721725*^9}, {3.7952637001179113`*^9, 3.7952637029059963`*^9}, {
  3.795263759953979*^9, 3.79526376255427*^9}, {3.795263839469105*^9, 
  3.7952638684266768`*^9}, {3.795264082294034*^9, 3.795264082586402*^9}, {
  3.795264119021545*^9, 3.795264119250308*^9}, {3.7958919193968425`*^9, 
  3.795891919736843*^9}, {3.795892198312233*^9, 3.795892217032259*^9}, {
  3.798418251041771*^9, 
  3.798418252921833*^9}},ExpressionUUID->"a50a1975-87f8-4179-bf18-\
c780e17e1587"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2", " ", 
   SuperscriptBox["p", 
    RowBox[{
     RowBox[{"-", "d"}], "+", 
     RowBox[{"2", " ", 
      RowBox[{"\[CapitalDelta]", "[", "2", "]"}]}]}]], " ", 
   RowBox[{"cO", "[", "2", "]"}], " ", 
   RowBox[{"\[CapitalDelta]", "[", "1", "]"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7952621805721827`*^9, 3.795262234651559*^9, {3.795262275200886*^9, 
   3.7952622810149508`*^9}, {3.795263682848351*^9, 3.79526370315583*^9}, {
   3.795263752333869*^9, 3.795263763158441*^9}, {3.795263848153117*^9, 
   3.795263868700594*^9}, 3.795263908112606*^9, 3.795264082999452*^9, {
   3.795264120286715*^9, 3.795264127369176*^9}, 3.7952765136960354`*^9, 
   3.795537943511239*^9, {3.795891547143321*^9, 3.795891570048353*^9}, 
   3.7958917623466225`*^9, 3.795891920416844*^9, 3.7958920955770893`*^9, {
   3.7958922028472395`*^9, 3.7958922295522766`*^9}, 3.7965796289295087`*^9, 
   3.7984182532355013`*^9, 3.798505639966237*^9, 3.7986878930443096`*^9, 
   3.799039765766239*^9},ExpressionUUID->"8358a8af-7b7f-45cf-8afb-\
10679a47ffdb"]
}, Open  ]],

Cell[TextData[{
 "Solutions for primary constants ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Alpha]", "j"], TraditionalForm]],ExpressionUUID->
  "37d84b25-4609-46e3-a82d-8222b29d5bb7"],
 " in a generic case. Note that for special values of dimensions \
renormalization and/or additional contributions from functional derivative \
terms may appear."
}], "Text",
 CellChangeTimes->{{3.7958920998420954`*^9, 
  3.795892171062195*^9}},ExpressionUUID->"85affc86-8ab1-4ef7-bfff-\
08e6d0ec5c9c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"solAlpha", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"SecLhs", "\[Equal]", "SecRhs"}], ",", 
       RowBox[{"\[Alpha]", "[", "1", "]"}]}], "]"}], "\[LeftDoubleBracket]", 
     "1", "\[RightDoubleBracket]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "\[Rule]", "d"}], ",", 
      RowBox[{
       RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "\[Rule]", 
       "\[CapitalDelta]"}], ",", 
      RowBox[{
       RowBox[{"\[CapitalDelta]", "[", "3", "]"}], "\[Rule]", 
       "\[CapitalDelta]"}]}], "}"}]}], "//", "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.795263799986126*^9, 3.795263833858448*^9}, {
  3.7952639153702307`*^9, 3.795263950522517*^9}, {3.795264192880327*^9, 
  3.795264197178268*^9}, {3.795537946732424*^9, 3.795537947661477*^9}, {
  3.7955381555083647`*^9, 3.7955381587705517`*^9}, {3.7958919221818466`*^9, 
  3.7958919258418517`*^9}, {3.7958922357222853`*^9, 
  3.7958922358572855`*^9}},ExpressionUUID->"65464590-4fe7-4229-9ad7-\
00c2e97b23f7"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[Alpha]", "[", "1", "]"}], "\[Rule]", 
   FractionBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{"3", "-", 
       FractionBox["d", "2"]}]], " ", 
     RowBox[{"cO", "[", "2", "]"}], " ", 
     RowBox[{"Sin", "[", 
      RowBox[{
       FractionBox["1", "2"], " ", "\[Pi]", " ", 
       RowBox[{"(", 
        RowBox[{"d", "-", 
         RowBox[{"2", " ", "\[CapitalDelta]"}]}], ")"}]}], "]"}]}], 
    RowBox[{"\[Pi]", " ", 
     RowBox[{"Gamma", "[", 
      FractionBox["d", "2"], "]"}]}]]}], "}"}]], "Output",
 CellChangeTimes->{{3.7952638051502323`*^9, 3.7952638152575207`*^9}, {
   3.795263916005083*^9, 3.795263951790344*^9}, 3.7952641978733892`*^9, 
   3.7952765171260405`*^9, 3.795537948054499*^9, 3.7955381601666317`*^9, 
   3.7958915758583612`*^9, 3.7958917637216244`*^9, 3.795891928596855*^9, 
   3.7958922362672863`*^9, 3.7965796303195887`*^9, 3.798418255840756*^9, 
   3.7985056412188883`*^9, 3.7986878932023187`*^9, 
   3.799039765954132*^9},ExpressionUUID->"d98629f0-02b1-4a52-b455-\
2b79c09d53aa"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["<JJO>", "Section",
 CellChangeTimes->{{3.795261710502955*^9, 3.79526171311106*^9}, {
  3.795263974571103*^9, 3.795263974865499*^9}, {3.795264213961895*^9, 
  3.79526421408195*^9}},ExpressionUUID->"81160edd-b0e1-4481-994a-\
a24cc6177350"],

Cell["List of solutions to primary WIs.", "Text",
 CellChangeTimes->{{3.795891975626921*^9, 
  3.795891986056936*^9}},ExpressionUUID->"58191cd0-738b-4cd1-a086-\
c951295177f5"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PS", "=", 
  RowBox[{"PrimarySolutions", "[", "JJO", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Dims", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "\[Rule]", 
     RowBox[{"d", "-", "1"}]}], ",", 
    RowBox[{
     RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "\[Rule]", 
     RowBox[{"d", "-", "1"}]}], ",", 
    RowBox[{
     RowBox[{"\[CapitalDelta]", "[", "3", "]"}], "\[Rule]", 
     "\[CapitalDelta]"}]}], "}"}]}]}], "Input",
 CellChangeTimes->{{3.79589149603325*^9, 3.7958915004532557`*^9}, {
  3.7958920556720333`*^9, 3.7958920569470353`*^9}, {3.795892186912217*^9, 
  3.7958921870872173`*^9}, {3.7958923405520477`*^9, 3.7958923779371*^9}, {
  3.798418260497239*^9, 
  3.7984182610653973`*^9}},ExpressionUUID->"fd9e4afd-1dd5-41a1-a60b-\
6a71266ce962"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"A", "[", "1", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"J", "[", 
      RowBox[{"2", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
     RowBox[{"\[Alpha]", "[", "1", "]"}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "2", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"1", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "1", "]"}]}], "+", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "2", "]"}]}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7955380183895226`*^9, 3.7955381980868006`*^9, 3.7958915009282565`*^9, 
   3.795891759441619*^9, 3.795892057657036*^9, 3.7958921877972183`*^9, 
   3.7958923412120485`*^9, 3.795892378587101*^9, 3.7965796399381385`*^9, 
   3.798418261438404*^9, {3.798505642655376*^9, 3.7985056656043673`*^9}, 
   3.7986878932153196`*^9, 
   3.799039765963002*^9},ExpressionUUID->"5474226a-c92a-4ece-ad44-\
97211beef1be"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "d"}]}], ",", 
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "d"}]}], ",", 
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "3", "]"}], "\[Rule]", 
    "\[CapitalDelta]"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7955380183895226`*^9, 3.7955381980868006`*^9, 3.7958915009282565`*^9, 
   3.795891759441619*^9, 3.795892057657036*^9, 3.7958921877972183`*^9, 
   3.7958923412120485`*^9, 3.795892378587101*^9, 3.7965796399381385`*^9, 
   3.798418261438404*^9, {3.798505642655376*^9, 3.7985056656043673`*^9}, 
   3.7986878932153196`*^9, 
   3.799039765964905*^9},ExpressionUUID->"fd031d4d-485f-4363-b3d1-\
39a5e5250fab"]
}, Open  ]],

Cell["Check if they satisfy primary WIs.", "Text",
 CellChangeTimes->{{3.7958919896269407`*^9, 
  3.7958920010319567`*^9}},ExpressionUUID->"944cb5af-8321-44ad-bdce-\
48b3bbe4fc92"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CheckPrimaryCWIs", "[", 
  RowBox[{"JJO", ",", " ", "PS"}], "]"}]], "Input",
 CellChangeTimes->{{3.795265014608569*^9, 3.79526503181986*^9}, {
   3.7952650984793167`*^9, 3.795265101709263*^9}, {3.795265181219277*^9, 
   3.7952651814031477`*^9}, {3.795265243643098*^9, 3.795265309128849*^9}, {
   3.795265395159733*^9, 3.795265401019408*^9}, 3.795266143978883*^9, {
   3.7952762109956117`*^9, 3.7952762189356227`*^9}, {3.795276301120738*^9, 
   3.795276313605755*^9}, {3.7952764669509697`*^9, 3.7952764773609843`*^9}, 
   3.795537917860772*^9, {3.7958915150632763`*^9, 3.7958915161482778`*^9}, {
   3.7958920616520414`*^9, 3.7958920637470446`*^9}, {3.795892190432222*^9, 
   3.795892190537222*^9}, {3.795892343657052*^9, 
   3.795892344432053*^9}},ExpressionUUID->"aae49e58-d4f7-4157-992d-\
e08f5ddb7796"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7952617444983892`*^9, 3.795265032207391*^9, {3.795265285700379*^9, 
   3.7952653103374653`*^9}, 3.795265416579867*^9, {3.7952661266935873`*^9, 
   3.7952661453025427`*^9}, {3.7952762160306187`*^9, 
   3.7952762193156233`*^9}, {3.7952763058207445`*^9, 3.795276313985756*^9}, 
   3.795276477695985*^9, 3.795537918608815*^9, 3.795538230158635*^9, 
   3.795891516863279*^9, 3.7958917603516197`*^9, 3.7958920646270456`*^9, 
   3.795892191012223*^9, 3.795892345622055*^9, 3.796579641859248*^9, 
   3.798418262842906*^9, 3.7985056665319977`*^9, 3.7986878932343206`*^9, 
   3.799039765992958*^9},ExpressionUUID->"2bee0e6e-1bbc-4eac-bdc2-\
d965bd105def"]
}, Open  ]],

Cell["\<\
Zero-momentum limit of the left hand sides of the secondary WIs.\
\>", "Text",
 CellChangeTimes->{{3.795892005566963*^9, 
  3.795892023231988*^9}},ExpressionUUID->"a410a1ee-c20c-4969-9d92-\
4c0e591984bf"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SecLhs", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"LhsOfSecondaryCWIs", "[", 
     RowBox[{"JJO", ",", "PS"}], "]"}], "/.", "Dims"}], "//", 
   "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.795261770138795*^9, 3.795261789827681*^9}, {
   3.795261949969742*^9, 3.795261962610084*^9}, {3.795261999794832*^9, 
   3.7952620474772377`*^9}, {3.795262157712533*^9, 3.7952621733515387`*^9}, 
   3.795265434636959*^9, {3.795266229249584*^9, 3.7952662310395117`*^9}, {
   3.79527648120599*^9, 3.7952764965810113`*^9}, {3.7955379215159817`*^9, 
   3.7955379397750254`*^9}, {3.795891528548295*^9, 3.7958915618233414`*^9}, {
   3.7958918773867836`*^9, 3.7958918789617863`*^9}, {3.7958919156968374`*^9, 
   3.795891916051838*^9}, 3.7958920673870497`*^9, {3.7958921945272274`*^9, 
   3.795892194657228*^9}, {3.7958923498220606`*^9, 3.795892350342061*^9}, {
   3.795892382862107*^9, 3.795892383512108*^9}, {3.7965796574921427`*^9, 
   3.7965796608893366`*^9}},ExpressionUUID->"b5dbb259-078d-41c0-bd36-\
2a8c87d713f0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d", "-", "\[CapitalDelta]"}], ")"}]}], "]"}]], 
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{"-", "3"}], "-", 
       FractionBox["d", "2"], "+", "\[CapitalDelta]"}]], " ", 
     SuperscriptBox["p", 
      RowBox[{
       RowBox[{"-", "2"}], "+", "\[CapitalDelta]"}]], " ", 
     SqrtBox["\[Pi]"], " ", 
     RowBox[{"Gamma", "[", 
      FractionBox[
       RowBox[{"d", "-", "\[CapitalDelta]"}], "2"], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"1", "-", 
       FractionBox["\[CapitalDelta]", "2"]}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"d", "-", 
       FractionBox["\[CapitalDelta]", "2"]}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["d", "2"]}], "+", "\[CapitalDelta]"}], "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[CapitalDelta]", " ", 
        RowBox[{"(", 
         RowBox[{"2", "-", "d", "+", "\[CapitalDelta]"}], ")"}], " ", 
        RowBox[{"\[Alpha]", "[", "1", "]"}]}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"\[Alpha]", "[", "2", "]"}]}]}], ")"}]}]}]}], "}"}]], "Output",\

 CellChangeTimes->{{3.795261752158103*^9, 3.795261790581032*^9}, {
   3.795261950333003*^9, 3.795261963020537*^9}, {3.795262004117352*^9, 
   3.795262040301216*^9}, {3.7952621471892443`*^9, 3.7952621738296347`*^9}, 
   3.795262573109961*^9, 3.795265436576318*^9, 3.795266148173765*^9, 
   3.79526623460083*^9, 3.7952764980110135`*^9, {3.795537923028068*^9, 
   3.7955379406680765`*^9}, {3.795891531343299*^9, 3.7958915630383434`*^9}, 
   3.7958917622416224`*^9, 3.7958918833667917`*^9, 3.795891918071841*^9, 
   3.795892068157051*^9, 3.7958921950472283`*^9, {3.7958923569720707`*^9, 
   3.7958924097121444`*^9}, {3.7965796430613174`*^9, 3.796579663298475*^9}, 
   3.798418266318122*^9, 3.798505669518077*^9, 3.798687895220434*^9, 
   3.799039768258863*^9},ExpressionUUID->"81b29317-a2d8-427a-8e9a-\
e32dfdeaa4b7"]
}, Open  ]],

Cell["\<\
Zero-momentum limit of the right hand sides of the secondary WIs. We use \
transverse WIs in the process.\
\>", "Text",
 CellChangeTimes->{{3.7958920265219927`*^9, 3.795892043247016*^9}, {
  3.7958920767070627`*^9, 
  3.7958920874220777`*^9}},ExpressionUUID->"e9b2c2cf-6a1a-4558-8375-\
4a7959999cd3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SecRhs", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"ReleaseHold", "[", 
     RowBox[{
      RowBox[{"SecondaryCWIsRhs", "[", "JJO", "]"}], "/.", 
      RowBox[{"TransverseWIs", "[", "JJO", "]"}]}], "]"}], "/.", 
    "suZeroMomentumLimit"}], "//", "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.795262175092338*^9, 3.7952621802480383`*^9}, {
  3.7952622342184267`*^9, 3.795262234386072*^9}, {3.795262274299431*^9, 
  3.795262280721725*^9}, {3.7952637001179113`*^9, 3.7952637029059963`*^9}, {
  3.795263759953979*^9, 3.79526376255427*^9}, {3.795263839469105*^9, 
  3.7952638684266768`*^9}, {3.795264082294034*^9, 3.795264082586402*^9}, {
  3.795264119021545*^9, 3.795264119250308*^9}, {3.7958919193968425`*^9, 
  3.795891919736843*^9}, {3.795892198312233*^9, 3.795892217032259*^9}, {
  3.795892415657153*^9, 3.7958924438921924`*^9}, {3.798418271649695*^9, 
  3.798418272001248*^9}},ExpressionUUID->"4a73400e-26d1-444e-a8d5-\
dda4e1974f10"],

Cell[BoxData[
 RowBox[{"{", "0", "}"}]], "Output",
 CellChangeTimes->{
  3.7952621805721827`*^9, 3.795262234651559*^9, {3.795262275200886*^9, 
   3.7952622810149508`*^9}, {3.795263682848351*^9, 3.79526370315583*^9}, {
   3.795263752333869*^9, 3.795263763158441*^9}, {3.795263848153117*^9, 
   3.795263868700594*^9}, 3.795263908112606*^9, 3.795264082999452*^9, {
   3.795264120286715*^9, 3.795264127369176*^9}, 3.7952765136960354`*^9, 
   3.795537943511239*^9, {3.795891547143321*^9, 3.795891570048353*^9}, 
   3.7958917623466225`*^9, 3.795891920416844*^9, 3.7958920955770893`*^9, {
   3.7958922028472395`*^9, 3.7958922295522766`*^9}, {3.795892424217165*^9, 
   3.7958924443421926`*^9}, 3.7965796673827085`*^9, 3.798418272279347*^9, 
   3.798505669583494*^9, 3.798687895260436*^9, 
   3.799039768296742*^9},ExpressionUUID->"e23c5e18-6bf3-48d1-ab81-\
b1325e8c2843"]
}, Open  ]],

Cell[TextData[{
 "Solutions for primary constants ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Alpha]", "j"], TraditionalForm]],ExpressionUUID->
  "827d734f-fe12-4b92-9aaa-def362cf5a22"],
 " in a generic case. Note that for special values of dimensions \
renormalization and/or additional contributions from functional derivative \
terms may appear. The latter occurs if ",
 Cell[BoxData[
  FormBox[
   RowBox[{"d", " ", 
    RowBox[{"J", "/", "d"}], " ", 
    RowBox[{"A", " ", "~", " ", "O"}]}], TraditionalForm]],ExpressionUUID->
  "6baa3637-bd08-4f72-8342-f771a41c8db2"],
 " or its derivatives, i.e., when ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[CapitalDelta]", "+", 
     RowBox[{"2", "n"}]}], "=", 
    RowBox[{"d", "-", "2"}]}], TraditionalForm]],ExpressionUUID->
  "1c23ab3a-6020-4580-99b3-ed4abe3b6b80"],
 "."
}], "Text",
 CellChangeTimes->{{3.7958920998420954`*^9, 3.795892171062195*^9}, {
  3.7958924651822224`*^9, 
  3.795892555094348*^9}},ExpressionUUID->"892c23d6-8978-4af9-84a2-\
ec1a55377b00"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"solAlpha", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"SecLhs", "\[Equal]", "SecRhs"}], ",", 
      RowBox[{"\[Alpha]", "[", "2", "]"}]}], "]"}], "\[LeftDoubleBracket]", 
    "1", "\[RightDoubleBracket]"}], "//", "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.795263799986126*^9, 3.795263833858448*^9}, {
  3.7952639153702307`*^9, 3.795263950522517*^9}, {3.795264192880327*^9, 
  3.795264197178268*^9}, {3.795537946732424*^9, 3.795537947661477*^9}, {
  3.7955381555083647`*^9, 3.7955381587705517`*^9}, {3.7958919221818466`*^9, 
  3.7958919258418517`*^9}, {3.7958922357222853`*^9, 3.7958922358572855`*^9}, {
  3.795892561904358*^9, 
  3.795892566719364*^9}},ExpressionUUID->"8d79f792-709e-412d-8763-\
454b808f4e82"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[Alpha]", "[", "2", "]"}], "\[Rule]", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["1", "2"]}], " ", "\[CapitalDelta]", " ", 
    RowBox[{"(", 
     RowBox[{"2", "-", "d", "+", "\[CapitalDelta]"}], ")"}], " ", 
    RowBox[{"\[Alpha]", "[", "1", "]"}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.7952638051502323`*^9, 3.7952638152575207`*^9}, {
   3.795263916005083*^9, 3.795263951790344*^9}, 3.7952641978733892`*^9, 
   3.7952765171260405`*^9, 3.795537948054499*^9, 3.7955381601666317`*^9, 
   3.7958915758583612`*^9, 3.7958917637216244`*^9, 3.795891928596855*^9, 
   3.7958922362672863`*^9, 3.7958925688343678`*^9, 3.7965796694178247`*^9, 
   3.7984182741728487`*^9, 3.798505670248865*^9, 3.7986878952824373`*^9, 
   3.7990397683341618`*^9},ExpressionUUID->"a26ca08e-e4e3-4096-a465-\
60a45dcc633a"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["<TJO>", "Section",
 CellChangeTimes->{{3.795261710502955*^9, 3.79526171311106*^9}, {
  3.795263974571103*^9, 3.795263974865499*^9}, {3.795264213961895*^9, 
  3.79526421408195*^9}, {3.795266435363764*^9, 3.795266436467969*^9}, {
  3.7952770713859887`*^9, 
  3.795277071585989*^9}},ExpressionUUID->"25972f1c-3d97-45db-99f1-\
095dab699438"],

Cell["List of solutions to primary WIs.", "Text",
 CellChangeTimes->{{3.795891975626921*^9, 
  3.795891986056936*^9}},ExpressionUUID->"33658c5f-e24f-4cc8-99e8-\
995254a0a6dd"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PS", "=", 
  RowBox[{"PrimarySolutions", "[", "TJO", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Dims", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "\[Rule]", "d"}], ",", 
    RowBox[{
     RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "\[Rule]", 
     RowBox[{"d", "-", "1"}]}], ",", 
    RowBox[{
     RowBox[{"\[CapitalDelta]", "[", "3", "]"}], "\[Rule]", 
     "\[CapitalDelta]"}]}], "}"}]}]}], "Input",
 CellChangeTimes->{{3.79589149603325*^9, 3.7958915004532557`*^9}, {
  3.7958920556720333`*^9, 3.7958920569470353`*^9}, {3.795892186912217*^9, 
  3.7958921870872173`*^9}, {3.795892602605415*^9, 3.795892632175456*^9}, {
  3.798418293609173*^9, 
  3.7984182941945*^9}},ExpressionUUID->"c4ad8fc4-aeb1-49b4-902b-059fa688c0c1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"A", "[", "1", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"J", "[", 
      RowBox[{"3", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
     RowBox[{"\[Alpha]", "[", "1", "]"}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "2", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{"J", "[", 
       RowBox[{"2", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "1", "]"}]}], "+", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"1", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "2", "]"}]}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7955380183895226`*^9, 3.7955381980868006`*^9, 3.7958915009282565`*^9, 
   3.795891759441619*^9, 3.795892057657036*^9, 3.7958921877972183`*^9, {
   3.7958926035804157`*^9, 3.795892632605457*^9}, 3.796579676188212*^9, 
   3.798418294533038*^9, 3.798505671578854*^9, 3.7986878952854376`*^9, 
   3.799039768344413*^9},ExpressionUUID->"1b957d3b-bdc4-4717-8246-\
00cf6f447fa4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "\[Rule]", "d"}], ",", 
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "d"}]}], ",", 
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "3", "]"}], "\[Rule]", 
    "\[CapitalDelta]"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7955380183895226`*^9, 3.7955381980868006`*^9, 3.7958915009282565`*^9, 
   3.795891759441619*^9, 3.795892057657036*^9, 3.7958921877972183`*^9, {
   3.7958926035804157`*^9, 3.795892632605457*^9}, 3.796579676188212*^9, 
   3.798418294533038*^9, 3.798505671578854*^9, 3.7986878952854376`*^9, 
   3.799039768346047*^9},ExpressionUUID->"35a733df-f220-42ea-a9e5-\
7e75dd4b3473"]
}, Open  ]],

Cell["Check if they satisfy primary WIs.", "Text",
 CellChangeTimes->{{3.7958919896269407`*^9, 
  3.7958920010319567`*^9}},ExpressionUUID->"d3902130-6e5f-45cc-a55d-\
3d0e5eabd62d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CheckPrimaryCWIs", "[", 
  RowBox[{"TJO", ",", " ", "PS"}], "]"}]], "Input",
 CellChangeTimes->{{3.795265014608569*^9, 3.79526503181986*^9}, {
   3.7952650984793167`*^9, 3.795265101709263*^9}, {3.795265181219277*^9, 
   3.7952651814031477`*^9}, {3.795265243643098*^9, 3.795265309128849*^9}, {
   3.795265395159733*^9, 3.795265401019408*^9}, 3.795266143978883*^9, {
   3.7952762109956117`*^9, 3.7952762189356227`*^9}, {3.795276301120738*^9, 
   3.795276313605755*^9}, {3.7952764669509697`*^9, 3.7952764773609843`*^9}, 
   3.795537917860772*^9, {3.7958915150632763`*^9, 3.7958915161482778`*^9}, {
   3.7958920616520414`*^9, 3.7958920637470446`*^9}, {3.795892190432222*^9, 
   3.795892190537222*^9}, {3.79589260617542*^9, 
   3.7958926065554204`*^9}},ExpressionUUID->"b03a05b4-dde2-474a-b742-\
bc835ade4128"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7952617444983892`*^9, 3.795265032207391*^9, {3.795265285700379*^9, 
   3.7952653103374653`*^9}, 3.795265416579867*^9, {3.7952661266935873`*^9, 
   3.7952661453025427`*^9}, {3.7952762160306187`*^9, 
   3.7952762193156233`*^9}, {3.7952763058207445`*^9, 3.795276313985756*^9}, 
   3.795276477695985*^9, 3.795537918608815*^9, 3.795538230158635*^9, 
   3.795891516863279*^9, 3.7958917603516197`*^9, 3.7958920646270456`*^9, 
   3.795892191012223*^9, {3.795892607100421*^9, 3.79589263463546*^9}, 
   3.7965796776482954`*^9, 3.798418295595694*^9, 3.798505672586882*^9, 
   3.798687895305438*^9, 
   3.799039768374428*^9},ExpressionUUID->"bca36b2f-07c8-41ef-b836-\
2c9bd0b17a47"]
}, Open  ]],

Cell["\<\
Zero-momentum limit of the left hand sides of the secondary WIs.\
\>", "Text",
 CellChangeTimes->{{3.795892005566963*^9, 
  3.795892023231988*^9}},ExpressionUUID->"2acba741-75c4-4165-b114-\
acc33213bc62"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SecLhs", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"LhsOfSecondaryCWIs", "[", 
     RowBox[{"TJO", ",", "PS"}], "]"}], "/.", "Dims"}], "//", 
   "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.795261770138795*^9, 3.795261789827681*^9}, {
   3.795261949969742*^9, 3.795261962610084*^9}, {3.795261999794832*^9, 
   3.7952620474772377`*^9}, {3.795262157712533*^9, 3.7952621733515387`*^9}, 
   3.795265434636959*^9, {3.795266229249584*^9, 3.7952662310395117`*^9}, {
   3.79527648120599*^9, 3.7952764965810113`*^9}, {3.7955379215159817`*^9, 
   3.7955379397750254`*^9}, {3.795891528548295*^9, 3.7958915618233414`*^9}, {
   3.7958918773867836`*^9, 3.7958918789617863`*^9}, {3.7958919156968374`*^9, 
   3.795891916051838*^9}, 3.7958920673870497`*^9, {3.7958921945272274`*^9, 
   3.795892194657228*^9}, {3.795892610765426*^9, 3.795892638500465*^9}, {
   3.7965796828105907`*^9, 
   3.7965796844656854`*^9}},ExpressionUUID->"0fb34641-632c-4b97-8d54-\
dde3ae70f334"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"Gamma", "[", 
       RowBox[{"2", "+", "d", "-", "\[CapitalDelta]"}], "]"}]], 
     RowBox[{
      SuperscriptBox["2", 
       RowBox[{
        RowBox[{"-", "2"}], "+", 
        FractionBox["d", "2"]}]], " ", 
      SuperscriptBox["p", 
       RowBox[{
        RowBox[{"-", "2"}], "+", "\[CapitalDelta]"}]], " ", 
      RowBox[{"Gamma", "[", 
       FractionBox[
        RowBox[{"d", "-", "\[CapitalDelta]"}], "2"], "]"}], " ", 
      RowBox[{"Gamma", "[", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"4", "+", "d", "-", "\[CapitalDelta]"}], ")"}]}], "]"}], " ", 
      RowBox[{"Gamma", "[", 
       RowBox[{"1", "-", 
        FractionBox["\[CapitalDelta]", "2"]}], "]"}], " ", 
      RowBox[{"Gamma", "[", 
       RowBox[{"1", "+", "d", "-", 
        FractionBox["\[CapitalDelta]", "2"]}], "]"}], " ", 
      RowBox[{"Gamma", "[", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["d", "2"]}], "+", "\[CapitalDelta]"}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[CapitalDelta]", " ", 
         RowBox[{"(", 
          RowBox[{"2", "-", "d", "+", "\[CapitalDelta]"}], ")"}], " ", 
         RowBox[{"\[Alpha]", "[", "1", "]"}]}], "+", 
        RowBox[{"\[Alpha]", "[", "2", "]"}]}], ")"}]}]}]}], ",", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"3", "+", "d", "-", "\[CapitalDelta]"}], ")"}]}], "]"}]], 
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{"-", "3"}], "-", 
       FractionBox["d", "2"], "+", "\[CapitalDelta]"}]], " ", 
     SuperscriptBox["p", 
      RowBox[{
       RowBox[{"-", "2"}], "+", "\[CapitalDelta]"}]], " ", 
     SqrtBox["\[Pi]"], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"2", "+", "d", "-", "\[CapitalDelta]"}], ")"}]}], "]"}], " ", 
     
     RowBox[{"Gamma", "[", 
      RowBox[{"1", "-", 
       FractionBox["\[CapitalDelta]", "2"]}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"1", "+", "d", "-", 
       FractionBox["\[CapitalDelta]", "2"]}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["d", "2"]}], "+", "\[CapitalDelta]"}], "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], "+", "d", "-", "\[CapitalDelta]"}], ")"}], " ", 
        
        RowBox[{"(", 
         RowBox[{"2", "+", "\[CapitalDelta]"}], ")"}], " ", 
        RowBox[{"\[Alpha]", "[", "1", "]"}]}], "-", 
       RowBox[{"2", " ", 
        RowBox[{"\[Alpha]", "[", "2", "]"}]}]}], ")"}]}]}], ",", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"Gamma", "[", 
      RowBox[{"1", "+", "d", "-", "\[CapitalDelta]"}], "]"}]], 
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{"-", "2"}], "+", 
       FractionBox["d", "2"]}]], " ", 
     SuperscriptBox["p", "\[CapitalDelta]"], " ", "\[CapitalDelta]", " ", 
     SuperscriptBox[
      RowBox[{"Gamma", "[", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"2", "+", "d", "-", "\[CapitalDelta]"}], ")"}]}], "]"}], 
      "2"], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"d", "-", 
       FractionBox["\[CapitalDelta]", "2"]}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"-", 
       FractionBox["\[CapitalDelta]", "2"]}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["d", "2"]}], "+", "\[CapitalDelta]"}], "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "d", " ", 
        RowBox[{"\[Alpha]", "[", "1", "]"}]}], "+", 
       RowBox[{"4", " ", "\[CapitalDelta]", " ", 
        RowBox[{"\[Alpha]", "[", "1", "]"}]}], "+", 
       RowBox[{"\[Alpha]", "[", "2", "]"}]}], ")"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.795261752158103*^9, 3.795261790581032*^9}, {
   3.795261950333003*^9, 3.795261963020537*^9}, {3.795262004117352*^9, 
   3.795262040301216*^9}, {3.7952621471892443`*^9, 3.7952621738296347`*^9}, 
   3.795262573109961*^9, 3.795265436576318*^9, 3.795266148173765*^9, 
   3.79526623460083*^9, 3.7952764980110135`*^9, {3.795537923028068*^9, 
   3.7955379406680765`*^9}, {3.795891531343299*^9, 3.7958915630383434`*^9}, 
   3.7958917622416224`*^9, 3.7958918833667917`*^9, 3.795891918071841*^9, 
   3.795892068157051*^9, 3.7958921950472283`*^9, 3.795892649635481*^9, {
   3.79657967877536*^9, 3.7965796966223807`*^9}, 3.798418310209641*^9, 
   3.7985056866830797`*^9, 3.798687907367119*^9, 
   3.799039782449325*^9},ExpressionUUID->"2761e73a-f021-4fdf-9fba-\
719bd840e0ab"]
}, Open  ]],

Cell["\<\
Zero-momentum limit of the right hand sides of the secondary WIs. We use \
transverse WIs in the process.\
\>", "Text",
 CellChangeTimes->{{3.7958920265219927`*^9, 3.795892043247016*^9}, {
  3.7958920767070627`*^9, 
  3.7958920874220777`*^9}},ExpressionUUID->"a9602f0d-b726-4a8a-b40c-\
0ea1c2989954"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SecRhs", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"ReleaseHold", "[", 
     RowBox[{
      RowBox[{"SecondaryCWIsRhs", "[", "TJO", "]"}], "/.", 
      RowBox[{"TransverseWIs", "[", "TJO", "]"}]}], "]"}], "/.", 
    "suZeroMomentumLimit"}], "//", "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.795262175092338*^9, 3.7952621802480383`*^9}, {
  3.7952622342184267`*^9, 3.795262234386072*^9}, {3.795262274299431*^9, 
  3.795262280721725*^9}, {3.7952637001179113`*^9, 3.7952637029059963`*^9}, {
  3.795263759953979*^9, 3.79526376255427*^9}, {3.795263839469105*^9, 
  3.7952638684266768`*^9}, {3.795264082294034*^9, 3.795264082586402*^9}, {
  3.795264119021545*^9, 3.795264119250308*^9}, {3.7958919193968425`*^9, 
  3.795891919736843*^9}, {3.795892198312233*^9, 3.795892217032259*^9}, {
  3.79589264917048*^9, 3.7958926535804863`*^9}, {3.798418301754401*^9, 
  3.798418302217318*^9}},ExpressionUUID->"68f6e5ae-16fc-4204-ab78-\
74b614dd031f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{
  3.7952621805721827`*^9, 3.795262234651559*^9, {3.795262275200886*^9, 
   3.7952622810149508`*^9}, {3.795263682848351*^9, 3.79526370315583*^9}, {
   3.795263752333869*^9, 3.795263763158441*^9}, {3.795263848153117*^9, 
   3.795263868700594*^9}, 3.795263908112606*^9, 3.795264082999452*^9, {
   3.795264120286715*^9, 3.795264127369176*^9}, 3.7952765136960354`*^9, 
   3.795537943511239*^9, {3.795891547143321*^9, 3.795891570048353*^9}, 
   3.7958917623466225`*^9, 3.795891920416844*^9, 3.7958920955770893`*^9, {
   3.7958922028472395`*^9, 3.7958922295522766`*^9}, 3.7958926541204867`*^9, 
   3.7965796966913843`*^9, 3.798418310259392*^9, 3.798505686759438*^9, 
   3.798687907420122*^9, 
   3.799039782493227*^9},ExpressionUUID->"4cb853f1-e6a1-459a-8cb9-\
fcb99a8bd27a"]
}, Open  ]],

Cell[TextData[{
 "Solutions for primary constants ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Alpha]", "j"], TraditionalForm]],ExpressionUUID->
  "5ee89d82-d218-4ddd-ba4c-d08f3c9dd4a1"],
 " in a generic case. Note that for special values of dimensions \
renormalization and/or additional contributions from functional derivative \
terms may appear. The latter occurs if ",
 Cell[BoxData[
  FormBox[
   RowBox[{"d", " ", 
    RowBox[{"T", "/", "d"}], " ", 
    RowBox[{"A", " ", "~", " ", "O"}]}], TraditionalForm]],ExpressionUUID->
  "0a7748f2-64a1-4221-a133-299d4fc5bc83"],
 " or its derivatives, i.e., when ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[CapitalDelta]", "+", 
     RowBox[{"2", "n"}]}], "=", 
    RowBox[{"d", "-", "1"}]}], TraditionalForm]],ExpressionUUID->
  "71e38a59-cd27-46cb-819b-4d26f7091fee"],
 "."
}], "Text",
 CellChangeTimes->{{3.7958920998420954`*^9, 3.795892171062195*^9}, {
  3.795892664590502*^9, 
  3.7958926775555196`*^9}},ExpressionUUID->"f7c40a09-4906-45dc-8046-\
0840629d93a3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"solAlpha", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"SecLhs", "\[Equal]", "SecRhs"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "1", "]"}], ",", 
        RowBox[{"\[Alpha]", "[", "2", "]"}]}], "}"}]}], "]"}], 
    "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "//", 
   "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.795263799986126*^9, 3.795263833858448*^9}, {
  3.7952639153702307`*^9, 3.795263950522517*^9}, {3.795264192880327*^9, 
  3.795264197178268*^9}, {3.795537946732424*^9, 3.795537947661477*^9}, {
  3.7955381555083647`*^9, 3.7955381587705517`*^9}, {3.7958919221818466`*^9, 
  3.7958919258418517`*^9}, {3.7958922357222853`*^9, 3.7958922358572855`*^9}, {
  3.795892687095533*^9, 
  3.7958927103415656`*^9}},ExpressionUUID->"dc0ce332-b1d8-4573-b27a-\
ff20b82cde74"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Alpha]", "[", "1", "]"}], "\[Rule]", "0"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "2", "]"}], "\[Rule]", "0"}]}], "}"}]], "Output",\

 CellChangeTimes->{{3.7952638051502323`*^9, 3.7952638152575207`*^9}, {
   3.795263916005083*^9, 3.795263951790344*^9}, 3.7952641978733892`*^9, 
   3.7952765171260405`*^9, 3.795537948054499*^9, 3.7955381601666317`*^9, 
   3.7958915758583612`*^9, 3.7958917637216244`*^9, 3.795891928596855*^9, 
   3.7958922362672863`*^9, {3.7958926948655443`*^9, 3.795892710676566*^9}, 
   3.7965796968623943`*^9, 3.7984183114297533`*^9, 3.798505686978859*^9, 
   3.79868790757213*^9, 
   3.7990397826703653`*^9},ExpressionUUID->"805c0077-dc7f-4751-baea-\
f70c088d8790"]
}, Open  ]],

Cell["This correlator trivializes.", "Text",
 CellChangeTimes->{{3.7958927157465734`*^9, 
  3.795892721476581*^9}},ExpressionUUID->"bdb7d3d0-d648-419a-802e-\
d73b3fafd244"]
}, Closed]],

Cell[CellGroupData[{

Cell["<TTO>", "Section",
 CellChangeTimes->{{3.795261710502955*^9, 3.79526171311106*^9}, {
  3.795263974571103*^9, 3.795263974865499*^9}, {3.795264213961895*^9, 
  3.79526421408195*^9}, {3.795266435363764*^9, 
  3.795266436467969*^9}},ExpressionUUID->"1f10bbdc-8f86-43fb-a487-\
6679615b2372"],

Cell["List of solutions to primary WIs.", "Text",
 CellChangeTimes->{{3.795891975626921*^9, 
  3.795891986056936*^9}},ExpressionUUID->"22739b22-3250-4245-867d-\
1e9fa7360d0e"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PS", "=", 
  RowBox[{"PrimarySolutions", "[", "TTO", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Dims", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "\[Rule]", "d"}], ",", 
    RowBox[{
     RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "\[Rule]", "d"}], ",", 
    RowBox[{
     RowBox[{"\[CapitalDelta]", "[", "3", "]"}], "\[Rule]", 
     "\[CapitalDelta]"}]}], "}"}]}]}], "Input",
 CellChangeTimes->{{3.79589149603325*^9, 3.7958915004532557`*^9}, {
  3.7958920556720333`*^9, 3.7958920569470353`*^9}, {3.795892186912217*^9, 
  3.7958921870872173`*^9}, {3.7958923405520477`*^9, 3.7958923779371*^9}, {
  3.795892745386615*^9, 3.795892749826621*^9}, {3.798418316906767*^9, 
  3.798418317474725*^9}},ExpressionUUID->"c8beeccb-777b-4e8c-a0d9-\
102e58a29a82"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"A", "[", "1", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"J", "[", 
      RowBox[{"4", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
     RowBox[{"\[Alpha]", "[", "1", "]"}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "2", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{"J", "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "1", "]"}]}], "+", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"2", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "2", "]"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "3", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{"J", "[", 
       RowBox[{"2", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "2"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "1", "]"}]}], "+", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"1", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "2", "]"}]}], "+", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "3", "]"}]}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.7955380183895226`*^9, 3.7955381980868006`*^9, 
  3.7958915009282565`*^9, 3.795891759441619*^9, 3.795892057657036*^9, 
  3.7958921877972183`*^9, 3.7958923412120485`*^9, 3.795892378587101*^9, 
  3.795892750316622*^9, 3.7965797051488686`*^9, 3.798418317919033*^9, 
  3.798505687037097*^9, 3.798687907585131*^9, 
  3.79903978268561*^9},ExpressionUUID->"9cdea2b4-944f-4b89-b9c3-ce6cf864f7d8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "\[Rule]", "d"}], ",", 
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "\[Rule]", "d"}], ",", 
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "3", "]"}], "\[Rule]", 
    "\[CapitalDelta]"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7955380183895226`*^9, 3.7955381980868006`*^9, 
  3.7958915009282565`*^9, 3.795891759441619*^9, 3.795892057657036*^9, 
  3.7958921877972183`*^9, 3.7958923412120485`*^9, 3.795892378587101*^9, 
  3.795892750316622*^9, 3.7965797051488686`*^9, 3.798418317919033*^9, 
  3.798505687037097*^9, 3.798687907585131*^9, 
  3.7990397826872663`*^9},ExpressionUUID->"61547b54-9cdc-4d0d-950a-\
4eaa0ecd7780"]
}, Open  ]],

Cell["Check if they satisfy primary WIs.", "Text",
 CellChangeTimes->{{3.7958919896269407`*^9, 
  3.7958920010319567`*^9}},ExpressionUUID->"5d6f9282-021f-4198-be4c-\
282ad57388b3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CheckPrimaryCWIs", "[", 
  RowBox[{"TTO", ",", " ", "PS"}], "]"}]], "Input",
 CellChangeTimes->{{3.795265014608569*^9, 3.79526503181986*^9}, {
   3.7952650984793167`*^9, 3.795265101709263*^9}, {3.795265181219277*^9, 
   3.7952651814031477`*^9}, {3.795265243643098*^9, 3.795265309128849*^9}, {
   3.795265395159733*^9, 3.795265401019408*^9}, 3.795266143978883*^9, {
   3.7952762109956117`*^9, 3.7952762189356227`*^9}, {3.795276301120738*^9, 
   3.795276313605755*^9}, {3.7952764669509697`*^9, 3.7952764773609843`*^9}, 
   3.795537917860772*^9, {3.7958915150632763`*^9, 3.7958915161482778`*^9}, {
   3.7958920616520414`*^9, 3.7958920637470446`*^9}, {3.795892190432222*^9, 
   3.795892190537222*^9}, {3.795892343657052*^9, 3.795892344432053*^9}, {
   3.795892754371627*^9, 
   3.7958927548666277`*^9}},ExpressionUUID->"0a661bd3-8de2-4b83-9861-\
03a696a2602b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7952617444983892`*^9, 3.795265032207391*^9, {3.795265285700379*^9, 
   3.7952653103374653`*^9}, 3.795265416579867*^9, {3.7952661266935873`*^9, 
   3.7952661453025427`*^9}, {3.7952762160306187`*^9, 
   3.7952762193156233`*^9}, {3.7952763058207445`*^9, 3.795276313985756*^9}, 
   3.795276477695985*^9, 3.795537918608815*^9, 3.795538230158635*^9, 
   3.795891516863279*^9, 3.7958917603516197`*^9, 3.7958920646270456`*^9, 
   3.795892191012223*^9, 3.795892345622055*^9, 3.7958927552316284`*^9, 
   3.796579706264932*^9, 3.7984183197961693`*^9, 3.7985056871090593`*^9, 
   3.7986879076041327`*^9, 
   3.799039782721613*^9},ExpressionUUID->"880edb97-3437-424c-9fea-\
c5cb72237e94"]
}, Open  ]],

Cell["\<\
Zero-momentum limit of the left hand sides of the secondary WIs.\
\>", "Text",
 CellChangeTimes->{{3.795892005566963*^9, 
  3.795892023231988*^9}},ExpressionUUID->"ff51bad4-5b99-40b6-b3eb-\
d20a08460712"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SecLhs", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"LhsOfSecondaryCWIs", "[", 
     RowBox[{"TTO", ",", "PS"}], "]"}], "/.", "Dims"}], "//", 
   "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.795261770138795*^9, 3.795261789827681*^9}, {
   3.795261949969742*^9, 3.795261962610084*^9}, {3.795261999794832*^9, 
   3.7952620474772377`*^9}, {3.795262157712533*^9, 3.7952621733515387`*^9}, 
   3.795265434636959*^9, {3.795266229249584*^9, 3.7952662310395117`*^9}, {
   3.79527648120599*^9, 3.7952764965810113`*^9}, {3.7955379215159817`*^9, 
   3.7955379397750254`*^9}, {3.795891528548295*^9, 3.7958915618233414`*^9}, {
   3.7958918773867836`*^9, 3.7958918789617863`*^9}, {3.7958919156968374`*^9, 
   3.795891916051838*^9}, 3.7958920673870497`*^9, {3.7958921945272274`*^9, 
   3.795892194657228*^9}, {3.7958923498220606`*^9, 3.795892350342061*^9}, {
   3.795892382862107*^9, 3.795892383512108*^9}, {3.795892758566633*^9, 
   3.795892759226634*^9}, {3.7965797097851334`*^9, 
   3.7965797131773276`*^9}},ExpressionUUID->"a34f9f24-64e6-41ff-80e1-\
5ca9d75be7f5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox["1", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"5", "+", "d", "-", "\[CapitalDelta]"}], ")"}]}], "]"}]], 
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{"-", "5"}], "-", 
       FractionBox["d", "2"], "+", "\[CapitalDelta]"}]], " ", 
     SuperscriptBox["p", 
      RowBox[{
       RowBox[{"-", "2"}], "+", "\[CapitalDelta]"}]], " ", 
     SqrtBox["\[Pi]"], " ", 
     RowBox[{"(", 
      RowBox[{"3", "+", "d", "-", "\[CapitalDelta]"}], ")"}], " ", 
     "\[CapitalDelta]", " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"2", "+", "d", "-", "\[CapitalDelta]"}], ")"}]}], "]"}], " ", 
     
     RowBox[{"Gamma", "[", 
      RowBox[{"2", "+", "d", "-", 
       FractionBox["\[CapitalDelta]", "2"]}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"-", 
       FractionBox["\[CapitalDelta]", "2"]}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["d", "2"]}], "+", "\[CapitalDelta]"}], "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", "+", "\[CapitalDelta]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"2", "-", "d", "+", "\[CapitalDelta]"}], ")"}], " ", 
        RowBox[{"\[Alpha]", "[", "1", "]"}]}], "+", 
       RowBox[{"\[Alpha]", "[", "2", "]"}]}], ")"}]}]}], ",", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"\[CapitalDelta]", " ", 
      RowBox[{"Gamma", "[", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", "d", "-", "\[CapitalDelta]"}], ")"}]}], "]"}]}]], 
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{"-", "2"}], "-", 
       FractionBox["d", "2"], "+", "\[CapitalDelta]"}]], " ", 
     SuperscriptBox["p", "\[CapitalDelta]"], " ", 
     SqrtBox["\[Pi]"], " ", 
     RowBox[{"Gamma", "[", 
      FractionBox[
       RowBox[{"d", "-", "\[CapitalDelta]"}], "2"], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"1", "-", 
       FractionBox["\[CapitalDelta]", "2"]}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{"1", "+", "d", "-", 
       FractionBox["\[CapitalDelta]", "2"]}], "]"}], " ", 
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["d", "2"]}], "+", "\[CapitalDelta]"}], "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"4", " ", 
        RowBox[{"(", 
         RowBox[{"2", "+", "\[CapitalDelta]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"2", "-", "d", "+", "\[CapitalDelta]"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "d"}], "+", 
          RowBox[{"2", " ", "\[CapitalDelta]"}]}], ")"}], " ", 
        RowBox[{"\[Alpha]", "[", "1", "]"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "d"}], " ", 
           RowBox[{"(", 
            RowBox[{"4", "+", "\[CapitalDelta]"}], ")"}]}], "+", 
          RowBox[{"\[CapitalDelta]", " ", 
           RowBox[{"(", 
            RowBox[{"8", "+", "\[CapitalDelta]"}], ")"}]}]}], ")"}], " ", 
        RowBox[{"\[Alpha]", "[", "2", "]"}]}], "+", 
       RowBox[{"4", " ", 
        RowBox[{"\[Alpha]", "[", "3", "]"}]}]}], ")"}]}]}]}], "}"}]], "Output",\

 CellChangeTimes->{{3.795261752158103*^9, 3.795261790581032*^9}, {
   3.795261950333003*^9, 3.795261963020537*^9}, {3.795262004117352*^9, 
   3.795262040301216*^9}, {3.7952621471892443`*^9, 3.7952621738296347`*^9}, 
   3.795262573109961*^9, 3.795265436576318*^9, 3.795266148173765*^9, 
   3.79526623460083*^9, 3.7952764980110135`*^9, {3.795537923028068*^9, 
   3.7955379406680765`*^9}, {3.795891531343299*^9, 3.7958915630383434`*^9}, 
   3.7958917622416224`*^9, 3.7958918833667917`*^9, 3.795891918071841*^9, 
   3.795892068157051*^9, 3.7958921950472283`*^9, {3.7958923569720707`*^9, 
   3.7958924097121444`*^9}, 3.795892768666647*^9, 3.7965797225488634`*^9, 
   3.798418330337513*^9, 3.7985056961200438`*^9, 3.798687916792654*^9, 
   3.799039793037937*^9},ExpressionUUID->"2025db05-06d0-4ea7-91aa-\
da65b9a059a9"]
}, Open  ]],

Cell["\<\
Zero-momentum limit of the right hand sides of the secondary WIs. We use \
transverse WIs in the process.\
\>", "Text",
 CellChangeTimes->{{3.7958920265219927`*^9, 3.795892043247016*^9}, {
  3.7958920767070627`*^9, 
  3.7958920874220777`*^9}},ExpressionUUID->"a9d877fa-524e-4486-a1dd-\
02b962262b13"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SecRhs", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"ReleaseHold", "[", 
     RowBox[{
      RowBox[{"SecondaryCWIsRhs", "[", "TTO", "]"}], "/.", 
      RowBox[{"TransverseWIs", "[", "TTO", "]"}]}], "]"}], "/.", 
    "suZeroMomentumLimit"}], "//", "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.795262175092338*^9, 3.7952621802480383`*^9}, {
  3.7952622342184267`*^9, 3.795262234386072*^9}, {3.795262274299431*^9, 
  3.795262280721725*^9}, {3.7952637001179113`*^9, 3.7952637029059963`*^9}, {
  3.795263759953979*^9, 3.79526376255427*^9}, {3.795263839469105*^9, 
  3.7952638684266768`*^9}, {3.795264082294034*^9, 3.795264082586402*^9}, {
  3.795264119021545*^9, 3.795264119250308*^9}, {3.7958919193968425`*^9, 
  3.795891919736843*^9}, {3.795892198312233*^9, 3.795892217032259*^9}, {
  3.795892415657153*^9, 3.7958924438921924`*^9}, {3.7958927654616427`*^9, 
  3.795892769041648*^9}, {3.798418324907537*^9, 
  3.798418325273344*^9}},ExpressionUUID->"483883af-1bdb-47be-990c-\
33dff62ae729"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{
  3.7952621805721827`*^9, 3.795262234651559*^9, {3.795262275200886*^9, 
   3.7952622810149508`*^9}, {3.795263682848351*^9, 3.79526370315583*^9}, {
   3.795263752333869*^9, 3.795263763158441*^9}, {3.795263848153117*^9, 
   3.795263868700594*^9}, 3.795263908112606*^9, 3.795264082999452*^9, {
   3.795264120286715*^9, 3.795264127369176*^9}, 3.7952765136960354`*^9, 
   3.795537943511239*^9, {3.795891547143321*^9, 3.795891570048353*^9}, 
   3.7958917623466225`*^9, 3.795891920416844*^9, 3.7958920955770893`*^9, {
   3.7958922028472395`*^9, 3.7958922295522766`*^9}, {3.795892424217165*^9, 
   3.7958924443421926`*^9}, 3.7958927702816496`*^9, 3.7965797225948663`*^9, 
   3.7984183303984528`*^9, 3.798505696174161*^9, 3.7986879168456573`*^9, 
   3.7990397930826197`*^9},ExpressionUUID->"a1a0bb52-fa6d-4587-8ad9-\
98a5bb11b2b6"]
}, Open  ]],

Cell[TextData[{
 "Solutions for primary constants ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Alpha]", "j"], TraditionalForm]],ExpressionUUID->
  "5766a984-476d-4c41-b9d0-7e9ba385ae96"],
 " in a generic case. Note that for special values of dimensions \
renormalization and/or additional contributions from functional derivative \
terms may appear. The latter occurs if ",
 Cell[BoxData[
  FormBox[
   RowBox[{"d", " ", 
    RowBox[{"T", "/", "d"}], " ", 
    RowBox[{"g", " ", "~", " ", "O"}]}], TraditionalForm]],ExpressionUUID->
  "bc3ba30d-53e6-4dd5-bec0-2eca7355ac43"],
 " or its derivatives, i.e., when ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[CapitalDelta]", "+", 
     RowBox[{"2", "n"}]}], "=", "d"}], TraditionalForm]],ExpressionUUID->
  "e3972af2-f170-40d2-8a30-1881435a37ce"],
 "."
}], "Text",
 CellChangeTimes->{{3.7958920998420954`*^9, 3.795892171062195*^9}, {
  3.7958924651822224`*^9, 3.795892555094348*^9}, {3.7958927775416594`*^9, 
  3.7958927832116675`*^9}},ExpressionUUID->"c284ecfb-b0de-47b2-8f4b-\
cbc24b05d72d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"solAlpha", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"SecLhs", "\[Equal]", "SecRhs"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "2", "]"}], ",", 
        RowBox[{"\[Alpha]", "[", "3", "]"}]}], "}"}]}], "]"}], 
    "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "//", 
   "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.795263799986126*^9, 3.795263833858448*^9}, {
  3.7952639153702307`*^9, 3.795263950522517*^9}, {3.795264192880327*^9, 
  3.795264197178268*^9}, {3.795537946732424*^9, 3.795537947661477*^9}, {
  3.7955381555083647`*^9, 3.7955381587705517`*^9}, {3.7958919221818466`*^9, 
  3.7958919258418517`*^9}, {3.7958922357222853`*^9, 3.7958922358572855`*^9}, {
  3.795892561904358*^9, 3.795892566719364*^9}, {3.795892788926676*^9, 
  3.795892791341679*^9}},ExpressionUUID->"cb238090-b685-41c9-88bd-\
e5582ac28760"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Alpha]", "[", "2", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "+", "d", "-", "\[CapitalDelta]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"2", "+", "\[CapitalDelta]"}], ")"}], " ", 
     RowBox[{"\[Alpha]", "[", "1", "]"}]}]}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "3", "]"}], "\[Rule]", 
    RowBox[{
     FractionBox["1", "4"], " ", "\[CapitalDelta]", " ", 
     RowBox[{"(", 
      RowBox[{"2", "+", "\[CapitalDelta]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "d"}], "+", "\[CapitalDelta]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"2", "-", "d", "+", "\[CapitalDelta]"}], ")"}], " ", 
     RowBox[{"\[Alpha]", "[", "1", "]"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.7952638051502323`*^9, 3.7952638152575207`*^9}, {
   3.795263916005083*^9, 3.795263951790344*^9}, 3.7952641978733892`*^9, 
   3.7952765171260405`*^9, 3.795537948054499*^9, 3.7955381601666317`*^9, 
   3.7958915758583612`*^9, 3.7958917637216244`*^9, 3.795891928596855*^9, 
   3.7958922362672863`*^9, 3.7958925688343678`*^9, 3.79589279187168*^9, 
   3.79657972266287*^9, 3.798418333184369*^9, 3.798505696272709*^9, 
   3.79868791688966*^9, 
   3.799039793152573*^9},ExpressionUUID->"ac3807fc-4b25-450f-a33a-\
0136aa04a9eb"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["<JJJ>", "Section",
 CellChangeTimes->{{3.795261710502955*^9, 3.79526171311106*^9}, {
  3.795263974571103*^9, 3.795263974865499*^9}, {3.795264213961895*^9, 
  3.79526421408195*^9}, {3.795266435363764*^9, 3.795266436467969*^9}, {
  3.795277036385767*^9, 
  3.795277036675768*^9}},ExpressionUUID->"e3625a8a-53c3-4e99-bbb4-\
539e69fa650e"],

Cell["List of solutions to primary WIs.", "Text",
 CellChangeTimes->{{3.795891975626921*^9, 
  3.795891986056936*^9}},ExpressionUUID->"997213fa-2875-4129-8ec6-\
095212307b88"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PS", "=", 
  RowBox[{"PrimarySolutions", "[", "JJJ", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Dims", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "\[Rule]", 
     RowBox[{"d", "-", "1"}]}], ",", 
    RowBox[{
     RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "\[Rule]", 
     RowBox[{"d", "-", "1"}]}], ",", 
    RowBox[{
     RowBox[{"\[CapitalDelta]", "[", "3", "]"}], "\[Rule]", 
     RowBox[{"d", "-", "1"}]}]}], "}"}]}]}], "Input",
 CellChangeTimes->{{3.79589149603325*^9, 3.7958915004532557`*^9}, {
  3.7958920556720333`*^9, 3.7958920569470353`*^9}, {3.795892186912217*^9, 
  3.7958921870872173`*^9}, {3.7958923405520477`*^9, 3.7958923779371*^9}, {
  3.795892745386615*^9, 3.795892749826621*^9}, {3.7958928434117517`*^9, 
  3.7958928526667647`*^9}, {3.7984183395650663`*^9, 
  3.798418340125471*^9}},ExpressionUUID->"66544f7e-493e-444e-9404-\
b3d68fc3e964"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"A", "[", "1", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"J", "[", 
      RowBox[{"3", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
     RowBox[{"\[Alpha]", "[", "1", "]"}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "2", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"2", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "1", "]"}]}], "+", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"1", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "2", "]"}]}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7955380183895226`*^9, 3.7955381980868006`*^9, 3.7958915009282565`*^9, 
   3.795891759441619*^9, 3.795892057657036*^9, 3.7958921877972183`*^9, 
   3.7958923412120485`*^9, 3.795892378587101*^9, 3.795892750316622*^9, 
   3.795892854091767*^9, 3.796579742196987*^9, {3.798418337160384*^9, 
   3.798418340424759*^9}, 3.798505703245672*^9, 3.79868791690466*^9, 
   3.799039793163456*^9},ExpressionUUID->"96cb6d85-87ad-494f-a2ff-\
8310652cfbc8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "d"}]}], ",", 
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "d"}]}], ",", 
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "3", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "d"}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7955380183895226`*^9, 3.7955381980868006`*^9, 3.7958915009282565`*^9, 
   3.795891759441619*^9, 3.795892057657036*^9, 3.7958921877972183`*^9, 
   3.7958923412120485`*^9, 3.795892378587101*^9, 3.795892750316622*^9, 
   3.795892854091767*^9, 3.796579742196987*^9, {3.798418337160384*^9, 
   3.798418340424759*^9}, 3.798505703245672*^9, 3.79868791690466*^9, 
   3.7990397931657047`*^9},ExpressionUUID->"bffe8516-70d1-4619-b023-\
073e81bac400"]
}, Open  ]],

Cell["Check if they satisfy primary WIs.", "Text",
 CellChangeTimes->{{3.7958919896269407`*^9, 
  3.7958920010319567`*^9}},ExpressionUUID->"467916eb-5532-4232-959d-\
05c8ef7b7674"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CheckPrimaryCWIs", "[", 
  RowBox[{"JJJ", ",", " ", "PS"}], "]"}]], "Input",
 CellChangeTimes->{{3.795265014608569*^9, 3.79526503181986*^9}, {
   3.7952650984793167`*^9, 3.795265101709263*^9}, {3.795265181219277*^9, 
   3.7952651814031477`*^9}, {3.795265243643098*^9, 3.795265309128849*^9}, {
   3.795265395159733*^9, 3.795265401019408*^9}, 3.795266143978883*^9, {
   3.7952762109956117`*^9, 3.7952762189356227`*^9}, {3.795276301120738*^9, 
   3.795276313605755*^9}, {3.7952764669509697`*^9, 3.7952764773609843`*^9}, 
   3.795537917860772*^9, {3.7958915150632763`*^9, 3.7958915161482778`*^9}, {
   3.7958920616520414`*^9, 3.7958920637470446`*^9}, {3.795892190432222*^9, 
   3.795892190537222*^9}, {3.795892343657052*^9, 3.795892344432053*^9}, {
   3.795892754371627*^9, 3.7958927548666277`*^9}, {3.795892857281771*^9, 
   3.7958928583167725`*^9}},ExpressionUUID->"49f2af38-133b-4562-981c-\
dbe4228ef33b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7952617444983892`*^9, 3.795265032207391*^9, {3.795265285700379*^9, 
   3.7952653103374653`*^9}, 3.795265416579867*^9, {3.7952661266935873`*^9, 
   3.7952661453025427`*^9}, {3.7952762160306187`*^9, 
   3.7952762193156233`*^9}, {3.7952763058207445`*^9, 3.795276313985756*^9}, 
   3.795276477695985*^9, 3.795537918608815*^9, 3.795538230158635*^9, 
   3.795891516863279*^9, 3.7958917603516197`*^9, 3.7958920646270456`*^9, 
   3.795892191012223*^9, 3.795892345622055*^9, 3.7958927552316284`*^9, 
   3.7958928587567735`*^9, 3.7965797434210577`*^9, 3.798418341406744*^9, 
   3.798505704471116*^9, 3.798687916920661*^9, 
   3.799039793193656*^9},ExpressionUUID->"7f6a3178-f1a6-4262-927e-\
e1bfa8496c90"]
}, Open  ]],

Cell["\<\
Zero-momentum limit of the left hand sides of the secondary WIs.\
\>", "Text",
 CellChangeTimes->{{3.795892005566963*^9, 
  3.795892023231988*^9}},ExpressionUUID->"b7d649d6-7281-4d93-9385-\
891c3ddd42bb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SecLhs", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"LhsOfSecondaryCWIs", "[", 
     RowBox[{"JJJ", ",", "PS"}], "]"}], "/.", "Dims"}], "//", 
   "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.795261770138795*^9, 3.795261789827681*^9}, {
   3.795261949969742*^9, 3.795261962610084*^9}, {3.795261999794832*^9, 
   3.7952620474772377`*^9}, {3.795262157712533*^9, 3.7952621733515387`*^9}, 
   3.795265434636959*^9, {3.795266229249584*^9, 3.7952662310395117`*^9}, {
   3.79527648120599*^9, 3.7952764965810113`*^9}, {3.7955379215159817`*^9, 
   3.7955379397750254`*^9}, {3.795891528548295*^9, 3.7958915618233414`*^9}, {
   3.7958918773867836`*^9, 3.7958918789617863`*^9}, {3.7958919156968374`*^9, 
   3.795891916051838*^9}, 3.7958920673870497`*^9, {3.7958921945272274`*^9, 
   3.795892194657228*^9}, {3.7958923498220606`*^9, 3.795892350342061*^9}, {
   3.795892382862107*^9, 3.795892383512108*^9}, {3.795892758566633*^9, 
   3.795892759226634*^9}, {3.7958928623617783`*^9, 3.7958928632417793`*^9}, {
   3.7965797464492307`*^9, 
   3.796579748897371*^9}},ExpressionUUID->"7e6aafa3-dfbf-4a0a-866a-\
3197e7633931"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", 
   RowBox[{
    SuperscriptBox["2", 
     RowBox[{
      RowBox[{"-", "2"}], "+", 
      FractionBox["d", "2"]}]], " ", 
    SuperscriptBox["p", 
     RowBox[{
      RowBox[{"-", "2"}], "+", "d"}]], " ", "\[Pi]", " ", 
    RowBox[{"Csc", "[", 
     FractionBox[
      RowBox[{"d", " ", "\[Pi]"}], "2"], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     FractionBox["d", "2"], "]"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", "d"}], ")"}], " ", 
       RowBox[{"\[Alpha]", "[", "1", "]"}]}], "+", 
      RowBox[{"\[Alpha]", "[", "2", "]"}]}], ")"}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.795261752158103*^9, 3.795261790581032*^9}, {
   3.795261950333003*^9, 3.795261963020537*^9}, {3.795262004117352*^9, 
   3.795262040301216*^9}, {3.7952621471892443`*^9, 3.7952621738296347`*^9}, 
   3.795262573109961*^9, 3.795265436576318*^9, 3.795266148173765*^9, 
   3.79526623460083*^9, 3.7952764980110135`*^9, {3.795537923028068*^9, 
   3.7955379406680765`*^9}, {3.795891531343299*^9, 3.7958915630383434`*^9}, 
   3.7958917622416224`*^9, 3.7958918833667917`*^9, 3.795891918071841*^9, 
   3.795892068157051*^9, 3.7958921950472283`*^9, {3.7958923569720707`*^9, 
   3.7958924097121444`*^9}, 3.795892768666647*^9, 3.795892864206781*^9, 
   3.796579749801422*^9, 3.798418343145103*^9, 3.7985057059347143`*^9, 
   3.798687917390688*^9, 
   3.79903979377843*^9},ExpressionUUID->"41215a42-14b6-4bf8-b139-\
342960004adc"]
}, Open  ]],

Cell["\<\
Zero-momentum limit of the right hand sides of the secondary WIs. We use \
transverse WIs in the process.\
\>", "Text",
 CellChangeTimes->{{3.7958920265219927`*^9, 3.795892043247016*^9}, {
  3.7958920767070627`*^9, 
  3.7958920874220777`*^9}},ExpressionUUID->"a12d8078-a0d5-476c-817e-\
0246f8b1a1a7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SecRhs", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"ReleaseHold", "[", 
      RowBox[{
       RowBox[{"SecondaryCWIsRhs", "[", "JJJ", "]"}], "/.", 
       RowBox[{"TransverseWIs", "[", "JJJ", "]"}]}], "]"}], "/.", 
     "suZeroMomentumLimit"}], "/.", "Dims"}], "//", "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.795262175092338*^9, 3.7952621802480383`*^9}, {
   3.7952622342184267`*^9, 3.795262234386072*^9}, {3.795262274299431*^9, 
   3.795262280721725*^9}, {3.7952637001179113`*^9, 3.7952637029059963`*^9}, {
   3.795263759953979*^9, 3.79526376255427*^9}, {3.795263839469105*^9, 
   3.7952638684266768`*^9}, {3.795264082294034*^9, 3.795264082586402*^9}, {
   3.795264119021545*^9, 3.795264119250308*^9}, {3.7958919193968425`*^9, 
   3.795891919736843*^9}, {3.795892198312233*^9, 3.795892217032259*^9}, {
   3.795892415657153*^9, 3.7958924438921924`*^9}, {3.7958927654616427`*^9, 
   3.795892769041648*^9}, {3.795892869251788*^9, 3.795892911352847*^9}, {
   3.7958929511579027`*^9, 3.795892951832904*^9}, 3.795893008612983*^9, {
   3.7984183476832657`*^9, 
   3.798418350818968*^9}},ExpressionUUID->"2d0b0a3a-0808-4ef3-ab47-\
1b251650f464"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", 
   RowBox[{"2", " ", "\[ImaginaryI]", " ", "cJ", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "2"}], "+", "d"}], ")"}], " ", "g", " ", 
    SuperscriptBox["p", 
     RowBox[{
      RowBox[{"-", "2"}], "+", "d"}]]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7952621805721827`*^9, 3.795262234651559*^9, {3.795262275200886*^9, 
   3.7952622810149508`*^9}, {3.795263682848351*^9, 3.79526370315583*^9}, {
   3.795263752333869*^9, 3.795263763158441*^9}, {3.795263848153117*^9, 
   3.795263868700594*^9}, 3.795263908112606*^9, 3.795264082999452*^9, {
   3.795264120286715*^9, 3.795264127369176*^9}, 3.7952765136960354`*^9, 
   3.795537943511239*^9, {3.795891547143321*^9, 3.795891570048353*^9}, 
   3.7958917623466225`*^9, 3.795891920416844*^9, 3.7958920955770893`*^9, {
   3.7958922028472395`*^9, 3.7958922295522766`*^9}, {3.795892424217165*^9, 
   3.7958924443421926`*^9}, 3.7958927702816496`*^9, {3.795892877141799*^9, 
   3.7958929118778477`*^9}, 3.7958929522879047`*^9, 3.795893009107984*^9, 
   3.7965797513165092`*^9, 3.798418351290061*^9, 3.798505706622925*^9, 
   3.7986879174306903`*^9, 
   3.799039793806293*^9},ExpressionUUID->"dafe9a8d-3076-438a-9f24-\
ecf353686fb3"]
}, Open  ]],

Cell[TextData[{
 "Solutions for primary constants ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Alpha]", "j"], TraditionalForm]],ExpressionUUID->
  "ef1d229b-6ba3-4870-9303-f3d8b9d43ee6"],
 " in a generic case, which in this case means ",
 Cell[BoxData[
  FormBox[
   RowBox[{"d", "\[NotEqual]", " ", 
    RowBox[{"2", "n"}]}], TraditionalForm]],ExpressionUUID->
  "033fe9e0-e53d-4207-989b-8f5de1fed2e0"],
 "."
}], "Text",
 CellChangeTimes->{{3.7958920998420954`*^9, 3.795892171062195*^9}, {
  3.7958924651822224`*^9, 3.795892555094348*^9}, {3.7958927775416594`*^9, 
  3.7958927832116675`*^9}, {3.7958929389378853`*^9, 3.7958929752529364`*^9}, {
  3.7958930394880266`*^9, 
  3.795893062888059*^9}},ExpressionUUID->"4b8ed00c-7d59-4753-8bbe-\
5be815e9ce6e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"solAlpha", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"SecLhs", "\[Equal]", "SecRhs"}], ",", 
      RowBox[{"\[Alpha]", "[", "2", "]"}]}], "]"}], "\[LeftDoubleBracket]", 
    "1", "\[RightDoubleBracket]"}], "//", "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.795263799986126*^9, 3.795263833858448*^9}, {
  3.7952639153702307`*^9, 3.795263950522517*^9}, {3.795264192880327*^9, 
  3.795264197178268*^9}, {3.795537946732424*^9, 3.795537947661477*^9}, {
  3.7955381555083647`*^9, 3.7955381587705517`*^9}, {3.7958919221818466`*^9, 
  3.7958919258418517`*^9}, {3.7958922357222853`*^9, 3.7958922358572855`*^9}, {
  3.795892561904358*^9, 3.795892566719364*^9}, {3.795892788926676*^9, 
  3.795892791341679*^9}, {3.795892980077943*^9, 
  3.795892981962946*^9}},ExpressionUUID->"008074ae-4339-479e-928f-\
a7f73a35e72e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[Alpha]", "[", "2", "]"}], "\[Rule]", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "2"}], "+", "d"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", 
        SuperscriptBox["2", 
         RowBox[{"3", "-", 
          FractionBox["d", "2"]}]], " ", "cJ", " ", "g", " ", 
        RowBox[{"Sin", "[", 
         FractionBox[
          RowBox[{"d", " ", "\[Pi]"}], "2"], "]"}]}], 
       RowBox[{"\[Pi]", " ", 
        RowBox[{"Gamma", "[", 
         FractionBox["d", "2"], "]"}]}]], "-", 
      RowBox[{"\[Alpha]", "[", "1", "]"}]}], ")"}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.7952638051502323`*^9, 3.7952638152575207`*^9}, {
   3.795263916005083*^9, 3.795263951790344*^9}, 3.7952641978733892`*^9, 
   3.7952765171260405`*^9, 3.795537948054499*^9, 3.7955381601666317`*^9, 
   3.7958915758583612`*^9, 3.7958917637216244`*^9, 3.795891928596855*^9, 
   3.7958922362672863`*^9, 3.7958925688343678`*^9, 3.79589279187168*^9, 
   3.7958929831579475`*^9, 3.795893014762992*^9, 3.795893064453061*^9, 
   3.7965797530076056`*^9, 3.7984183537013083`*^9, 3.798505708640131*^9, 
   3.7986879179867225`*^9, 
   3.7990397944413958`*^9},ExpressionUUID->"1f66a7b3-0c0d-4ecc-bc77-\
daf3b48deef2"]
}, Open  ]],

Cell[TextData[{
 "For ",
 Cell[BoxData[
  FormBox[
   RowBox[{"d", "=", " ", 
    RowBox[{"2", "n"}]}], TraditionalForm]],ExpressionUUID->
  "d6b8b011-2237-4ab8-a7c0-8b4d9588c2d2"],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", ">", "1"}], TraditionalForm]],ExpressionUUID->
  "95193fd2-4d6e-45cc-bd50-9cb71f805c10"],
 " renormalization is required. We keep the relation between conformal \
dimensions and spacetime dimension, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[CapitalDelta]", "j"], "=", 
    RowBox[{"d", "-", "1"}]}], TraditionalForm]],ExpressionUUID->
  "27b29a22-432f-4763-86cf-bbf3550a1e5b"],
 ", and introduce the regulator, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"d", "\[Rule]", " ", 
    RowBox[{
     RowBox[{"2", "n"}], "-", 
     RowBox[{"2", " ", "\[Epsilon]"}]}]}], TraditionalForm]],ExpressionUUID->
  "7af8bb33-5f09-48ea-8f50-e9396946e486"],
 "."
}], "Text",
 CellChangeTimes->{{3.7958920998420954`*^9, 3.795892171062195*^9}, {
  3.7958924651822224`*^9, 3.795892555094348*^9}, {3.7958927775416594`*^9, 
  3.7958927832116675`*^9}, {3.7958929389378853`*^9, 3.7958929752529364`*^9}, {
  3.7958930394880266`*^9, 3.7958931756182175`*^9}, {3.795893268208347*^9, 
  3.79589327060835*^9}, {3.795893369778489*^9, 3.795893394878524*^9}, {
  3.795894175667617*^9, 
  3.7958941986126494`*^9}},ExpressionUUID->"540b36c8-4cb0-4306-9774-\
459fdbe91167"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"DimsReg", "=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Dims", "/.", 
      RowBox[{"{", " ", 
       RowBox[{"d", "\[Rule]", 
        RowBox[{
         RowBox[{"2", "n"}], "-", 
         RowBox[{"2", "\[Epsilon]"}]}]}], "}"}]}], ",", 
     RowBox[{"d", "\[Rule]", 
      RowBox[{
       RowBox[{"2", "n"}], "-", 
       RowBox[{"2", "\[Epsilon]"}]}]}]}], "}"}], "//", 
   "Flatten"}]}], "\[IndentingNewLine]", 
 RowBox[{"\[Alpha]Reg", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "j_", "]"}], "\[RuleDelayed]", 
    RowBox[{
     RowBox[{"\[Alpha]", "[", 
      RowBox[{"10", "j"}], "]"}], "+", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{
        RowBox[{"10", "j"}], "+", "1"}], "]"}], "\[Epsilon]"}]}]}], 
   "}"}]}]}], "Input",
 CellChangeTimes->{{3.795893187683234*^9, 3.7958932359033017`*^9}, {
  3.7958932757283573`*^9, 
  3.7958933083284025`*^9}},ExpressionUUID->"6379c31e-bac3-4dcd-b284-\
a34d948cc7e2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"2", " ", "n"}], "-", 
     RowBox[{"2", " ", "\[Epsilon]"}]}]}], ",", 
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"2", " ", "n"}], "-", 
     RowBox[{"2", " ", "\[Epsilon]"}]}]}], ",", 
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "3", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"2", " ", "n"}], "-", 
     RowBox[{"2", " ", "\[Epsilon]"}]}]}], ",", 
   RowBox[{"d", "\[Rule]", 
    RowBox[{
     RowBox[{"2", " ", "n"}], "-", 
     RowBox[{"2", " ", "\[Epsilon]"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7958931972182474`*^9, {3.7958932347082996`*^9, 3.795893236203302*^9}, {
   3.795893276838359*^9, 3.7958933088134036`*^9}, 3.795894201182653*^9, 
   3.7965797740008063`*^9, 3.79841835587031*^9, 3.7985057095775557`*^9, 
   3.7986879180447254`*^9, 
   3.7990397944986563`*^9},ExpressionUUID->"cdbcc7cd-492b-4761-b1af-\
0b568b38bab6"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[Alpha]", "[", "j_", "]"}], "\[RuleDelayed]", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", 
     RowBox[{"10", " ", "j"}], "]"}], "+", 
    RowBox[{
     RowBox[{"\[Alpha]", "[", 
      RowBox[{
       RowBox[{"10", " ", "j"}], "+", "1"}], "]"}], " ", "\[Epsilon]"}]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.7958931972182474`*^9, {3.7958932347082996`*^9, 3.795893236203302*^9}, {
   3.795893276838359*^9, 3.7958933088134036`*^9}, 3.795894201182653*^9, 
   3.7965797740008063`*^9, 3.79841835587031*^9, 3.7985057095775557`*^9, 
   3.7986879180447254`*^9, 
   3.7990397945005903`*^9},ExpressionUUID->"0aee02c5-57ff-4362-b7bb-\
c0ca7de82abf"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"SecLhsReg", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"LhsOfSecondaryCWIs", "[", 
     RowBox[{"JJJ", ",", 
      RowBox[{"PS", "/.", "\[Alpha]Reg"}]}], "]"}], "/.", "DimsReg"}], "//", 
   "FullSimplify"}]}], "\[IndentingNewLine]", 
 RowBox[{"SecRhsReg", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Simplify", "[", 
     RowBox[{
      RowBox[{"ReleaseHold", "[", 
       RowBox[{
        RowBox[{"SecondaryCWIsRhs", "[", "JJJ", "]"}], "/.", 
        RowBox[{"TransverseWIs", "[", 
         RowBox[{"JJJ", ",", 
          RowBox[{"JJNormalization", "\[Rule]", 
           RowBox[{
            RowBox[{
             RowBox[{"cJ", "[", 
              RowBox[{"-", "1"}], "]"}], "/", "\[Epsilon]"}], "+", 
            RowBox[{"cJ", "[", "0", "]"}]}]}]}], "]"}]}], "]"}], "/.", 
      "suZeroMomentumLimit"}], "]"}], "/.", "DimsReg"}], "//", 
   "FullSimplify"}]}]}], "Input",
 CellChangeTimes->{{3.7958941182025366`*^9, 3.795894151732584*^9}, 
   3.7958942185936775`*^9, {3.798418360507234*^9, 3.7984183609393806`*^9}, {
   3.798418398093149*^9, 3.7984184115718946`*^9}, {3.7984184504144907`*^9, 
   3.798418472598604*^9}},ExpressionUUID->"9b7b62a9-4c19-4fce-a179-\
d169a281d2ed"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", 
   RowBox[{
    SuperscriptBox["2", 
     RowBox[{
      RowBox[{"-", "2"}], "+", "n", "-", "\[Epsilon]"}]], " ", 
    SuperscriptBox["p", 
     RowBox[{
      RowBox[{"-", "2"}], "+", 
      RowBox[{"2", " ", "n"}], "-", 
      RowBox[{"2", " ", "\[Epsilon]"}]}]], " ", "\[Pi]", " ", 
    RowBox[{"Csc", "[", 
     RowBox[{"\[Pi]", " ", 
      RowBox[{"(", 
       RowBox[{"n", "-", "\[Epsilon]"}], ")"}]}], "]"}], " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"n", "-", "\[Epsilon]"}], "]"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "n", "-", "\[Epsilon]"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"\[Alpha]", "[", "10", "]"}], "+", 
         RowBox[{"\[Epsilon]", " ", 
          RowBox[{"\[Alpha]", "[", "11", "]"}]}]}], ")"}]}], "+", 
      RowBox[{"\[Alpha]", "[", "20", "]"}], "+", 
      RowBox[{"\[Epsilon]", " ", 
       RowBox[{"\[Alpha]", "[", "21", "]"}]}]}], ")"}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.795894129497553*^9, 3.7958941379975643`*^9}, 
   3.795894219863679*^9, 3.7965797838383694`*^9, 3.7984183630853558`*^9, 
   3.798418416553121*^9, 3.7984184734243603`*^9, 3.79850571255488*^9, 
   3.798687919643817*^9, 
   3.799039796387776*^9},ExpressionUUID->"0d3ab051-93ac-47dc-a47b-\
81bb647c22df"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", 
   FractionBox[
    RowBox[{"4", " ", "\[ImaginaryI]", " ", "g", " ", 
     SuperscriptBox["p", 
      RowBox[{
       RowBox[{"-", "2"}], "+", 
       RowBox[{"2", " ", "n"}], "-", 
       RowBox[{"2", " ", "\[Epsilon]"}]}]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "n", "-", "\[Epsilon]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"cJ", "[", 
        RowBox[{"-", "1"}], "]"}], "+", 
       RowBox[{"\[Epsilon]", " ", 
        RowBox[{"cJ", "[", "0", "]"}]}]}], ")"}]}], "\[Epsilon]"]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.795894129497553*^9, 3.7958941379975643`*^9}, 
   3.795894219863679*^9, 3.7965797838383694`*^9, 3.7984183630853558`*^9, 
   3.798418416553121*^9, 3.7984184734243603`*^9, 3.79850571255488*^9, 
   3.798687919643817*^9, 
   3.799039796496387*^9},ExpressionUUID->"2a5faac8-3a50-4c3b-a6fe-\
9d9d6db677f1"]
}, Open  ]],

Cell["We equate second terms and expand the result in \[Epsilon].", "Text",
 CellChangeTimes->{{3.7958942573287315`*^9, 3.795894281193765*^9}, {
  3.7958945485851393`*^9, 
  3.7958945488401403`*^9}},ExpressionUUID->"70bcf87e-0027-4d9f-9c23-\
40625f283543"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SecLhsSer", "=", 
   RowBox[{
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{
      "SecLhsReg", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"\[Epsilon]", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"Assumptions", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"n", "\[Element]", "Integers"}], ",", 
         RowBox[{"n", "\[GreaterEqual]", "2"}]}], "}"}]}]}], "]"}], "//", 
    "Simplify"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SecRhsSer", "=", 
   RowBox[{
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{
      "SecRhsReg", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"\[Epsilon]", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"Assumptions", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"n", "\[Element]", "Integers"}], ",", 
         RowBox[{"n", "\[GreaterEqual]", "2"}]}], "}"}]}]}], "]"}], "//", 
    "Simplify"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.7958942965437865`*^9, 3.7958943898899174`*^9}, {
  3.7958944355149813`*^9, 
  3.795894436214982*^9}},ExpressionUUID->"ffd3ba91-507d-4839-9278-\
378145a25a1b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"solAlphaSpecial", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"SeriesCoefficient", "[", 
          RowBox[{"SecLhsSer", ",", 
           RowBox[{"-", "1"}]}], "]"}], "\[Equal]", 
         RowBox[{"SeriesCoefficient", "[", 
          RowBox[{"SecRhsSer", ",", 
           RowBox[{"-", "1"}]}], "]"}]}], ",", 
        RowBox[{
         RowBox[{"SeriesCoefficient", "[", 
          RowBox[{"SecLhsSer", ",", "0"}], "]"}], "\[Equal]", 
         RowBox[{"SeriesCoefficient", "[", 
          RowBox[{"SecRhsSer", ",", "0"}], "]"}]}]}], " ", "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "20", "]"}], ",", 
        RowBox[{"\[Alpha]", "[", "21", "]"}]}], "}"}]}], "]"}], 
    "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "//", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"#", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"n", "\[Element]", "Integers"}], ",", 
        RowBox[{"n", "\[GreaterEqual]", "2"}]}], "}"}]}], "]"}], 
    "&"}]}]}]], "Input",
 CellChangeTimes->{{3.7958944379499846`*^9, 
  3.7958945559501495`*^9}},ExpressionUUID->"cfb7d8e9-0525-49fd-97ec-\
381f603fdd9c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Alpha]", "[", "20", "]"}], "\[Rule]", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "n"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{"\[ImaginaryI]", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}], "n"], " ", 
          SuperscriptBox["2", 
           RowBox[{"3", "-", "n"}]], " ", "g", " ", 
          RowBox[{"cJ", "[", 
           RowBox[{"-", "1"}], "]"}]}], 
         RowBox[{"Gamma", "[", "n", "]"}]]}], "-", 
       RowBox[{"\[Alpha]", "[", "10", "]"}]}], ")"}]}]}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "21", "]"}], "\[Rule]", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{
         FractionBox["1", 
          RowBox[{"Gamma", "[", "n", "]"}]], 
         RowBox[{"\[ImaginaryI]", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}], "n"], " ", 
          SuperscriptBox["2", 
           RowBox[{"2", "-", "n"}]], " ", "g", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "n"}], ")"}], " ", 
             RowBox[{"cJ", "[", "0", "]"}]}], "+", 
            RowBox[{
             RowBox[{"cJ", "[", 
              RowBox[{"-", "1"}], "]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "2"}], "+", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", "n"}], ")"}], " ", 
                RowBox[{"Log", "[", "4", "]"}]}]}], ")"}]}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "n"}], ")"}], " ", 
             RowBox[{"cJ", "[", 
              RowBox[{"-", "1"}], "]"}], " ", 
             RowBox[{"PolyGamma", "[", 
              RowBox[{"0", ",", "n"}], "]"}]}]}], ")"}]}]}]}], "+", 
       RowBox[{"\[Alpha]", "[", "10", "]"}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "n"}], ")"}], " ", 
        RowBox[{"\[Alpha]", "[", "11", "]"}]}]}], ")"}]}]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7958945645201616`*^9, 3.796579797401145*^9, 
  3.798418513327717*^9, 3.798505722324041*^9, 3.7986879273732524`*^9, 
  3.799039806236532*^9},ExpressionUUID->"567256df-97fe-481e-beca-\
3bdae1668bf3"]
}, Open  ]],

Cell["\<\
In this way we find the solution for even spacetime dimensions, i.e., when \
renormalization is required.\
\>", "Text",
 CellChangeTimes->{{3.7958942573287315`*^9, 3.795894281193765*^9}, {
  3.7958945485851393`*^9, 
  3.7958946030052156`*^9}},ExpressionUUID->"122aeaa9-df84-455c-92dd-\
29b5adbbe7c2"]
}, Closed]],

Cell[CellGroupData[{

Cell["<TJJ>", "Section",
 CellChangeTimes->{{3.795261710502955*^9, 3.79526171311106*^9}, {
   3.795263974571103*^9, 3.795263974865499*^9}, {3.795264213961895*^9, 
   3.79526421408195*^9}, {3.795266435363764*^9, 3.795266436467969*^9}, {
   3.795277036385767*^9, 3.795277036675768*^9}, 
   3.795278137416484*^9},ExpressionUUID->"b9f79d62-057c-4d6b-985c-\
27ff05b60783"],

Cell["List of solutions to primary WIs.", "Text",
 CellChangeTimes->{{3.795891975626921*^9, 
  3.795891986056936*^9}},ExpressionUUID->"92414a37-92f5-4491-b583-\
194a67a80930"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PS", "=", 
  RowBox[{"PrimarySolutions", "[", "TJJ", "]"}]}]], "Input",
 CellChangeTimes->{{3.79589149603325*^9, 3.7958915004532557`*^9}, {
  3.7958920556720333`*^9, 3.7958920569470353`*^9}, {3.795892186912217*^9, 
  3.7958921870872173`*^9}, {3.7958923405520477`*^9, 3.7958923779371*^9}, {
  3.795892745386615*^9, 3.795892749826621*^9}, {3.7958928434117517`*^9, 
  3.7958928526667647`*^9}, {3.7958946384702654`*^9, 3.7958946405852685`*^9}, {
  3.7958949763107386`*^9, 3.795894987940755*^9}, {3.795938621093904*^9, 
  3.795938623226246*^9}, {3.795938696189349*^9, 3.795938705729588*^9}, {
  3.7985063699695272`*^9, 
  3.7985063705289907`*^9}},ExpressionUUID->"c7c4a665-42cc-45f1-85ab-\
f8501a21bfbf"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"A", "[", "1", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"J", "[", 
      RowBox[{"4", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
     RowBox[{"\[Alpha]", "[", "1", "]"}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "2", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "1", "]"}]}], "+", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"2", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "2", "]"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "3", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{"J", "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "1", "]"}]}], "+", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"2", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "3", "]"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "4", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{"J", "[", 
       RowBox[{"2", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "1", "]"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"J", "[", 
         RowBox[{"1", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], "+", 
        RowBox[{"J", "[", 
         RowBox[{"1", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]}], ")"}], " ", 
      RowBox[{"\[Alpha]", "[", "3", "]"}]}], "+", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "4", "]"}]}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7955380183895226`*^9, 3.7955381980868006`*^9, 3.7958915009282565`*^9, 
   3.795891759441619*^9, 3.795892057657036*^9, 3.7958921877972183`*^9, 
   3.7958923412120485`*^9, 3.795892378587101*^9, 3.795892750316622*^9, 
   3.795892854091767*^9, 3.79589464189027*^9, 3.7958949891707563`*^9, 
   3.795937567847587*^9, 3.795937649750927*^9, 3.795938626005427*^9, 
   3.795938706245788*^9, 3.795939561502571*^9, 3.79594154253868*^9, 
   3.7959417709585257`*^9, 3.7965798087387934`*^9, 3.796581168744581*^9, 
   3.7966693794860106`*^9, 3.7967174203702393`*^9, {3.7985063674754887`*^9, 
   3.798506370881414*^9}, 3.7986879274382563`*^9, 
   3.79903980630121*^9},ExpressionUUID->"2b89ad9a-5e7a-4b2b-92fc-\
7b894d546785"]
}, Open  ]],

Cell["Check if they satisfy primary WIs.", "Text",
 CellChangeTimes->{{3.7958919896269407`*^9, 
  3.7958920010319567`*^9}},ExpressionUUID->"2ca0f5f1-ea85-4d86-ae4d-\
b745ca07ac1f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CheckPrimaryCWIs", "[", 
  RowBox[{"TJJ", ",", " ", "PS"}], "]"}]], "Input",
 CellChangeTimes->{{3.795265014608569*^9, 3.79526503181986*^9}, {
   3.7952650984793167`*^9, 3.795265101709263*^9}, {3.795265181219277*^9, 
   3.7952651814031477`*^9}, {3.795265243643098*^9, 3.795265309128849*^9}, {
   3.795265395159733*^9, 3.795265401019408*^9}, 3.795266143978883*^9, {
   3.7952762109956117`*^9, 3.7952762189356227`*^9}, {3.795276301120738*^9, 
   3.795276313605755*^9}, {3.7952764669509697`*^9, 3.7952764773609843`*^9}, 
   3.795537917860772*^9, {3.7958915150632763`*^9, 3.7958915161482778`*^9}, {
   3.7958920616520414`*^9, 3.7958920637470446`*^9}, {3.795892190432222*^9, 
   3.795892190537222*^9}, {3.795892343657052*^9, 3.795892344432053*^9}, {
   3.795892754371627*^9, 3.7958927548666277`*^9}, {3.795892857281771*^9, 
   3.7958928583167725`*^9}, {3.795894644720274*^9, 
   3.7958946448402743`*^9}},ExpressionUUID->"181637fd-cfe8-4008-856d-\
c1dab1ad8802"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7952617444983892`*^9, 3.795265032207391*^9, {3.795265285700379*^9, 
   3.7952653103374653`*^9}, 3.795265416579867*^9, {3.7952661266935873`*^9, 
   3.7952661453025427`*^9}, {3.7952762160306187`*^9, 
   3.7952762193156233`*^9}, {3.7952763058207445`*^9, 3.795276313985756*^9}, 
   3.795276477695985*^9, 3.795537918608815*^9, 3.795538230158635*^9, 
   3.795891516863279*^9, 3.7958917603516197`*^9, 3.7958920646270456`*^9, 
   3.795892191012223*^9, 3.795892345622055*^9, 3.7958927552316284`*^9, 
   3.7958928587567735`*^9, 3.7958946452002745`*^9, 3.795895116680935*^9, 
   3.795937570736408*^9, 3.795937668470742*^9, 3.795939562360153*^9, 
   3.795941543879374*^9, 3.795941772085885*^9, 3.7965798101168723`*^9, 
   3.7965811698606453`*^9, 3.7966693811560125`*^9, 3.7967174215888243`*^9, 
   3.7985063719519577`*^9, 3.798687927453257*^9, 
   3.799039806366955*^9},ExpressionUUID->"1b0e0392-ec2e-4c67-ac87-\
64f6622b4b0c"]
}, Open  ]],

Cell["\<\
This is the case where the expression must be regulated even if the \
correlator remains finite. This is due to the fact that some integrals \
featuring in A[4] are always divergent.\
\>", "Text",
 CellChangeTimes->{{3.795894991115759*^9, 3.7958950801058836`*^9}, {
   3.7958974646584153`*^9, 3.7958974658184166`*^9}, 
   3.7958975306085076`*^9},ExpressionUUID->"f5dbe555-f5fb-4e56-832c-\
ddc74d230c9a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Divergences", "=", 
  RowBox[{"PS", "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"J", "[", "x__", "]"}], "\[RuleDelayed]", 
     RowBox[{"IsDivergent", "[", 
      RowBox[{
       RowBox[{"J", "[", "x", "]"}], "/.", 
       RowBox[{"suJToI", "[", 
        RowBox[{"d", ",", 
         RowBox[{"{", 
          RowBox[{"d", ",", 
           RowBox[{"d", "-", "1"}], ",", 
           RowBox[{"d", "-", "1"}]}], "}"}]}], "]"}]}], "]"}]}], 
    "}"}]}]}]], "Input",
 CellChangeTimes->{{3.7958974684934206`*^9, 3.795897490373451*^9}, {
  3.79657981637823*^9, 3.796579817457292*^9}, {3.7965814247352233`*^9, 
  3.796581427110359*^9}},ExpressionUUID->"82b06b47-ed72-41d7-9bc3-\
62d541e03939"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"A", "[", "1", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox["d", "2"]}], "\[Element]", 
        TemplateBox[{},
         "Integers"]}], "&&", 
       RowBox[{"d", "\[GreaterEqual]", "6"}]}], ")"}], " ", 
     RowBox[{"\[Alpha]", "[", "1", "]"}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "2", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          FractionBox["d", "2"]}], "\[Element]", 
         TemplateBox[{},
          "Integers"]}], "&&", 
        RowBox[{"d", "\[GreaterEqual]", "4"}]}], ")"}], " ", 
      RowBox[{"\[Alpha]", "[", "1", "]"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          FractionBox["d", "2"]}], "\[Element]", 
         TemplateBox[{},
          "Integers"]}], "&&", 
        RowBox[{"d", "\[GreaterEqual]", "4"}]}], ")"}], " ", 
      RowBox[{"\[Alpha]", "[", "2", "]"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "3", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          FractionBox["d", "2"]}], "\[Element]", 
         TemplateBox[{},
          "Integers"]}], "&&", 
        RowBox[{"d", "\[GreaterEqual]", "4"}]}], ")"}], " ", 
      RowBox[{"\[Alpha]", "[", "1", "]"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          FractionBox["d", "2"]}], "\[Element]", 
         TemplateBox[{},
          "Integers"]}], "&&", 
        RowBox[{"d", "\[GreaterEqual]", "4"}]}], ")"}], " ", 
      RowBox[{"\[Alpha]", "[", "3", "]"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "4", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["d", "2"]}], "\[Element]", 
        TemplateBox[{},
         "Integers"]}], ")"}], " ", 
      RowBox[{"\[Alpha]", "[", "1", "]"}]}], "+", 
     RowBox[{"2", " ", "True", " ", 
      RowBox[{"\[Alpha]", "[", "3", "]"}]}], "+", 
     RowBox[{"True", " ", 
      RowBox[{"\[Alpha]", "[", "4", "]"}]}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.795897490693452*^9, 3.795937569500477*^9, 3.795937667459016*^9, 
   3.7959385613400793`*^9, 3.795938711342773*^9, 3.7959395634850407`*^9, 
   3.795941773749682*^9, {3.7965798117799673`*^9, 3.796579818738365*^9}, 
   3.7965811717597537`*^9, 3.796581428575443*^9, 3.796669383346016*^9, 
   3.796717423697904*^9, 3.7985063739531307`*^9, 3.7986879281592975`*^9, 
   3.7990398070789213`*^9},ExpressionUUID->"db569040-3011-435f-b517-\
29b8278228f3"]
}, Open  ]],

Cell["\<\
We can deal with this issue by introducing regulated parameters.\
\>", "Text",
 CellChangeTimes->{{3.795938922112877*^9, 
  3.795938934409852*^9}},ExpressionUUID->"45736e2a-00a2-4add-a7f1-\
c1524ca5bf39"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"suRegulated", "=", 
  RowBox[{"{", " ", 
   RowBox[{
    RowBox[{"dreg", "\[Rule]", 
     RowBox[{"d", "+", 
      RowBox[{"2", "u", " ", "\[Epsilon]"}]}]}], ",", 
    RowBox[{
     RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "\[Rule]", 
     RowBox[{"d", "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"u", "+", "v"}], ")"}], "\[Epsilon]"}]}]}], ",", 
    RowBox[{
     RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "\[Rule]", 
     RowBox[{"d", "-", "1", "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"u", "+", "v"}], ")"}], "\[Epsilon]"}]}]}], ",", 
    RowBox[{
     RowBox[{"\[CapitalDelta]", "[", "3", "]"}], "\[Rule]", 
     RowBox[{"d", "-", "1", "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"u", "+", "v"}], ")"}], "\[Epsilon]"}]}]}], ",", 
    RowBox[{
     RowBox[{"\[Alpha]", "[", "j_", "]"}], "\[RuleDelayed]", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Alpha]", "[", 
        RowBox[{"10", "j"}], "]"}], "+", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", 
         RowBox[{
          RowBox[{"10", "j"}], "+", "1"}], "]"}], "\[Epsilon]"}]}], "/;", 
      RowBox[{"j", "<", "10"}]}]}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.7959389393860826`*^9, 3.795938946362247*^9}, {
  3.7959390611672983`*^9, 3.7959390696004343`*^9}, {3.795939226358666*^9, 
  3.7959392350829773`*^9}, {3.79593979728586*^9, 3.7959398002350807`*^9}, {
  3.7959418867929487`*^9, 
  3.795941895220385*^9}},ExpressionUUID->"8c053285-24a3-40cd-b830-\
dd27ffc497f5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"dreg", "\[Rule]", 
    RowBox[{"d", "+", 
     RowBox[{"2", " ", "u", " ", "\[Epsilon]"}]}]}], ",", 
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "\[Rule]", 
    RowBox[{"d", "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"u", "+", "v"}], ")"}], " ", "\[Epsilon]"}]}]}], ",", 
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "d", "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"u", "+", "v"}], ")"}], " ", "\[Epsilon]"}]}]}], ",", 
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "3", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "d", "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"u", "+", "v"}], ")"}], " ", "\[Epsilon]"}]}]}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "j_", "]"}], "\[RuleDelayed]", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"10", " ", "j"}], "]"}], "+", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", 
        RowBox[{
         RowBox[{"10", " ", "j"}], "+", "1"}], "]"}], " ", "\[Epsilon]"}]}], "/;", 
     RowBox[{"j", "<", "10"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.795938947388763*^9, 3.79593907004247*^9, 
  3.795939235594596*^9, 3.795939566450583*^9, 3.7959398041777697`*^9, 
  3.795941781813398*^9, 3.795941896971437*^9, 3.7959467066192904`*^9, 
  3.795947050007166*^9, 3.7965799069974136`*^9, 3.7965811780661144`*^9, 
  3.7966693993860383`*^9, 3.7967174244041224`*^9, 3.798506376248394*^9, 
  3.798687928176298*^9, 
  3.799039807094244*^9},ExpressionUUID->"369eae24-7b10-4223-a4f6-\
9ad1069432ab"]
}, Open  ]],

Cell[TextData[{
 "Now, however, the integrals exhibit a singularity at ",
 Cell[BoxData[
  FormBox[
   RowBox[{"u", "=", "v"}], TraditionalForm]],ExpressionUUID->
  "493c459c-1695-445b-997c-ee04873ca920"],
 ", which an essential condition for transverse Ward identities to hold in \
the regulated theory. We should deal with both issues by redefining primary \
constants."
}], "Text",
 CellChangeTimes->{{3.795938713753093*^9, 3.795938788137401*^9}, {
  3.795938848273738*^9, 3.795938875410307*^9}, {3.7959389491136017`*^9, 
  3.795938960825992*^9}},ExpressionUUID->"07d48c77-37ae-457e-9bc0-\
d3fd12accde7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PSDivergence", "=", 
  RowBox[{
   RowBox[{"KDivergence", "[", 
    RowBox[{
     RowBox[{"PS", "/.", 
      RowBox[{"suJToI", "[", 
       RowBox[{"dreg", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[CapitalDelta]", "[", "1", "]"}], ",", 
          RowBox[{"\[CapitalDelta]", "[", "2", "]"}], ",", 
          RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}], "}"}]}], "]"}]}], "/.",
      "suRegulated"}], "]"}], "//", "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.79593881116498*^9, 3.795938845466042*^9}, {
  3.795938969249895*^9, 3.795939037113956*^9}, {3.795939074477216*^9, 
  3.79593908889498*^9}, {3.795941902999114*^9, 
  3.7959419032596617`*^9}},ExpressionUUID->"be5a4577-9ac7-459c-a7b4-\
9d8eac338b01"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"A", "[", "1", "]"}], "\[Rule]", "0"}], ",", 
   RowBox[{
    RowBox[{"A", "[", "2", "]"}], "\[Rule]", "0"}], ",", 
   RowBox[{
    RowBox[{"A", "[", "3", "]"}], "\[Rule]", "0"}], ",", 
   RowBox[{
    RowBox[{"A", "[", "4", "]"}], "\[Rule]", 
    InterpretationBox[
     RowBox[{
      FractionBox[
       RowBox[{
        SuperscriptBox["2", 
         RowBox[{
          RowBox[{"-", "3"}], "+", 
          FractionBox["d", "2"]}]], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"1", "-", 
          FractionBox["d", "2"]}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         FractionBox["d", "2"], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SubsuperscriptBox["p", "2", "d"], " ", 
           SubsuperscriptBox["p", "3", "2"]}], "+", 
          RowBox[{
           SubsuperscriptBox["p", "2", "2"], " ", 
           SubsuperscriptBox["p", "3", "d"]}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", 
           RowBox[{"Gamma", "[", 
            FractionBox["d", "2"], "]"}], " ", 
           RowBox[{"\[Alpha]", "[", "30", "]"}]}], "+", 
          RowBox[{
           RowBox[{"Gamma", "[", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             FractionBox["d", "2"]}], "]"}], " ", 
           RowBox[{"\[Alpha]", "[", "40", "]"}]}]}], ")"}]}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"u", "-", "v"}], ")"}], " ", 
        SubsuperscriptBox["p", "2", "2"], " ", 
        SubsuperscriptBox["p", "3", "2"], " ", "\[Epsilon]"}]], "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"u", "-", "v"}], ")"}], " ", 
         SubsuperscriptBox["p", "2", "2"], " ", 
         SubsuperscriptBox["p", "3", "2"]}]], 
       RowBox[{
        SuperscriptBox["2", 
         RowBox[{
          RowBox[{"-", "3"}], "+", 
          FractionBox["d", "2"]}]], " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"1", "-", 
          FractionBox["d", "2"]}], "]"}], " ", 
        RowBox[{"Gamma", "[", 
         FractionBox["d", "2"], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"Gamma", "[", 
            FractionBox["d", "2"], "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"v", " ", 
              RowBox[{"Log", "[", "4", "]"}], " ", 
              SubsuperscriptBox["p", "2", "d"], " ", 
              SubsuperscriptBox["p", "3", "2"], " ", 
              RowBox[{"\[Alpha]", "[", "30", "]"}]}], "+", 
             RowBox[{"4", " ", "v", " ", 
              RowBox[{"Log", "[", 
               SubscriptBox["p", "2"], "]"}], " ", 
              SubsuperscriptBox["p", "2", "d"], " ", 
              SubsuperscriptBox["p", "3", "2"], " ", 
              RowBox[{"\[Alpha]", "[", "30", "]"}]}], "+", 
             RowBox[{"v", " ", 
              RowBox[{"Log", "[", "4", "]"}], " ", 
              SubsuperscriptBox["p", "2", "2"], " ", 
              SubsuperscriptBox["p", "3", "d"], " ", 
              RowBox[{"\[Alpha]", "[", "30", "]"}]}], "+", 
             RowBox[{"4", " ", "v", " ", 
              RowBox[{"Log", "[", 
               SubscriptBox["p", "3"], "]"}], " ", 
              SubsuperscriptBox["p", "2", "2"], " ", 
              SubsuperscriptBox["p", "3", "d"], " ", 
              RowBox[{"\[Alpha]", "[", "30", "]"}]}], "-", 
             RowBox[{"2", " ", "v", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 SubsuperscriptBox["p", "2", "d"], " ", 
                 SubsuperscriptBox["p", "3", "2"]}], "+", 
                RowBox[{
                 SubsuperscriptBox["p", "2", "2"], " ", 
                 SubsuperscriptBox["p", "3", "d"]}]}], ")"}], " ", 
              RowBox[{"PolyGamma", "[", 
               RowBox[{"0", ",", 
                RowBox[{"1", "-", 
                 FractionBox["d", "2"]}]}], "]"}], " ", 
              RowBox[{"\[Alpha]", "[", "30", "]"}]}], "+", 
             RowBox[{"4", " ", "v", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 SubsuperscriptBox["p", "2", "d"], " ", 
                 SubsuperscriptBox["p", "3", "2"]}], "+", 
                RowBox[{
                 SubsuperscriptBox["p", "2", "2"], " ", 
                 SubsuperscriptBox["p", "3", "d"]}]}], ")"}], " ", 
              RowBox[{"PolyGamma", "[", 
               RowBox[{"0", ",", 
                FractionBox["d", "2"]}], "]"}], " ", 
              RowBox[{"\[Alpha]", "[", "30", "]"}]}], "+", 
             RowBox[{"2", " ", 
              SubsuperscriptBox["p", "2", "d"], " ", 
              SubsuperscriptBox["p", "3", "2"], " ", 
              RowBox[{"\[Alpha]", "[", "31", "]"}]}], "+", 
             RowBox[{"2", " ", 
              SubsuperscriptBox["p", "2", "2"], " ", 
              SubsuperscriptBox["p", "3", "d"], " ", 
              RowBox[{"\[Alpha]", "[", "31", "]"}]}]}], ")"}]}], "+", 
          RowBox[{
           RowBox[{"Gamma", "[", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             FractionBox["d", "2"]}], "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"v", " ", 
              RowBox[{"Log", "[", "2", "]"}], " ", 
              SubsuperscriptBox["p", "2", "d"], " ", 
              SubsuperscriptBox["p", "3", "2"], " ", 
              RowBox[{"\[Alpha]", "[", "40", "]"}]}], "+", 
             RowBox[{"2", " ", "v", " ", 
              RowBox[{"Log", "[", 
               SubscriptBox["p", "2"], "]"}], " ", 
              SubsuperscriptBox["p", "2", "d"], " ", 
              SubsuperscriptBox["p", "3", "2"], " ", 
              RowBox[{"\[Alpha]", "[", "40", "]"}]}], "+", 
             RowBox[{"v", " ", 
              RowBox[{"Log", "[", "2", "]"}], " ", 
              SubsuperscriptBox["p", "2", "2"], " ", 
              SubsuperscriptBox["p", "3", "d"], " ", 
              RowBox[{"\[Alpha]", "[", "40", "]"}]}], "+", 
             RowBox[{"2", " ", "v", " ", 
              RowBox[{"Log", "[", 
               SubscriptBox["p", "3"], "]"}], " ", 
              SubsuperscriptBox["p", "2", "2"], " ", 
              SubsuperscriptBox["p", "3", "d"], " ", 
              RowBox[{"\[Alpha]", "[", "40", "]"}]}], "-", 
             RowBox[{"v", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 SubsuperscriptBox["p", "2", "d"], " ", 
                 SubsuperscriptBox["p", "3", "2"]}], "+", 
                RowBox[{
                 SubsuperscriptBox["p", "2", "2"], " ", 
                 SubsuperscriptBox["p", "3", "d"]}]}], ")"}], " ", 
              RowBox[{"PolyGamma", "[", 
               RowBox[{"0", ",", 
                RowBox[{"1", "-", 
                 FractionBox["d", "2"]}]}], "]"}], " ", 
              RowBox[{"\[Alpha]", "[", "40", "]"}]}], "+", 
             RowBox[{"v", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 SubsuperscriptBox["p", "2", "d"], " ", 
                 SubsuperscriptBox["p", "3", "2"]}], "+", 
                RowBox[{
                 SubsuperscriptBox["p", "2", "2"], " ", 
                 SubsuperscriptBox["p", "3", "d"]}]}], ")"}], " ", 
              RowBox[{"PolyGamma", "[", 
               RowBox[{"0", ",", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 FractionBox["d", "2"]}]}], "]"}], " ", 
              RowBox[{"\[Alpha]", "[", "40", "]"}]}], "+", 
             RowBox[{"v", " ", 
              SubsuperscriptBox["p", "2", "d"], " ", 
              SubsuperscriptBox["p", "3", "2"], " ", 
              RowBox[{"PolyGamma", "[", 
               RowBox[{"0", ",", 
                FractionBox["d", "2"]}], "]"}], " ", 
              RowBox[{"\[Alpha]", "[", "40", "]"}]}], "+", 
             RowBox[{"v", " ", 
              SubsuperscriptBox["p", "2", "2"], " ", 
              SubsuperscriptBox["p", "3", "d"], " ", 
              RowBox[{"PolyGamma", "[", 
               RowBox[{"0", ",", 
                FractionBox["d", "2"]}], "]"}], " ", 
              RowBox[{"\[Alpha]", "[", "40", "]"}]}], "+", 
             RowBox[{
              SubsuperscriptBox["p", "2", "d"], " ", 
              SubsuperscriptBox["p", "3", "2"], " ", 
              RowBox[{"\[Alpha]", "[", "41", "]"}]}], "+", 
             RowBox[{
              SubsuperscriptBox["p", "2", "2"], " ", 
              SubsuperscriptBox["p", "3", "d"], " ", 
              RowBox[{"\[Alpha]", "[", "41", "]"}]}]}], ")"}]}]}], ")"}]}]}], 
      "+", 
      InterpretationBox[
       SuperscriptBox[
        RowBox[{"O", "[", "\[Epsilon]", "]"}], "1"],
       SeriesData[TripleK`\[Epsilon], 0, {}, -1, 1, 1],
       Editable->False]}],
     SeriesData[
     TripleK`\[Epsilon], 0, {
      2^(-3 + Rational[1, 2] TripleK`d) (TripleK`u - TripleK`v)^(-1) 
       Gamma[1 + Rational[-1, 2] TripleK`d] Gamma[Rational[1, 2] TripleK`d] 
       TripleK`p[2]^(-2) 
       TripleK`p[3]^(-2) (TripleK`p[2]^TripleK`d TripleK`p[3]^2 + 
        TripleK`p[2]^2 TripleK`p[3]^TripleK`d) (
        2 Gamma[Rational[1, 2] TripleK`d] Konformal`\[Alpha][30] + 
        Gamma[-1 + Rational[1, 2] TripleK`d] Konformal`\[Alpha][40]), 
       2^(-3 + Rational[1, 2] TripleK`d) (TripleK`u - TripleK`v)^(-1) 
       Gamma[1 + Rational[-1, 2] TripleK`d] Gamma[Rational[1, 2] TripleK`d] 
       TripleK`p[2]^(-2) 
       TripleK`p[3]^(-2) (
        Gamma[Rational[1, 2] TripleK`d] (
          TripleK`v Log[4] TripleK`p[2]^TripleK`d TripleK`p[3]^2 
           Konformal`\[Alpha][30] + 4 TripleK`v Log[
             TripleK`p[2]] TripleK`p[2]^TripleK`d TripleK`p[3]^2 
           Konformal`\[Alpha][30] + 
          TripleK`v Log[4] TripleK`p[2]^2 TripleK`p[3]^TripleK`d 
           Konformal`\[Alpha][30] + 4 TripleK`v Log[
             TripleK`p[3]] TripleK`p[2]^2 TripleK`p[3]^TripleK`d 
           Konformal`\[Alpha][30] - 2 
          TripleK`v (TripleK`p[2]^TripleK`d TripleK`p[3]^2 + 
           TripleK`p[2]^2 TripleK`p[3]^TripleK`d) 
          PolyGamma[0, 1 + Rational[-1, 2] TripleK`d] Konformal`\[Alpha][30] + 
          4 TripleK`v (TripleK`p[2]^TripleK`d TripleK`p[3]^2 + 
            TripleK`p[2]^2 TripleK`p[3]^TripleK`d) 
           PolyGamma[0, Rational[1, 2] TripleK`d] Konformal`\[Alpha][30] + 
          2 TripleK`p[2]^TripleK`d TripleK`p[3]^2 Konformal`\[Alpha][31] + 
          2 TripleK`p[2]^2 TripleK`p[3]^TripleK`d Konformal`\[Alpha][31]) + 
        Gamma[-1 + Rational[1, 2] TripleK`d] (
          TripleK`v Log[2] TripleK`p[2]^TripleK`d TripleK`p[3]^2 
           Konformal`\[Alpha][40] + 2 TripleK`v Log[
             TripleK`p[2]] TripleK`p[2]^TripleK`d TripleK`p[3]^2 
           Konformal`\[Alpha][40] + 
          TripleK`v Log[2] TripleK`p[2]^2 TripleK`p[3]^TripleK`d 
           Konformal`\[Alpha][40] + 2 TripleK`v Log[
             TripleK`p[3]] TripleK`p[2]^2 TripleK`p[3]^TripleK`d 
           Konformal`\[Alpha][40] - 
          TripleK`v (TripleK`p[2]^TripleK`d TripleK`p[3]^2 + 
           TripleK`p[2]^2 TripleK`p[3]^TripleK`d) 
          PolyGamma[0, 1 + Rational[-1, 2] TripleK`d] Konformal`\[Alpha][40] + 
          TripleK`v (TripleK`p[2]^TripleK`d TripleK`p[3]^2 + 
            TripleK`p[2]^2 TripleK`p[3]^TripleK`d) 
           PolyGamma[0, -1 + Rational[1, 2] TripleK`d] Konformal`\[Alpha][40] + 
          TripleK`v TripleK`p[2]^TripleK`d TripleK`p[3]^2 
           PolyGamma[0, Rational[1, 2] TripleK`d] Konformal`\[Alpha][40] + 
          TripleK`v TripleK`p[2]^2 TripleK`p[3]^TripleK`d 
           PolyGamma[0, Rational[1, 2] TripleK`d] Konformal`\[Alpha][40] + 
          TripleK`p[2]^TripleK`d TripleK`p[3]^2 Konformal`\[Alpha][41] + 
          TripleK`p[2]^2 TripleK`p[3]^TripleK`d Konformal`\[Alpha][41]))}, -1,
       1, 1],
     Editable->False]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7959388117212973`*^9, {3.7959389729214907`*^9, 3.79593900854643*^9}, {
   3.795939054774922*^9, 3.795939090081314*^9}, 3.795939238518238*^9, 
   3.795939567678368*^9, 3.795941798657176*^9, 3.795941905074544*^9, 
   3.7965799636786556`*^9, 3.7965809193993196`*^9, 3.796581184221466*^9, 
   3.7965812165423155`*^9, 3.796585290830271*^9, 3.7965854834755406`*^9, 
   3.796585778312954*^9, 3.79658586112807*^9, 3.7966694090160513`*^9, 
   3.7967174284225063`*^9, 3.798506381349016*^9, 3.798687929722387*^9, 
   3.799039809316975*^9},ExpressionUUID->"c9b148c1-da1c-4646-95e8-\
3d91eca3920a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"alpha4Sol", "=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"SeriesCoefficient", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"A", "[", "4", "]"}], "/.", "PSDivergence"}], ",", 
          RowBox[{"-", "1"}]}], "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{"SeriesCoefficient", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"A", "[", "4", "]"}], "/.", "PSDivergence"}], ",", "0"}], 
         "]"}], "\[Equal]", "0"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "40", "]"}], ",", 
       RowBox[{"\[Alpha]", "[", "41", "]"}]}], "}"}]}], "]"}], "//", 
   "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.795939188396862*^9, 3.795939213841857*^9}, {
  3.795939247860704*^9, 
  3.7959393429623203`*^9}},ExpressionUUID->"b37226ab-de6a-4732-9e17-\
93e2d19581f2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Alpha]", "[", "40", "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", "d"}], ")"}]}], " ", 
      RowBox[{"\[Alpha]", "[", "30", "]"}]}]}], ",", 
    RowBox[{
     RowBox[{"\[Alpha]", "[", "41", "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "v", " ", 
       RowBox[{"\[Alpha]", "[", "30", "]"}]}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", "d"}], ")"}], " ", 
       RowBox[{"\[Alpha]", "[", "31", "]"}]}]}]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.795939214236287*^9, 3.795939292706443*^9}, 
   3.795939346302559*^9, 3.79593947619742*^9, 3.7959395691666193`*^9, 
   3.7959418018087893`*^9, 3.795941911387705*^9, 3.796581225407822*^9, 
   3.7965852983102818`*^9, 3.796585949700341*^9, 3.7966694179260645`*^9, 
   3.7966728078335075`*^9, 3.79671743167829*^9, 3.798506385589357*^9, 
   3.7986879299494*^9, 
   3.799039809562504*^9},ExpressionUUID->"31050922-03d2-4702-b691-\
b39ba784f792"]
}, Open  ]],

Cell[TextData[{
 "While \[Alpha][40] must take this value to remove the divergence, \
\[Alpha][41] may have another piece as long as it is proportional to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"u", "-", "v"}], TraditionalForm]],ExpressionUUID->
  "ac16b14f-9647-474c-a335-134bbd38e192"],
 ", so that the finite ",
 Cell[BoxData[
  FormBox[
   RowBox[{"u", "\[Rule]", "v"}], TraditionalForm]],ExpressionUUID->
  "efae0b8c-84b4-4791-b7f8-bb11aac36a3c"],
 " limit can be taken."
}], "Text",
 CellChangeTimes->{{3.7959393609616947`*^9, 3.7959394243621063`*^9}, {
  3.795939716354426*^9, 
  3.795939724166419*^9}},ExpressionUUID->"0d0781e0-b41f-4682-a416-\
8257893c22ca"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"alpha4Sol", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Alpha]", "[", "40", "]"}], "\[Rule]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "40", "]"}], "/.", 
       RowBox[{
       "alpha4Sol", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
      ")"}]}], ",", 
    RowBox[{
     RowBox[{"\[Alpha]", "[", "41", "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"u", "-", "v"}], ")"}], 
       RowBox[{"\[Beta]", "[", "41", "]"}]}], "+", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "41", "]"}], "/.", 
        RowBox[{
        "alpha4Sol", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}],
        ")"}]}]}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.795939426085772*^9, 
  3.795939466710413*^9}},ExpressionUUID->"42494e62-69f1-4a10-b268-\
ac6423606326"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Alpha]", "[", "40", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", "d"}], ")"}]}], " ", 
     RowBox[{"\[Alpha]", "[", "30", "]"}]}]}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "41", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "v", " ", 
      RowBox[{"\[Alpha]", "[", "30", "]"}]}], "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", "d"}], ")"}], " ", 
      RowBox[{"\[Alpha]", "[", "31", "]"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"u", "-", "v"}], ")"}], " ", 
      RowBox[{"\[Beta]", "[", "41", "]"}]}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.795939459302408*^9, 3.7959394772196627`*^9}, 
   3.795939570808576*^9, 3.795941803882625*^9, 3.795941914338992*^9, 
   3.7965812292280407`*^9, 3.796585953990347*^9, 3.7966694202860675`*^9, {
   3.796672804863503*^9, 3.796672808993509*^9}, 3.7967174333630877`*^9, 
   3.798506390109211*^9, 3.798687929964401*^9, 
   3.799039809574152*^9},ExpressionUUID->"f3a3b8a0-9016-4f2e-a689-\
affc996c6048"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PSfin", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"PS", "/.", "suRegulated"}], "/.", "alpha4Sol"}], "//", 
   "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.795939498052492*^9, 3.795939509659925*^9}, {
   3.7959395565177317`*^9, 3.7959395568024*^9}, {3.795940617734872*^9, 
   3.79594066296894*^9}, 3.795941832398549*^9, {3.795941870342396*^9, 
   3.795941871517992*^9}, {3.795942075264123*^9, 
   3.795942077110704*^9}},ExpressionUUID->"3d6baf47-14a3-4ad6-947e-\
e4ed102012c5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"A", "[", "1", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"J", "[", 
      RowBox[{"4", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "10", "]"}], "+", 
       RowBox[{"\[Epsilon]", " ", 
        RowBox[{"\[Alpha]", "[", "11", "]"}]}]}], ")"}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "2", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "10", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"\[Alpha]", "[", "11", "]"}]}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"2", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "20", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"\[Alpha]", "[", "21", "]"}]}]}], ")"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "3", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{"J", "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "10", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"\[Alpha]", "[", "11", "]"}]}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"2", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "30", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"\[Alpha]", "[", "31", "]"}]}]}], ")"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "4", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{"J", "[", 
       RowBox[{"2", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "10", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"\[Alpha]", "[", "11", "]"}]}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"J", "[", 
         RowBox[{"1", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], "+", 
        RowBox[{"J", "[", 
         RowBox[{"1", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "30", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"\[Alpha]", "[", "31", "]"}]}]}], ")"}]}], "-", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "2"}], "+", "d", "+", 
           RowBox[{"2", " ", "v", " ", "\[Epsilon]"}]}], ")"}], " ", 
         RowBox[{"\[Alpha]", "[", "30", "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "2"}], "+", "d"}], ")"}], " ", "\[Epsilon]", " ", 
         RowBox[{"\[Alpha]", "[", "31", "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "u"}], "+", "v"}], ")"}], " ", "\[Epsilon]", " ", 
         RowBox[{"\[Beta]", "[", "41", "]"}]}]}], ")"}]}]}]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.795939514266501*^9, 3.79593957190699*^9, 3.795939811885042*^9, {
   3.795940646935212*^9, 3.795940663352954*^9}, 3.795941832724752*^9, 
   3.7959418717804747`*^9, 3.7959419175487833`*^9, 3.795942077596532*^9, 
   3.7965812327932444`*^9, 3.7965859571853514`*^9, 3.7966694213960695`*^9, 
   3.7966728105135107`*^9, 3.79671743445339*^9, 3.798506391491708*^9, 
   3.798687930044405*^9, 
   3.799039809705521*^9},ExpressionUUID->"f05cdb17-e000-431e-bbac-\
cf2cc1006b21"]
}, Open  ]],

Cell[TextData[{
 "Now the secondary Ward identity can be applied and the solution PSfin above \
has finite ",
 Cell[BoxData[
  FormBox[
   RowBox[{"u", "\[Rule]", "v"}], TraditionalForm]],ExpressionUUID->
  "86a20cc4-62d2-4a50-bfaa-a7d5a03f1986"],
 " limit (it does not depend on u nor v). Zero-momentum limit of the left \
hand sides of the secondary WIs."
}], "Text",
 CellChangeTimes->{{3.795892005566963*^9, 3.795892023231988*^9}, {
  3.795939615274212*^9, 3.79593961664983*^9}, {3.795939680441781*^9, 
  3.795939730938353*^9}, {3.7959421097081013`*^9, 
  3.7959421255640707`*^9}},ExpressionUUID->"44333802-8cf1-4aeb-b975-\
c5bddab54036"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SecLhs", "=", 
  RowBox[{
   RowBox[{"Series", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"LhsOfSecondaryCWIs", "[", 
       RowBox[{"TJJ", ",", "PSfin", ",", "dreg", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[CapitalDelta]", "[", "1", "]"}], ",", 
          RowBox[{"\[CapitalDelta]", "[", "2", "]"}], ",", 
          RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}], "}"}]}], "]"}], "/.", 
      "suRegulated"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Epsilon]", ",", "0", ",", "0"}], "}"}]}], "]"}], "//", 
   "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.795261770138795*^9, 3.795261789827681*^9}, {
   3.795261949969742*^9, 3.795261962610084*^9}, {3.795261999794832*^9, 
   3.7952620474772377`*^9}, {3.795262157712533*^9, 3.7952621733515387`*^9}, 
   3.795265434636959*^9, {3.795266229249584*^9, 3.7952662310395117`*^9}, {
   3.79527648120599*^9, 3.7952764965810113`*^9}, {3.7955379215159817`*^9, 
   3.7955379397750254`*^9}, {3.795891528548295*^9, 3.7958915618233414`*^9}, {
   3.7958918773867836`*^9, 3.7958918789617863`*^9}, {3.7958919156968374`*^9, 
   3.795891916051838*^9}, 3.7958920673870497`*^9, {3.7958921945272274`*^9, 
   3.795892194657228*^9}, {3.7958923498220606`*^9, 3.795892350342061*^9}, {
   3.795892382862107*^9, 3.795892383512108*^9}, {3.795892758566633*^9, 
   3.795892759226634*^9}, {3.7958928623617783`*^9, 3.7958928632417793`*^9}, {
   3.795894648440279*^9, 3.795894663855301*^9}, {3.7958951228259435`*^9, 
   3.7958951608409967`*^9}, {3.795939580269759*^9, 3.795939613509676*^9}, {
   3.7959397624944563`*^9, 3.795939772418519*^9}, {3.795939829018827*^9, 
   3.795939861578162*^9}, {3.795939939829475*^9, 3.7959399400104437`*^9}, 
   3.79594068028745*^9, {3.795941983918475*^9, 3.7959419883033667`*^9}, {
   3.79594213078292*^9, 
   3.795942130931929*^9}},ExpressionUUID->"a44c2215-7a5b-43bd-a1ce-\
62a84d9e0ca7"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "\[Epsilon]", "]"}], "1"],
    SeriesData[TripleK`\[Epsilon], 0, {}, 1, 1, 1],
    Editable->False], ",", 
   InterpretationBox[
    RowBox[{
     RowBox[{
      FractionBox["1", "3"], " ", 
      SuperscriptBox["2", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        FractionBox["d", "2"]}]], " ", 
      SuperscriptBox["p", 
       RowBox[{
        RowBox[{"-", "4"}], "+", "d"}]], " ", "\[Pi]", " ", 
      RowBox[{"Csc", "[", 
       FractionBox[
        RowBox[{"d", " ", "\[Pi]"}], "2"], "]"}], " ", 
      RowBox[{"Gamma", "[", 
       RowBox[{"2", "+", 
        FractionBox["d", "2"]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"\[Alpha]", "[", "20", "]"}]}], "+", 
        RowBox[{"\[Alpha]", "[", "30", "]"}]}], ")"}]}], "+", 
     InterpretationBox[
      SuperscriptBox[
       RowBox[{"O", "[", "\[Epsilon]", "]"}], "1"],
      SeriesData[TripleK`\[Epsilon], 0, {}, 0, 1, 1],
      Editable->False]}],
    SeriesData[
    TripleK`\[Epsilon], 0, {
     Rational[1, 3] 2^(-1 + Rational[1, 2] TripleK`d) 
      TripleK`p^(-4 + TripleK`d) Pi Csc[Rational[1, 2] TripleK`d Pi] 
      Gamma[2 + Rational[1, 2] TripleK`d] (-Konformal`\[Alpha][20] + 
       Konformal`\[Alpha][30])}, 0, 1, 1],
    Editable->False], ",", 
   InterpretationBox[
    RowBox[{
     RowBox[{
      SuperscriptBox["2", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        FractionBox["d", "2"]}]], " ", 
      SuperscriptBox["p", 
       RowBox[{
        RowBox[{"-", "2"}], "+", "d"}]], " ", "\[Pi]", " ", 
      RowBox[{"Csc", "[", 
       FractionBox[
        RowBox[{"d", " ", "\[Pi]"}], "2"], "]"}], " ", 
      RowBox[{"Gamma", "[", 
       RowBox[{"1", "+", 
        FractionBox["d", "2"]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"d", " ", 
         RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
        RowBox[{"\[Alpha]", "[", "20", "]"}]}], ")"}]}], "+", 
     InterpretationBox[
      SuperscriptBox[
       RowBox[{"O", "[", "\[Epsilon]", "]"}], "1"],
      SeriesData[TripleK`\[Epsilon], 0, {}, 0, 1, 1],
      Editable->False]}],
    SeriesData[
    TripleK`\[Epsilon], 0, {
     2^(-1 + Rational[1, 2] TripleK`d) TripleK`p^(-2 + TripleK`d) Pi 
      Csc[Rational[1, 2] TripleK`d Pi] 
      Gamma[1 + Rational[1, 2] TripleK`d] (TripleK`d Konformal`\[Alpha][10] + 
       Konformal`\[Alpha][20])}, 0, 1, 1],
    Editable->False], ",", 
   InterpretationBox[
    RowBox[{
     RowBox[{
      SuperscriptBox["2", 
       RowBox[{
        RowBox[{"-", "3"}], "+", 
        FractionBox["d", "2"]}]], " ", "d", " ", 
      SuperscriptBox["p", 
       RowBox[{
        RowBox[{"-", "2"}], "+", "d"}]], " ", "\[Pi]", " ", 
      RowBox[{"Csc", "[", 
       FractionBox[
        RowBox[{"d", " ", "\[Pi]"}], "2"], "]"}], " ", 
      RowBox[{"Gamma", "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        FractionBox["d", "2"]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"d", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "2"}], "+", "d"}], ")"}], " ", 
            RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
           RowBox[{"\[Alpha]", "[", "30", "]"}]}], ")"}]}], "+", 
        RowBox[{"2", " ", 
         RowBox[{"\[Beta]", "[", "41", "]"}]}]}], ")"}]}], "+", 
     InterpretationBox[
      SuperscriptBox[
       RowBox[{"O", "[", "\[Epsilon]", "]"}], "1"],
      SeriesData[TripleK`\[Epsilon], 0, {}, 0, 1, 1],
      Editable->False]}],
    SeriesData[
    TripleK`\[Epsilon], 0, {
     2^(-3 + Rational[1, 2] TripleK`d) TripleK`d TripleK`p^(-2 + TripleK`d) 
      Pi Csc[Rational[1, 2] TripleK`d Pi] 
      Gamma[-1 + Rational[1, 2] TripleK`d] (
       TripleK`d (2 (-2 + TripleK`d) Konformal`\[Alpha][10] + 
         Konformal`\[Alpha][30]) + 2 $CellContext`\[Beta][41])}, 0, 1, 1],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{
  3.795939842224251*^9, 3.795939880799531*^9, 3.795939943759144*^9, {
   3.795940678072659*^9, 3.795940691655428*^9}, 3.795942050378512*^9, 
   3.795942087029162*^9, 3.795942132226748*^9, 3.7965812510082865`*^9, 
   3.7965859725253735`*^9, 3.7966694371460915`*^9, 3.796672820423525*^9, 
   3.7967174535558157`*^9, 3.798506412719015*^9, 3.798687945659286*^9, 
   3.799039827694148*^9},ExpressionUUID->"090badfa-4fa1-4242-a3ef-\
e6da04dcfab8"]
}, Open  ]],

Cell["\<\
Zero-momentum limit of the right hand sides of the secondary WIs. We use \
transverse WIs in the process.\
\>", "Text",
 CellChangeTimes->{{3.7958920265219927`*^9, 3.795892043247016*^9}, {
  3.7958920767070627`*^9, 
  3.7958920874220777`*^9}},ExpressionUUID->"95cf5819-34fa-46f5-acd2-\
9da5a5b447fb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SecRhs", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"ReleaseHold", "[", 
       RowBox[{
        RowBox[{"SecondaryCWIsRhs", "[", "TJJ", "]"}], "/.", 
        RowBox[{"TransverseWIs", "[", "TJJ", "]"}]}], "]"}], "/.", 
      "suRegulated"}], "/.", "suZeroMomentumLimit"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"v", "\[Rule]", "u"}], ",", 
      RowBox[{"\[Epsilon]", "\[Rule]", "0"}]}], "}"}]}], "//", 
   "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.795262175092338*^9, 3.7952621802480383`*^9}, {
   3.7952622342184267`*^9, 3.795262234386072*^9}, {3.795262274299431*^9, 
   3.795262280721725*^9}, {3.7952637001179113`*^9, 3.7952637029059963`*^9}, {
   3.795263759953979*^9, 3.79526376255427*^9}, {3.795263839469105*^9, 
   3.7952638684266768`*^9}, {3.795264082294034*^9, 3.795264082586402*^9}, {
   3.795264119021545*^9, 3.795264119250308*^9}, {3.7958919193968425`*^9, 
   3.795891919736843*^9}, {3.795892198312233*^9, 3.795892217032259*^9}, {
   3.795892415657153*^9, 3.7958924438921924`*^9}, {3.7958927654616427`*^9, 
   3.795892769041648*^9}, {3.795892869251788*^9, 3.795892911352847*^9}, {
   3.7958929511579027`*^9, 3.795892951832904*^9}, 3.795893008612983*^9, {
   3.795895167626006*^9, 3.795895190181038*^9}, {3.7958956742797155`*^9, 
   3.795895694430744*^9}, {3.795939743869197*^9, 3.79593974582867*^9}, {
   3.7959421542240973`*^9, 3.795942182316132*^9}, {3.795942266750786*^9, 
   3.795942267932456*^9}, {3.798506401705574*^9, 
   3.798506404880887*^9}},ExpressionUUID->"24581d4f-cbc3-405d-b0fe-\
1070593e0723"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", 
   RowBox[{"2", " ", "cJ", " ", "d", " ", 
    SuperscriptBox["p", 
     RowBox[{
      RowBox[{"-", "2"}], "+", "d"}]]}], ",", 
   RowBox[{"4", " ", "c3", " ", "cJ", " ", "d", " ", 
    SuperscriptBox["p", 
     RowBox[{
      RowBox[{"-", "2"}], "+", "d"}]]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7952621805721827`*^9, 3.795262234651559*^9, {3.795262275200886*^9, 
   3.7952622810149508`*^9}, {3.795263682848351*^9, 3.79526370315583*^9}, {
   3.795263752333869*^9, 3.795263763158441*^9}, {3.795263848153117*^9, 
   3.795263868700594*^9}, 3.795263908112606*^9, 3.795264082999452*^9, {
   3.795264120286715*^9, 3.795264127369176*^9}, 3.7952765136960354`*^9, 
   3.795537943511239*^9, {3.795891547143321*^9, 3.795891570048353*^9}, 
   3.7958917623466225`*^9, 3.795891920416844*^9, 3.7958920955770893`*^9, {
   3.7958922028472395`*^9, 3.7958922295522766`*^9}, {3.795892424217165*^9, 
   3.7958924443421926`*^9}, 3.7958927702816496`*^9, {3.795892877141799*^9, 
   3.7958929118778477`*^9}, 3.7958929522879047`*^9, 3.795893009107984*^9, {
   3.7958951921360407`*^9, 3.795895229561093*^9}, 3.795895622619643*^9, 
   3.7958961091173244`*^9, {3.795896365052683*^9, 3.79589638450771*^9}, 
   3.795937574501302*^9, 3.795937671991091*^9, {3.795939738592123*^9, 
   3.795939746228479*^9}, {3.795942154532756*^9, 3.795942182680464*^9}, 
   3.795942268354176*^9, 3.7965812550065155`*^9, 3.796585972615373*^9, 
   3.796669437246091*^9, 3.7967174537785053`*^9, 3.7985064127960167`*^9, 
   3.798687945779293*^9, 
   3.799039827813443*^9},ExpressionUUID->"4d144846-3ac3-49d9-b326-\
e960787561e0"]
}, Open  ]],

Cell["\<\
We can solve the remaining equations. Note that the final expression contains \
only \[Alpha][10],\[Alpha][20],\[Alpha][30] as well as \[Beta][41]. Most \
importantly all other subleading primary constants drop out.\
\>", "Text",
 CellChangeTimes->{{3.795942335842886*^9, 
  3.795942382507572*^9}},ExpressionUUID->"e64b5a9e-61d9-4978-bbbd-\
4b2f73a248f8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"alphaReduce", "=", 
  RowBox[{
   RowBox[{"Reduce", "[", 
    RowBox[{
     RowBox[{"Normal", "[", "SecLhs", "]"}], "\[Equal]", "SecRhs"}], "]"}], "//",
    "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.795896751443224*^9, 3.7958968799534035`*^9}, {
  3.7958970612098503`*^9, 3.7958971008159056`*^9}, {3.7959422065240192`*^9, 
  3.7959422452864*^9}, {3.795942281799809*^9, 
  3.7959423086035748`*^9}},ExpressionUUID->"62ba2a3d-9546-41d0-b346-\
7cd6fc4f6a04"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Csc", "[", 
    FractionBox[
     RowBox[{"d", " ", "\[Pi]"}], "2"], "]"}], "\[NotEqual]", "0"}], "&&", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cJ", "\[Equal]", "0"}], "&&", 
      RowBox[{
       RowBox[{
        RowBox[{"d", " ", 
         RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
        RowBox[{"\[Alpha]", "[", "20", "]"}]}], "\[Equal]", "0"}], "&&", 
      RowBox[{
       RowBox[{
        RowBox[{"d", " ", 
         RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
        RowBox[{"\[Alpha]", "[", "30", "]"}]}], "\[Equal]", "0"}], "&&", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "4"}], "+", "d"}], ")"}], " ", "d", " ", 
         RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
        RowBox[{"2", " ", 
         RowBox[{"\[Beta]", "[", "41", "]"}]}]}], "\[Equal]", "0"}]}], ")"}], 
    "||", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"4", " ", "cJ", " ", "d", " ", 
        RowBox[{"Sin", "[", 
         FractionBox[
          RowBox[{"d", " ", "\[Pi]"}], "2"], "]"}]}], "\[Equal]", 
       RowBox[{
        SuperscriptBox["2", 
         RowBox[{"d", "/", "2"}]], " ", "\[Pi]", " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{"1", "+", 
          FractionBox["d", "2"]}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"d", " ", 
           RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
          RowBox[{"\[Alpha]", "[", "20", "]"}]}], ")"}]}]}], "&&", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "20", "]"}], "\[Equal]", 
       RowBox[{"\[Alpha]", "[", "30", "]"}]}], "&&", 
      RowBox[{
       RowBox[{
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "c3"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "2"}], "+", "d"}], ")"}], " ", "d", " ", 
         RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", "c3", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "2"}], "+", "d"}], ")"}]}], "-", "d"}], ")"}], " ", 
         RowBox[{"\[Alpha]", "[", "20", "]"}]}]}], "\[Equal]", 
       RowBox[{"2", " ", 
        RowBox[{"\[Beta]", "[", "41", "]"}]}]}], "&&", 
      RowBox[{"cJ", "\[NotEqual]", "0"}]}], ")"}]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.7958967583132334`*^9, 3.795896770998251*^9}, {
   3.7958968057783*^9, 3.795896882513407*^9}, {3.795897068864861*^9, 
   3.7958971037309103`*^9}, {3.7959422361287947`*^9, 3.795942293084669*^9}, 
   3.7959423327410173`*^9, 3.7965812603198195`*^9, 3.796585975955378*^9, 
   3.7966694407460957`*^9, 3.796717460795883*^9, 3.798506419251142*^9, 
   3.7986879495105047`*^9, 
   3.79903983279486*^9},ExpressionUUID->"b6063a68-5e47-4cac-9ec4-\
427869d01a24"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"alphaSol", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Normal", "[", "SecLhs", "]"}], "\[Equal]", "SecRhs"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "20", "]"}], ",", 
        RowBox[{"\[Alpha]", "[", "30", "]"}], ",", 
        RowBox[{"\[Beta]", "[", "41", "]"}]}], "}"}]}], "]"}], 
    "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "//", 
   "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.79594231389176*^9, 3.795942325924025*^9}, {
  3.795942395551929*^9, 
  3.7959423965557404`*^9}},ExpressionUUID->"1d99649c-594c-47e9-9254-\
8caa16a27ffc"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Alpha]", "[", "20", "]"}], "\[Rule]", 
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox["2", 
        RowBox[{"3", "-", 
         FractionBox["d", "2"]}]], " ", "cJ", " ", 
       RowBox[{"Sin", "[", 
        FractionBox[
         RowBox[{"d", " ", "\[Pi]"}], "2"], "]"}]}], 
      RowBox[{"\[Pi]", " ", 
       RowBox[{"Gamma", "[", 
        FractionBox["d", "2"], "]"}]}]], "-", 
     RowBox[{"d", " ", 
      RowBox[{"\[Alpha]", "[", "10", "]"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "30", "]"}], "\[Rule]", 
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox["2", 
        RowBox[{"3", "-", 
         FractionBox["d", "2"]}]], " ", "cJ", " ", 
       RowBox[{"Sin", "[", 
        FractionBox[
         RowBox[{"d", " ", "\[Pi]"}], "2"], "]"}]}], 
      RowBox[{"\[Pi]", " ", 
       RowBox[{"Gamma", "[", 
        FractionBox["d", "2"], "]"}]}]], "-", 
     RowBox[{"d", " ", 
      RowBox[{"\[Alpha]", "[", "10", "]"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"\[Beta]", "[", "41", "]"}], "\[Rule]", 
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox["2", 
        RowBox[{"2", "-", 
         FractionBox["d", "2"]}]], " ", "cJ", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "c3", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "2"}], "+", "d"}], ")"}]}], "-", "d"}], ")"}], " ", 
       RowBox[{"Sin", "[", 
        FractionBox[
         RowBox[{"d", " ", "\[Pi]"}], "2"], "]"}]}], 
      RowBox[{"\[Pi]", " ", 
       RowBox[{"Gamma", "[", 
        FractionBox["d", "2"], "]"}]}]], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], "+", "d"}], ")"}], " ", "d", " ", 
      RowBox[{"\[Alpha]", "[", "10", "]"}]}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.795942328319944*^9, 3.795942334259727*^9}, 
   3.795942397912107*^9, 3.796581266779188*^9, 3.7965859777253804`*^9, 
   3.7966694427060986`*^9, 3.796717463224544*^9, 3.798506421408807*^9, 
   3.798687951633624*^9, 
   3.79903983506336*^9},ExpressionUUID->"cfb9f60f-3f00-4b81-a242-\
5a61eb0784e9"]
}, Open  ]],

Cell[TextData[{
 "As an example consider now ",
 Cell[BoxData[
  FormBox[
   RowBox[{"d", "=", "3"}], TraditionalForm]],ExpressionUUID->
  "d82d13cb-c3c8-44e7-b48f-392f044248bf"],
 ". The solution expressed in terms of triple-K integrals read."
}], "Text",
 CellChangeTimes->{{3.795942484843521*^9, 3.7959425066833553`*^9}, {
  3.795942654508226*^9, 
  3.79594267594801*^9}},ExpressionUUID->"73361023-3677-4cbd-84d7-\
d02695bf822c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ToSol", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"PSfin", "/.", "alphaSol"}], "/.", 
      RowBox[{"suJToI", "[", 
       RowBox[{"dreg", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[CapitalDelta]", "[", "1", "]"}], ",", 
          RowBox[{"\[CapitalDelta]", "[", "2", "]"}], ",", 
          RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}], "}"}]}], "]"}]}], "/.",
      "suRegulated"}], "/.", 
    RowBox[{"{", 
     RowBox[{"d", "\[Rule]", "3"}], "}"}]}], "//", "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.795942508329233*^9, 3.795942590708391*^9}, {
  3.7965812933757095`*^9, 3.796581300654126*^9}, {3.796581349879942*^9, 
  3.7965813702471066`*^9}},ExpressionUUID->"736d7b94-e9d0-4c8c-946e-\
97e2dc30a774"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"A", "[", "1", "]"}], "\[Rule]", 
    RowBox[{
     SubscriptBox["i", 
      RowBox[{
       RowBox[{
        FractionBox["9", "2"], "+", 
        RowBox[{"u", " ", "\[Epsilon]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["3", "2"], "+", 
          RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "+", 
          RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "+", 
          RowBox[{"v", " ", "\[Epsilon]"}]}]}], "}"}]}]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "10", "]"}], "+", 
       RowBox[{"\[Epsilon]", " ", 
        RowBox[{"\[Alpha]", "[", "11", "]"}]}]}], ")"}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "2", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{
      SubscriptBox["i", 
       RowBox[{
        RowBox[{
         FractionBox["7", "2"], "+", 
         RowBox[{"u", " ", "\[Epsilon]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           FractionBox["5", "2"], "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
          RowBox[{
           FractionBox["1", "2"], "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
          RowBox[{
           FractionBox["1", "2"], "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}]}], "}"}]}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "10", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"\[Alpha]", "[", "11", "]"}]}]}], ")"}]}], "+", 
     RowBox[{
      SubscriptBox["i", 
       RowBox[{
        RowBox[{
         FractionBox["5", "2"], "+", 
         RowBox[{"u", " ", "\[Epsilon]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           FractionBox["3", "2"], "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
          RowBox[{
           FractionBox["1", "2"], "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
          RowBox[{
           FractionBox["1", "2"], "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}]}], "}"}]}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox[
          RowBox[{"4", " ", 
           SqrtBox["2"], " ", "cJ"}], 
          SuperscriptBox["\[Pi]", 
           RowBox[{"3", "/", "2"}]]]}], "-", 
        RowBox[{"3", " ", 
         RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"\[Alpha]", "[", "21", "]"}]}]}], ")"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "3", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"2", " ", 
      SubscriptBox["i", 
       RowBox[{
        RowBox[{
         FractionBox["7", "2"], "+", 
         RowBox[{"u", " ", "\[Epsilon]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           FractionBox["3", "2"], "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
          RowBox[{
           FractionBox["1", "2"], "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
          RowBox[{
           FractionBox["3", "2"], "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}]}], "}"}]}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "10", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"\[Alpha]", "[", "11", "]"}]}]}], ")"}]}], "+", 
     RowBox[{
      SubscriptBox["i", 
       RowBox[{
        RowBox[{
         FractionBox["5", "2"], "+", 
         RowBox[{"u", " ", "\[Epsilon]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           FractionBox["3", "2"], "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
          RowBox[{
           FractionBox["1", "2"], "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
          RowBox[{
           FractionBox["1", "2"], "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}]}], "}"}]}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox[
          RowBox[{"4", " ", 
           SqrtBox["2"], " ", "cJ"}], 
          SuperscriptBox["\[Pi]", 
           RowBox[{"3", "/", "2"}]]]}], "-", 
        RowBox[{"3", " ", 
         RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"\[Alpha]", "[", "31", "]"}]}]}], ")"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "4", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"2", " ", 
      SubscriptBox["i", 
       RowBox[{
        RowBox[{
         FractionBox["5", "2"], "+", 
         RowBox[{"u", " ", "\[Epsilon]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           FractionBox["3", "2"], "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
          RowBox[{
           FractionBox["3", "2"], "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
          RowBox[{
           FractionBox["3", "2"], "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}]}], "}"}]}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "10", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"\[Alpha]", "[", "11", "]"}]}]}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", " ", 
        SuperscriptBox["\[Pi]", 
         RowBox[{"3", "/", "2"}]]}]], 
      RowBox[{
       SubscriptBox["i", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "+", 
          RowBox[{"u", " ", "\[Epsilon]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            FractionBox["3", "2"], "+", 
            RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
           RowBox[{
            FractionBox["1", "2"], "+", 
            RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
           RowBox[{
            FractionBox["1", "2"], "+", 
            RowBox[{"v", " ", "\[Epsilon]"}]}]}], "}"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SqrtBox["2"], " ", "cJ", " ", 
          RowBox[{"(", 
           RowBox[{"2", "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"3", "-", 
               RowBox[{"2", " ", "c3"}]}], ")"}], " ", "u", " ", 
             "\[Epsilon]"}], "+", 
            RowBox[{"v", " ", "\[Epsilon]"}], "+", 
            RowBox[{"2", " ", "c3", " ", "v", " ", "\[Epsilon]"}]}], ")"}]}], 
         "+", 
         RowBox[{
          SuperscriptBox["\[Pi]", 
           RowBox[{"3", "/", "2"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"3", " ", 
             RowBox[{"(", 
              RowBox[{"2", "+", 
               RowBox[{"u", " ", "\[Epsilon]"}], "+", 
               RowBox[{"3", " ", "v", " ", "\[Epsilon]"}]}], ")"}], " ", 
             RowBox[{"\[Alpha]", "[", "10", "]"}]}], "-", 
            RowBox[{"2", " ", "\[Epsilon]", " ", 
             RowBox[{"\[Alpha]", "[", "31", "]"}]}]}], ")"}]}]}], ")"}]}]}], 
     "-", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["i", 
          RowBox[{
           RowBox[{
            FractionBox["3", "2"], "+", 
            RowBox[{"u", " ", "\[Epsilon]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              FractionBox["3", "2"], "+", 
              RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
             RowBox[{
              FractionBox["1", "2"], "+", 
              RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
             RowBox[{
              FractionBox["3", "2"], "+", 
              RowBox[{"v", " ", "\[Epsilon]"}]}]}], "}"}]}]], "+", 
         SubscriptBox["i", 
          RowBox[{
           RowBox[{
            FractionBox["3", "2"], "+", 
            RowBox[{"u", " ", "\[Epsilon]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              FractionBox["3", "2"], "+", 
              RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
             RowBox[{
              FractionBox["3", "2"], "+", 
              RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
             RowBox[{
              FractionBox["1", "2"], "+", 
              RowBox[{"v", " ", "\[Epsilon]"}]}]}], "}"}]}]]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SqrtBox["2"], " ", "cJ"}], "+", 
         RowBox[{
          SuperscriptBox["\[Pi]", 
           RowBox[{"3", "/", "2"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"3", " ", 
             RowBox[{"\[Alpha]", "[", "10", "]"}]}], "-", 
            RowBox[{"\[Epsilon]", " ", 
             RowBox[{"\[Alpha]", "[", "31", "]"}]}]}], ")"}]}]}], ")"}]}], 
      SuperscriptBox["\[Pi]", 
       RowBox[{"3", "/", "2"}]]]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.7959425092431793`*^9, 3.7959425914172487`*^9}, {
   3.796581280000945*^9, 3.796581301354166*^9}, {3.7965813508049946`*^9, 
   3.7965813709401464`*^9}, 3.7965859780103807`*^9, 3.796669443006099*^9, 
   3.796717463625731*^9, 3.7985064217693033`*^9, 3.7986879519836445`*^9, 
   3.799039835436161*^9},ExpressionUUID->"202cbf56-a707-45ad-a568-\
bb837e7d8f72"]
}, Open  ]],

Cell[TextData[{
 "The first 3 form factors are finite and one can take ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Epsilon]", "\[Rule]", "0"}], TraditionalForm]],ExpressionUUID->
  "11bfef5f-a206-4cea-94a3-eb0dbe8bafb2"],
 " limit first."
}], "Text",
 CellChangeTimes->{{3.795942679177156*^9, 
  3.795942700332111*^9}},ExpressionUUID->"7b55a1ad-0ede-42eb-b571-\
ab7f810e2dee"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Sol123", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"A", "[", "1", "]"}], ",", 
        RowBox[{"A", "[", "2", "]"}], ",", 
        RowBox[{"A", "[", "3", "]"}]}], "}"}], "/.", "ToSol"}], "/.", 
     RowBox[{"{", 
      RowBox[{"\[Epsilon]", "\[Rule]", "0"}], "}"}]}], "//", "KEvaluate"}], "//",
    "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.795942593632262*^9, 
  3.795942645084177*^9}},ExpressionUUID->"e0b6b57c-2485-45cc-88c0-\
068ec455d350"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   InterpretationBox[
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox["\[Pi]", 
        RowBox[{"3", "/", "2"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SubscriptBox["p", "1"]}], "+", 
         SubscriptBox["p", "2"], "+", 
         SubscriptBox["p", "3"]}], ")"}], " ", 
       RowBox[{"\[Alpha]", "[", "10", "]"}]}], 
      RowBox[{
       SqrtBox["2"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SubscriptBox["p", "1"], "+", 
          SubscriptBox["p", "2"], "+", 
          SubscriptBox["p", "3"]}], ")"}], "4"]}]], "+", 
     InterpretationBox[
      SuperscriptBox[
       RowBox[{"O", "[", "\[Epsilon]", "]"}], "1"],
      SeriesData[TripleK`\[Epsilon], 0, {}, 0, 1, 1],
      Editable->False]}],
    SeriesData[
    TripleK`\[Epsilon], 0, {
     2^Rational[-1, 2] 
      Pi^Rational[3, 2] (TripleK`p[1] + TripleK`p[2] + TripleK`p[3])^(-4) (
       4 TripleK`p[1] + TripleK`p[2] + TripleK`p[3]) Konformal`\[Alpha][10]}, 
     0, 1, 1],
    Editable->False], ",", 
   InterpretationBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{"2", " ", "cJ", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", 
             SubscriptBox["p", "1"]}], "+", 
            SubscriptBox["p", "2"], "+", 
            SubscriptBox["p", "3"]}], ")"}]}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["p", "1"], "+", 
            SubscriptBox["p", "2"], "+", 
            SubscriptBox["p", "3"]}], ")"}], "2"]]}], "+", 
       FractionBox[
        RowBox[{
         SuperscriptBox["\[Pi]", 
          RowBox[{"3", "/", "2"}]], " ", 
         SubsuperscriptBox["p", "1", "2"], " ", 
         RowBox[{"\[Alpha]", "[", "10", "]"}]}], 
        RowBox[{
         SqrtBox["2"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["p", "1"], "+", 
            SubscriptBox["p", "2"], "+", 
            SubscriptBox["p", "3"]}], ")"}], "3"]}]]}], ")"}], "+", 
     InterpretationBox[
      SuperscriptBox[
       RowBox[{"O", "[", "\[Epsilon]", "]"}], "1"],
      SeriesData[TripleK`\[Epsilon], 0, {}, 0, 1, 1],
      Editable->False]}],
    SeriesData[
    TripleK`\[Epsilon], 
     0, {(-2) Konformal`cJ (TripleK`p[1] + TripleK`p[2] + TripleK`p[3])^(-2) (
        2 TripleK`p[1] + TripleK`p[2] + TripleK`p[3]) + 
      2^Rational[-1, 2] Pi^Rational[3, 2] 
       TripleK`p[1]^2 (TripleK`p[1] + TripleK`p[2] + TripleK`p[3])^(-3) 
       Konformal`\[Alpha][10]}, 0, 1, 1],
    Editable->False], ",", 
   InterpretationBox[
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "8"}], " ", "cJ", " ", 
        RowBox[{"(", 
         RowBox[{
          SubscriptBox["p", "1"], "+", 
          SubscriptBox["p", "2"], "+", 
          SubscriptBox["p", "3"]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", 
           SubscriptBox["p", "1"]}], "+", 
          SubscriptBox["p", "2"], "+", 
          SubscriptBox["p", "3"]}], ")"}]}], "+", 
       RowBox[{
        SqrtBox["2"], " ", 
        SuperscriptBox["\[Pi]", 
         RowBox[{"3", "/", "2"}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", 
           SubsuperscriptBox["p", "1", "2"]}], "-", 
          SubsuperscriptBox["p", "2", "2"], "+", 
          SubsuperscriptBox["p", "3", "2"], "+", 
          RowBox[{"3", " ", 
           SubscriptBox["p", "1"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              SubscriptBox["p", "2"]}], "+", 
             SubscriptBox["p", "3"]}], ")"}]}]}], ")"}], " ", 
        RowBox[{"\[Alpha]", "[", "10", "]"}]}]}], 
      RowBox[{"4", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SubscriptBox["p", "1"], "+", 
          SubscriptBox["p", "2"], "+", 
          SubscriptBox["p", "3"]}], ")"}], "3"]}]], "+", 
     InterpretationBox[
      SuperscriptBox[
       RowBox[{"O", "[", "\[Epsilon]", "]"}], "1"],
      SeriesData[TripleK`\[Epsilon], 0, {}, 0, 1, 1],
      Editable->False]}],
    SeriesData[
    TripleK`\[Epsilon], 0, {
     Rational[1, 4] (TripleK`p[1] + TripleK`p[2] + TripleK`p[3])^(-3) ((-8) 
        Konformal`cJ (TripleK`p[1] + TripleK`p[2] + TripleK`p[3]) (
         2 TripleK`p[1] + TripleK`p[2] + TripleK`p[3]) + 
       2^Rational[1, 2] 
        Pi^Rational[3, 2] ((-2) TripleK`p[1]^2 - TripleK`p[2]^2 + 
         TripleK`p[3]^2 + 3 TripleK`p[1] (-TripleK`p[2] + TripleK`p[3])) 
        Konformal`\[Alpha][10])}, 0, 1, 1],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{
  3.795942606134761*^9, {3.795942638167056*^9, 3.795942646793558*^9}, 
   3.7965813861880183`*^9, 3.796585981070385*^9, 3.7966694486361074`*^9, 
   3.796717465245844*^9, 3.798506425166181*^9, 3.7986879532427163`*^9, 
   3.79903983691168*^9},ExpressionUUID->"09722efc-e692-4067-9f3d-\
0aefa1a847e6"]
}, Open  ]],

Cell[TextData[{
 "The fourth form factor must be evaluated with the regulator in place. \
However, after the triple-K integrals are evaluated, the regulator as well as \
",
 StyleBox["u",
  FontSlant->"Italic"],
 " and ",
 StyleBox["v",
  FontSlant->"Italic"],
 " parameters drop out. We find a finite solution."
}], "Text",
 CellChangeTimes->{{3.795942743387846*^9, 
  3.79594279412409*^9}},ExpressionUUID->"417244f1-4e39-4ad5-950f-\
22d4dd8ff06a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Sol4", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"A", "[", "4", "]"}], "/.", "ToSol"}], "//", "KEvaluate"}], "//",
    "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.795942704112946*^9, 3.795942731374127*^9}, {
  3.7959427871827908`*^9, 
  3.795942788092415*^9}},ExpressionUUID->"52a8c151-7858-4dfb-ba25-\
a2c667318be6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{
    FractionBox["1", 
     RowBox[{"8", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["p", "1"], "+", 
         SubscriptBox["p", "2"], "+", 
         SubscriptBox["p", "3"]}], ")"}], "2"]}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"8", " ", "cJ", " ", 
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["p", "1"], "+", 
         SubscriptBox["p", "2"], "+", 
         SubscriptBox["p", "3"]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SubsuperscriptBox["p", "1", "2"]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", "c3"}]}], ")"}], " ", 
          SubscriptBox["p", "1"], " ", 
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["p", "2"], "+", 
            SubscriptBox["p", "3"]}], ")"}]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", "c3"}]}], ")"}], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SubscriptBox["p", "2"], "+", 
             SubscriptBox["p", "3"]}], ")"}], "2"]}]}], ")"}]}], "+", 
      RowBox[{
       SqrtBox["2"], " ", 
       SuperscriptBox["\[Pi]", 
        RowBox[{"3", "/", "2"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["p", "1"], "+", 
         SubscriptBox["p", "2"], "-", 
         SubscriptBox["p", "3"]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["p", "1"], "-", 
         SubscriptBox["p", "2"], "+", 
         SubscriptBox["p", "3"]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SubscriptBox["p", "1"]}], "+", 
         SubscriptBox["p", "2"], "+", 
         SubscriptBox["p", "3"]}], ")"}], " ", 
       RowBox[{"\[Alpha]", "[", "10", "]"}]}]}], ")"}]}], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "\[Epsilon]", "]"}], "1"],
    SeriesData[TripleK`\[Epsilon], 0, {}, 0, 1, 1],
    Editable->False]}],
  SeriesData[
  TripleK`\[Epsilon], 0, {
   Rational[1, 8] (TripleK`p[1] + TripleK`p[2] + TripleK`p[3])^(-2) (
     8 Konformal`cJ (TripleK`p[1] + TripleK`p[2] + TripleK`p[3]) (
       2 TripleK`p[1]^2 + (-1 + 2 Konformal`c3) 
        TripleK`p[1] (TripleK`p[2] + TripleK`p[3]) + (-1 + 
         2 Konformal`c3) (TripleK`p[2] + TripleK`p[3])^2) + 
     2^Rational[1, 2] 
      Pi^Rational[3, 2] (TripleK`p[1] + TripleK`p[2] - TripleK`p[3]) (
       TripleK`p[1] - TripleK`p[2] + TripleK`p[3]) (2 TripleK`p[1] + 
       TripleK`p[2] + TripleK`p[3]) Konformal`\[Alpha][10])}, 0, 1, 1],
  Editable->False]], "Output",
 CellChangeTimes->{{3.795942708130014*^9, 3.795942732492881*^9}, 
   3.795942802364232*^9, 3.796581393476435*^9, 3.79658598461539*^9, 
   3.7966694565861187`*^9, 3.7967174670118647`*^9, 3.798506429284081*^9, 
   3.7986879551458254`*^9, 
   3.7990398391843*^9},ExpressionUUID->"83a734ba-5c00-4766-921a-ccea0e678c27"]
}, Open  ]],

Cell[TextData[{
 "Now we consider even dimensions, ",
 Cell[BoxData[
  FormBox[
   RowBox[{"d", "=", 
    RowBox[{"2", "n"}]}], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "ff698cf7-7741-4c6d-a593-3fae0b40fcc1"],
 ", where more divergences appear,"
}], "Text",
 CellChangeTimes->{{3.798506540409803*^9, 
  3.798506578266526*^9}},ExpressionUUID->"eefc6e2f-4b22-4a2b-9131-\
163c5949ea12"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Divergences", "/.", 
   RowBox[{"d", "\[Rule]", 
    RowBox[{"2", "n"}]}]}], "//", 
  RowBox[{
   RowBox[{"Simplify", "[", 
    RowBox[{"#", ",", 
     RowBox[{"Assumptions", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"n", "\[GreaterEqual]", "2"}], ",", 
        RowBox[{"n", "\[Element]", "Integers"}]}], "}"}]}]}], "]"}], 
   "&"}]}]], "Input",
 CellChangeTimes->{{3.79850658041861*^9, 
  3.798506615435004*^9}},ExpressionUUID->"44bae1a7-4996-49f7-ab72-\
039770218c15"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"A", "[", "1", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"n", "\[GreaterEqual]", "3"}], ")"}], " ", 
     RowBox[{"\[Alpha]", "[", "1", "]"}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "2", "]"}], "\[Rule]", 
    RowBox[{"True", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "1", "]"}], "+", 
       RowBox[{"\[Alpha]", "[", "2", "]"}]}], ")"}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "3", "]"}], "\[Rule]", 
    RowBox[{"True", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"\[Alpha]", "[", "1", "]"}]}], "+", 
       RowBox[{"\[Alpha]", "[", "3", "]"}]}], ")"}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "4", "]"}], "\[Rule]", 
    RowBox[{"True", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"\[Alpha]", "[", "1", "]"}]}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"\[Alpha]", "[", "3", "]"}]}], "+", 
       RowBox[{"\[Alpha]", "[", "4", "]"}]}], ")"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.796581443341287*^9, 3.796585985330391*^9, 3.7966694609761243`*^9, 
   3.79671746965751*^9, {3.798506582312481*^9, 3.798506615802642*^9}, 
   3.7986879552348304`*^9, 
   3.799039839262847*^9},ExpressionUUID->"ae84c7c0-595e-4121-a927-\
1f9e9461460c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"suRegulatedEven", "=", 
  RowBox[{
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{"dreg", "\[Rule]", 
      RowBox[{"d", "+", 
       RowBox[{"2", "u", " ", "\[Epsilon]"}]}]}], ",", 
     RowBox[{
      RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "\[Rule]", 
      RowBox[{"d", "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"u", "+", "v"}], ")"}], "\[Epsilon]"}]}]}], ",", 
     RowBox[{
      RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "\[Rule]", 
      RowBox[{"d", "-", "1", "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"u", "+", "v"}], ")"}], "\[Epsilon]"}]}]}], ",", 
     RowBox[{
      RowBox[{"\[CapitalDelta]", "[", "3", "]"}], "\[Rule]", 
      RowBox[{"d", "-", "1", "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"u", "+", "v"}], ")"}], "\[Epsilon]"}]}]}], ",", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", "j_", "]"}], "\[RuleDelayed]", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Alpha]", "[", 
         RowBox[{"10", "j"}], "]"}], "+", 
        RowBox[{
         RowBox[{"\[Alpha]", "[", 
          RowBox[{
           RowBox[{"10", "j"}], "+", "1"}], "]"}], "\[Epsilon]"}], "+", 
        RowBox[{
         RowBox[{"\[Alpha]", "[", 
          RowBox[{
           RowBox[{"10", "j"}], "+", "2"}], "]"}], 
         RowBox[{"\[Epsilon]", "^", "2"}]}]}], "/;", 
       RowBox[{"j", "<", "10"}]}]}]}], "}"}], "/.", 
   RowBox[{"{", 
    RowBox[{"d", "\[Rule]", 
     RowBox[{"2", "n"}]}], "}"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"as", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"n", "\[GreaterEqual]", "4"}], ",", 
    RowBox[{"n", "\[Element]", "Integers"}]}], "}"}]}]}], "Input",
 CellChangeTimes->{{3.7966700332565336`*^9, 3.7966700800965996`*^9}, 
   3.7966708918157372`*^9, {3.7966765322981257`*^9, 3.796676532528126*^9}, {
   3.796717510071908*^9, 3.7967175103642282`*^9}, {3.796717551043211*^9, 
   3.796717551788129*^9}, {3.79671946762421*^9, 
   3.7967194808287163`*^9}},ExpressionUUID->"f795eceb-babc-46bb-acd9-\
42f52c37491f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"dreg", "\[Rule]", 
    RowBox[{
     RowBox[{"2", " ", "n"}], "+", 
     RowBox[{"2", " ", "u", " ", "\[Epsilon]"}]}]}], ",", 
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"2", " ", "n"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"u", "+", "v"}], ")"}], " ", "\[Epsilon]"}]}]}], ",", 
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"2", " ", "n"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"u", "+", "v"}], ")"}], " ", "\[Epsilon]"}]}]}], ",", 
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "3", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"2", " ", "n"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"u", "+", "v"}], ")"}], " ", "\[Epsilon]"}]}]}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "j_", "]"}], "\[RuleDelayed]", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"10", " ", "j"}], "]"}], "+", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", 
        RowBox[{
         RowBox[{"10", " ", "j"}], "+", "1"}], "]"}], " ", "\[Epsilon]"}], 
      "+", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", 
        RowBox[{
         RowBox[{"10", " ", "j"}], "+", "2"}], "]"}], " ", 
       SuperscriptBox["\[Epsilon]", "2"]}]}], "/;", 
     RowBox[{"j", "<", "10"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.796670065546579*^9, 3.7966700804666*^9}, 
   3.7966708950957413`*^9, 3.796717474840016*^9, 3.796717511212566*^9, 
   3.796717552216873*^9, 3.796719481319132*^9, 3.798506619511471*^9, 
   3.798687955250831*^9, 
   3.799039839277978*^9},ExpressionUUID->"ed38fb31-e8c7-4a6e-b744-\
d3122ae9fa95"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"n", "\[GreaterEqual]", "4"}], ",", 
   RowBox[{"n", "\[Element]", 
    TemplateBox[{},
     "Integers"]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.796670065546579*^9, 3.7966700804666*^9}, 
   3.7966708950957413`*^9, 3.796717474840016*^9, 3.796717511212566*^9, 
   3.796717552216873*^9, 3.796719481319132*^9, 3.798506619511471*^9, 
   3.798687955250831*^9, 
   3.799039839279602*^9},ExpressionUUID->"217540af-43a2-4d0f-9f3b-\
4adac590d937"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PSeven", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"PS", "/.", 
     RowBox[{"suJToI", "[", 
      RowBox[{"dreg", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[CapitalDelta]", "[", "1", "]"}], ",", 
         RowBox[{"\[CapitalDelta]", "[", "2", "]"}], ",", 
         RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}], "}"}]}], "]"}]}], "/.",
     "suRegulatedEven"}], "//", "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.7965814909820123`*^9, 3.796581534605507*^9}, {
   3.7965815703265505`*^9, 3.7965815704525576`*^9}, {3.7965816174452457`*^9, 
   3.796581617748263*^9}, {3.7965823091998067`*^9, 3.796582324495682*^9}, 
   3.7966694709961386`*^9, {3.7966700708365865`*^9, 3.796670071446587*^9}, 
   3.7966704873251705`*^9, {3.7966708985657463`*^9, 
   3.7966709000057487`*^9}},ExpressionUUID->"263243f5-90e0-4fed-8c1f-\
75dd7492d7d6"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"A", "[", "1", "]"}], "\[Rule]", 
    RowBox[{
     SubscriptBox["i", 
      RowBox[{
       RowBox[{"3", "+", "n", "+", 
        RowBox[{"u", " ", "\[Epsilon]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"n", "+", 
          RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "n", "+", 
          RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "n", "+", 
          RowBox[{"v", " ", "\[Epsilon]"}]}]}], "}"}]}]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "10", "]"}], "+", 
       RowBox[{"\[Epsilon]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[Alpha]", "[", "11", "]"}], "+", 
          RowBox[{"\[Epsilon]", " ", 
           RowBox[{"\[Alpha]", "[", "12", "]"}]}]}], ")"}]}]}], ")"}]}]}], 
   ",", 
   RowBox[{
    RowBox[{"A", "[", "2", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{
      SubscriptBox["i", 
       RowBox[{
        RowBox[{"2", "+", "n", "+", 
         RowBox[{"u", " ", "\[Epsilon]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1", "+", "n", "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "n", "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "n", "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}]}], "}"}]}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "10", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Alpha]", "[", "11", "]"}], "+", 
           RowBox[{"\[Epsilon]", " ", 
            RowBox[{"\[Alpha]", "[", "12", "]"}]}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{
      SubscriptBox["i", 
       RowBox[{
        RowBox[{"1", "+", "n", "+", 
         RowBox[{"u", " ", "\[Epsilon]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"n", "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "n", "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "n", "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}]}], "}"}]}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "20", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Alpha]", "[", "21", "]"}], "+", 
           RowBox[{"\[Epsilon]", " ", 
            RowBox[{"\[Alpha]", "[", "22", "]"}]}]}], ")"}]}]}], ")"}]}]}]}], 
   ",", 
   RowBox[{
    RowBox[{"A", "[", "3", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"2", " ", 
      SubscriptBox["i", 
       RowBox[{
        RowBox[{"2", "+", "n", "+", 
         RowBox[{"u", " ", "\[Epsilon]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"n", "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "n", "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
          RowBox[{"n", "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}]}], "}"}]}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "10", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Alpha]", "[", "11", "]"}], "+", 
           RowBox[{"\[Epsilon]", " ", 
            RowBox[{"\[Alpha]", "[", "12", "]"}]}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{
      SubscriptBox["i", 
       RowBox[{
        RowBox[{"1", "+", "n", "+", 
         RowBox[{"u", " ", "\[Epsilon]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"n", "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "n", "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "n", "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}]}], "}"}]}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "30", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Alpha]", "[", "31", "]"}], "+", 
           RowBox[{"\[Epsilon]", " ", 
            RowBox[{"\[Alpha]", "[", "32", "]"}]}]}], ")"}]}]}], ")"}]}]}]}], 
   ",", 
   RowBox[{
    RowBox[{"A", "[", "4", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"2", " ", 
      SubscriptBox["i", 
       RowBox[{
        RowBox[{"1", "+", "n", "+", 
         RowBox[{"u", " ", "\[Epsilon]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"n", "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
          RowBox[{"n", "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
          RowBox[{"n", "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}]}], "}"}]}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "10", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Alpha]", "[", "11", "]"}], "+", 
           RowBox[{"\[Epsilon]", " ", 
            RowBox[{"\[Alpha]", "[", "12", "]"}]}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["i", 
         RowBox[{
          RowBox[{"n", "+", 
           RowBox[{"u", " ", "\[Epsilon]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"n", "+", 
             RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "n", "+", 
             RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
            RowBox[{"n", "+", 
             RowBox[{"v", " ", "\[Epsilon]"}]}]}], "}"}]}]], "+", 
        SubscriptBox["i", 
         RowBox[{
          RowBox[{"n", "+", 
           RowBox[{"u", " ", "\[Epsilon]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"n", "+", 
             RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
            RowBox[{"n", "+", 
             RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "n", "+", 
             RowBox[{"v", " ", "\[Epsilon]"}]}]}], "}"}]}]]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "30", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Alpha]", "[", "31", "]"}], "+", 
           RowBox[{"\[Epsilon]", " ", 
            RowBox[{"\[Alpha]", "[", "32", "]"}]}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{
      SubscriptBox["i", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "1"}], "+", "n", "+", 
         RowBox[{"u", " ", "\[Epsilon]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"n", "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "n", "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}], ",", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "n", "+", 
           RowBox[{"v", " ", "\[Epsilon]"}]}]}], "}"}]}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "40", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Alpha]", "[", "41", "]"}], "+", 
           RowBox[{"\[Epsilon]", " ", 
            RowBox[{"\[Alpha]", "[", "42", "]"}]}]}], ")"}]}]}], 
       ")"}]}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.7965814868057733`*^9, 3.7965815351645393`*^9}, 
   3.7965815723566666`*^9, 3.7965816182392907`*^9, {3.7965823073587017`*^9, 
   3.7965823249437075`*^9}, 3.7965859872303934`*^9, 3.7966694720861397`*^9, {
   3.7966700726965895`*^9, 3.7966700842666054`*^9}, 3.796670489985174*^9, 
   3.7966709004057493`*^9, {3.7967174968257637`*^9, 3.796717514033991*^9}, 
   3.796717553791448*^9, 3.796719488980494*^9, 3.7985066319367323`*^9, 
   3.7986879553238354`*^9, 
   3.7990398393928623`*^9},ExpressionUUID->"a569e833-b560-4419-93bd-\
a1fb3b5fed86"]
}, Open  ]],

Cell[TextData[{
 "Now we deal with the singularity at ",
 Cell[BoxData[
  FormBox[
   RowBox[{"u", "=", "v"}], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "bf3a0188-1bb6-40fc-94c1-c1fe5577d171"],
 ". This form of singularity is associated with (--+) type of singularity. \
Therefore, we only need to extract those."
}], "Text",
 CellChangeTimes->{{3.798506646522399*^9, 
  3.7985067104599247`*^9}},ExpressionUUID->"047d9f1c-6e85-48d2-8bd4-\
4e5e3276faf3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PSevenDivergence", "=", 
  RowBox[{
   RowBox[{"KDivergence", "[", 
    RowBox[{"PSeven", ",", 
     RowBox[{"Assumptions", "\[Rule]", "as"}], ",", " ", 
     RowBox[{"Type", "\[Rule]", 
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", 
          RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "1", ",", 
          RowBox[{"-", "1"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"-", "1"}], ",", 
          RowBox[{"-", "1"}]}], "}"}]}], " ", "}"}]}]}], "]"}], "//", 
   "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.79593881116498*^9, 3.795938845466042*^9}, {
   3.795938969249895*^9, 3.795939037113956*^9}, {3.795939074477216*^9, 
   3.79593908889498*^9}, {3.795941902999114*^9, 3.7959419032596617`*^9}, {
   3.7965815460931644`*^9, 3.7965815913097506`*^9}, {3.796669495086172*^9, 
   3.7966695138961983`*^9}, {3.796670354844985*^9, 3.7966703817250233`*^9}, 
   3.796670492615178*^9, 3.796717521223537*^9, {3.796719494639656*^9, 
   3.796719495726388*^9}},ExpressionUUID->"1f34ec45-0396-4cd6-8131-\
fc478f514dc8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"A", "[", "1", "]"}], "\[Rule]", "0"}], ",", 
   RowBox[{
    RowBox[{"A", "[", "2", "]"}], "\[Rule]", "0"}], ",", 
   RowBox[{
    RowBox[{"A", "[", "3", "]"}], "\[Rule]", "0"}], ",", 
   RowBox[{
    RowBox[{"A", "[", "4", "]"}], "\[Rule]", 
    InterpretationBox[
     RowBox[{
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"-", "1"}], ")"}], 
         RowBox[{"-", "n"}]], " ", 
        SuperscriptBox["2", 
         RowBox[{
          RowBox[{"-", "3"}], "+", "n"}]], " ", 
        RowBox[{"Gamma", "[", "n", "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SubsuperscriptBox["p", "2", 
            RowBox[{"2", " ", "n"}]], " ", 
           SubsuperscriptBox["p", "3", "2"]}], "+", 
          RowBox[{
           SubsuperscriptBox["p", "2", "2"], " ", 
           SubsuperscriptBox["p", "3", 
            RowBox[{"2", " ", "n"}]]}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", 
           RowBox[{"Gamma", "[", "n", "]"}], " ", 
           RowBox[{"\[Alpha]", "[", "30", "]"}]}], "+", 
          RowBox[{
           RowBox[{"Gamma", "[", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "n"}], "]"}], " ", 
           RowBox[{"\[Alpha]", "[", "40", "]"}]}]}], ")"}]}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"u", "-", "v"}], ")"}], " ", "v", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "n"}], ")"}], "!"}], " ", 
        SubsuperscriptBox["p", "2", "2"], " ", 
        SubsuperscriptBox["p", "3", "2"], " ", 
        SuperscriptBox["\[Epsilon]", "2"]}]], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], 
          RowBox[{"-", "n"}]], " ", 
         SuperscriptBox["2", 
          RowBox[{
           RowBox[{"-", "3"}], "+", "n"}]], " ", 
         RowBox[{"Gamma", "[", "n", "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", "EulerGamma", " ", "v", " ", 
            RowBox[{"Gamma", "[", "n", "]"}], " ", 
            SubsuperscriptBox["p", "2", 
             RowBox[{"2", " ", "n"}]], " ", 
            SubsuperscriptBox["p", "3", "2"], " ", 
            RowBox[{"\[Alpha]", "[", "30", "]"}]}], "+", 
           RowBox[{"v", " ", 
            RowBox[{"Gamma", "[", "n", "]"}], " ", 
            RowBox[{"Log", "[", "4", "]"}], " ", 
            SubsuperscriptBox["p", "2", 
             RowBox[{"2", " ", "n"}]], " ", 
            SubsuperscriptBox["p", "3", "2"], " ", 
            RowBox[{"\[Alpha]", "[", "30", "]"}]}], "+", 
           RowBox[{"4", " ", "v", " ", 
            RowBox[{"Gamma", "[", "n", "]"}], " ", 
            RowBox[{"Log", "[", 
             SubscriptBox["p", "2"], "]"}], " ", 
            SubsuperscriptBox["p", "2", 
             RowBox[{"2", " ", "n"}]], " ", 
            SubsuperscriptBox["p", "3", "2"], " ", 
            RowBox[{"\[Alpha]", "[", "30", "]"}]}], "-", 
           RowBox[{"2", " ", "EulerGamma", " ", "v", " ", 
            RowBox[{"Gamma", "[", "n", "]"}], " ", 
            SubsuperscriptBox["p", "2", "2"], " ", 
            SubsuperscriptBox["p", "3", 
             RowBox[{"2", " ", "n"}]], " ", 
            RowBox[{"\[Alpha]", "[", "30", "]"}]}], "+", 
           RowBox[{"v", " ", 
            RowBox[{"Gamma", "[", "n", "]"}], " ", 
            RowBox[{"Log", "[", "4", "]"}], " ", 
            SubsuperscriptBox["p", "2", "2"], " ", 
            SubsuperscriptBox["p", "3", 
             RowBox[{"2", " ", "n"}]], " ", 
            RowBox[{"\[Alpha]", "[", "30", "]"}]}], "+", 
           RowBox[{"4", " ", "v", " ", 
            RowBox[{"Gamma", "[", "n", "]"}], " ", 
            RowBox[{"Log", "[", 
             SubscriptBox["p", "3"], "]"}], " ", 
            SubsuperscriptBox["p", "2", "2"], " ", 
            SubsuperscriptBox["p", "3", 
             RowBox[{"2", " ", "n"}]], " ", 
            RowBox[{"\[Alpha]", "[", "30", "]"}]}], "+", 
           RowBox[{"2", " ", "v", " ", 
            RowBox[{"Gamma", "[", "n", "]"}], " ", 
            RowBox[{"HarmonicNumber", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "n"}], "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               SubsuperscriptBox["p", "2", 
                RowBox[{"2", " ", "n"}]], " ", 
               SubsuperscriptBox["p", "3", "2"]}], "+", 
              RowBox[{
               SubsuperscriptBox["p", "2", "2"], " ", 
               SubsuperscriptBox["p", "3", 
                RowBox[{"2", " ", "n"}]]}]}], ")"}], " ", 
            RowBox[{"\[Alpha]", "[", "30", "]"}]}], "+", 
           RowBox[{"2", " ", 
            RowBox[{"Gamma", "[", "n", "]"}], " ", 
            SubsuperscriptBox["p", "2", 
             RowBox[{"2", " ", "n"}]], " ", 
            SubsuperscriptBox["p", "3", "2"], " ", 
            RowBox[{"\[Alpha]", "[", "31", "]"}]}], "+", 
           RowBox[{"2", " ", 
            RowBox[{"Gamma", "[", "n", "]"}], " ", 
            SubsuperscriptBox["p", "2", "2"], " ", 
            SubsuperscriptBox["p", "3", 
             RowBox[{"2", " ", "n"}]], " ", 
            RowBox[{"\[Alpha]", "[", "31", "]"}]}], "-", 
           RowBox[{"EulerGamma", " ", "v", " ", 
            RowBox[{"Gamma", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "n"}], "]"}], " ", 
            SubsuperscriptBox["p", "2", 
             RowBox[{"2", " ", "n"}]], " ", 
            SubsuperscriptBox["p", "3", "2"], " ", 
            RowBox[{"\[Alpha]", "[", "40", "]"}]}], "+", 
           RowBox[{"v", " ", 
            RowBox[{"Gamma", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "n"}], "]"}], " ", 
            RowBox[{"Log", "[", "2", "]"}], " ", 
            SubsuperscriptBox["p", "2", 
             RowBox[{"2", " ", "n"}]], " ", 
            SubsuperscriptBox["p", "3", "2"], " ", 
            RowBox[{"\[Alpha]", "[", "40", "]"}]}], "+", 
           RowBox[{"2", " ", "v", " ", 
            RowBox[{"Gamma", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "n"}], "]"}], " ", 
            RowBox[{"Log", "[", 
             SubscriptBox["p", "2"], "]"}], " ", 
            SubsuperscriptBox["p", "2", 
             RowBox[{"2", " ", "n"}]], " ", 
            SubsuperscriptBox["p", "3", "2"], " ", 
            RowBox[{"\[Alpha]", "[", "40", "]"}]}], "-", 
           RowBox[{"EulerGamma", " ", "v", " ", 
            RowBox[{"Gamma", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "n"}], "]"}], " ", 
            SubsuperscriptBox["p", "2", "2"], " ", 
            SubsuperscriptBox["p", "3", 
             RowBox[{"2", " ", "n"}]], " ", 
            RowBox[{"\[Alpha]", "[", "40", "]"}]}], "+", 
           RowBox[{"v", " ", 
            RowBox[{"Gamma", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "n"}], "]"}], " ", 
            RowBox[{"Log", "[", "2", "]"}], " ", 
            SubsuperscriptBox["p", "2", "2"], " ", 
            SubsuperscriptBox["p", "3", 
             RowBox[{"2", " ", "n"}]], " ", 
            RowBox[{"\[Alpha]", "[", "40", "]"}]}], "+", 
           RowBox[{"2", " ", "v", " ", 
            RowBox[{"Gamma", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "n"}], "]"}], " ", 
            RowBox[{"Log", "[", 
             SubscriptBox["p", "3"], "]"}], " ", 
            SubsuperscriptBox["p", "2", "2"], " ", 
            SubsuperscriptBox["p", "3", 
             RowBox[{"2", " ", "n"}]], " ", 
            RowBox[{"\[Alpha]", "[", "40", "]"}]}], "+", 
           RowBox[{"v", " ", 
            RowBox[{"Gamma", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "n"}], "]"}], " ", 
            RowBox[{"HarmonicNumber", "[", 
             RowBox[{
              RowBox[{"-", "2"}], "+", "n"}], "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               SubsuperscriptBox["p", "2", 
                RowBox[{"2", " ", "n"}]], " ", 
               SubsuperscriptBox["p", "3", "2"]}], "+", 
              RowBox[{
               SubsuperscriptBox["p", "2", "2"], " ", 
               SubsuperscriptBox["p", "3", 
                RowBox[{"2", " ", "n"}]]}]}], ")"}], " ", 
            RowBox[{"\[Alpha]", "[", "40", "]"}]}], "+", 
           RowBox[{
            RowBox[{"Gamma", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "n"}], "]"}], " ", 
            SubsuperscriptBox["p", "2", 
             RowBox[{"2", " ", "n"}]], " ", 
            SubsuperscriptBox["p", "3", "2"], " ", 
            RowBox[{"\[Alpha]", "[", "41", "]"}]}], "+", 
           RowBox[{
            RowBox[{"Gamma", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "n"}], "]"}], " ", 
            SubsuperscriptBox["p", "2", "2"], " ", 
            SubsuperscriptBox["p", "3", 
             RowBox[{"2", " ", "n"}]], " ", 
            RowBox[{"\[Alpha]", "[", "41", "]"}]}]}], ")"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"u", "-", "v"}], ")"}], " ", "v", " ", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "n"}], ")"}], "!"}], " ", 
         SubsuperscriptBox["p", "2", "2"], " ", 
         SubsuperscriptBox["p", "3", "2"], " ", "\[Epsilon]"}], ")"}]}], "+", 
      
      RowBox[{
       FractionBox["1", 
        RowBox[{"32", " ", 
         RowBox[{"(", 
          RowBox[{"u", "-", "v"}], ")"}], " ", "v", " ", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "n"}], ")"}], "!"}]}]], 
       RowBox[{
        RowBox[{"Gamma", "[", "n", "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"-", "1"}], ")"}], 
            RowBox[{"-", "n"}]], " ", 
           SuperscriptBox["2", 
            RowBox[{"1", "+", "n"}]], " ", 
           SuperscriptBox["v", "2"], " ", 
           RowBox[{"Gamma", "[", "n", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", " ", 
                 SuperscriptBox["EulerGamma", "2"]}], "+", 
                SuperscriptBox["\[Pi]", "2"], "+", 
                RowBox[{"2", " ", 
                 SuperscriptBox[
                  RowBox[{"HarmonicNumber", "[", 
                   RowBox[{
                    RowBox[{"-", "1"}], "+", "n"}], "]"}], "2"]}], "-", 
                RowBox[{"2", " ", 
                 RowBox[{"HarmonicNumber", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"-", "1"}], "+", "n"}], ",", "2"}], "]"}]}], "-", 
                
                RowBox[{"4", " ", "EulerGamma", " ", 
                 RowBox[{"Log", "[", "2", "]"}]}], "+", 
                RowBox[{"2", " ", 
                 SuperscriptBox[
                  RowBox[{"Log", "[", "2", "]"}], "2"]}], "-", 
                RowBox[{"8", " ", "EulerGamma", " ", 
                 RowBox[{"Log", "[", 
                  SubscriptBox["p", "2"], "]"}]}], "+", 
                RowBox[{"8", " ", 
                 RowBox[{"Log", "[", "2", "]"}], " ", 
                 RowBox[{"Log", "[", 
                  SubscriptBox["p", "2"], "]"}]}], "+", 
                RowBox[{"8", " ", 
                 SuperscriptBox[
                  RowBox[{"Log", "[", 
                   SubscriptBox["p", "2"], "]"}], "2"]}], "+", 
                RowBox[{
                 RowBox[{"HarmonicNumber", "[", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", "n"}], "]"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"-", "4"}], " ", "EulerGamma"}], "+", 
                   RowBox[{"Log", "[", "16", "]"}], "+", 
                   RowBox[{"8", " ", 
                    RowBox[{"Log", "[", 
                    SubscriptBox["p", "2"], "]"}]}]}], ")"}]}]}], ")"}], " ", 
              
              SubsuperscriptBox["p", "2", 
               RowBox[{
                RowBox[{"-", "2"}], "+", 
                RowBox[{"2", " ", "n"}]}]]}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", " ", 
                 SuperscriptBox["EulerGamma", "2"]}], "+", 
                SuperscriptBox["\[Pi]", "2"], "+", 
                RowBox[{"2", " ", 
                 SuperscriptBox[
                  RowBox[{"HarmonicNumber", "[", 
                   RowBox[{
                    RowBox[{"-", "1"}], "+", "n"}], "]"}], "2"]}], "-", 
                RowBox[{"2", " ", 
                 RowBox[{"HarmonicNumber", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"-", "1"}], "+", "n"}], ",", "2"}], "]"}]}], "-", 
                
                RowBox[{"4", " ", "EulerGamma", " ", 
                 RowBox[{"Log", "[", "2", "]"}]}], "+", 
                RowBox[{"2", " ", 
                 SuperscriptBox[
                  RowBox[{"Log", "[", "2", "]"}], "2"]}], "-", 
                RowBox[{"8", " ", "EulerGamma", " ", 
                 RowBox[{"Log", "[", 
                  SubscriptBox["p", "3"], "]"}]}], "+", 
                RowBox[{"8", " ", 
                 RowBox[{"Log", "[", "2", "]"}], " ", 
                 RowBox[{"Log", "[", 
                  SubscriptBox["p", "3"], "]"}]}], "+", 
                RowBox[{"8", " ", 
                 SuperscriptBox[
                  RowBox[{"Log", "[", 
                   SubscriptBox["p", "3"], "]"}], "2"]}], "+", 
                RowBox[{
                 RowBox[{"HarmonicNumber", "[", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", "n"}], "]"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"-", "4"}], " ", "EulerGamma"}], "+", 
                   RowBox[{"Log", "[", "16", "]"}], "+", 
                   RowBox[{"8", " ", 
                    RowBox[{"Log", "[", 
                    SubscriptBox["p", "3"], "]"}]}]}], ")"}]}]}], ")"}], " ", 
              
              SubsuperscriptBox["p", "3", 
               RowBox[{
                RowBox[{"-", "2"}], "+", 
                RowBox[{"2", " ", "n"}]}]]}]}], ")"}], " ", 
           RowBox[{"\[Alpha]", "[", "30", "]"}]}], "+", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"-", "1"}], ")"}], 
            RowBox[{"-", "n"}]], " ", 
           SuperscriptBox["2", 
            RowBox[{"3", "+", "n"}]], " ", 
           RowBox[{"Gamma", "[", "n", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"v", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "EulerGamma"}], "+", 
                RowBox[{"HarmonicNumber", "[", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", "n"}], "]"}], "+", 
                RowBox[{"Log", "[", "2", "]"}], "+", 
                RowBox[{"2", " ", 
                 RowBox[{"Log", "[", 
                  SubscriptBox["p", "2"], "]"}]}]}], ")"}], " ", 
              SubsuperscriptBox["p", "2", 
               RowBox[{
                RowBox[{"-", "2"}], "+", 
                RowBox[{"2", " ", "n"}]}]]}], "+", 
             RowBox[{"v", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "EulerGamma"}], "+", 
                RowBox[{"HarmonicNumber", "[", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", "n"}], "]"}], "+", 
                RowBox[{"Log", "[", "2", "]"}], "+", 
                RowBox[{"2", " ", 
                 RowBox[{"Log", "[", 
                  SubscriptBox["p", "3"], "]"}]}]}], ")"}], " ", 
              SubsuperscriptBox["p", "3", 
               RowBox[{
                RowBox[{"-", "2"}], "+", 
                RowBox[{"2", " ", "n"}]}]]}]}], ")"}], " ", 
           RowBox[{"\[Alpha]", "[", "31", "]"}]}], "+", 
          FractionBox[
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"-", "1"}], ")"}], 
             RowBox[{"-", "n"}]], " ", 
            SuperscriptBox["2", 
             RowBox[{"3", "+", "n"}]], " ", 
            RowBox[{"Gamma", "[", "n", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               SubsuperscriptBox["p", "2", 
                RowBox[{"2", " ", "n"}]], " ", 
               SubsuperscriptBox["p", "3", "2"]}], "+", 
              RowBox[{
               SubsuperscriptBox["p", "2", "2"], " ", 
               SubsuperscriptBox["p", "3", 
                RowBox[{"2", " ", "n"}]]}]}], ")"}], " ", 
            RowBox[{"\[Alpha]", "[", "32", "]"}]}], 
           RowBox[{
            SubsuperscriptBox["p", "2", "2"], " ", 
            SubsuperscriptBox["p", "3", "2"]}]], "+", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"-", 
              FractionBox["1", "2"]}], ")"}], 
            RowBox[{"-", "n"}]], " ", 
           SuperscriptBox["v", "2"], " ", 
           RowBox[{"Gamma", "[", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "n"}], "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", " ", 
                 SuperscriptBox["EulerGamma", "2"]}], "+", 
                SuperscriptBox["\[Pi]", "2"], "+", 
                RowBox[{"2", " ", 
                 SuperscriptBox[
                  RowBox[{"HarmonicNumber", "[", 
                   RowBox[{
                    RowBox[{"-", "2"}], "+", "n"}], "]"}], "2"]}], "-", 
                RowBox[{"2", " ", 
                 RowBox[{"HarmonicNumber", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"-", "2"}], "+", "n"}], ",", "2"}], "]"}]}], "-", 
                
                RowBox[{"4", " ", "EulerGamma", " ", 
                 RowBox[{"Log", "[", "2", "]"}]}], "+", 
                RowBox[{"2", " ", 
                 SuperscriptBox[
                  RowBox[{"Log", "[", "2", "]"}], "2"]}], "-", 
                RowBox[{"8", " ", "EulerGamma", " ", 
                 RowBox[{"Log", "[", 
                  SubscriptBox["p", "2"], "]"}]}], "+", 
                RowBox[{"8", " ", 
                 RowBox[{"Log", "[", "2", "]"}], " ", 
                 RowBox[{"Log", "[", 
                  SubscriptBox["p", "2"], "]"}]}], "+", 
                RowBox[{"8", " ", 
                 SuperscriptBox[
                  RowBox[{"Log", "[", 
                   SubscriptBox["p", "2"], "]"}], "2"]}], "+", 
                RowBox[{
                 RowBox[{"HarmonicNumber", "[", 
                  RowBox[{
                   RowBox[{"-", "2"}], "+", "n"}], "]"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"-", "4"}], " ", "EulerGamma"}], "+", 
                   RowBox[{"Log", "[", "16", "]"}], "+", 
                   RowBox[{"8", " ", 
                    RowBox[{"Log", "[", 
                    SubscriptBox["p", "2"], "]"}]}]}], ")"}]}]}], ")"}], " ", 
              
              SubsuperscriptBox["p", "2", 
               RowBox[{
                RowBox[{"-", "2"}], "+", 
                RowBox[{"2", " ", "n"}]}]]}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", " ", 
                 SuperscriptBox["EulerGamma", "2"]}], "+", 
                SuperscriptBox["\[Pi]", "2"], "+", 
                RowBox[{"2", " ", 
                 SuperscriptBox[
                  RowBox[{"HarmonicNumber", "[", 
                   RowBox[{
                    RowBox[{"-", "2"}], "+", "n"}], "]"}], "2"]}], "-", 
                RowBox[{"2", " ", 
                 RowBox[{"HarmonicNumber", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"-", "2"}], "+", "n"}], ",", "2"}], "]"}]}], "-", 
                
                RowBox[{"4", " ", "EulerGamma", " ", 
                 RowBox[{"Log", "[", "2", "]"}]}], "+", 
                RowBox[{"2", " ", 
                 SuperscriptBox[
                  RowBox[{"Log", "[", "2", "]"}], "2"]}], "-", 
                RowBox[{"8", " ", "EulerGamma", " ", 
                 RowBox[{"Log", "[", 
                  SubscriptBox["p", "3"], "]"}]}], "+", 
                RowBox[{"8", " ", 
                 RowBox[{"Log", "[", "2", "]"}], " ", 
                 RowBox[{"Log", "[", 
                  SubscriptBox["p", "3"], "]"}]}], "+", 
                RowBox[{"8", " ", 
                 SuperscriptBox[
                  RowBox[{"Log", "[", 
                   SubscriptBox["p", "3"], "]"}], "2"]}], "+", 
                RowBox[{
                 RowBox[{"HarmonicNumber", "[", 
                  RowBox[{
                   RowBox[{"-", "2"}], "+", "n"}], "]"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"-", "4"}], " ", "EulerGamma"}], "+", 
                   RowBox[{"Log", "[", "16", "]"}], "+", 
                   RowBox[{"8", " ", 
                    RowBox[{"Log", "[", 
                    SubscriptBox["p", "3"], "]"}]}]}], ")"}]}]}], ")"}], " ", 
              
              SubsuperscriptBox["p", "3", 
               RowBox[{
                RowBox[{"-", "2"}], "+", 
                RowBox[{"2", " ", "n"}]}]]}]}], ")"}], " ", 
           RowBox[{"\[Alpha]", "[", "40", "]"}]}], "+", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"-", "1"}], ")"}], 
            RowBox[{"-", "n"}]], " ", 
           SuperscriptBox["2", 
            RowBox[{"2", "+", "n"}]], " ", 
           RowBox[{"Gamma", "[", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "n"}], "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"v", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "EulerGamma"}], "+", 
                RowBox[{"HarmonicNumber", "[", 
                 RowBox[{
                  RowBox[{"-", "2"}], "+", "n"}], "]"}], "+", 
                RowBox[{"Log", "[", "2", "]"}], "+", 
                RowBox[{"2", " ", 
                 RowBox[{"Log", "[", 
                  SubscriptBox["p", "2"], "]"}]}]}], ")"}], " ", 
              SubsuperscriptBox["p", "2", 
               RowBox[{
                RowBox[{"-", "2"}], "+", 
                RowBox[{"2", " ", "n"}]}]]}], "+", 
             RowBox[{"v", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "EulerGamma"}], "+", 
                RowBox[{"HarmonicNumber", "[", 
                 RowBox[{
                  RowBox[{"-", "2"}], "+", "n"}], "]"}], "+", 
                RowBox[{"Log", "[", "2", "]"}], "+", 
                RowBox[{"2", " ", 
                 RowBox[{"Log", "[", 
                  SubscriptBox["p", "3"], "]"}]}]}], ")"}], " ", 
              SubsuperscriptBox["p", "3", 
               RowBox[{
                RowBox[{"-", "2"}], "+", 
                RowBox[{"2", " ", "n"}]}]]}]}], ")"}], " ", 
           RowBox[{"\[Alpha]", "[", "41", "]"}]}], "+", 
          FractionBox[
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"-", "1"}], ")"}], 
             RowBox[{"-", "n"}]], " ", 
            SuperscriptBox["2", 
             RowBox[{"2", "+", "n"}]], " ", 
            RowBox[{"Gamma", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "n"}], "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               SubsuperscriptBox["p", "2", 
                RowBox[{"2", " ", "n"}]], " ", 
               SubsuperscriptBox["p", "3", "2"]}], "+", 
              RowBox[{
               SubsuperscriptBox["p", "2", "2"], " ", 
               SubsuperscriptBox["p", "3", 
                RowBox[{"2", " ", "n"}]]}]}], ")"}], " ", 
            RowBox[{"\[Alpha]", "[", "42", "]"}]}], 
           RowBox[{
            SubsuperscriptBox["p", "2", "2"], " ", 
            SubsuperscriptBox["p", "3", "2"]}]]}], ")"}]}]}], "+", 
      InterpretationBox[
       SuperscriptBox[
        RowBox[{"O", "[", "\[Epsilon]", "]"}], "1"],
       SeriesData[TripleK`\[Epsilon], 0, {}, -2, 1, 1],
       Editable->False]}],
     SeriesData[
     TripleK`\[Epsilon], 
      0, {(-1)^(-$CellContext`n) 
       2^(-3 + $CellContext`n) (TripleK`u - TripleK`v)^(-1) TripleK`v^(-1) 
       Factorial[-1 + $CellContext`n]^(-1) Gamma[$CellContext`n] 
       TripleK`p[2]^(-2) 
       TripleK`p[3]^(-2) (TripleK`p[2]^(2 $CellContext`n) TripleK`p[3]^2 + 
        TripleK`p[2]^2 TripleK`p[3]^(2 $CellContext`n)) (
        2 Gamma[$CellContext`n] Konformal`\[Alpha][30] + 
        Gamma[-1 + $CellContext`n] 
         Konformal`\[Alpha][40]), (-1)^(-$CellContext`n) 
       2^(-3 + $CellContext`n) (TripleK`u - TripleK`v)^(-1) TripleK`v^(-1) 
       Factorial[-1 + $CellContext`n]^(-1) Gamma[$CellContext`n] 
       TripleK`p[2]^(-2) 
       TripleK`p[3]^(-2) ((-2) EulerGamma TripleK`v Gamma[$CellContext`n] 
         TripleK`p[2]^(2 $CellContext`n) TripleK`p[3]^2 
         Konformal`\[Alpha][30] + 
        TripleK`v Gamma[$CellContext`n] Log[4] 
         TripleK`p[2]^(2 $CellContext`n) TripleK`p[3]^2 
         Konformal`\[Alpha][30] + 4 TripleK`v Gamma[$CellContext`n] Log[
           TripleK`p[2]] TripleK`p[2]^(2 $CellContext`n) TripleK`p[3]^2 
         Konformal`\[Alpha][30] - 2 EulerGamma TripleK`v 
        Gamma[$CellContext`n] TripleK`p[2]^2 TripleK`p[3]^(2 $CellContext`n) 
        Konformal`\[Alpha][30] + 
        TripleK`v Gamma[$CellContext`n] Log[4] TripleK`p[2]^2 
         TripleK`p[3]^(2 $CellContext`n) Konformal`\[Alpha][30] + 
        4 TripleK`v Gamma[$CellContext`n] Log[
           TripleK`p[3]] TripleK`p[2]^2 TripleK`p[3]^(2 $CellContext`n) 
         Konformal`\[Alpha][30] + 
        2 TripleK`v Gamma[$CellContext`n] 
         HarmonicNumber[-1 + $CellContext`n] (
          TripleK`p[2]^(2 $CellContext`n) TripleK`p[3]^2 + 
          TripleK`p[2]^2 TripleK`p[3]^(2 $CellContext`n)) 
         Konformal`\[Alpha][30] + 
        2 Gamma[$CellContext`n] TripleK`p[2]^(2 $CellContext`n) 
         TripleK`p[3]^2 Konformal`\[Alpha][31] + 
        2 Gamma[$CellContext`n] TripleK`p[2]^2 
         TripleK`p[3]^(2 $CellContext`n) Konformal`\[Alpha][31] - EulerGamma 
        TripleK`v Gamma[-1 + $CellContext`n] TripleK`p[2]^(2 $CellContext`n) 
        TripleK`p[3]^2 Konformal`\[Alpha][40] + 
        TripleK`v Gamma[-1 + $CellContext`n] Log[2] 
         TripleK`p[2]^(2 $CellContext`n) TripleK`p[3]^2 
         Konformal`\[Alpha][40] + 2 TripleK`v Gamma[-1 + $CellContext`n] Log[
           TripleK`p[2]] TripleK`p[2]^(2 $CellContext`n) TripleK`p[3]^2 
         Konformal`\[Alpha][40] - EulerGamma TripleK`v 
        Gamma[-1 + $CellContext`n] TripleK`p[2]^2 
        TripleK`p[3]^(2 $CellContext`n) Konformal`\[Alpha][40] + 
        TripleK`v Gamma[-1 + $CellContext`n] Log[2] TripleK`p[2]^2 
         TripleK`p[3]^(2 $CellContext`n) Konformal`\[Alpha][40] + 
        2 TripleK`v Gamma[-1 + $CellContext`n] Log[
           TripleK`p[3]] TripleK`p[2]^2 TripleK`p[3]^(2 $CellContext`n) 
         Konformal`\[Alpha][40] + 
        TripleK`v Gamma[-1 + $CellContext`n] 
         HarmonicNumber[-2 + $CellContext`n] (
          TripleK`p[2]^(2 $CellContext`n) TripleK`p[3]^2 + 
          TripleK`p[2]^2 TripleK`p[3]^(2 $CellContext`n)) 
         Konformal`\[Alpha][40] + 
        Gamma[-1 + $CellContext`n] TripleK`p[2]^(2 $CellContext`n) 
         TripleK`p[3]^2 Konformal`\[Alpha][41] + 
        Gamma[-1 + $CellContext`n] TripleK`p[2]^2 
         TripleK`p[3]^(2 $CellContext`n) Konformal`\[Alpha][41]), 
       Rational[1, 32] (TripleK`u - TripleK`v)^(-1) TripleK`v^(-1) 
       Factorial[-1 + $CellContext`n]^(-1) 
       Gamma[$CellContext`n] ((-1)^(-$CellContext`n) 2^(1 + $CellContext`n) 
         TripleK`v^2 
         Gamma[$CellContext`n] ((2 EulerGamma^2 + Pi^2 + 
            2 HarmonicNumber[-1 + $CellContext`n]^2 - 2 
            HarmonicNumber[-1 + $CellContext`n, 2] - 4 EulerGamma Log[2] + 
            2 Log[2]^2 - 8 EulerGamma Log[
              TripleK`p[2]] + 8 Log[2] Log[
               TripleK`p[2]] + 8 Log[
                TripleK`p[2]]^2 + 
            HarmonicNumber[-1 + $CellContext`n] ((-4) EulerGamma + Log[16] + 
              8 Log[
                 TripleK`p[2]])) 
           TripleK`p[2]^(-2 + 2 $CellContext`n) + (2 EulerGamma^2 + Pi^2 + 
            2 HarmonicNumber[-1 + $CellContext`n]^2 - 2 
            HarmonicNumber[-1 + $CellContext`n, 2] - 4 EulerGamma Log[2] + 
            2 Log[2]^2 - 8 EulerGamma Log[
              TripleK`p[3]] + 8 Log[2] Log[
               TripleK`p[3]] + 8 Log[
                TripleK`p[3]]^2 + 
            HarmonicNumber[-1 + $CellContext`n] ((-4) EulerGamma + Log[16] + 
              8 Log[
                 TripleK`p[3]])) TripleK`p[3]^(-2 + 2 $CellContext`n)) 
         Konformal`\[Alpha][30] + (-1)^(-$CellContext`n) 
         2^(3 + $CellContext`n) 
         Gamma[$CellContext`n] (
          TripleK`v (-EulerGamma + HarmonicNumber[-1 + $CellContext`n] + 
            Log[2] + 2 Log[
               TripleK`p[2]]) TripleK`p[2]^(-2 + 2 $CellContext`n) + 
          TripleK`v (-EulerGamma + HarmonicNumber[-1 + $CellContext`n] + 
            Log[2] + 2 Log[
               TripleK`p[3]]) TripleK`p[3]^(-2 + 2 $CellContext`n)) 
         Konformal`\[Alpha][31] + (-1)^(-$CellContext`n) 
         2^(3 + $CellContext`n) Gamma[$CellContext`n] TripleK`p[2]^(-2) 
         TripleK`p[3]^(-2) (TripleK`p[2]^(2 $CellContext`n) TripleK`p[3]^2 + 
          TripleK`p[2]^2 TripleK`p[3]^(2 $CellContext`n)) 
         Konformal`\[Alpha][32] + 
        Rational[-1, 2]^(-$CellContext`n) TripleK`v^2 
         Gamma[-1 + $CellContext`n] ((2 EulerGamma^2 + Pi^2 + 
            2 HarmonicNumber[-2 + $CellContext`n]^2 - 2 
            HarmonicNumber[-2 + $CellContext`n, 2] - 4 EulerGamma Log[2] + 
            2 Log[2]^2 - 8 EulerGamma Log[
              TripleK`p[2]] + 8 Log[2] Log[
               TripleK`p[2]] + 8 Log[
                TripleK`p[2]]^2 + 
            HarmonicNumber[-2 + $CellContext`n] ((-4) EulerGamma + Log[16] + 
              8 Log[
                 TripleK`p[2]])) 
           TripleK`p[2]^(-2 + 2 $CellContext`n) + (2 EulerGamma^2 + Pi^2 + 
            2 HarmonicNumber[-2 + $CellContext`n]^2 - 2 
            HarmonicNumber[-2 + $CellContext`n, 2] - 4 EulerGamma Log[2] + 
            2 Log[2]^2 - 8 EulerGamma Log[
              TripleK`p[3]] + 8 Log[2] Log[
               TripleK`p[3]] + 8 Log[
                TripleK`p[3]]^2 + 
            HarmonicNumber[-2 + $CellContext`n] ((-4) EulerGamma + Log[16] + 
              8 Log[
                 TripleK`p[3]])) TripleK`p[3]^(-2 + 2 $CellContext`n)) 
         Konformal`\[Alpha][40] + (-1)^(-$CellContext`n) 
         2^(2 + $CellContext`n) 
         Gamma[-1 + $CellContext`n] (
          TripleK`v (-EulerGamma + HarmonicNumber[-2 + $CellContext`n] + 
            Log[2] + 2 Log[
               TripleK`p[2]]) TripleK`p[2]^(-2 + 2 $CellContext`n) + 
          TripleK`v (-EulerGamma + HarmonicNumber[-2 + $CellContext`n] + 
            Log[2] + 2 Log[
               TripleK`p[3]]) TripleK`p[3]^(-2 + 2 $CellContext`n)) 
         Konformal`\[Alpha][41] + (-1)^(-$CellContext`n) 
         2^(2 + $CellContext`n) Gamma[-1 + $CellContext`n] TripleK`p[2]^(-2) 
         TripleK`p[3]^(-2) (TripleK`p[2]^(2 $CellContext`n) TripleK`p[3]^2 + 
          TripleK`p[2]^2 TripleK`p[3]^(2 $CellContext`n)) 
         Konformal`\[Alpha][42])}, -2, 1, 1],
     Editable->False]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.796581557181799*^9, {3.796581596757062*^9, 3.7965816224135294`*^9}, 
   3.7965823150811434`*^9, 3.796582358057601*^9, 3.7966695203662076`*^9, 
   3.796670088996612*^9, {3.7966703778750176`*^9, 3.7966703831450253`*^9}, 
   3.796670500425189*^9, 3.7966709029657526`*^9, {3.796717505150832*^9, 
   3.796717529313861*^9}, 3.796717559829248*^9, 3.7967195024473667`*^9, 
   3.798506721514021*^9, 3.798687963167281*^9, 
   3.799039848543694*^9},ExpressionUUID->"7a57e9ec-00ea-474c-9bbb-\
efc7c097132b"]
}, Open  ]],

Cell["\<\
By requiring that the  singularity vanishes we get the following relations \
between primary constants:\
\>", "Text",
 CellChangeTimes->{{3.798506739161718*^9, 
  3.7985067822904367`*^9}},ExpressionUUID->"7458f24c-c509-433c-a9e5-\
99f65b3472b3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"alpha4SolEven", "=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"0", "\[Equal]", "#"}], "&"}], "/@", 
      RowBox[{"Coefficient", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"A", "[", "4", "]"}], "/.", "PSevenDivergence"}], "//", 
         "Normal"}], ",", "\[Epsilon]", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", 
          RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "40", "]"}], ",", 
       RowBox[{"\[Alpha]", "[", "41", "]"}], ",", 
       RowBox[{"\[Alpha]", "[", "42", "]"}]}], "}"}]}], "]"}], "//", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"#", ",", "as"}], "]"}], "&"}]}]}]], "Input",
 CellChangeTimes->{{3.796669743022925*^9, 3.7966698087930174`*^9}, {
   3.796669865662298*^9, 3.7966698661822987`*^9}, {3.796669963382435*^9, 
   3.796669990422473*^9}, {3.7966700897966127`*^9, 3.796670121026657*^9}, {
   3.7966701610367126`*^9, 3.796670175526733*^9}, 3.7966703864250298`*^9, 
   3.796717541003529*^9, {3.796719508480145*^9, 
   3.796719510412777*^9}},ExpressionUUID->"87d506c3-2439-475f-972b-\
0338ded42cc9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Alpha]", "[", "40", "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{"-", "2"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "n"}], ")"}], " ", 
      RowBox[{"\[Alpha]", "[", "30", "]"}]}]}], ",", 
    RowBox[{
     RowBox[{"\[Alpha]", "[", "41", "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", "v", " ", 
       RowBox[{"\[Alpha]", "[", "30", "]"}]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "n"}], ")"}], " ", 
       RowBox[{"\[Alpha]", "[", "31", "]"}]}]}]}], ",", 
    RowBox[{
     RowBox[{"\[Alpha]", "[", "42", "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{"-", "2"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"v", " ", 
         RowBox[{"\[Alpha]", "[", "31", "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "n"}], ")"}], " ", 
         RowBox[{"\[Alpha]", "[", "32", "]"}]}]}], ")"}]}]}]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.7966697690929613`*^9, 3.796669800383005*^9}, 
   3.7966698668822994`*^9, 3.7966699696824436`*^9, {3.796670155536705*^9, 
   3.796670176926735*^9}, 3.7966703920650377`*^9, 3.796670502555192*^9, 
   3.796670903885754*^9, {3.796717542693241*^9, 3.796717561561295*^9}, 
   3.7967195118650303`*^9, 3.796732911004094*^9, 3.798506784469733*^9, 
   3.798687964354349*^9, 
   3.799039849866831*^9},ExpressionUUID->"bf4e12f5-ca74-485a-940b-\
bb91417c058a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"alpha4SolEven", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Alpha]", "[", "40", "]"}], "\[Rule]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "40", "]"}], "/.", 
       RowBox[{
       "alpha4SolEven", "\[LeftDoubleBracket]", "1", 
        "\[RightDoubleBracket]"}]}], ")"}]}], ",", 
    RowBox[{
     RowBox[{"\[Alpha]", "[", "41", "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"u", "-", "v"}], ")"}], 
       RowBox[{"\[Beta]", "[", "41", "]"}]}], "+", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "41", "]"}], "/.", 
        RowBox[{
        "alpha4SolEven", "\[LeftDoubleBracket]", "1", 
         "\[RightDoubleBracket]"}]}], ")"}]}]}], ",", 
    RowBox[{
     RowBox[{"\[Alpha]", "[", "42", "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"u", "-", "v"}], ")"}], 
       RowBox[{"\[Beta]", "[", "42", "]"}]}], "+", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "42", "]"}], "/.", 
        RowBox[{
        "alpha4SolEven", "\[LeftDoubleBracket]", "1", 
         "\[RightDoubleBracket]"}]}], ")"}]}]}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.7966704114250646`*^9, 3.7966704440951104`*^9}, {
  3.796732746870854*^9, 
  3.7967327490796947`*^9}},ExpressionUUID->"70364d06-612d-478f-9916-\
090aa401ea23"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Alpha]", "[", "40", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"-", "2"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "n"}], ")"}], " ", 
     RowBox[{"\[Alpha]", "[", "30", "]"}]}]}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "41", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "v", " ", 
      RowBox[{"\[Alpha]", "[", "30", "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "n"}], ")"}], " ", 
      RowBox[{"\[Alpha]", "[", "31", "]"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"u", "-", "v"}], ")"}], " ", 
      RowBox[{"\[Beta]", "[", "41", "]"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "42", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"v", " ", 
         RowBox[{"\[Alpha]", "[", "31", "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "n"}], ")"}], " ", 
         RowBox[{"\[Alpha]", "[", "32", "]"}]}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"u", "-", "v"}], ")"}], " ", 
      RowBox[{"\[Beta]", "[", "42", "]"}]}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.7966704444551105`*^9, 3.7966705028451924`*^9, 
  3.796670903965754*^9, 3.7967175649446363`*^9, 3.796719514320239*^9, 
  3.79673275213415*^9, 3.796732882920697*^9, 3.796732913019362*^9, 
  3.798506785446134*^9, 3.7986879644103518`*^9, 
  3.799039849942737*^9},ExpressionUUID->"67052e9e-d809-4878-a8c7-\
e356f6957845"]
}, Open  ]],

Cell["Now we can apply secondary Ward identities:", "Text",
 CellChangeTimes->{{3.7985067911781282`*^9, 
  3.798506802474724*^9}},ExpressionUUID->"d6d2abd7-f407-4339-bd3b-\
91128b86c104"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SecLhsEven", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"LhsOfSecondaryCWIs", "[", 
      RowBox[{"TJJ", ",", "PS", ",", "dreg", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[CapitalDelta]", "[", "1", "]"}], ",", 
         RowBox[{"\[CapitalDelta]", "[", "2", "]"}], ",", 
         RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}], "}"}]}], "]"}], "/.", 
     "suRegulatedEven"}], "//", "Simplify"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SecRhsEven", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"ReleaseHold", "[", 
         RowBox[{
          RowBox[{"SecondaryCWIsRhs", "[", "TJJ", "]"}], "/.", 
          RowBox[{"TransverseWIs", "[", 
           RowBox[{"TJJ", ",", " ", 
            RowBox[{"JJNormalization", "\[Rule]", 
             RowBox[{
              RowBox[{"cJ", "/", 
               RowBox[{"(", 
                RowBox[{"v", " ", "\[Epsilon]"}], ")"}]}], "+", 
              RowBox[{"cJ", "[", "0", "]"}]}]}], ",", 
            RowBox[{"dTdADerivative", "\[Rule]", " ", 
             RowBox[{"c3", "+", 
              RowBox[{"\[Epsilon]", " ", "v", " ", 
               RowBox[{"c3", "[", "0", "]"}]}]}]}]}], "]"}]}], "]"}], "/.", 
        RowBox[{"{", 
         RowBox[{"d", "\[Rule]", "dreg"}], "}"}]}], "/.", "suRegulatedEven"}],
       "/.", "suZeroMomentumLimit"}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"0", "^", "x_"}], "\[RuleDelayed]", "0"}], "}"}]}], "//", 
    "Simplify"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.796671005345896*^9, 3.7966710086459007`*^9}, {
   3.796671768872053*^9, 3.796671789112081*^9}, {3.79667182407213*^9, 
   3.796671915872258*^9}, {3.7966720230424085`*^9, 3.796672023582409*^9}, {
   3.7966720801824884`*^9, 3.79667209552251*^9}, {3.796672871983597*^9, 
   3.7966728722535973`*^9}, {3.7966729051936436`*^9, 3.796672932723682*^9}, {
   3.7966730857238965`*^9, 3.7966730876138988`*^9}, {3.796673143633977*^9, 
   3.796673144803979*^9}, {3.796717940156169*^9, 3.7967180292516327`*^9}, {
   3.7967180619186983`*^9, 3.796718062371814*^9}, {3.7967186720552263`*^9, 
   3.796718678972135*^9}, {3.796718714073758*^9, 3.796718771404625*^9}, {
   3.796719080528615*^9, 3.7967190938854427`*^9}, 3.7967191355870123`*^9, {
   3.7967201004163733`*^9, 3.796720102997377*^9}, {3.796731839723319*^9, 
   3.796731841454534*^9}, {3.796732474119049*^9, 3.796732480320051*^9}, {
   3.7985068211568813`*^9, 
   3.79850683700355*^9}},ExpressionUUID->"1d599dd1-af0b-4fa1-bf32-\
e26a24148e80"],

Cell[TextData[{
 "Now we can take the ",
 Cell[BoxData[
  FormBox[
   RowBox[{"u", "\[Rule]", "v"}], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "f9254d72-587a-4933-bbb3-53e645aec7a4"],
 " limit and it is finite. First we analyze identities 1 to 3:"
}], "Text",
 CellChangeTimes->{{3.7985068595946703`*^9, 
  3.7985069238346786`*^9}},ExpressionUUID->"5aae8719-dc20-44ae-ba2b-\
abf9705aa036"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SecLhs123", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Series", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"SecLhsEven", "\[LeftDoubleBracket]", 
         RowBox[{"1", ";;", "3"}], "\[RightDoubleBracket]"}], "/.", 
        RowBox[{"{", 
         RowBox[{"u", "\[Rule]", "v"}], "}"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Epsilon]", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"Assumptions", "\[Rule]", "as"}]}], "]"}], "//", "Simplify"}], 
    "//", "Normal"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"SecRhs123", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"SecRhsEven", "\[LeftDoubleBracket]", 
        RowBox[{"1", ";;", "3"}], "\[RightDoubleBracket]"}], "/.", 
       RowBox[{"{", 
        RowBox[{"u", "\[Rule]", "v"}], "}"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Epsilon]", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"Assumptions", "\[Rule]", "as"}]}], "]"}], "//", "Simplify"}], "//",
    "Normal"}]}]}], "Input",
 CellChangeTimes->{{3.796718165619669*^9, 3.7967181915719433`*^9}, {
   3.7967185400763273`*^9, 3.7967185466999607`*^9}, {3.7967185894189653`*^9, 
   3.796718642652275*^9}, {3.79671877687929*^9, 3.796718782812441*^9}, {
   3.796719039926421*^9, 3.7967190429329357`*^9}, {3.7967195379731617`*^9, 
   3.796719544756485*^9}, 
   3.796719576035963*^9},ExpressionUUID->"5836ab12-2f0d-4c28-b6cb-\
04992dffe389"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", 
   RowBox[{
    FractionBox[
     RowBox[{"4", " ", "cJ", " ", "n", " ", 
      SuperscriptBox["p", 
       RowBox[{
        RowBox[{"-", "2"}], "+", 
        RowBox[{"2", " ", "n"}]}]]}], 
     RowBox[{"v", " ", "\[Epsilon]"}]], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["p", 
      RowBox[{
       RowBox[{"-", "2"}], "+", 
       RowBox[{"2", " ", "n"}]}]], " ", 
     RowBox[{"(", 
      RowBox[{"cJ", "+", 
       RowBox[{"n", " ", 
        RowBox[{"cJ", "[", "0", "]"}]}], "+", 
       RowBox[{"2", " ", "cJ", " ", "n", " ", 
        RowBox[{"Log", "[", "p", "]"}]}]}], ")"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.7967190446803513`*^9, 3.7967192818915787`*^9, 
  3.7967195531509132`*^9, 3.7967201291702423`*^9, 3.796731850802623*^9, 
  3.796732890892249*^9, 3.79850693390462*^9, 3.7986879787391653`*^9, 
  3.7990398666696568`*^9},ExpressionUUID->"e4993168-47ba-4126-8d2e-\
86d66eb7679a"]
}, Open  ]],

Cell[TextData[{
 "Terms of order ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Epsilon]", 
    RowBox[{"-", "1"}]], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "1f19736f-8407-488d-af69-a05dafe9457e"],
 " give us:"
}], "Text",
 CellChangeTimes->{{3.798506931601334*^9, 
  3.798506941666855*^9}},ExpressionUUID->"ea7483d3-85c9-4132-bd6a-\
c3bf8d896a32"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"SecLhs123e1", "=", 
  RowBox[{
   RowBox[{"Coefficient", "[", 
    RowBox[{"SecLhs123", ",", "\[Epsilon]", ",", 
     RowBox[{"-", "1"}]}], "]"}], "//", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"#", ",", "as"}], "]"}], "&"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"SecRhs123e1", "=", 
  RowBox[{
   RowBox[{"Coefficient", "[", 
    RowBox[{"SecRhs123", ",", "\[Epsilon]", ",", 
     RowBox[{"-", "1"}]}], "]"}], "//", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"#", ",", "as"}], "]"}], "&"}]}]}]}], "Input",
 CellChangeTimes->{{3.796718629869327*^9, 3.7967186568278027`*^9}, {
  3.7967192869113073`*^9, 3.796719301724473*^9}, {3.796719552428619*^9, 
  3.796719606076355*^9}, {3.796719731896493*^9, 
  3.7967197329248743`*^9}},ExpressionUUID->"5c7c5feb-0278-4d6d-88f2-\
117322328fcd"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"-", 
         FractionBox["1", "2"]}], ")"}], 
       RowBox[{"1", "-", "n"}]], " ", 
      SuperscriptBox["p", 
       RowBox[{
        RowBox[{"-", "4"}], "+", 
        RowBox[{"2", " ", "n"}]}]], " ", 
      RowBox[{"Gamma", "[", 
       RowBox[{"2", "+", "n"}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"\[Alpha]", "[", "20", "]"}]}], "+", 
        RowBox[{"\[Alpha]", "[", "30", "]"}]}], ")"}]}], 
     RowBox[{"3", " ", "v"}]]}], ",", 
   FractionBox[
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], "n"], " ", 
     SuperscriptBox["2", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "n"}]], " ", 
     SuperscriptBox["p", 
      RowBox[{
       RowBox[{"-", "2"}], "+", 
       RowBox[{"2", " ", "n"}]}]], " ", 
     RowBox[{"n", "!"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "n", " ", 
        RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
       RowBox[{"\[Alpha]", "[", "20", "]"}]}], ")"}]}], "v"]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.796718657214467*^9, {3.79671928201616*^9, 3.796719311783506*^9}, {
   3.7967195598151073`*^9, 3.796719587190317*^9}, 3.796719625104807*^9, 
   3.796719737198009*^9, 3.796720135720104*^9, 3.796731854979808*^9, 
   3.7967328950899467`*^9, 3.798506945293548*^9, 3.798687981369316*^9, 
   3.799039869604121*^9},ExpressionUUID->"9dd2be8b-fcdb-4f64-b5dc-\
135a59bc9d26"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", 
   FractionBox[
    RowBox[{"4", " ", "cJ", " ", "n", " ", 
     SuperscriptBox["p", 
      RowBox[{
       RowBox[{"-", "2"}], "+", 
       RowBox[{"2", " ", "n"}]}]]}], "v"]}], "}"}]], "Output",
 CellChangeTimes->{
  3.796718657214467*^9, {3.79671928201616*^9, 3.796719311783506*^9}, {
   3.7967195598151073`*^9, 3.796719587190317*^9}, 3.796719625104807*^9, 
   3.796719737198009*^9, 3.796720135720104*^9, 3.796731854979808*^9, 
   3.7967328950899467`*^9, 3.798506945293548*^9, 3.798687981369316*^9, 
   3.799039869653761*^9},ExpressionUUID->"1d9ce899-dedb-47a3-9195-\
226e4fdac862"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"solAlpha123e1", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"SecLhs123e1", "==", "SecRhs123e1"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "20", "]"}], ",", 
        RowBox[{"\[Alpha]", "[", "30", "]"}]}], "}"}]}], "]"}], 
    "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "//", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"#", ",", "as"}], "]"}], "&"}]}]}]], "Input",
 CellChangeTimes->{{3.796719638822513*^9, 3.7967196919631777`*^9}, {
   3.796719735716618*^9, 3.796719739188738*^9}, {3.796720191495584*^9, 
   3.796720194533061*^9}, 3.796720229920971*^9, {3.796720634833222*^9, 
   3.796720636189123*^9}, {3.7967215772246857`*^9, 
   3.79672157849428*^9}},ExpressionUUID->"2c8ee769-8a65-4686-b1c4-\
4fbf13af0c3d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Alpha]", "[", "20", "]"}], "\[Rule]", 
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "n"], " ", 
       SuperscriptBox["2", 
        RowBox[{"3", "-", "n"}]], " ", "cJ"}], 
      RowBox[{"Gamma", "[", "n", "]"}]], "-", 
     RowBox[{"2", " ", "n", " ", 
      RowBox[{"\[Alpha]", "[", "10", "]"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "30", "]"}], "\[Rule]", 
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "n"], " ", 
       SuperscriptBox["2", 
        RowBox[{"3", "-", "n"}]], " ", "cJ"}], 
      RowBox[{"Gamma", "[", "n", "]"}]], "-", 
     RowBox[{"2", " ", "n", " ", 
      RowBox[{"\[Alpha]", "[", "10", "]"}]}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.796719684736249*^9, 3.7967196938751287`*^9}, 
   3.7967197404912853`*^9, 3.7967201363018847`*^9, 3.796720196017375*^9, 
   3.796720230715968*^9, 3.7967206380872173`*^9, 3.796721579311441*^9, 
   3.796731855613085*^9, 3.796732895569353*^9, 3.798506945816072*^9, 
   3.798687981846343*^9, 
   3.799039870164073*^9},ExpressionUUID->"c5aab15b-6333-4308-a30c-\
eed3ebd1203e"]
}, Open  ]],

Cell[TextData[{
 "Terms of order ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Epsilon]", "0"], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "75228a55-2106-4f64-96c5-c5f4840f510f"],
 " now give us:"
}], "Text",
 CellChangeTimes->{{3.798506948012805*^9, 
  3.798506958074871*^9}},ExpressionUUID->"422c4087-047c-4b16-8dc4-\
84c15dd13e65"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SecLhs123e0", "=", 
   RowBox[{
    RowBox[{"Coefficient", "[", 
     RowBox[{"SecLhs123", ",", "\[Epsilon]", ",", "0"}], "]"}], "/.", 
    "solAlpha123e1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SecRhs123e0", "=", 
   RowBox[{
    RowBox[{"Coefficient", "[", 
     RowBox[{"SecRhs123", ",", "\[Epsilon]", ",", "0"}], "]"}], "/.", 
    "solAlpha123e1"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.796719740637875*^9, 3.796719810150835*^9}, {
  3.79671990128986*^9, 3.796719912276761*^9}, {3.7967211493704767`*^9, 
  3.796721151717774*^9}},ExpressionUUID->"874ff177-fe2d-4fe8-ad40-\
04b2c7aaa692"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Coefficient", "[", 
   RowBox[{"SecLhs123e0", ",", 
    RowBox[{"Log", "[", "p", "]"}]}], "]"}], "//", 
  RowBox[{
   RowBox[{"FullSimplify", "[", 
    RowBox[{"#", ",", "as"}], "]"}], "&"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Coefficient", "[", 
   RowBox[{"SecRhs123e0", ",", 
    RowBox[{"Log", "[", "p", "]"}]}], "]"}], "//", 
  RowBox[{
   RowBox[{"FullSimplify", "[", 
    RowBox[{"#", ",", "as"}], "]"}], "&"}]}]}], "Input",
 CellChangeTimes->{{3.796720015071986*^9, 3.7967200307090597`*^9}, {
  3.7967201761606092`*^9, 
  3.796720179181005*^9}},ExpressionUUID->"fbf6e849-62bd-4628-bb56-\
137387c44fc7"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", 
   RowBox[{"8", " ", "cJ", " ", "n", " ", 
    SuperscriptBox["p", 
     RowBox[{
      RowBox[{"-", "2"}], "+", 
      RowBox[{"2", " ", "n"}]}]]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.796719993035535*^9, 3.7967200367188177`*^9}, 
   3.796720152052932*^9, 3.796720185632751*^9, 3.796720240089695*^9, 
   3.7967206637960777`*^9, 3.796721157647928*^9, 3.796721586264285*^9, 
   3.796731873279992*^9, 3.798506965944007*^9, 3.7986879865236106`*^9, 
   3.7990398754814873`*^9},ExpressionUUID->"035a5342-cec5-40c4-ad01-\
4408b9302034"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", 
   RowBox[{"8", " ", "cJ", " ", "n", " ", 
    SuperscriptBox["p", 
     RowBox[{
      RowBox[{"-", "2"}], "+", 
      RowBox[{"2", " ", "n"}]}]]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.796719993035535*^9, 3.7967200367188177`*^9}, 
   3.796720152052932*^9, 3.796720185632751*^9, 3.796720240089695*^9, 
   3.7967206637960777`*^9, 3.796721157647928*^9, 3.796721586264285*^9, 
   3.796731873279992*^9, 3.798506965944007*^9, 3.7986879865236106`*^9, 
   3.79903987551685*^9},ExpressionUUID->"46529712-7a5d-47c6-87a0-\
2bbb6f72074a"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"solAlpha123e0", "=", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"0", "\[Equal]", "#"}], "&"}], "/@", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"SecLhs123e0", "-", "SecRhs123e0"}], "/.", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"Log", "[", "p", "]"}], "\[Rule]", "0"}], ",", 
           RowBox[{
            RowBox[{"p", "^", "x_"}], "\[RuleDelayed]", "1"}]}], "}"}]}], 
        ")"}]}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "21", "]"}], ",", 
        RowBox[{"\[Alpha]", "[", "31", "]"}]}], "}"}]}], "]"}], 
    "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ";"}]], "Input",\

 CellChangeTimes->{{3.796720780629016*^9, 3.796720785545103*^9}, {
   3.796720827928458*^9, 3.796720918069931*^9}, {3.796721008054328*^9, 
   3.796721037725862*^9}, {3.7967212417303333`*^9, 3.796721266870236*^9}, 
   3.796721372993123*^9, {3.7967215876162987`*^9, 
   3.796721587829659*^9}},ExpressionUUID->"e97a509f-0ff2-4903-bc3b-\
5609a59b55ee"],

Cell[BoxData[
 RowBox[{
  RowBox[{"solAlpha123e0presimp", "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{"solAlpha123e0", ",", "as"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.798507161381098*^9, 
  3.7985071672987127`*^9}},ExpressionUUID->"d173b53e-7642-4f40-897b-\
c5d15b29f34a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"solAlpha123e0simp", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"PolyGammaToHarmonic", "[", 
       RowBox[{"solAlpha123e0presimp", ",", 
        RowBox[{"Assumptions", "\[Rule]", "as"}]}], "]"}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"HarmonicNumber", "[", 
          RowBox[{
           RowBox[{"-", "3"}], "+", "n"}], "]"}], "\[Rule]", 
         RowBox[{
          RowBox[{"HarmonicNumber", "[", 
           RowBox[{"n", "-", "1"}], "]"}], "-", 
          RowBox[{"1", "/", 
           RowBox[{"(", 
            RowBox[{"n", "-", "1"}], ")"}]}], "-", 
          RowBox[{"1", "/", 
           RowBox[{"(", 
            RowBox[{"n", "-", "2"}], ")"}]}]}]}], ",", 
        RowBox[{
         RowBox[{"HarmonicNumber", "[", 
          RowBox[{
           RowBox[{"-", "4"}], "+", "n"}], "]"}], "\[Rule]", 
         RowBox[{
          RowBox[{"HarmonicNumber", "[", 
           RowBox[{"n", "-", "1"}], "]"}], "-", 
          RowBox[{"1", "/", 
           RowBox[{"(", 
            RowBox[{"n", "-", "1"}], ")"}]}], "-", 
          RowBox[{"1", "/", 
           RowBox[{"(", 
            RowBox[{"n", "-", "2"}], ")"}]}], "-", 
          RowBox[{"1", "/", 
           RowBox[{"(", 
            RowBox[{"n", "-", "3"}], ")"}]}]}]}]}], "}"}]}], "//", 
     RowBox[{
      RowBox[{"FullSimplify", "[", 
       RowBox[{"#", ",", "as"}], "]"}], "&"}]}], ")"}], "//", 
   RowBox[{
    RowBox[{"PolyGammaToHarmonic", "[", 
     RowBox[{"#", ",", 
      RowBox[{"Assumptions", "\[Rule]", "as"}]}], "]"}], "&"}]}]}]], "Input",
 CellChangeTimes->{{3.7967212772377453`*^9, 3.7967212793576193`*^9}, {
  3.7967213117285233`*^9, 3.796721331151063*^9}, {3.796721597593199*^9, 
  3.79672163866989*^9}, {3.7967217340808764`*^9, 3.7967217696812153`*^9}, {
  3.796722184329691*^9, 3.796722208311862*^9}, {3.798507057925939*^9, 
  3.798507082427816*^9}, {3.798507156175316*^9, 3.798507173915091*^9}, {
  3.798507243451769*^9, 
  3.798507254156415*^9}},ExpressionUUID->"3809abfb-2adf-490e-802f-\
62eec1ef3fb0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Alpha]", "[", "21", "]"}], "\[Rule]", 
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "n"], " ", 
       SuperscriptBox["2", 
        RowBox[{"3", "-", "n"}]], " ", "v", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"cJ", "[", "0", "]"}], "-", 
         RowBox[{"cJ", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "EulerGamma"}], "+", 
            RowBox[{"HarmonicNumber", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "n"}], "]"}]}], ")"}]}], "-", 
         RowBox[{"cJ", " ", 
          RowBox[{"Log", "[", "2", "]"}]}]}], ")"}]}], 
      RowBox[{"Gamma", "[", "n", "]"}]], "-", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"v", " ", 
         RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
        RowBox[{"n", " ", 
         RowBox[{"\[Alpha]", "[", "11", "]"}]}]}], ")"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "31", "]"}], "\[Rule]", 
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "n"], " ", 
       SuperscriptBox["2", 
        RowBox[{"3", "-", "n"}]], " ", "v", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"cJ", "[", "0", "]"}], "-", 
         RowBox[{"cJ", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "EulerGamma"}], "+", 
            RowBox[{"HarmonicNumber", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "n"}], "]"}]}], ")"}]}], "-", 
         RowBox[{"cJ", " ", 
          RowBox[{"Log", "[", "2", "]"}]}]}], ")"}]}], 
      RowBox[{"Gamma", "[", "n", "]"}]], "-", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"v", " ", 
         RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
        RowBox[{"n", " ", 
         RowBox[{"\[Alpha]", "[", "11", "]"}]}]}], ")"}]}]}]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.796721279753798*^9, 3.7967213700348186`*^9, {3.7967215759005003`*^9, 
   3.796721621728036*^9}, 3.7967217286078587`*^9, 3.796721766201689*^9, 
   3.796721844733721*^9, 3.796722198848712*^9, 3.7967222838575287`*^9, 
   3.7967319437254972`*^9, 3.798507051685498*^9, 3.798507152149393*^9, 
   3.798507258729019*^9, 3.798688050584242*^9, 
   3.799039947308779*^9},ExpressionUUID->"a267071e-31e4-4508-bc33-\
81825ef9ad59"]
}, Open  ]],

Cell["\<\
Finally, we analyze the consequences of the last secondary Ward identity:\
\>", "Text",
 CellChangeTimes->{{3.798506976081181*^9, 
  3.798506991129847*^9}},ExpressionUUID->"5d52b535-5d2e-4d0b-9816-\
a9c13bd77bf7"],

Cell[BoxData[
 RowBox[{
  RowBox[{"SecLhs4", "=", 
   RowBox[{
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
       "SecLhsEven", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], "/.",
        "alpha4SolEven"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Epsilon]", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"Assumptions", "\[Rule]", "as"}]}], "]"}], "//", "Normal"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.796718165619669*^9, 3.7967181915719433`*^9}, {
   3.7967185400763273`*^9, 3.7967185466999607`*^9}, {3.7967185894189653`*^9, 
   3.796718642652275*^9}, {3.79671877687929*^9, 3.796718782812441*^9}, {
   3.796719039926421*^9, 3.7967190429329357`*^9}, {3.7967195379731617`*^9, 
   3.796719544756485*^9}, 3.796719576035963*^9, {3.7967320182805758`*^9, 
   3.796732053983151*^9}, {3.796732182961985*^9, 3.796732207654031*^9}, 
   3.7967322658244257`*^9, 3.796732412041154*^9, {3.796732528058763*^9, 
   3.796732540837887*^9}, {3.796733639725027*^9, 
   3.796733643059037*^9}},ExpressionUUID->"fa6859a4-4cdb-44c6-8b66-\
7ab1266cc731"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SecRhs4", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{
      "SecRhsEven", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"\[Epsilon]", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"Assumptions", "\[Rule]", "as"}]}], "]"}], "//", 
    RowBox[{
     RowBox[{"Simplify", "[", 
      RowBox[{"#", ",", "as"}], "]"}], "&"}]}], "//", "Normal"}]}]], "Input",
 CellChangeTimes->{{3.796732139538253*^9, 3.796732142568067*^9}, {
   3.796732258464094*^9, 3.796732291789793*^9}, 
   3.7967324908176823`*^9},ExpressionUUID->"017e28b0-13bf-44ac-95d5-\
a0f8aa59fc67"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"8", " ", "c3", " ", "cJ", " ", "n", " ", 
    SuperscriptBox["p", 
     RowBox[{
      RowBox[{"-", "2"}], "+", 
      RowBox[{"2", " ", "n"}]}]]}], 
   RowBox[{"v", " ", "\[Epsilon]"}]], "+", 
  FractionBox[
   RowBox[{"4", " ", 
    SuperscriptBox["p", 
     RowBox[{
      RowBox[{"-", "2"}], "+", 
      RowBox[{"2", " ", "n"}]}]], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "cJ", " ", "n", " ", "v", " ", 
       RowBox[{"c3", "[", "0", "]"}]}], "+", 
      RowBox[{"c3", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"cJ", " ", "u"}], "+", 
         RowBox[{"cJ", " ", "v"}], "+", 
         RowBox[{"2", " ", "n", " ", "v", " ", 
          RowBox[{"cJ", "[", "0", "]"}]}]}], ")"}]}], "+", 
      RowBox[{"4", " ", "c3", " ", "cJ", " ", "n", " ", "v", " ", 
       RowBox[{"Log", "[", "p", "]"}]}]}], ")"}]}], "v"]}]], "Output",
 CellChangeTimes->{3.7967321427469873`*^9, 3.7967324171297913`*^9, 
  3.7967324912466307`*^9, 3.7967329320778103`*^9, 3.796733665450397*^9, 
  3.7985072853502398`*^9, 3.798688072778496*^9, 
  3.799039971615695*^9},ExpressionUUID->"224ed890-3939-4463-bca8-\
b87de78e7836"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"solBeta41", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Coefficient", "[", 
         RowBox[{"SecRhs4", ",", "\[Epsilon]", ",", 
          RowBox[{"-", "1"}]}], "]"}], "\[Equal]", 
        RowBox[{"Normal", "[", 
         RowBox[{"Series", "[", 
          RowBox[{
           RowBox[{"Coefficient", "[", 
            RowBox[{"SecLhs4", ",", "\[Epsilon]", ",", 
             RowBox[{"-", "1"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"u", ",", "v", ",", "0"}], "}"}]}], "]"}], "]"}]}], "/.", 
       
       RowBox[{"{", 
        RowBox[{"u", "\[Rule]", "v"}], "}"}]}], ",", 
      RowBox[{"\[Beta]", "[", "41", "]"}]}], "]"}], "\[LeftDoubleBracket]", 
    "1", "\[RightDoubleBracket]"}], "//", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"#", ",", "as"}], "]"}], "&"}]}]}]], "Input",
 CellChangeTimes->{{3.796732429906745*^9, 3.79673244034308*^9}, {
   3.796732494290455*^9, 3.79673251362633*^9}, {3.796732554023334*^9, 
   3.796732606184126*^9}, {3.79673264836849*^9, 3.796732657911381*^9}, {
   3.796732783173888*^9, 3.7967328105748377`*^9}, {3.796732846045157*^9, 
   3.796732852407893*^9}, 3.796732940444614*^9, {3.796732982290275*^9, 
   3.796732992710494*^9}},ExpressionUUID->"09d12fbc-f234-4626-97db-\
6deb94f7c467"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[Beta]", "[", "41", "]"}], "\[Rule]", 
   RowBox[{
    FractionBox[
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}], "n"], " ", 
      SuperscriptBox["2", 
       RowBox[{"4", "-", "n"}]], " ", "c3", " ", "cJ"}], 
     RowBox[{"Gamma", "[", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "n"}], "]"}]], "-", 
    RowBox[{"n", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"4", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "n"}], ")"}], " ", 
        RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
       RowBox[{"\[Alpha]", "[", "30", "]"}]}], ")"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.796732440587761*^9, 3.796732494996582*^9, {3.7967325642594557`*^9, 
   3.796732594216094*^9}, 3.796732666732338*^9, 3.7967328114631023`*^9, 
   3.796732861512287*^9, 3.796732940302451*^9, {3.79673301400167*^9, 
   3.796733024806465*^9}, 3.796733672315507*^9, 3.79850728942374*^9, 
   3.798688076482704*^9, 
   3.799039975636218*^9},ExpressionUUID->"63d2b4ec-9a6c-40cf-b309-\
38bdbe02178e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Coefficient", "[", 
    RowBox[{
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"SecLhs4", "-", "SecRhs4"}], ",", "\[Epsilon]", ",", "0"}], 
      "]"}], ",", 
     RowBox[{"Log", "[", "p", "]"}]}], "]"}], "/.", "solBeta41"}], "//", 
  RowBox[{
   RowBox[{"FullSimplify", "[", 
    RowBox[{"#", ",", "as"}], "]"}], "&"}]}]], "Input",
 CellChangeTimes->{{3.7967330333655148`*^9, 
  3.796733098210915*^9}},ExpressionUUID->"2dc692ec-14ea-48b2-8249-\
c1c70fd72b74"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.796733044912601*^9, 3.7967330542487373`*^9}, 
   3.7967331297037373`*^9, 3.796733693975286*^9, 3.798507300252459*^9, 
   3.7986880856602273`*^9, 
   3.799039986349872*^9},ExpressionUUID->"ea715aff-aa08-4e6b-9788-\
1f67c3f8a630"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"SecLhs40", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Normal", "[", 
      RowBox[{"Series", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Coefficient", "[", 
           RowBox[{"SecLhs4", ",", "\[Epsilon]", ",", "0"}], "]"}], "/.", 
          "solBeta41"}], "/.", 
         RowBox[{"{", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"Log", "[", "p", "]"}], "\[Rule]", "0"}], ",", 
           RowBox[{
            RowBox[{"p", "^", "x_"}], "\[RuleDelayed]", "1"}]}], "}"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"u", ",", "v", ",", "0"}], "}"}]}], "]"}], "]"}], "/.", 
     RowBox[{"{", 
      RowBox[{"u", "\[Rule]", "v"}], "}"}]}], "//", 
    RowBox[{
     RowBox[{"Simplify", "[", 
      RowBox[{"#", ",", "as"}], "]"}], "&"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.796733325550226*^9, 3.796733399145892*^9}, {
  3.7967337100921507`*^9, 3.796733710920982*^9}, {3.796733751356872*^9, 
  3.796733758176633*^9}},ExpressionUUID->"e3521ec3-544f-4d97-9ecc-\
25cfcdd8909d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"solBeta42", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Coefficient", "[", 
         RowBox[{"SecRhs4", ",", "\[Epsilon]", ",", "0"}], "]"}], "\[Equal]", 
        "SecLhs40"}], "/.", 
       RowBox[{"{", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"Log", "[", "p", "]"}], "\[Rule]", "0"}], ",", 
         RowBox[{
          RowBox[{"p", "^", "x_"}], "\[RuleDelayed]", "1"}]}], "}"}]}], ",", 
      RowBox[{"\[Beta]", "[", "42", "]"}]}], "]"}], "\[LeftDoubleBracket]", 
    "1", "\[RightDoubleBracket]"}], "//", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"#", ",", "as"}], "]"}], "&"}]}]}]], "Input",
 CellChangeTimes->{{3.796733142800486*^9, 3.796733205430791*^9}, {
  3.796733292471011*^9, 3.796733301393155*^9}, {3.7967337819405107`*^9, 
  3.796733801996108*^9}},ExpressionUUID->"721824ec-14a6-4722-84cb-\
c469054d9c4c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[Beta]", "[", "42", "]"}], "\[Rule]", 
   RowBox[{
    FractionBox["1", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", "n"}], ")"}], " ", 
      RowBox[{"n", "!"}]}]], 
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{"-", "n"}]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "n"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"8", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"-", "1"}], ")"}], "n"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "cJ", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "2"}], "+", "n"}], ")"}], " ", "n", " ", "v", " ", 
           RowBox[{"c3", "[", "0", "]"}]}], "+", 
          RowBox[{"c3", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"cJ", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "2"}], "+", "n"}], ")"}], " ", "u"}], "+", 
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "2"}], "+", "n"}], ")"}], " ", "n", " ", "v", 
              " ", 
              RowBox[{"cJ", "[", "0", "]"}]}], "+", 
             RowBox[{"cJ", " ", "v", " ", 
              RowBox[{"(", 
               RowBox[{"2", "-", 
                RowBox[{"3", " ", "n"}], "-", 
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "2"}], "+", "n"}], ")"}], " ", "n", " ", 
                 RowBox[{"Log", "[", "2", "]"}]}]}], ")"}]}]}], ")"}]}], "-", 
          
          RowBox[{"2", " ", "c3", " ", "cJ", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "2"}], "+", "n"}], ")"}], " ", "n", " ", "v", " ", 
           RowBox[{"PolyGamma", "[", 
            RowBox[{"0", ",", 
             RowBox[{
              RowBox[{"-", "2"}], "+", "n"}]}], "]"}]}]}], ")"}]}], "-", 
       RowBox[{
        SuperscriptBox["2", "n"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], "+", "n"}], ")"}], " ", "n", " ", 
        RowBox[{"Gamma", "[", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "n"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"v", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "4"}], "+", 
                RowBox[{"8", " ", "n"}]}], ")"}], " ", 
              RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
             RowBox[{"\[Alpha]", "[", "30", "]"}]}], ")"}]}], "+", 
          RowBox[{"n", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"4", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "n"}], ")"}], " ", 
              RowBox[{"\[Alpha]", "[", "11", "]"}]}], "+", 
             RowBox[{"\[Alpha]", "[", "31", "]"}]}], ")"}]}]}], ")"}]}]}], 
      ")"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.796733169646875*^9, 3.796733197537216*^9}, 
   3.796733283884074*^9, 3.7967338727976933`*^9, 3.798507383774211*^9, 
   3.798688155896199*^9, 
   3.799040069163802*^9},ExpressionUUID->"3139721d-26b0-4488-a8dd-\
d0e27ec92bbd"]
}, Open  ]],

Cell["\<\
All in all, we find the following relations between primary constants:\
\>", "Text",
 CellChangeTimes->{{3.798507005169285*^9, 
  3.7985070198493633`*^9}},ExpressionUUID->"15fd9dae-15b9-46b0-b17f-\
903ea49890d0"],

Cell[CellGroupData[{

Cell[BoxData[{"solAlpha123e1", "\[IndentingNewLine]", "solAlpha123e0simp", "\
\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"alpha4SolEven", "/.", "solBeta42"}], "//", 
   RowBox[{
    RowBox[{"PolyGammaToHarmonic", "[", 
     RowBox[{"#", ",", 
      RowBox[{"Assumptions", "\[Rule]", "as"}]}], "]"}], "&"}]}], "//", 
  RowBox[{
   RowBox[{"Simplify", "[", 
    RowBox[{"#", ",", "as"}], "]"}], "&"}]}]}], "Input",
 CellChangeTimes->{{3.796733818832489*^9, 3.796733845230734*^9}, {
   3.796733883144513*^9, 3.796733923256473*^9}, {3.796733956915785*^9, 
   3.796733958504108*^9}, {3.798507109475423*^9, 3.7985071149852133`*^9}, 
   3.7985072752347813`*^9},ExpressionUUID->"568083a4-7f3e-43ee-a929-\
bcb0b9502989"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Alpha]", "[", "20", "]"}], "\[Rule]", 
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "n"], " ", 
       SuperscriptBox["2", 
        RowBox[{"3", "-", "n"}]], " ", "cJ"}], 
      RowBox[{"Gamma", "[", "n", "]"}]], "-", 
     RowBox[{"2", " ", "n", " ", 
      RowBox[{"\[Alpha]", "[", "10", "]"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "30", "]"}], "\[Rule]", 
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "n"], " ", 
       SuperscriptBox["2", 
        RowBox[{"3", "-", "n"}]], " ", "cJ"}], 
      RowBox[{"Gamma", "[", "n", "]"}]], "-", 
     RowBox[{"2", " ", "n", " ", 
      RowBox[{"\[Alpha]", "[", "10", "]"}]}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.796733885290237*^9, 3.796733923588396*^9}, 
   3.796733958769135*^9, 3.798507383843458*^9, 3.7986881559402018`*^9, 
   3.799040069232863*^9},ExpressionUUID->"aa2ce360-85da-4e9d-aa50-\
ba7a5f72bd32"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Alpha]", "[", "21", "]"}], "\[Rule]", 
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "n"], " ", 
       SuperscriptBox["2", 
        RowBox[{"3", "-", "n"}]], " ", "v", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"cJ", "[", "0", "]"}], "-", 
         RowBox[{"cJ", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "EulerGamma"}], "+", 
            RowBox[{"HarmonicNumber", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "n"}], "]"}]}], ")"}]}], "-", 
         RowBox[{"cJ", " ", 
          RowBox[{"Log", "[", "2", "]"}]}]}], ")"}]}], 
      RowBox[{"Gamma", "[", "n", "]"}]], "-", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"v", " ", 
         RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
        RowBox[{"n", " ", 
         RowBox[{"\[Alpha]", "[", "11", "]"}]}]}], ")"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "31", "]"}], "\[Rule]", 
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "n"], " ", 
       SuperscriptBox["2", 
        RowBox[{"3", "-", "n"}]], " ", "v", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"cJ", "[", "0", "]"}], "-", 
         RowBox[{"cJ", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "EulerGamma"}], "+", 
            RowBox[{"HarmonicNumber", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "n"}], "]"}]}], ")"}]}], "-", 
         RowBox[{"cJ", " ", 
          RowBox[{"Log", "[", "2", "]"}]}]}], ")"}]}], 
      RowBox[{"Gamma", "[", "n", "]"}]], "-", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"v", " ", 
         RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
        RowBox[{"n", " ", 
         RowBox[{"\[Alpha]", "[", "11", "]"}]}]}], ")"}]}]}]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.796733885290237*^9, 3.796733923588396*^9}, 
   3.796733958769135*^9, 3.798507383843458*^9, 3.7986881559402018`*^9, 
   3.7990400692368383`*^9},ExpressionUUID->"9dc4faf8-1d98-4fe3-9ec2-\
2db47972d981"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Alpha]", "[", "40", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"-", "2"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "n"}], ")"}], " ", 
     RowBox[{"\[Alpha]", "[", "30", "]"}]}]}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "41", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "v", " ", 
      RowBox[{"\[Alpha]", "[", "30", "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "n"}], ")"}], " ", 
      RowBox[{"\[Alpha]", "[", "31", "]"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"u", "-", "v"}], ")"}], " ", 
      RowBox[{"\[Beta]", "[", "41", "]"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "42", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{
      FractionBox["1", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], "+", "n"}], ")"}], " ", 
        RowBox[{"n", "!"}]}]], 
      RowBox[{
       SuperscriptBox["2", 
        RowBox[{"-", "n"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "n"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"u", "-", "v"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"8", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}], "n"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", "cJ", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "2"}], "+", "n"}], ")"}], " ", "n", " ", "v", " ", 
             RowBox[{"c3", "[", "0", "]"}]}], "+", 
            RowBox[{"2", " ", "c3", " ", "cJ", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "2"}], "+", "n"}], ")"}], " ", "n", " ", "v", " ", 
             RowBox[{"(", 
              RowBox[{"EulerGamma", "-", 
               RowBox[{"HarmonicNumber", "[", 
                RowBox[{
                 RowBox[{"-", "3"}], "+", "n"}], "]"}]}], ")"}]}], "+", 
            RowBox[{"c3", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"cJ", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "2"}], "+", "n"}], ")"}], " ", "u"}], "+", 
               RowBox[{"2", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "2"}], "+", "n"}], ")"}], " ", "n", " ", "v", 
                " ", 
                RowBox[{"cJ", "[", "0", "]"}]}], "+", 
               RowBox[{"cJ", " ", "v", " ", 
                RowBox[{"(", 
                 RowBox[{"2", "-", 
                  RowBox[{"3", " ", "n"}], "-", 
                  RowBox[{"2", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "2"}], "+", "n"}], ")"}], " ", "n", " ", 
                   RowBox[{"Log", "[", "2", "]"}]}]}], ")"}]}]}], ")"}]}]}], 
           ")"}]}], "-", 
         RowBox[{
          SuperscriptBox["2", "n"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "2"}], "+", "n"}], ")"}], " ", "n", " ", 
          RowBox[{"Gamma", "[", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "n"}], "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"v", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "4"}], "+", 
                  RowBox[{"8", " ", "n"}]}], ")"}], " ", 
                RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
               RowBox[{"\[Alpha]", "[", "30", "]"}]}], ")"}]}], "+", 
            RowBox[{"n", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"4", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", "n"}], ")"}], " ", 
                RowBox[{"\[Alpha]", "[", "11", "]"}]}], "+", 
               RowBox[{"\[Alpha]", "[", "31", "]"}]}], ")"}]}]}], ")"}]}]}], 
        ")"}]}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"v", " ", 
         RowBox[{"\[Alpha]", "[", "31", "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "n"}], ")"}], " ", 
         RowBox[{"\[Alpha]", "[", "32", "]"}]}]}], ")"}]}]}]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.796733885290237*^9, 3.796733923588396*^9}, 
   3.796733958769135*^9, 3.798507383843458*^9, 3.7986881559402018`*^9, 
   3.7990400697109632`*^9},ExpressionUUID->"a27de178-fa80-44b0-8e98-\
2ed53a3a9946"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["<TTJ>", "Section",
 CellChangeTimes->{{3.795261710502955*^9, 3.79526171311106*^9}, {
   3.795263974571103*^9, 3.795263974865499*^9}, {3.795264213961895*^9, 
   3.79526421408195*^9}, {3.795266435363764*^9, 3.795266436467969*^9}, {
   3.795277036385767*^9, 3.795277036675768*^9}, 3.795278137416484*^9, {
   3.795279032150737*^9, 
   3.7952790323557367`*^9}},ExpressionUUID->"5be56d97-d735-4c42-9773-\
d2596f001397"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"PrimaryCWIs", "[", "TTJ", "]"}], "[", "A", "]"}]], "Input",
 CellChangeTimes->{{3.795280036176154*^9, 3.795280042351163*^9}, {
  3.795280108166255*^9, 
  3.795280108451256*^9}},ExpressionUUID->"97526251-285b-4e35-88bf-\
426989fafa54"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "3"}], "]"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "8"}], " ", 
        RowBox[{
         RowBox[{"A", "[", "1", "]"}], "[", 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], "]"}]}], "+", 
       RowBox[{
        TagBox["KKOp",
         HoldForm], "[", 
        RowBox[{
         RowBox[{"A", "[", "2", "]"}], ",", "1", ",", "3"}], "]"}]}], ",", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "3", "]"}], ",", "1", ",", "3"}], "]"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{
         RowBox[{"A", "[", "2", "]"}], "[", 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], "]"}]}], "+", 
       RowBox[{
        TagBox["KKOp",
         HoldForm], "[", 
        RowBox[{
         RowBox[{"A", "[", "4", "]"}], ",", "1", ",", "3"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{
         RowBox[{"A", "[", "2", "]"}], "[", 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], "]"}]}], "+", 
       RowBox[{"4", " ", 
        RowBox[{
         RowBox[{"A", "[", "3", "]"}], "[", 
         RowBox[{
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "3"]}], "]"}]}], "+", 
       RowBox[{
        TagBox["KKOp",
         HoldForm], "[", 
        RowBox[{
         RowBox[{"A", "[", "5", "]"}], ",", "1", ",", "3"}], "]"}]}]}], "}"}],
     ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "1", "]"}], ",", "2", ",", "3"}], "]"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "8"}], " ", 
        RowBox[{
         RowBox[{"A", "[", "1", "]"}], "[", 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], "]"}]}], "+", 
       RowBox[{
        TagBox["KKOp",
         HoldForm], "[", 
        RowBox[{
         RowBox[{"A", "[", "2", "]"}], ",", "2", ",", "3"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"4", " ", 
        RowBox[{
         RowBox[{"A", "[", "1", "]"}], "[", 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], "]"}]}], "+", 
       RowBox[{
        TagBox["KKOp",
         HoldForm], "[", 
        RowBox[{
         RowBox[{"A", "[", "3", "]"}], ",", "2", ",", "3"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{
         RowBox[{"A", "[", "2", "]"}], "[", 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], "]"}]}], "+", 
       RowBox[{
        TagBox["KKOp",
         HoldForm], "[", 
        RowBox[{
         RowBox[{"A", "[", "4", "]"}], ",", "2", ",", "3"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"4", " ", 
        RowBox[{
         RowBox[{"A", "[", "3", "]"}], "[", 
         RowBox[{
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "3"]}], "]"}]}], "+", 
       RowBox[{
        TagBox["KKOp",
         HoldForm], "[", 
        RowBox[{
         RowBox[{"A", "[", "5", "]"}], ",", "2", ",", "3"}], "]"}]}]}], "}"}],
     ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "2"}], "]"}], ",", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "2", "]"}], ",", "1", ",", "2"}], "]"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "4"}], " ", 
        RowBox[{
         RowBox[{"A", "[", "1", "]"}], "[", 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], "]"}]}], "+", 
       RowBox[{
        TagBox["KKOp",
         HoldForm], "[", 
        RowBox[{
         RowBox[{"A", "[", "3", "]"}], ",", "1", ",", "2"}], "]"}]}], ",", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "4", "]"}], ",", "1", ",", "2"}], "]"}], ",", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{
         RowBox[{"A", "[", "2", "]"}], "[", 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], "]"}]}], "+", 
       RowBox[{
        TagBox["KKOp",
         HoldForm], "[", 
        RowBox[{
         RowBox[{"A", "[", "5", "]"}], ",", "1", ",", "2"}], "]"}]}]}], 
     "}"}]}], "}"}], "[", "A", "]"}]], "Output",
 CellChangeTimes->{{3.7952800400361595`*^9, 3.795280042601163*^9}, 
   3.795280108701256*^9, 3.7952856747031493`*^9, 3.795338450175375*^9, 
   3.7953386237722883`*^9, 3.796579729606267*^9, 3.796733970125044*^9, 
   3.7973737028879604`*^9, 3.798505723938284*^9, 3.798688156361226*^9, 
   3.799040069728153*^9},ExpressionUUID->"d5057374-2269-460b-81dd-\
685a26ab64aa"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Dims", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "\[Rule]", "d"}], ",", 
    RowBox[{
     RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "\[Rule]", "d"}], ",", 
    RowBox[{
     RowBox[{"\[CapitalDelta]", "[", "3", "]"}], "\[Rule]", 
     RowBox[{"d", "-", "1"}]}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"TensorialDimensions", "=", 
  RowBox[{"{", 
   RowBox[{"5", ",", "3", ",", "3", ",", "1", ",", "1"}], "}"}]}]}], "Input",
 CellChangeTimes->{{3.796734199292202*^9, 
  3.796734199525352*^9}},ExpressionUUID->"1d78eb9a-35f1-4f4c-80df-\
3adc80908272"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "\[Rule]", "d"}], ",", 
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "\[Rule]", "d"}], ",", 
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "3", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "d"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.796734074634894*^9, 3.796734200463504*^9, 
  3.7973737041589622`*^9, 3.7985057245154037`*^9, 3.798688156377227*^9, 
  3.799040069775222*^9},ExpressionUUID->"631c3530-3524-4eb1-9c17-\
b5f305c7a973"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"5", ",", "3", ",", "3", ",", "1", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{3.796734074634894*^9, 3.796734200463504*^9, 
  3.7973737041589622`*^9, 3.7985057245154037`*^9, 3.798688156377227*^9, 
  3.799040069777257*^9},ExpressionUUID->"36fba4f1-6f62-4caa-8845-\
5d23dcfbbff6"]
}, Open  ]],

Cell[TextData[{
 "The solution to primary Ward identities requires ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[Alpha]", "1"], "=", "0"}], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "1bd0ac88-02c5-4945-86af-6141aafb47fa"],
 ". We will show it explicitly by considering the most general expressions \
for form factors and applying the CWIs."
}], "Text",
 CellChangeTimes->{{3.798505748097455*^9, 
  3.7985057937141867`*^9}},ExpressionUUID->"8842bdab-2355-4ea1-ba2f-\
f8c859e32289"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"ListTriples", "[", "sum_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"b1", ",", "b2", ",", 
        RowBox[{"sum", "-", "b1", "-", "b2"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b1", ",", "0", ",", "sum"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b2", ",", "0", ",", 
        RowBox[{"sum", "-", "b1"}]}], "}"}]}], "]"}], "//", 
    RowBox[{
     RowBox[{"Flatten", "[", 
      RowBox[{"#", ",", "1"}], "]"}], "&"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"GenerateA", "[", 
    RowBox[{"N_", ",", "maxN_"}], "]"}], ":=", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Alpha]", "[", 
         RowBox[{
          RowBox[{"N", "+", "n"}], ",", "bs"}], "]"}], 
        RowBox[{"J", "[", 
         RowBox[{
          RowBox[{"N", "+", "n"}], ",", "bs"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"bs", ",", 
         RowBox[{"ListTriples", "[", "n", "]"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "0", ",", 
       RowBox[{"maxN", "-", "N", "-", "1"}]}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.796734361603724*^9, 3.796734605249689*^9}, {
  3.796734644909751*^9, 
  3.79673466676985*^9}},ExpressionUUID->"f2f52aee-e406-4a4f-8954-\
74c732c4d2de"],

Cell[BoxData[
 RowBox[{
  RowBox[{"PS", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"A", "[", "1", "]"}], "\[Rule]", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "1", "]"}], 
        RowBox[{"J", "[", 
         RowBox[{"5", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}]}]}], ",", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"A", "[", "j", "]"}], "\[Rule]", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"GenerateA", "[", 
            RowBox[{
             RowBox[{
             "TensorialDimensions", "\[LeftDoubleBracket]", "j", 
              "\[RightDoubleBracket]"}], ",", "5"}], "]"}], "/.", 
           RowBox[{"\[Alpha]", "\[Rule]", 
            RowBox[{"\[Alpha]", "[", "j", "]"}]}]}], ")"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"j", ",", "2", ",", "5"}], "}"}]}], "]"}]}], " ", "}"}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.79589149603325*^9, 3.7958915004532557`*^9}, {
  3.7958920556720333`*^9, 3.7958920569470353`*^9}, {3.795892186912217*^9, 
  3.7958921870872173`*^9}, {3.7958923405520477`*^9, 3.7958923779371*^9}, {
  3.795892745386615*^9, 3.795892749826621*^9}, {3.7958928434117517`*^9, 
  3.7958928526667647`*^9}, {3.7958946384702654`*^9, 3.7958946405852685`*^9}, {
  3.7958949763107386`*^9, 3.795894987940755*^9}, {3.795938621093904*^9, 
  3.795938623226246*^9}, {3.795938696189349*^9, 3.795938705729588*^9}, {
  3.796734115943797*^9, 3.7967341512651377`*^9}, {3.796734214639969*^9, 
  3.796734286977076*^9}, {3.7967343207140093`*^9, 3.796734352008657*^9}, {
  3.7967346838583117`*^9, 3.796734773989273*^9}, {3.796735205684304*^9, 
  3.7967352360456676`*^9}},ExpressionUUID->"c4107b62-d0d2-40b8-a9cb-\
ee84a3a312fd"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"PrimaryCWIs", "[", "TTJ", "]"}], "[", "A", "]"}]], "Input",Expressi\
onUUID->"c998c668-627b-4964-a279-38ac2f9cf44c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "3"}], "]"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "8"}], " ", 
        RowBox[{
         RowBox[{"A", "[", "1", "]"}], "[", 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], "]"}]}], "+", 
       RowBox[{
        TagBox["KKOp",
         HoldForm], "[", 
        RowBox[{
         RowBox[{"A", "[", "2", "]"}], ",", "1", ",", "3"}], "]"}]}], ",", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "3", "]"}], ",", "1", ",", "3"}], "]"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{
         RowBox[{"A", "[", "2", "]"}], "[", 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], "]"}]}], "+", 
       RowBox[{
        TagBox["KKOp",
         HoldForm], "[", 
        RowBox[{
         RowBox[{"A", "[", "4", "]"}], ",", "1", ",", "3"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{
         RowBox[{"A", "[", "2", "]"}], "[", 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], "]"}]}], "+", 
       RowBox[{"4", " ", 
        RowBox[{
         RowBox[{"A", "[", "3", "]"}], "[", 
         RowBox[{
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "3"]}], "]"}]}], "+", 
       RowBox[{
        TagBox["KKOp",
         HoldForm], "[", 
        RowBox[{
         RowBox[{"A", "[", "5", "]"}], ",", "1", ",", "3"}], "]"}]}]}], "}"}],
     ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "1", "]"}], ",", "2", ",", "3"}], "]"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "8"}], " ", 
        RowBox[{
         RowBox[{"A", "[", "1", "]"}], "[", 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], "]"}]}], "+", 
       RowBox[{
        TagBox["KKOp",
         HoldForm], "[", 
        RowBox[{
         RowBox[{"A", "[", "2", "]"}], ",", "2", ",", "3"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"4", " ", 
        RowBox[{
         RowBox[{"A", "[", "1", "]"}], "[", 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], "]"}]}], "+", 
       RowBox[{
        TagBox["KKOp",
         HoldForm], "[", 
        RowBox[{
         RowBox[{"A", "[", "3", "]"}], ",", "2", ",", "3"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{
         RowBox[{"A", "[", "2", "]"}], "[", 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], "]"}]}], "+", 
       RowBox[{
        TagBox["KKOp",
         HoldForm], "[", 
        RowBox[{
         RowBox[{"A", "[", "4", "]"}], ",", "2", ",", "3"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"4", " ", 
        RowBox[{
         RowBox[{"A", "[", "3", "]"}], "[", 
         RowBox[{
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "3"]}], "]"}]}], "+", 
       RowBox[{
        TagBox["KKOp",
         HoldForm], "[", 
        RowBox[{
         RowBox[{"A", "[", "5", "]"}], ",", "2", ",", "3"}], "]"}]}]}], "}"}],
     ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "1", "]"}], ",", "1", ",", "2"}], "]"}], ",", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "2", "]"}], ",", "1", ",", "2"}], "]"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "4"}], " ", 
        RowBox[{
         RowBox[{"A", "[", "1", "]"}], "[", 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], "]"}]}], "+", 
       RowBox[{
        TagBox["KKOp",
         HoldForm], "[", 
        RowBox[{
         RowBox[{"A", "[", "3", "]"}], ",", "1", ",", "2"}], "]"}]}], ",", 
      RowBox[{
       TagBox["KKOp",
        HoldForm], "[", 
       RowBox[{
        RowBox[{"A", "[", "4", "]"}], ",", "1", ",", "2"}], "]"}], ",", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{
         RowBox[{"A", "[", "2", "]"}], "[", 
         RowBox[{
          SubscriptBox["p", "1"], ",", 
          SubscriptBox["p", "2"], ",", 
          SubscriptBox["p", "3"]}], "]"}]}], "+", 
       RowBox[{
        TagBox["KKOp",
         HoldForm], "[", 
        RowBox[{
         RowBox[{"A", "[", "5", "]"}], ",", "1", ",", "2"}], "]"}]}]}], 
     "}"}]}], "}"}], "[", "A", "]"}]], "Output",
 CellChangeTimes->{3.796734079119438*^9, 3.796734775926648*^9, 
  3.79673523748213*^9, 3.797373856438177*^9, 3.798505726395172*^9, 
  3.798505796928648*^9, 3.798688156417229*^9, 
  3.799040069848559*^9},ExpressionUUID->"02972266-26db-4008-ab1b-\
be78cde81b49"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"ToSolve", "=", 
   RowBox[{
    RowBox[{"Flatten", "[", 
     RowBox[{"CheckPrimaryCWIs", "[", 
      RowBox[{"TTJ", ",", " ", "PS"}], "]"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"J", "[", 
        RowBox[{"a_", ",", 
         RowBox[{"{", 
          RowBox[{"b1_", ",", "b2_", ",", "b3_"}], "}"}]}], "]"}], "[", 
       "p___", "]"}], "\[RuleDelayed]", 
      RowBox[{
       RowBox[{"x", "^", "b1"}], " ", 
       RowBox[{"y", "^", "b2"}], " ", 
       RowBox[{"z", "^", "b3"}], "*", 
       RowBox[{"w", "^", "a"}]}]}], "}"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.796734797417555*^9, 3.796734798065455*^9}, {
  3.796734830708231*^9, 3.7967348872737293`*^9}, {3.7967349281408453`*^9, 
  3.796734954708502*^9}, {3.796735011012566*^9, 
  3.796735092553405*^9}},ExpressionUUID->"f961d1e4-16fa-4b32-a551-\
c7fc0af2cd6f"],

Cell["\<\
This produces a list of linear equations for primary constants.\
\>", "Text",
 CellChangeTimes->{{3.7985058047377367`*^9, 
  3.7985058180098133`*^9}},ExpressionUUID->"9586f8d3-6ea3-4e9f-8e5e-\
4b251cb0424b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Eqns", "=", 
  RowBox[{"DeleteDuplicates", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"0", "\[Equal]", "#"}], "&"}], "/@", 
    RowBox[{"Flatten", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"CoefficientList", "[", 
        RowBox[{"#", ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "y", ",", "z", ",", "w"}], "}"}]}], "]"}], "&"}], 
      "/@", "ToSolve"}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.796734893851112*^9, 3.7967349003526783`*^9}, {
  3.7967349590991592`*^9, 3.796734992172304*^9}, {3.796735080565683*^9, 
  3.796735109482544*^9}},ExpressionUUID->"8a6f90c0-b297-4e7e-8ce0-\
85d60506dbd7"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"-", "2"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"4", " ", 
        RowBox[{"\[Alpha]", "[", "1", "]"}]}], "-", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "2", "]"}], "[", 
        RowBox[{"4", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], "+", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "2", "]"}], "[", 
        RowBox[{"4", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], ")"}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Alpha]", "[", "3", "]"}], "[", 
        RowBox[{"4", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], "-", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "3", "]"}], "[", 
        RowBox[{"4", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], ")"}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"-", "2"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Alpha]", "[", "2", "]"}], "[", 
        RowBox[{"3", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], "-", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
        RowBox[{"2", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], "+", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
        RowBox[{"2", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], ")"}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"-", "2"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Alpha]", "[", "2", "]"}], "[", 
        RowBox[{"4", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], "-", 
       RowBox[{"2", " ", 
        RowBox[{
         RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
         RowBox[{"3", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "2"}], "}"}]}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
        RowBox[{"3", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "1"}], "}"}]}], "]"}]}], ")"}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"6", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "3"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "2"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"-", "2"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Alpha]", "[", "2", "]"}], "[", 
        RowBox[{"4", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}], "-", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
        RowBox[{"3", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], "]"}], "+", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
        RowBox[{"3", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1", ",", "0"}], "}"}]}], "]"}]}], ")"}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1", ",", "2"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "2", ",", "1"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "2", ",", "0"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "2", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], "+", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "1"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "0", ",", "0"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "2"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "0", ",", "1"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "1", ",", "0"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "0", ",", "1"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"6", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"3", ",", "0", ",", "0"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Alpha]", "[", "2", "]"}], "[", 
        RowBox[{"3", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{
         RowBox[{"\[Alpha]", "[", "3", "]"}], "[", 
         RowBox[{"3", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
        RowBox[{"2", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], "-", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
        RowBox[{"2", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], ")"}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Alpha]", "[", "2", "]"}], "[", 
        RowBox[{"4", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{
         RowBox[{"\[Alpha]", "[", "3", "]"}], "[", 
         RowBox[{"4", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}]}], "+", 
       RowBox[{"2", " ", 
        RowBox[{
         RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
         RowBox[{"3", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "2"}], "}"}]}], "]"}]}], "-", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
        RowBox[{"3", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "1"}], "}"}]}], "]"}]}], ")"}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"6", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "3"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "2"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "2", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]}], "+", 
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "3", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], "+", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "0"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1", ",", "2"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "2", ",", "1"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "2", ",", "0"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "2", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], "+", 
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "3", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]}], "+", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "1"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "0", ",", "0"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "2"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "0", ",", "1"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "1", ",", "0"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "0", ",", "1"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"6", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"3", ",", "0", ",", "0"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"-", "2"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"4", " ", 
        RowBox[{"\[Alpha]", "[", "1", "]"}]}], "-", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "2", "]"}], "[", 
        RowBox[{"4", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], "+", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "2", "]"}], "[", 
        RowBox[{"4", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]}], ")"}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"\[Alpha]", "[", "1", "]"}]}], "+", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "3", "]"}], "[", 
        RowBox[{"4", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], "-", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "3", "]"}], "[", 
        RowBox[{"4", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]}], ")"}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"-", "2"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Alpha]", "[", "2", "]"}], "[", 
        RowBox[{"3", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], "-", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
        RowBox[{"2", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], "+", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
        RowBox[{"2", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]}], ")"}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"-", "2"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Alpha]", "[", "2", "]"}], "[", 
        RowBox[{"4", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], "-", 
       RowBox[{"2", " ", 
        RowBox[{
         RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
         RowBox[{"3", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "2"}], "}"}]}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
        RowBox[{"3", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], "]"}]}], ")"}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"6", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "3"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"-", "2"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Alpha]", "[", "2", "]"}], "[", 
        RowBox[{"4", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}], "-", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
        RowBox[{"3", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], "]"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{
         RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
         RowBox[{"3", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "2", ",", "0"}], "}"}]}], "]"}]}]}], ")"}]}]}], 
   ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1", ",", "2"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "2", ",", "1"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "2", ",", "1"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"6", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "3", ",", "0"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "2", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], "+", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "1"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "0"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "2"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "2", ",", "0"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "0", ",", "1"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "1", ",", "0"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{
         RowBox[{"\[Alpha]", "[", "3", "]"}], "[", 
         RowBox[{"3", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
        RowBox[{"2", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], "-", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
        RowBox[{"2", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]}], ")"}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{
         RowBox[{"\[Alpha]", "[", "3", "]"}], "[", 
         RowBox[{"4", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}]}], "+", 
       RowBox[{"2", " ", 
        RowBox[{
         RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
         RowBox[{"3", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "2"}], "}"}]}], "]"}]}], "-", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
        RowBox[{"3", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], "]"}]}], ")"}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"6", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "3"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "3", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], "+", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "2", ",", "0"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1", ",", "2"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "2", ",", "1"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "2", ",", "1"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"6", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "3", ",", "0"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "3", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]}], "+", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "1"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "0"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "2"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "2", ",", "0"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "0", ",", "1"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "1", ",", "0"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Alpha]", "[", "2", "]"}], "[", 
        RowBox[{"4", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}], "-", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "2", "]"}], "[", 
        RowBox[{"4", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], ")"}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"-", "2"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"\[Alpha]", "[", "1", "]"}]}], "-", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "3", "]"}], "[", 
        RowBox[{"4", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}], "+", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "3", "]"}], "[", 
        RowBox[{"4", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], ")"}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
        RowBox[{"2", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}], "-", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
        RowBox[{"2", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], ")"}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
        RowBox[{"3", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], "]"}], "-", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
        RowBox[{"3", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "1"}], "}"}]}], "]"}]}], ")"}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1", ",", "2"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "2"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "2", ",", "0"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "0"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "2", ",", "1"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"6", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "3", ",", "0"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "2", ",", "0"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "0"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "0", ",", "0"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "0", ",", "1"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "2", ",", "0"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "1", ",", "0"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "1", ",", "0"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"6", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"3", ",", "0", ",", "0"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Alpha]", "[", "2", "]"}], "[", 
        RowBox[{"3", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], "+", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
        RowBox[{"2", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}], "-", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
        RowBox[{"2", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], ")"}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Alpha]", "[", "2", "]"}], "[", 
        RowBox[{"4", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], "+", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
        RowBox[{"3", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], "]"}], "-", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
        RowBox[{"3", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "1"}], "}"}]}], "]"}]}], ")"}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1", ",", "2"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "2"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "2", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]}], "+", 
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "2", ",", "0"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "0"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "2", ",", "1"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"6", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "3", ",", "0"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "2", ",", "0"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "2", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}]}], "+", 
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "0"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "0", ",", "0"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "0", ",", "1"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "2", ",", "0"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"4", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "1", ",", "0"}], "}"}]}], "]"}]}]}]}], ",", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "1", ",", "0"}], "}"}]}], "]"}]}], "-", 
     RowBox[{"6", " ", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"3", ",", "0", ",", "0"}], "}"}]}], "]"}]}]}]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.7967349930740767`*^9, {3.79673507160305*^9, 3.7967351097401447`*^9}, 
   3.796735240603003*^9, 3.7973737086089687`*^9, 3.7973738865812187`*^9, 
   3.7985057279469433`*^9, 3.798505818962534*^9, 3.798688157227274*^9, 
   3.799040070837901*^9},ExpressionUUID->"1acbec3a-6a65-43f8-89f6-\
66ee0aaabe4f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"alphaList", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"List", "@@", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"GenerateA", "[", 
          RowBox[{
           RowBox[{
           "TensorialDimensions", "\[LeftDoubleBracket]", "j", 
            "\[RightDoubleBracket]"}], ",", "5"}], "]"}], "/.", 
         RowBox[{"\[Alpha]", "\[Rule]", 
          RowBox[{"\[Alpha]", "[", "j", "]"}]}]}], ")"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "2", ",", "5"}], "}"}]}], "]"}], "/.", 
    RowBox[{
     RowBox[{"J", "[", "x___", "]"}], "\[RuleDelayed]", "1"}]}], "//", 
   "Flatten"}]}]], "Input",
 CellChangeTimes->{{3.796735129162053*^9, 3.7967351810817947`*^9}, 
   3.796735260672504*^9},ExpressionUUID->"21c22e8a-9d75-46ab-9571-\
7335a678ba0d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Alpha]", "[", "2", "]"}], "[", 
    RowBox[{"3", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "2", "]"}], "[", 
    RowBox[{"4", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "2", "]"}], "[", 
    RowBox[{"4", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "2", "]"}], "[", 
    RowBox[{"4", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "3", "]"}], "[", 
    RowBox[{"3", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "3", "]"}], "[", 
    RowBox[{"4", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "3", "]"}], "[", 
    RowBox[{"4", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "3", "]"}], "[", 
    RowBox[{"4", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
    RowBox[{"2", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
    RowBox[{"2", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
    RowBox[{"2", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
    RowBox[{"3", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "2"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
    RowBox[{"3", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
    RowBox[{"3", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "2", ",", "0"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
    RowBox[{"3", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
    RowBox[{"3", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "0"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
    RowBox[{"3", ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
    RowBox[{"4", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "3"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
    RowBox[{"4", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "2"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
    RowBox[{"4", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "2", ",", "1"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
    RowBox[{"4", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "3", ",", "0"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
    RowBox[{"4", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "2"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
    RowBox[{"4", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
    RowBox[{"4", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "0"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
    RowBox[{"4", ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
    RowBox[{"4", ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1", ",", "0"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
    RowBox[{"4", ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
    RowBox[{"2", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
    RowBox[{"2", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
    RowBox[{"2", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
    RowBox[{"3", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "2"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
    RowBox[{"3", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
    RowBox[{"3", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "2", ",", "0"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
    RowBox[{"3", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
    RowBox[{"3", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "0"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
    RowBox[{"3", ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
    RowBox[{"4", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "3"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
    RowBox[{"4", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "2"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
    RowBox[{"4", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "2", ",", "1"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
    RowBox[{"4", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "3", ",", "0"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
    RowBox[{"4", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "2"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
    RowBox[{"4", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
    RowBox[{"4", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "0"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
    RowBox[{"4", ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
    RowBox[{"4", ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1", ",", "0"}], "}"}]}], "]"}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
    RowBox[{"4", ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "0", ",", "0"}], "}"}]}], "]"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.796735147838594*^9, 3.796735181384691*^9}, 
   3.796735264386674*^9, 3.797373717570981*^9, 3.7973738906522245`*^9, 
   3.798505729693598*^9, 3.798505820028253*^9, 3.7986881572522755`*^9, 
   3.79904007089261*^9},ExpressionUUID->"27c44e18-a68b-4f6f-9334-\
db73c253748c"]
}, Open  ]],

Cell[TextData[{
 "Assuming ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Alpha]", "1"], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "ce26aa70-2d6f-45f2-8994-0bb5102aa8ea"],
 " is fixed, there is no solution:"
}], "Text",
 CellChangeTimes->{{3.7985058234018803`*^9, 
  3.798505839465206*^9}},ExpressionUUID->"2f0c9007-03d9-4e06-9384-\
91829f611bfb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{"Eqns", ",", "alphaList"}], "]"}]], "Input",
 CellChangeTimes->{{3.796735270811693*^9, 
  3.796735285009739*^9}},ExpressionUUID->"0adc1ca4-bc38-4459-a19f-\
d7ac871119df"],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 CellChangeTimes->{3.796735285260931*^9, 3.7973737192509837`*^9, 
  3.797373892164227*^9, 3.7985057308158903`*^9, 3.798505840316164*^9, 
  3.7986881572862773`*^9, 
  3.799040070939315*^9},ExpressionUUID->"f80bf345-4586-4dc1-9e30-\
9845c62a6009"]
}, Open  ]],

Cell[TextData[{
 "If we solve for ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Alpha]", "1"], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "4f729bd4-0d19-431f-9f3f-35e20bb0df51"],
 " as well, the solution trivializes:"
}], "Text",
 CellChangeTimes->{{3.7985058641216927`*^9, 
  3.798505884050078*^9}},ExpressionUUID->"bb9a3dd5-fd55-47ce-b01c-\
eabba789e93c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"PrimSolTTJ", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{"Eqns", ",", 
     RowBox[{"Append", "[", 
      RowBox[{"alphaList", ",", 
       RowBox[{"\[Alpha]", "[", "1", "]"}]}], "]"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.79673529116961*^9, 
  3.796735320106679*^9}},ExpressionUUID->"4773b09b-2bda-4028-bbee-\
bf6ee4b20680"],

Cell[BoxData[
 TemplateBox[{
  "Solve","svars",
   "\"Equations may not give solutions for all \\\"solve\\\" variables.\"",2,
   345,1,29347152510981236194,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.796735303372979*^9, 3.7967353203806763`*^9}, 
   3.79737389414523*^9, 3.798505731610729*^9, 3.798505885016333*^9, 
   3.798688157319279*^9, 
   3.799040070988739*^9},ExpressionUUID->"fb935a4a-5f49-4799-832f-\
46647653f4c1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Alpha]", "[", "1", "]"}], "/.", "PrimSolTTJ"}]], "Input",
 CellChangeTimes->{{3.796735321679914*^9, 
  3.796735325778336*^9}},ExpressionUUID->"779b31f2-4c34-4e9c-bfe3-\
afdef475c485"],

Cell[BoxData[
 RowBox[{"{", "0", "}"}]], "Output",
 CellChangeTimes->{3.7967353262238197`*^9, 3.7973738964952335`*^9, 
  3.798505732227206*^9, 3.798505885512002*^9, 3.798688157349281*^9, 
  3.799040070996869*^9},ExpressionUUID->"335ba09e-56b5-4cbd-ab94-\
534b93b0a10e"]
}, Open  ]],

Cell["The final solutions is:", "Text",
 CellChangeTimes->{{3.798505890857552*^9, 
  3.79850589556984*^9}},ExpressionUUID->"1d1da85c-6b6e-4493-b520-\
3236a53ab6ea"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PSsol", "=", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"PS", "/.", "PrimSolTTJ"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"\[Alpha]", "[", "2", "]"}], "[", 
        RowBox[{"4", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], "\[Rule]", "0"}],
       ",", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Alpha]", "[", "3", "]"}], "[", 
        RowBox[{"4", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], "\[Rule]", "0"}],
       ",", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Alpha]", "[", "4", "]"}], "[", 
        RowBox[{"n_", ",", "x_"}], "]"}], "\[RuleDelayed]", 
       RowBox[{"0", "/;", 
        RowBox[{"n", "\[NotEqual]", "1"}]}]}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Alpha]", "[", "5", "]"}], "[", 
        RowBox[{"n_", ",", "x_"}], "]"}], "\[RuleDelayed]", 
       RowBox[{"0", "/;", 
        RowBox[{"n", "\[NotEqual]", "1"}]}]}]}], "}"}]}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Alpha]", "[", "j_", "]"}], "[", 
      RowBox[{"n_", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], "\[RuleDelayed]", 
     RowBox[{"\[Alpha]", "[", "j", "]"}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.7973738982552357`*^9, 3.7973739210482674`*^9}, {
  3.797373973228341*^9, 3.797374014116399*^9}, {3.7973740582594604`*^9, 
  3.797374209242674*^9}},ExpressionUUID->"7c5bcfc7-28df-48c5-b804-\
a5b8c45848d1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"A", "[", "1", "]"}], "\[Rule]", "0"}], ",", 
    RowBox[{
     RowBox[{"A", "[", "2", "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "2", "]"}]}]}], ",", 
    RowBox[{
     RowBox[{"A", "[", "3", "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "3", "]"}]}]}], ",", 
    RowBox[{
     RowBox[{"A", "[", "4", "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"J", "[", 
         RowBox[{"2", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}]}], " ", 
       RowBox[{"\[Alpha]", "[", "2", "]"}]}], "-", 
      RowBox[{
       RowBox[{"J", "[", 
        RowBox[{"2", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
       RowBox[{"\[Alpha]", "[", "2", "]"}]}], "+", 
      RowBox[{
       RowBox[{"J", "[", 
        RowBox[{"1", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
       RowBox[{"\[Alpha]", "[", "4", "]"}]}]}]}], ",", 
    RowBox[{
     RowBox[{"A", "[", "5", "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"J", "[", 
        RowBox[{"2", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}], " ", 
       RowBox[{"\[Alpha]", "[", "3", "]"}]}], "+", 
      RowBox[{
       RowBox[{"J", "[", 
        RowBox[{"2", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"\[Alpha]", "[", "2", "]"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"\[Alpha]", "[", "3", "]"}]}]}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"J", "[", 
        RowBox[{"1", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
       RowBox[{"\[Alpha]", "[", "5", "]"}]}]}]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.7973740647414703`*^9, 3.797374074443484*^9}, {
   3.797374121049549*^9, 3.7973742114026766`*^9}, 3.798505732663989*^9, {
   3.79850588664163*^9, 3.798505896431286*^9}, 3.7986881573642817`*^9, 
   3.799040071037499*^9},ExpressionUUID->"2e4f9bc6-0134-4150-92e2-\
35282612cb9a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"PrimarySolutions", "[", "TTJ", "]"}], "-", 
   RowBox[{"PSsol", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
  "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.7973743386308556`*^9, 
  3.7973743614528875`*^9}},ExpressionUUID->"66fda234-7255-4fdc-84b2-\
881df719e08f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.7973743447218647`*^9, 3.7973743617238884`*^9}, 
   3.798505733557766*^9, {3.798505887900729*^9, 3.798505896863192*^9}, 
   3.7986881573792825`*^9, 
   3.7990400710731916`*^9},ExpressionUUID->"c4034c20-ab4b-434d-8919-\
7f9c8b384772"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["<TTT>", "Section",
 CellChangeTimes->{{3.795261710502955*^9, 3.79526171311106*^9}, {
   3.795263974571103*^9, 3.795263974865499*^9}, {3.795264213961895*^9, 
   3.79526421408195*^9}, {3.795266435363764*^9, 3.795266436467969*^9}, {
   3.795277036385767*^9, 3.795277036675768*^9}, 3.795278137416484*^9, {
   3.7952802412664413`*^9, 
   3.7952802414364414`*^9}},ExpressionUUID->"4aca7e83-b095-4a07-8d70-\
7e5316cd312e"],

Cell["List of solutions to primary WIs.", "Text",
 CellChangeTimes->{{3.795891975626921*^9, 
  3.795891986056936*^9}},ExpressionUUID->"2cd0e2ad-ad6f-4f0b-a635-\
208162161368"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PS", "=", 
  RowBox[{"PrimarySolutions", "[", "TTT", "]"}]}]], "Input",
 CellChangeTimes->{{3.79589149603325*^9, 3.7958915004532557`*^9}, {
  3.7958920556720333`*^9, 3.7958920569470353`*^9}, {3.795892186912217*^9, 
  3.7958921870872173`*^9}, {3.7958923405520477`*^9, 3.7958923779371*^9}, {
  3.795892745386615*^9, 3.795892749826621*^9}, {3.7958928434117517`*^9, 
  3.7958928526667647`*^9}, {3.7958946384702654`*^9, 3.7958946405852685`*^9}, {
  3.7958949763107386`*^9, 3.795894987940755*^9}, {3.795938621093904*^9, 
  3.795938623226246*^9}, {3.795938696189349*^9, 3.795938705729588*^9}, {
  3.796735838612125*^9, 3.7967358387858877`*^9}, {3.798505905923188*^9, 
  3.7985059064979353`*^9}},ExpressionUUID->"27576d7e-a16e-4ee4-ad0f-\
a90ddb1799f8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"A", "[", "1", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"J", "[", 
      RowBox[{"6", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
     RowBox[{"\[Alpha]", "[", "1", "]"}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "2", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{"J", "[", 
       RowBox[{"5", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "1", "]"}]}], "+", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "2", "]"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "3", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{"J", "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "2"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "1", "]"}]}], "+", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "2", "]"}]}], "+", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"2", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "3", "]"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "4", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"8", " ", 
      RowBox[{"J", "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "1", "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{"J", "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "2", "]"}]}], "+", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"2", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "4", "]"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "5", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"8", " ", 
      RowBox[{"J", "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "1", "]"}]}], "+", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"J", "[", 
         RowBox[{"2", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], "]"}], "+", 
        RowBox[{"J", "[", 
         RowBox[{"2", ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0", ",", "1"}], "}"}]}], "]"}], "+", 
        RowBox[{"J", "[", 
         RowBox[{"2", ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "1", ",", "0"}], "}"}]}], "]"}]}], ")"}], " ", 
      RowBox[{"\[Alpha]", "[", "2", "]"}]}], "+", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"\[Alpha]", "[", "5", "]"}]}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7955380183895226`*^9, 3.7955381980868006`*^9, 3.7958915009282565`*^9, 
   3.795891759441619*^9, 3.795892057657036*^9, 3.7958921877972183`*^9, 
   3.7958923412120485`*^9, 3.795892378587101*^9, 3.795892750316622*^9, 
   3.795892854091767*^9, 3.79589464189027*^9, 3.7958949891707563`*^9, 
   3.795937567847587*^9, 3.795937649750927*^9, 3.795938626005427*^9, 
   3.795938706245788*^9, 3.795939561502571*^9, 3.79594154253868*^9, 
   3.7959417709585257`*^9, 3.7965798087387934`*^9, 3.796581168744581*^9, 
   3.7966693794860106`*^9, 3.7967174203702393`*^9, 3.796735839453011*^9, {
   3.798505901410659*^9, 3.79850590679709*^9}, 3.7986881573952837`*^9, 
   3.799040071082789*^9},ExpressionUUID->"2ede898a-d3d5-4b14-9dc6-\
92e2f695da87"]
}, Open  ]],

Cell["Check if they satisfy primary WIs.", "Text",
 CellChangeTimes->{{3.7958919896269407`*^9, 
  3.7958920010319567`*^9}},ExpressionUUID->"2d765de9-d06c-4e62-8ee0-\
f1e4dce5c8c6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CheckPrimaryCWIs", "[", 
  RowBox[{"TTT", ",", " ", "PS"}], "]"}]], "Input",
 CellChangeTimes->{{3.795265014608569*^9, 3.79526503181986*^9}, {
   3.7952650984793167`*^9, 3.795265101709263*^9}, {3.795265181219277*^9, 
   3.7952651814031477`*^9}, {3.795265243643098*^9, 3.795265309128849*^9}, {
   3.795265395159733*^9, 3.795265401019408*^9}, 3.795266143978883*^9, {
   3.7952762109956117`*^9, 3.7952762189356227`*^9}, {3.795276301120738*^9, 
   3.795276313605755*^9}, {3.7952764669509697`*^9, 3.7952764773609843`*^9}, 
   3.795537917860772*^9, {3.7958915150632763`*^9, 3.7958915161482778`*^9}, {
   3.7958920616520414`*^9, 3.7958920637470446`*^9}, {3.795892190432222*^9, 
   3.795892190537222*^9}, {3.795892343657052*^9, 3.795892344432053*^9}, {
   3.795892754371627*^9, 3.7958927548666277`*^9}, {3.795892857281771*^9, 
   3.7958928583167725`*^9}, {3.795894644720274*^9, 3.7958946448402743`*^9}, {
   3.796735842828561*^9, 
   3.796735843354167*^9}},ExpressionUUID->"4a073da0-4774-4027-88f1-\
1cb9be15dfe3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.7952617444983892`*^9, 3.795265032207391*^9, {3.795265285700379*^9, 
   3.7952653103374653`*^9}, 3.795265416579867*^9, {3.7952661266935873`*^9, 
   3.7952661453025427`*^9}, {3.7952762160306187`*^9, 
   3.7952762193156233`*^9}, {3.7952763058207445`*^9, 3.795276313985756*^9}, 
   3.795276477695985*^9, 3.795537918608815*^9, 3.795538230158635*^9, 
   3.795891516863279*^9, 3.7958917603516197`*^9, 3.7958920646270456`*^9, 
   3.795892191012223*^9, 3.795892345622055*^9, 3.7958927552316284`*^9, 
   3.7958928587567735`*^9, 3.7958946452002745`*^9, 3.795895116680935*^9, 
   3.795937570736408*^9, 3.795937668470742*^9, 3.795939562360153*^9, 
   3.795941543879374*^9, 3.795941772085885*^9, 3.7965798101168723`*^9, 
   3.7965811698606453`*^9, 3.7966693811560125`*^9, 3.7967174215888243`*^9, 
   3.796735843783998*^9, {3.798505902606208*^9, 3.798505907682901*^9}, 
   3.7986881574102845`*^9, 
   3.799040071125793*^9},ExpressionUUID->"c2475943-4cb2-44b0-8ad5-\
5b94796a35d4"]
}, Open  ]],

Cell["\<\
This is the case where the expression must be regulated even if the \
correlator remains finite. This is due to the fact that some integrals \
featuring in A[4] are always divergent.\
\>", "Text",
 CellChangeTimes->{{3.795894991115759*^9, 3.7958950801058836`*^9}, {
   3.7958974646584153`*^9, 3.7958974658184166`*^9}, 
   3.7958975306085076`*^9},ExpressionUUID->"79741a5c-9943-420f-8d69-\
359d321a419d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Divergences", "=", 
  RowBox[{"PS", "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"J", "[", "x__", "]"}], "\[RuleDelayed]", 
     RowBox[{"IsDivergent", "[", 
      RowBox[{
       RowBox[{"J", "[", "x", "]"}], "/.", 
       RowBox[{"suJToI", "[", 
        RowBox[{"d", ",", 
         RowBox[{"{", 
          RowBox[{"d", ",", "d", ",", "d"}], "}"}]}], "]"}]}], "]"}]}], 
    "}"}]}]}]], "Input",
 CellChangeTimes->{{3.7958974684934206`*^9, 3.795897490373451*^9}, {
  3.79657981637823*^9, 3.796579817457292*^9}, {3.7965814247352233`*^9, 
  3.796581427110359*^9}, {3.796735849460948*^9, 
  3.796735850698697*^9}},ExpressionUUID->"8a67c0a4-82bd-47f5-942c-\
fc2a51a6af21"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"A", "[", "1", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox["d", "2"]}], "\[Element]", 
        TemplateBox[{},
         "Integers"]}], "&&", 
       RowBox[{"d", "\[GreaterEqual]", "6"}]}], ")"}], " ", 
     RowBox[{"\[Alpha]", "[", "1", "]"}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "2", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          FractionBox["d", "2"]}], "\[Element]", 
         TemplateBox[{},
          "Integers"]}], "&&", 
        RowBox[{"d", "\[GreaterEqual]", "4"}]}], ")"}], " ", 
      RowBox[{"\[Alpha]", "[", "1", "]"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          FractionBox["d", "2"]}], "\[Element]", 
         TemplateBox[{},
          "Integers"]}], "&&", 
        RowBox[{"d", "\[GreaterEqual]", "4"}]}], ")"}], " ", 
      RowBox[{"\[Alpha]", "[", "2", "]"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "3", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["d", "2"]}], "\[Element]", 
        TemplateBox[{},
         "Integers"]}], ")"}], " ", 
      RowBox[{"\[Alpha]", "[", "1", "]"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["d", "2"]}], "\[Element]", 
        TemplateBox[{},
         "Integers"]}], ")"}], " ", 
      RowBox[{"\[Alpha]", "[", "2", "]"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["d", "2"]}], "\[Element]", 
        TemplateBox[{},
         "Integers"]}], ")"}], " ", 
      RowBox[{"\[Alpha]", "[", "3", "]"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "4", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"8", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["d", "2"]}], "\[Element]", 
        TemplateBox[{},
         "Integers"]}], ")"}], " ", 
      RowBox[{"\[Alpha]", "[", "1", "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["d", "2"]}], "\[Element]", 
        TemplateBox[{},
         "Integers"]}], ")"}], " ", 
      RowBox[{"\[Alpha]", "[", "2", "]"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["d", "2"]}], "\[Element]", 
        TemplateBox[{},
         "Integers"]}], ")"}], " ", 
      RowBox[{"\[Alpha]", "[", "4", "]"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "5", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"8", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["d", "2"]}], "\[Element]", 
        TemplateBox[{},
         "Integers"]}], ")"}], " ", 
      RowBox[{"\[Alpha]", "[", "1", "]"}]}], "+", 
     RowBox[{"6", " ", "True", " ", 
      RowBox[{"\[Alpha]", "[", "2", "]"}]}], "+", 
     RowBox[{"True", " ", 
      RowBox[{"\[Alpha]", "[", "5", "]"}]}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.795897490693452*^9, 3.795937569500477*^9, 3.795937667459016*^9, 
   3.7959385613400793`*^9, 3.795938711342773*^9, 3.7959395634850407`*^9, 
   3.795941773749682*^9, {3.7965798117799673`*^9, 3.796579818738365*^9}, 
   3.7965811717597537`*^9, 3.796581428575443*^9, 3.796669383346016*^9, 
   3.796717423697904*^9, 3.796735851875492*^9, 3.798505910289064*^9, 
   3.7986881581153245`*^9, 
   3.799040071978263*^9},ExpressionUUID->"84c267af-5b6a-46f8-9a57-\
7da467cf7de5"]
}, Open  ]],

Cell[TextData[{
 "This requires the removal of the singularity as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"u", "=", "v"}], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "9495f040-3154-4c1f-882c-87d2c29cf807"],
 ". This is carried out by the following redefinitions, which we will check:"
}], "Text",
 CellChangeTimes->{{3.798505939489689*^9, 
  3.79850597199422*^9}},ExpressionUUID->"fc4de284-7d02-40fd-beac-\
5265c8986c90"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"solAlpha5", "=", 
  RowBox[{"{", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Alpha]", "[", "50", "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{"-", "2"}], 
      RowBox[{"d", "^", "2"}], " ", 
      RowBox[{"\[Alpha]", "[", "20", "]"}]}]}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Alpha]", "[", "51", "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], "d", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", "v", " ", 
          RowBox[{"\[Alpha]", "[", "20", "]"}]}], "+", 
         RowBox[{"d", " ", 
          RowBox[{"\[Alpha]", "[", "21", "]"}]}]}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"u", "-", "v"}], ")"}], 
       RowBox[{"\[Beta]", "[", "51", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
    
    RowBox[{
     RowBox[{"\[Alpha]", "[", "52", "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "8"}], 
       RowBox[{"v", "^", "2"}], " ", 
       RowBox[{"\[Alpha]", "[", "20", "]"}]}], "-", 
      RowBox[{"8", "v", " ", "d", " ", 
       RowBox[{"\[Alpha]", "[", "21", "]"}]}], "-", 
      RowBox[{"2", 
       RowBox[{"d", "^", "2"}], 
       RowBox[{"\[Alpha]", "[", "22", "]"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"u", "-", "v"}], ")"}], 
       RowBox[{"\[Beta]", "[", "52", "]"}]}]}]}]}], " ", "}"}]}]], "Input",
 CellChangeTimes->{{3.796735862460615*^9, 
  3.796736000930942*^9}},ExpressionUUID->"011b7f87-0451-4022-8e21-\
303f008eafce"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Alpha]", "[", "50", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"-", "2"}], " ", 
     SuperscriptBox["d", "2"], " ", 
     RowBox[{"\[Alpha]", "[", "20", "]"}]}]}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "51", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", "d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"4", " ", "v", " ", 
         RowBox[{"\[Alpha]", "[", "20", "]"}]}], "+", 
        RowBox[{"d", " ", 
         RowBox[{"\[Alpha]", "[", "21", "]"}]}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"u", "-", "v"}], ")"}], " ", 
      RowBox[{"\[Beta]", "[", "51", "]"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "52", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "8"}], " ", 
      SuperscriptBox["v", "2"], " ", 
      RowBox[{"\[Alpha]", "[", "20", "]"}]}], "-", 
     RowBox[{"8", " ", "d", " ", "v", " ", 
      RowBox[{"\[Alpha]", "[", "21", "]"}]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["d", "2"], " ", 
      RowBox[{"\[Alpha]", "[", "22", "]"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"u", "-", "v"}], ")"}], " ", 
      RowBox[{"\[Beta]", "[", "52", "]"}]}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.796737008850422*^9, 3.798505912423479*^9, 
  3.798505972975724*^9, 3.7986881581303253`*^9, 
  3.7990400720331573`*^9},ExpressionUUID->"92a42611-0cbc-4bcb-913f-\
2e618f9cc4a1"]
}, Open  ]],

Cell[TextData[{
 "Solutions to secondary CWIs for odd spacetime dimensions ",
 Cell[BoxData[
  FormBox[
   RowBox[{"d", "=", 
    RowBox[{
     RowBox[{"2", "n"}], "+", "1"}]}], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "2cb4218a-82ba-46ba-aa6e-676cdc3e624c"],
 " is:"
}], "Text",
 CellChangeTimes->{{3.798505975857644*^9, 
  3.7985060302819138`*^9}},ExpressionUUID->"f9db60e0-cbad-4035-aa38-\
fad4bdbb0ea4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"solAlphaOdd", "=", 
  RowBox[{"{", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Alpha]", "[", "30", "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "d"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", 
          RowBox[{"(", 
           RowBox[{"d", "+", "2"}], ")"}], 
          RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
         RowBox[{"\[Alpha]", "[", "20", "]"}]}], ")"}]}], "-", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Pi", "/", "2"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "3"}], "/", "2"}], ")"}]}], "*", "2", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "^", "n"}], " ", 
       RowBox[{"cT", "/", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"d", "-", "2"}], ")"}], "!!"}]}]}]}]}], ",", 
    RowBox[{
     RowBox[{"\[Alpha]", "[", "40", "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{"2", 
       RowBox[{"\[Alpha]", "[", "30", "]"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"3", "d"}], "+", "2"}], ")"}], 
       RowBox[{"\[Alpha]", "[", "20", "]"}]}]}]}], ",", 
    RowBox[{
     RowBox[{"\[Beta]", "[", "51", "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "d"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", "d", 
          RowBox[{"(", 
           RowBox[{"d", "+", "2"}], ")"}], 
          RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
         RowBox[{
          RowBox[{"1", "/", "2"}], 
          RowBox[{"(", 
           RowBox[{"d", "+", "6"}], ")"}], 
          RowBox[{"\[Alpha]", "[", "20", "]"}]}]}], ")"}]}], "-", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Pi", "/", "2"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "3"}], "/", "2"}], ")"}]}], "2", "d", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "^", "n"}], " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"cT", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"4", " ", "cg"}]}], ")"}]}], ")"}], "/", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"d", "-", "2"}], ")"}], "!!"}]}]}]}]}]}], " ", 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.796736015189362*^9, 3.796736190659966*^9}, {
   3.796736273373096*^9, 3.796736281051942*^9}, 3.7967372333851137`*^9, {
   3.7967373790148478`*^9, 3.796737381196742*^9}, {3.796737421740157*^9, 
   3.7967374267009478`*^9}},ExpressionUUID->"d02b9c19-6f07-4a3c-ba16-\
006b95e1894c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Alpha]", "[", "30", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"4", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"-", "1"}], ")"}], "n"], " ", 
        SqrtBox["2"], " ", "cT"}], 
       RowBox[{
        SuperscriptBox["\[Pi]", 
         RowBox[{"3", "/", "2"}]], " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "2"}], "+", "d"}], ")"}], "!!"}]}]]}], "-", 
     RowBox[{"d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"2", "+", "d"}], ")"}], " ", 
         RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
        RowBox[{"\[Alpha]", "[", "20", "]"}]}], ")"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "40", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2", "+", 
        RowBox[{"3", " ", "d"}]}], ")"}], " ", 
      RowBox[{"\[Alpha]", "[", "20", "]"}]}], "+", 
     RowBox[{"2", " ", 
      RowBox[{"\[Alpha]", "[", "30", "]"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"\[Beta]", "[", "51", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"4", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"-", "1"}], ")"}], "n"], " ", 
        SqrtBox["2"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"4", " ", "cg"}]}], ")"}], " ", "cT", " ", "d"}], 
       RowBox[{
        SuperscriptBox["\[Pi]", 
         RowBox[{"3", "/", "2"}]], " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "2"}], "+", "d"}], ")"}], "!!"}]}]]}], "-", 
     RowBox[{"d", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "d", " ", 
         RowBox[{"(", 
          RowBox[{"2", "+", "d"}], ")"}], " ", 
         RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
        RowBox[{
         FractionBox["1", "2"], " ", 
         RowBox[{"(", 
          RowBox[{"6", "+", "d"}], ")"}], " ", 
         RowBox[{"\[Alpha]", "[", "20", "]"}]}]}], ")"}]}]}]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7967370098680363`*^9, 3.796737233833193*^9, 
  3.796737381786121*^9, 3.796737427563793*^9, 3.798505913627941*^9, 
  3.798506006300879*^9, 3.798688158146326*^9, 
  3.799040072082222*^9},ExpressionUUID->"e81c881c-6f2e-4f63-bfc0-\
82979c0d4e6f"]
}, Open  ]],

Cell[TextData[{
 "Solutions to secondary CWIs for even spacetime dimensions ",
 Cell[BoxData[
  FormBox[
   RowBox[{"d", "=", 
    RowBox[{"2", "n"}]}], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "7aa28804-f3b6-4c14-bb66-69543b4e9c39"],
 " is:"
}], "Text",
 CellChangeTimes->{{3.79850600760956*^9, 
  3.798506038995035*^9}},ExpressionUUID->"90aaf5c0-1aa7-4cbb-b3b3-\
7cb774ab29ac"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"solAlphaEven", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Alpha]", "[", "30", "]"}], "\[Rule]", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "d"}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", 
            RowBox[{"(", 
             RowBox[{"d", "+", "2"}], ")"}], 
            RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
           RowBox[{"\[Alpha]", "[", "20", "]"}]}], ")"}]}], "-", 
        RowBox[{"2", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], "^", "n"}], " ", 
         RowBox[{"2", "^", 
          RowBox[{"(", 
           RowBox[{"3", "-", "n"}], ")"}]}], 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"cT", "+", "c3"}], ")"}], "/", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"n", "-", "1"}], ")"}], "!"}]}]}]}]}], ",", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "40", "]"}], "\[Rule]", 
       RowBox[{
        RowBox[{"2", 
         RowBox[{"\[Alpha]", "[", "30", "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"3", "d"}], "+", "2"}], ")"}], 
         RowBox[{"\[Alpha]", "[", "20", "]"}]}]}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "31", "]"}], "\[Rule]", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], "u", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", 
            RowBox[{"(", 
             RowBox[{"d", "+", "1"}], ")"}], 
            RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
           RowBox[{"\[Alpha]", "[", "20", "]"}]}], ")"}]}], "-", 
        RowBox[{"d", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", 
            RowBox[{"(", 
             RowBox[{"d", "+", "2"}], ")"}], 
            RowBox[{"\[Alpha]", "[", "11", "]"}]}], "+", 
           RowBox[{"\[Alpha]", "[", "21", "]"}]}], ")"}]}], "+", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], "^", "n"}], " ", 
         RowBox[{"2", "^", 
          RowBox[{"(", 
           RowBox[{"3", "-", "n"}], ")"}]}], 
         RowBox[{"u", "/", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"n", "-", "1"}], ")"}], "!"}]}], "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"cT", "+", "c31"}], ")"}], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"HarmonicNumber", "[", 
               RowBox[{"n", "-", "1"}], "]"}], "+", 
              RowBox[{"Log", "[", "2", "]"}], "-", "EulerGamma"}], ")"}]}], 
           "-", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"cT", "[", "0", "]"}], "+", "c310"}], ")"}]}], 
          ")"}]}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "41", "]"}], "\[Rule]", 
       RowBox[{
        RowBox[{"2", 
         RowBox[{"\[Alpha]", "[", "31", "]"}]}], "+", 
        RowBox[{"6", "u", " ", 
         RowBox[{"\[Alpha]", "[", "20", "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"3", "d"}], "+", "2"}], ")"}], 
         RowBox[{"\[Alpha]", "[", "21", "]"}]}]}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Beta]", "[", "51", "]"}], "\[Rule]", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "d"}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", "d", 
            RowBox[{"(", 
             RowBox[{"d", "+", "2"}], ")"}], 
            RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
           RowBox[{
            RowBox[{"1", "/", "2"}], 
            RowBox[{"(", 
             RowBox[{"d", "+", "6"}], ")"}], 
            RowBox[{"\[Alpha]", "[", "20", "]"}]}]}], ")"}]}], "-", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], "^", "n"}], " ", 
         RowBox[{"2", "^", 
          RowBox[{"(", 
           RowBox[{"4", "-", "n"}], ")"}]}], " ", "n", " ", "cT", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "+", "c51"}], ")"}], "/", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"n", "-", "1"}], ")"}], "!"}]}]}]}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Beta]", "[", "52", "]"}], "\[Rule]", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], "u", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", "d", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"3", "d"}], "+", "4"}], ")"}], 
            RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"d", "+", "3"}], ")"}], 
            RowBox[{"\[Alpha]", "[", "20", "]"}]}]}], ")"}]}], "-", 
        RowBox[{"d", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", "d", 
            RowBox[{"(", 
             RowBox[{"d", "+", "2"}], ")"}], 
            RowBox[{"\[Alpha]", "[", "11", "]"}]}], "+", 
           RowBox[{
            RowBox[{"1", "/", "2"}], 
            RowBox[{"(", 
             RowBox[{"d", "+", "6"}], ")"}], 
            RowBox[{"\[Alpha]", "[", "21", "]"}]}]}], ")"}]}], "+", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}], "^", "n"}], "*", 
         RowBox[{"2", "^", 
          RowBox[{"(", 
           RowBox[{"4", "-", "n"}], ")"}]}], "n", " ", 
         RowBox[{"u", "/", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"n", "-", "1"}], ")"}], "!"}]}], "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"cT", 
            RowBox[{"(", 
             RowBox[{"1", "+", "c52"}], ")"}], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"HarmonicNumber", "[", 
               RowBox[{"n", "-", "1"}], "]"}], "-", 
              RowBox[{"1", "/", "n"}], "+", 
              RowBox[{"Log", "[", "2", "]"}], "-", "EulerGamma"}], ")"}]}], 
           "-", 
           RowBox[{
            RowBox[{"cT", "[", "0", "]"}], 
            RowBox[{"(", 
             RowBox[{"1", "+", "c520"}], ")"}]}]}], ")"}]}]}]}]}], " ", "}"}],
     "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"c3", "\[Rule]", 
       RowBox[{
        RowBox[{"-", "cT"}], "/", "2"}]}], ",", 
      RowBox[{"c31", "\[Rule]", "0"}], ",", 
      RowBox[{"c310", "\[Rule]", "0"}], ",", 
      RowBox[{"c51", "\[Rule]", 
       RowBox[{"4", "*", "cg"}]}], ",", 
      RowBox[{"c52", "\[Rule]", 
       RowBox[{"4", "*", "cg"}]}], ",", 
      RowBox[{"c520", "\[Rule]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"4", "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"cT", "*", 
             RowBox[{"cg", "[", "0", "]"}]}], "+", 
            RowBox[{"cg", "*", 
             RowBox[{"cT", "[", "0", "]"}]}]}], ")"}]}], ")"}], "/", 
        RowBox[{"cT", "[", "0", "]"}]}]}]}], "}"}]}], "/.", 
   RowBox[{"{", 
    RowBox[{"d", "\[Rule]", 
     RowBox[{"2", "n"}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.796736409211138*^9, 3.796736706230229*^9}, {
  3.796739487684907*^9, 3.79673948927304*^9}, {3.7967395804436693`*^9, 
  3.79673959492187*^9}, {3.7967397586776943`*^9, 3.796739779370151*^9}, {
  3.796739970772992*^9, 3.796739993697706*^9}, {3.796740411583972*^9, 
  3.7967404159181232`*^9}, {3.796740549098126*^9, 3.7967406542193937`*^9}, {
  3.7967410210290403`*^9, 
  3.796741037135675*^9}},ExpressionUUID->"0c12307d-b0dc-464b-b1bc-\
01499d8add46"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Alpha]", "[", "30", "]"}], "\[Rule]", 
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], 
        RowBox[{"1", "+", "n"}]], " ", 
       SuperscriptBox["2", 
        RowBox[{"3", "-", "n"}]], " ", "cT"}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "n"}], ")"}], "!"}]], "-", 
     RowBox[{"2", " ", "n", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"2", "+", 
           RowBox[{"2", " ", "n"}]}], ")"}], " ", 
         RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
        RowBox[{"\[Alpha]", "[", "20", "]"}]}], ")"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "40", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2", "+", 
        RowBox[{"6", " ", "n"}]}], ")"}], " ", 
      RowBox[{"\[Alpha]", "[", "20", "]"}]}], "+", 
     RowBox[{"2", " ", 
      RowBox[{"\[Alpha]", "[", "30", "]"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "31", "]"}], "\[Rule]", 
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "n"], " ", 
       SuperscriptBox["2", 
        RowBox[{"3", "-", "n"}]], " ", "u", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"cT", "[", "0", "]"}]}], "+", 
         RowBox[{"cT", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "EulerGamma"}], "+", 
            RowBox[{"HarmonicNumber", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "n"}], "]"}], "+", 
            RowBox[{"Log", "[", "2", "]"}]}], ")"}]}]}], ")"}]}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "n"}], ")"}], "!"}]], "-", 
     RowBox[{"2", " ", "u", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"4", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"2", " ", "n"}]}], ")"}], " ", 
         RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
        RowBox[{"\[Alpha]", "[", "20", "]"}]}], ")"}]}], "-", 
     RowBox[{"2", " ", "n", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"2", "+", 
           RowBox[{"2", " ", "n"}]}], ")"}], " ", 
         RowBox[{"\[Alpha]", "[", "11", "]"}]}], "+", 
        RowBox[{"\[Alpha]", "[", "21", "]"}]}], ")"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "41", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"6", " ", "u", " ", 
      RowBox[{"\[Alpha]", "[", "20", "]"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2", "+", 
        RowBox[{"6", " ", "n"}]}], ")"}], " ", 
      RowBox[{"\[Alpha]", "[", "21", "]"}]}], "+", 
     RowBox[{"2", " ", 
      RowBox[{"\[Alpha]", "[", "31", "]"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"\[Beta]", "[", "51", "]"}], "\[Rule]", 
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], 
        RowBox[{"1", "+", "n"}]], " ", 
       SuperscriptBox["2", 
        RowBox[{"4", "-", "n"}]], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"4", " ", "cg"}]}], ")"}], " ", "cT", " ", "n"}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "n"}], ")"}], "!"}]], "-", 
     RowBox[{"2", " ", "n", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"4", " ", "n", " ", 
         RowBox[{"(", 
          RowBox[{"2", "+", 
           RowBox[{"2", " ", "n"}]}], ")"}], " ", 
         RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
        RowBox[{
         FractionBox["1", "2"], " ", 
         RowBox[{"(", 
          RowBox[{"6", "+", 
           RowBox[{"2", " ", "n"}]}], ")"}], " ", 
         RowBox[{"\[Alpha]", "[", "20", "]"}]}]}], ")"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"\[Beta]", "[", "52", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{
      FractionBox["1", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "n"}], ")"}], "!"}]], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "n"], " ", 
       SuperscriptBox["2", 
        RowBox[{"4", "-", "n"}]], " ", "n", " ", "u", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           RowBox[{"cT", "[", "0", "]"}]}], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            FractionBox[
             RowBox[{"4", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"cT", " ", 
                 RowBox[{"cg", "[", "0", "]"}]}], "+", 
                RowBox[{"cg", " ", 
                 RowBox[{"cT", "[", "0", "]"}]}]}], ")"}]}], 
             RowBox[{"cT", "[", "0", "]"}]]}], ")"}]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"4", " ", "cg"}]}], ")"}], " ", "cT", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "EulerGamma"}], "-", 
            FractionBox["1", "n"], "+", 
            RowBox[{"HarmonicNumber", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "n"}], "]"}], "+", 
            RowBox[{"Log", "[", "2", "]"}]}], ")"}]}]}], ")"}]}]}], "-", 
     RowBox[{"2", " ", "u", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"4", " ", "n", " ", 
         RowBox[{"(", 
          RowBox[{"4", "+", 
           RowBox[{"6", " ", "n"}]}], ")"}], " ", 
         RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"3", "+", 
           RowBox[{"2", " ", "n"}]}], ")"}], " ", 
         RowBox[{"\[Alpha]", "[", "20", "]"}]}]}], ")"}]}], "-", 
     RowBox[{"2", " ", "n", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"4", " ", "n", " ", 
         RowBox[{"(", 
          RowBox[{"2", "+", 
           RowBox[{"2", " ", "n"}]}], ")"}], " ", 
         RowBox[{"\[Alpha]", "[", "11", "]"}]}], "+", 
        RowBox[{
         FractionBox["1", "2"], " ", 
         RowBox[{"(", 
          RowBox[{"6", "+", 
           RowBox[{"2", " ", "n"}]}], ")"}], " ", 
         RowBox[{"\[Alpha]", "[", "21", "]"}]}]}], ")"}]}]}]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.7967370119195557`*^9, 3.796739489799313*^9, 3.7967395961298428`*^9, {
   3.796739761190785*^9, 3.796739780105978*^9}, 3.796739994297073*^9, 
   3.7967406627736607`*^9, 3.796741044002018*^9, 3.798506041556341*^9, 
   3.7986881581843286`*^9, 
   3.7990400721431293`*^9},ExpressionUUID->"34e3a50f-4b9d-4c87-83fb-\
61368e747693"]
}, Open  ]],

Cell["\<\
We can deal with this issue by introducing regulated parameters.\
\>", "Text",
 CellChangeTimes->{{3.795938922112877*^9, 
  3.795938934409852*^9}},ExpressionUUID->"851eabd0-a5b8-4358-bbd9-\
73683ba5516a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"suRegulated", "=", 
  RowBox[{"{", " ", 
   RowBox[{
    RowBox[{"dreg", "\[Rule]", 
     RowBox[{"d", "+", 
      RowBox[{"2", "u", " ", "\[Epsilon]"}]}]}], ",", 
    RowBox[{
     RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "\[Rule]", 
     RowBox[{"d", "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"u", "+", "v"}], ")"}], "\[Epsilon]"}]}]}], ",", 
    RowBox[{
     RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "\[Rule]", 
     RowBox[{"d", "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"u", "+", "v"}], ")"}], "\[Epsilon]"}]}]}], ",", 
    RowBox[{
     RowBox[{"\[CapitalDelta]", "[", "3", "]"}], "\[Rule]", 
     RowBox[{"d", "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"u", "+", "v"}], ")"}], "\[Epsilon]"}]}]}], ",", 
    RowBox[{
     RowBox[{"\[Alpha]", "[", "j_", "]"}], "\[RuleDelayed]", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Alpha]", "[", 
        RowBox[{"10", "j"}], "]"}], "+", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", 
         RowBox[{
          RowBox[{"10", "j"}], "+", "1"}], "]"}], "\[Epsilon]"}]}], "/;", 
      RowBox[{"j", "<", "10"}]}]}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.7959389393860826`*^9, 3.795938946362247*^9}, {
  3.7959390611672983`*^9, 3.7959390696004343`*^9}, {3.795939226358666*^9, 
  3.7959392350829773`*^9}, {3.79593979728586*^9, 3.7959398002350807`*^9}, {
  3.7959418867929487`*^9, 3.795941895220385*^9}, {3.796737017470468*^9, 
  3.7967370315161877`*^9}},ExpressionUUID->"b7267adf-7e99-48dd-8fa3-\
b61556e6e98a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"dreg", "\[Rule]", 
    RowBox[{"d", "+", 
     RowBox[{"2", " ", "u", " ", "\[Epsilon]"}]}]}], ",", 
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "\[Rule]", 
    RowBox[{"d", "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"u", "+", "v"}], ")"}], " ", "\[Epsilon]"}]}]}], ",", 
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "\[Rule]", 
    RowBox[{"d", "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"u", "+", "v"}], ")"}], " ", "\[Epsilon]"}]}]}], ",", 
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "3", "]"}], "\[Rule]", 
    RowBox[{"d", "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"u", "+", "v"}], ")"}], " ", "\[Epsilon]"}]}]}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "j_", "]"}], "\[RuleDelayed]", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"10", " ", "j"}], "]"}], "+", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", 
        RowBox[{
         RowBox[{"10", " ", "j"}], "+", "1"}], "]"}], " ", "\[Epsilon]"}]}], "/;", 
     RowBox[{"j", "<", "10"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.795938947388763*^9, 3.79593907004247*^9, 
  3.795939235594596*^9, 3.795939566450583*^9, 3.7959398041777697`*^9, 
  3.795941781813398*^9, 3.795941896971437*^9, 3.7959467066192904`*^9, 
  3.795947050007166*^9, 3.7965799069974136`*^9, 3.7965811780661144`*^9, 
  3.7966693993860383`*^9, 3.7967174244041224`*^9, 3.7967370328840513`*^9, 
  3.796739997284401*^9, 3.796740664525778*^9, 3.7967410470164537`*^9, 
  3.798506043521285*^9, 3.7986881582393312`*^9, 
  3.7990400721557627`*^9},ExpressionUUID->"e011800d-17d5-40c3-83d3-\
b3c9ece654fe"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"as", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"n", "\[GreaterEqual]", "4"}], ",", 
    RowBox[{"n", "\[Element]", "Integers"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.796737274716695*^9, 
  3.796737280827485*^9}},ExpressionUUID->"f5954b5f-95e9-4335-951a-\
f4b7203c448b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"n", "\[GreaterEqual]", "4"}], ",", 
   RowBox[{"n", "\[Element]", 
    TemplateBox[{},
     "Integers"]}]}], "}"}]], "Output",
 CellChangeTimes->{3.7967372814057007`*^9, 3.79674105104776*^9, 
  3.798506045090548*^9, 3.798688158253332*^9, 
  3.79904007220755*^9},ExpressionUUID->"cbd57415-622d-4f67-8cf3-ebbdc1ac5f24"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PSfin", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"PS", "/.", "suRegulated"}], "/.", "solAlpha5"}], "//", 
   "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.795939498052492*^9, 3.795939509659925*^9}, {
   3.7959395565177317`*^9, 3.7959395568024*^9}, {3.795940617734872*^9, 
   3.79594066296894*^9}, 3.795941832398549*^9, {3.795941870342396*^9, 
   3.795941871517992*^9}, {3.795942075264123*^9, 3.795942077110704*^9}, {
   3.796737099446085*^9, 
   3.796737105899272*^9}},ExpressionUUID->"3a80ce24-c107-484f-9bbb-\
b8d1dcb8e91e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"A", "[", "1", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"J", "[", 
      RowBox[{"6", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "10", "]"}], "+", 
       RowBox[{"\[Epsilon]", " ", 
        RowBox[{"\[Alpha]", "[", "11", "]"}]}]}], ")"}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "2", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{"J", "[", 
       RowBox[{"5", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "10", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"\[Alpha]", "[", "11", "]"}]}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "20", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"\[Alpha]", "[", "21", "]"}]}]}], ")"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "3", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{"J", "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "2"}], "}"}]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "10", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"\[Alpha]", "[", "11", "]"}]}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "20", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"\[Alpha]", "[", "21", "]"}]}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"2", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "30", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"\[Alpha]", "[", "31", "]"}]}]}], ")"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "4", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"8", " ", 
      RowBox[{"J", "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "10", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"\[Alpha]", "[", "11", "]"}]}]}], ")"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{"J", "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "20", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"\[Alpha]", "[", "21", "]"}]}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"2", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "40", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"\[Alpha]", "[", "41", "]"}]}]}], ")"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"A", "[", "5", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"8", " ", 
      RowBox[{"J", "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "10", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"\[Alpha]", "[", "11", "]"}]}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"J", "[", 
         RowBox[{"2", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], "]"}], "+", 
        RowBox[{"J", "[", 
         RowBox[{"2", ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0", ",", "1"}], "}"}]}], "]"}], "+", 
        RowBox[{"J", "[", 
         RowBox[{"2", ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "1", ",", "0"}], "}"}]}], "]"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "20", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"\[Alpha]", "[", "21", "]"}]}]}], ")"}]}], "-", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"8", " ", "d", " ", "v", " ", "\[Epsilon]", " ", 
         RowBox[{"\[Alpha]", "[", "20", "]"}]}], "+", 
        RowBox[{"2", " ", 
         SuperscriptBox["d", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Alpha]", "[", "20", "]"}], "+", 
           RowBox[{"\[Epsilon]", " ", 
            RowBox[{"\[Alpha]", "[", "21", "]"}]}]}], ")"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "u"}], "+", "v"}], ")"}], " ", "\[Epsilon]", " ", 
         RowBox[{"\[Beta]", "[", "51", "]"}]}]}], ")"}]}]}]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.795939514266501*^9, 3.79593957190699*^9, 3.795939811885042*^9, {
   3.795940646935212*^9, 3.795940663352954*^9}, 3.795941832724752*^9, 
   3.7959418717804747`*^9, 3.7959419175487833`*^9, 3.795942077596532*^9, 
   3.7965812327932444`*^9, 3.7965859571853514`*^9, 3.7966694213960695`*^9, 
   3.7966728105135107`*^9, 3.79671743445339*^9, 3.796737106500988*^9, 
   3.7967373911573477`*^9, 3.79673999864529*^9, 3.7967410516442966`*^9, 
   3.7985060468009453`*^9, 3.798688158332337*^9, 
   3.799040072351269*^9},ExpressionUUID->"8329fb7b-288a-4e32-8617-\
30e0b629b506"]
}, Open  ]],

Cell[TextData[{
 "Now the secondary Ward identity can be applied and the solution PSfin above \
has finite ",
 Cell[BoxData[
  FormBox[
   RowBox[{"u", "\[Rule]", "v"}], TraditionalForm]],ExpressionUUID->
  "b3631c21-a7ff-40ad-986b-d36b78704345"],
 " limit (it does not depend on u nor v). Zero-momentum limit of the left \
hand sides of the secondary WIs."
}], "Text",
 CellChangeTimes->{{3.795892005566963*^9, 3.795892023231988*^9}, {
  3.795939615274212*^9, 3.79593961664983*^9}, {3.795939680441781*^9, 
  3.795939730938353*^9}, {3.7959421097081013`*^9, 
  3.7959421255640707`*^9}},ExpressionUUID->"74963f5c-6668-462c-be9c-\
374ace245d1b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SecLhs", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"LhsOfSecondaryCWIs", "[", 
        RowBox[{"TTT", ",", "PSfin", ",", "dreg", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"\[CapitalDelta]", "[", "1", "]"}], ",", 
           RowBox[{"\[CapitalDelta]", "[", "2", "]"}], ",", 
           RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}], "}"}]}], "]"}], "/.",
        "suRegulated"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Epsilon]", ",", "0", ",", "0"}], "}"}]}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{"d", "\[Rule]", 
      RowBox[{
       RowBox[{"2", "n"}], "+", "1"}]}], "}"}]}], "//", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"#", ",", "as"}], "]"}], "&"}]}]}]], "Input",
 CellChangeTimes->{{3.795261770138795*^9, 3.795261789827681*^9}, {
   3.795261949969742*^9, 3.795261962610084*^9}, {3.795261999794832*^9, 
   3.7952620474772377`*^9}, {3.795262157712533*^9, 3.7952621733515387`*^9}, 
   3.795265434636959*^9, {3.795266229249584*^9, 3.7952662310395117`*^9}, {
   3.79527648120599*^9, 3.7952764965810113`*^9}, {3.7955379215159817`*^9, 
   3.7955379397750254`*^9}, {3.795891528548295*^9, 3.7958915618233414`*^9}, {
   3.7958918773867836`*^9, 3.7958918789617863`*^9}, {3.7958919156968374`*^9, 
   3.795891916051838*^9}, 3.7958920673870497`*^9, {3.7958921945272274`*^9, 
   3.795892194657228*^9}, {3.7958923498220606`*^9, 3.795892350342061*^9}, {
   3.795892382862107*^9, 3.795892383512108*^9}, {3.795892758566633*^9, 
   3.795892759226634*^9}, {3.7958928623617783`*^9, 3.7958928632417793`*^9}, {
   3.795894648440279*^9, 3.795894663855301*^9}, {3.7958951228259435`*^9, 
   3.7958951608409967`*^9}, {3.795939580269759*^9, 3.795939613509676*^9}, {
   3.7959397624944563`*^9, 3.795939772418519*^9}, {3.795939829018827*^9, 
   3.795939861578162*^9}, {3.795939939829475*^9, 3.7959399400104437`*^9}, 
   3.79594068028745*^9, {3.795941983918475*^9, 3.7959419883033667`*^9}, {
   3.79594213078292*^9, 3.795942130931929*^9}, {3.796737120534081*^9, 
   3.796737120707342*^9}, {3.7967372582384853`*^9, 
   3.796737286307802*^9}},ExpressionUUID->"e533cd4c-b0fd-4468-8d7e-\
9148506a5138"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "\[Epsilon]", "]"}], "1"],
    SeriesData[TripleK`\[Epsilon], 0, {}, 1, 1, 1],
    Editable->False], ",", 
   InterpretationBox[
    RowBox[{
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}], 
       RowBox[{"1", "+", "n"}]], " ", 
      SuperscriptBox["2", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", "n"}]], " ", 
      SuperscriptBox["p", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "n"}]}]], " ", "\[Pi]", " ", 
      RowBox[{"Gamma", "[", 
       RowBox[{
        FractionBox["5", "2"], "+", "n"}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"5", "+", 
           RowBox[{"6", " ", "n"}]}], ")"}], " ", 
         RowBox[{"\[Alpha]", "[", "20", "]"}]}], "+", 
        RowBox[{"2", " ", 
         RowBox[{"\[Alpha]", "[", "30", "]"}]}], "-", 
        RowBox[{"\[Alpha]", "[", "40", "]"}]}], ")"}]}], "+", 
     InterpretationBox[
      SuperscriptBox[
       RowBox[{"O", "[", "\[Epsilon]", "]"}], "1"],
      SeriesData[TripleK`\[Epsilon], 0, {}, 0, 1, 1],
      Editable->False]}],
    SeriesData[
    TripleK`\[Epsilon], 
     0, {(-1)^(1 + $CellContext`n) 2^(Rational[-1, 2] + $CellContext`n) 
      TripleK`p^(-1 + 2 $CellContext`n) Pi 
      Gamma[Rational[5, 2] + $CellContext`n] ((5 + 6 $CellContext`n) 
        Konformal`\[Alpha][20] + 2 Konformal`\[Alpha][30] - 
       Konformal`\[Alpha][40])}, 0, 1, 1],
    Editable->False], ",", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "\[Epsilon]", "]"}], "1"],
    SeriesData[TripleK`\[Epsilon], 0, {}, 1, 1, 1],
    Editable->False], ",", 
   InterpretationBox[
    RowBox[{
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}], 
       RowBox[{"1", "+", "n"}]], " ", 
      SuperscriptBox["2", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["3", "2"]}], "+", "n"}]], " ", 
      SuperscriptBox["p", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "n"}]}]], " ", "\[Pi]", " ", 
      RowBox[{"Gamma", "[", 
       RowBox[{
        FractionBox["1", "2"], "+", "n"}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"2", " ", "n"}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"8", " ", 
            RowBox[{"(", 
             RowBox[{"3", "+", 
              RowBox[{"4", " ", "n", " ", 
               RowBox[{"(", 
                RowBox[{"2", "+", "n"}], ")"}]}]}], ")"}], " ", 
            RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{"7", "+", 
              RowBox[{"6", " ", "n"}]}], ")"}], " ", 
            RowBox[{"\[Alpha]", "[", "20", "]"}]}], "+", 
           RowBox[{"4", " ", 
            RowBox[{"\[Alpha]", "[", "30", "]"}]}], "-", 
           RowBox[{"\[Alpha]", "[", "40", "]"}]}], ")"}]}], "+", 
        RowBox[{"2", " ", 
         RowBox[{"\[Beta]", "[", "51", "]"}]}]}], ")"}]}], "+", 
     InterpretationBox[
      SuperscriptBox[
       RowBox[{"O", "[", "\[Epsilon]", "]"}], "1"],
      SeriesData[TripleK`\[Epsilon], 0, {}, 0, 1, 1],
      Editable->False]}],
    SeriesData[
    TripleK`\[Epsilon], 
     0, {(-1)^(1 + $CellContext`n) 2^(Rational[-3, 2] + $CellContext`n) 
      TripleK`p^(1 + 2 $CellContext`n) Pi 
      Gamma[Rational[1, 2] + $CellContext`n] ((1 + 2 $CellContext`n) (
         8 (3 + 4 $CellContext`n (2 + $CellContext`n)) Konformal`\[Alpha][10] + 
         2 (7 + 6 $CellContext`n) Konformal`\[Alpha][20] + 
         4 Konformal`\[Alpha][30] - Konformal`\[Alpha][40]) + 
       2 $CellContext`\[Beta][51])}, 0, 1, 1],
    Editable->False], ",", 
   InterpretationBox[
    RowBox[{
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}], 
       RowBox[{"1", "+", "n"}]], " ", 
      SuperscriptBox["2", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", "n"}]], " ", 
      SuperscriptBox["p", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "n"}]}]], " ", "\[Pi]", " ", 
      RowBox[{"Gamma", "[", 
       RowBox[{
        FractionBox["3", "2"], "+", "n"}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"2", " ", "n"}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"6", "+", 
              RowBox[{"4", " ", "n"}]}], ")"}], " ", 
            RowBox[{"\[Alpha]", "[", "10", "]"}]}], "+", 
           RowBox[{"\[Alpha]", "[", "20", "]"}]}], ")"}]}], "+", 
        RowBox[{"\[Alpha]", "[", "30", "]"}]}], ")"}]}], "+", 
     InterpretationBox[
      SuperscriptBox[
       RowBox[{"O", "[", "\[Epsilon]", "]"}], "1"],
      SeriesData[TripleK`\[Epsilon], 0, {}, 0, 1, 1],
      Editable->False]}],
    SeriesData[
    TripleK`\[Epsilon], 
     0, {(-1)^(1 + $CellContext`n) 2^(Rational[-1, 2] + $CellContext`n) 
      TripleK`p^(1 + 2 $CellContext`n) Pi 
      Gamma[Rational[3, 2] + $CellContext`n] ((1 + 
         2 $CellContext`n) ((6 + 4 $CellContext`n) Konformal`\[Alpha][10] + 
         Konformal`\[Alpha][20]) + Konformal`\[Alpha][30])}, 0, 1, 1],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{
  3.795939842224251*^9, 3.795939880799531*^9, 3.795939943759144*^9, {
   3.795940678072659*^9, 3.795940691655428*^9}, 3.795942050378512*^9, 
   3.795942087029162*^9, 3.795942132226748*^9, 3.7965812510082865`*^9, 
   3.7965859725253735`*^9, 3.7966694371460915`*^9, 3.796672820423525*^9, 
   3.7967174535558157`*^9, 3.7967371540998983`*^9, 3.796737251541367*^9, 
   3.796737305143478*^9, 3.7967374068404207`*^9, 3.796740025294765*^9, 
   3.796741074305759*^9, 3.798506084494079*^9, 3.798688189109082*^9, 
   3.799040108677821*^9},ExpressionUUID->"f0ddf5f9-7d67-4eb8-bae4-\
60069765d173"]
}, Open  ]],

Cell["\<\
Zero-momentum limit of the right hand sides of the secondary WIs. We use \
transverse WIs in the process.\
\>", "Text",
 CellChangeTimes->{{3.7958920265219927`*^9, 3.795892043247016*^9}, {
  3.7958920767070627`*^9, 
  3.7958920874220777`*^9}},ExpressionUUID->"c83492ae-aec0-480e-8a61-\
94be2fc2fe9e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SecRhs", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"ReleaseHold", "[", 
        RowBox[{
         RowBox[{"SecondaryCWIsRhs", "[", "TTT", "]"}], "/.", 
         RowBox[{"TransverseWIs", "[", "TTT", "]"}]}], "]"}], "/.", 
       "suRegulated"}], "/.", "suZeroMomentumLimit"}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"v", "\[Rule]", "u"}], ",", 
       RowBox[{"\[Epsilon]", "\[Rule]", "0"}]}], "}"}]}], "/.", 
    RowBox[{"{", 
     RowBox[{"d", "\[Rule]", 
      RowBox[{
       RowBox[{"2", "n"}], "+", "1"}]}], "}"}]}], "//", 
   RowBox[{
    RowBox[{"Simplify", "[", 
     RowBox[{"#", ",", "as"}], "]"}], "&"}]}]}]], "Input",
 CellChangeTimes->{{3.795262175092338*^9, 3.7952621802480383`*^9}, {
   3.7952622342184267`*^9, 3.795262234386072*^9}, {3.795262274299431*^9, 
   3.795262280721725*^9}, {3.7952637001179113`*^9, 3.7952637029059963`*^9}, {
   3.795263759953979*^9, 3.79526376255427*^9}, {3.795263839469105*^9, 
   3.7952638684266768`*^9}, {3.795264082294034*^9, 3.795264082586402*^9}, {
   3.795264119021545*^9, 3.795264119250308*^9}, {3.7958919193968425`*^9, 
   3.795891919736843*^9}, {3.795892198312233*^9, 3.795892217032259*^9}, {
   3.795892415657153*^9, 3.7958924438921924`*^9}, {3.7958927654616427`*^9, 
   3.795892769041648*^9}, {3.795892869251788*^9, 3.795892911352847*^9}, {
   3.7958929511579027`*^9, 3.795892951832904*^9}, 3.795893008612983*^9, {
   3.795895167626006*^9, 3.795895190181038*^9}, {3.7958956742797155`*^9, 
   3.795895694430744*^9}, {3.795939743869197*^9, 3.79593974582867*^9}, {
   3.7959421542240973`*^9, 3.795942182316132*^9}, {3.795942266750786*^9, 
   3.795942267932456*^9}, {3.7967371599312963`*^9, 3.796737172122408*^9}, {
   3.796737293853973*^9, 3.7967373198899384`*^9}, {3.798506095252473*^9, 
   3.7985060988427477`*^9}},ExpressionUUID->"c8815481-f8e7-4215-ba04-\
eb8992e5e9c8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "0", ",", 
   RowBox[{"8", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "cg"}]}], ")"}], " ", "cT", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "n"}]}], ")"}], " ", 
    SuperscriptBox["p", 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "n"}]}]]}], ",", 
   RowBox[{"2", " ", "cT", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "n"}]}], ")"}], " ", 
    SuperscriptBox["p", 
     RowBox[{"1", "+", 
      RowBox[{"2", " ", "n"}]}]]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7952621805721827`*^9, 3.795262234651559*^9, {3.795262275200886*^9, 
   3.7952622810149508`*^9}, {3.795263682848351*^9, 3.79526370315583*^9}, {
   3.795263752333869*^9, 3.795263763158441*^9}, {3.795263848153117*^9, 
   3.795263868700594*^9}, 3.795263908112606*^9, 3.795264082999452*^9, {
   3.795264120286715*^9, 3.795264127369176*^9}, 3.7952765136960354`*^9, 
   3.795537943511239*^9, {3.795891547143321*^9, 3.795891570048353*^9}, 
   3.7958917623466225`*^9, 3.795891920416844*^9, 3.7958920955770893`*^9, {
   3.7958922028472395`*^9, 3.7958922295522766`*^9}, {3.795892424217165*^9, 
   3.7958924443421926`*^9}, 3.7958927702816496`*^9, {3.795892877141799*^9, 
   3.7958929118778477`*^9}, 3.7958929522879047`*^9, 3.795893009107984*^9, {
   3.7958951921360407`*^9, 3.795895229561093*^9}, 3.795895622619643*^9, 
   3.7958961091173244`*^9, {3.795896365052683*^9, 3.79589638450771*^9}, 
   3.795937574501302*^9, 3.795937671991091*^9, {3.795939738592123*^9, 
   3.795939746228479*^9}, {3.795942154532756*^9, 3.795942182680464*^9}, 
   3.795942268354176*^9, 3.7965812550065155`*^9, 3.796585972615373*^9, 
   3.796669437246091*^9, 3.7967174537785053`*^9, 3.796737172503427*^9, {
   3.7967373055062437`*^9, 3.796737325351597*^9}, 3.796737407131538*^9, 
   3.796741074598769*^9, {3.798506084700292*^9, 3.798506099403788*^9}, 
   3.798688189292093*^9, 
   3.799040108898637*^9},ExpressionUUID->"b9dc7616-71a3-45c9-b30b-\
05319e590a17"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"SecRhs", "-", "SecLhs"}], "//.", "solAlphaOdd"}], "/.", 
   RowBox[{"{", 
    RowBox[{"d", "\[Rule]", 
     RowBox[{
      RowBox[{"2", "n"}], "+", "1"}]}], "}"}]}], "//", 
  RowBox[{
   RowBox[{"FullSimplify", "[", 
    RowBox[{"#", ",", "as"}], "]"}], "&"}]}]], "Input",
 CellChangeTimes->{{3.796737182954989*^9, 3.796737208211996*^9}, {
   3.796737297914619*^9, 3.79673729978544*^9}, 
   3.796737357866624*^9},ExpressionUUID->"6d963e0c-ac9e-4b32-b13f-\
fca1135fe734"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "\[Epsilon]", "]"}], "1"],
    SeriesData[TripleK`\[Epsilon], 0, {}, 1, 1, 1],
    Editable->False], ",", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "\[Epsilon]", "]"}], "1"],
    SeriesData[TripleK`\[Epsilon], 0, {}, 1, 1, 1],
    Editable->False], ",", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "\[Epsilon]", "]"}], "1"],
    SeriesData[TripleK`\[Epsilon], 0, {}, 1, 1, 1],
    Editable->False], ",", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "\[Epsilon]", "]"}], "1"],
    SeriesData[TripleK`\[Epsilon], 0, {}, 1, 1, 1],
    Editable->False], ",", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "\[Epsilon]", "]"}], "1"],
    SeriesData[TripleK`\[Epsilon], 0, {}, 1, 1, 1],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{{3.7967371968330793`*^9, 3.796737217622198*^9}, 
   3.796737323847507*^9, {3.796737354105324*^9, 3.796737358998063*^9}, {
   3.796737407449944*^9, 3.796737433298427*^9}, 3.796741074967965*^9, {
   3.7985060873768473`*^9, 3.7985061017825327`*^9}, 3.7986881895891094`*^9, 
   3.799040109251638*^9},ExpressionUUID->"72052fc0-9be5-4306-8acb-\
c5c8a5f402d5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"suRegulatedEven", "=", 
  RowBox[{
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{"dreg", "\[Rule]", 
      RowBox[{"d", "+", 
       RowBox[{"2", "u", " ", "\[Epsilon]"}]}]}], ",", 
     RowBox[{
      RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "\[Rule]", 
      RowBox[{"d", "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"u", "+", "v"}], ")"}], "\[Epsilon]"}]}]}], ",", 
     RowBox[{
      RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "\[Rule]", 
      RowBox[{"d", "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"u", "+", "v"}], ")"}], "\[Epsilon]"}]}]}], ",", 
     RowBox[{
      RowBox[{"\[CapitalDelta]", "[", "3", "]"}], "\[Rule]", 
      RowBox[{"d", "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"u", "+", "v"}], ")"}], "\[Epsilon]"}]}]}], ",", 
     RowBox[{
      RowBox[{"\[Alpha]", "[", "j_", "]"}], "\[RuleDelayed]", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Alpha]", "[", 
         RowBox[{"10", "j"}], "]"}], "+", 
        RowBox[{
         RowBox[{"\[Alpha]", "[", 
          RowBox[{
           RowBox[{"10", "j"}], "+", "1"}], "]"}], "\[Epsilon]"}], "+", 
        RowBox[{
         RowBox[{"\[Alpha]", "[", 
          RowBox[{
           RowBox[{"10", "j"}], "+", "2"}], "]"}], 
         RowBox[{"\[Epsilon]", "^", "2"}]}]}], "/;", 
       RowBox[{"j", "<", "10"}]}]}]}], "}"}], "/.", 
   RowBox[{"{", 
    RowBox[{"d", "\[Rule]", 
     RowBox[{"2", "n"}]}], "}"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"as", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"n", "\[GreaterEqual]", "4"}], ",", 
    RowBox[{"n", "\[Element]", "Integers"}]}], "}"}]}]}], "Input",
 CellChangeTimes->{{3.796738978334255*^9, 
  3.796738982072608*^9}},ExpressionUUID->"84885403-37eb-457f-be7f-\
91d2a1d83020"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"dreg", "\[Rule]", 
    RowBox[{
     RowBox[{"2", " ", "n"}], "+", 
     RowBox[{"2", " ", "u", " ", "\[Epsilon]"}]}]}], ",", 
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "1", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"2", " ", "n"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"u", "+", "v"}], ")"}], " ", "\[Epsilon]"}]}]}], ",", 
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "2", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"2", " ", "n"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"u", "+", "v"}], ")"}], " ", "\[Epsilon]"}]}]}], ",", 
   RowBox[{
    RowBox[{"\[CapitalDelta]", "[", "3", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"2", " ", "n"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"u", "+", "v"}], ")"}], " ", "\[Epsilon]"}]}]}], ",", 
   RowBox[{
    RowBox[{"\[Alpha]", "[", "j_", "]"}], "\[RuleDelayed]", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Alpha]", "[", 
       RowBox[{"10", " ", "j"}], "]"}], "+", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", 
        RowBox[{
         RowBox[{"10", " ", "j"}], "+", "1"}], "]"}], " ", "\[Epsilon]"}], 
      "+", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", 
        RowBox[{
         RowBox[{"10", " ", "j"}], "+", "2"}], "]"}], " ", 
       SuperscriptBox["\[Epsilon]", "2"]}]}], "/;", 
     RowBox[{"j", "<", "10"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.796738984352819*^9, 3.796739789377573*^9, 3.7967400253718843`*^9, 
   3.79674067045266*^9, 3.796741075099217*^9, {3.798506087433517*^9, 
   3.798506103433548*^9}, 3.7986881896061106`*^9, 
   3.7990401092665453`*^9},ExpressionUUID->"5dab1d63-619d-416e-a314-\
828c1259a496"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"n", "\[GreaterEqual]", "4"}], ",", 
   RowBox[{"n", "\[Element]", 
    TemplateBox[{},
     "Integers"]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.796738984352819*^9, 3.796739789377573*^9, 3.7967400253718843`*^9, 
   3.79674067045266*^9, 3.796741075099217*^9, {3.798506087433517*^9, 
   3.798506103433548*^9}, 3.7986881896061106`*^9, 
   3.799040109268928*^9},ExpressionUUID->"1be25026-f544-4e32-8b85-\
9c2b04ffdf8f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PSfinEven", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"PS", "/.", "suRegulatedEven"}], "/.", 
    RowBox[{"(", 
     RowBox[{"solAlpha5", "/.", 
      RowBox[{"d", "\[Rule]", 
       RowBox[{"2", "n"}]}]}], ")"}]}], "//", "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.796739103924872*^9, 
  3.796739147237196*^9}},ExpressionUUID->"9e1cc6d5-ece0-4838-8cbd-\
ea53267d5451"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"A", "[", "1", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"J", "[", 
      RowBox[{"6", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[Alpha]", "[", "10", "]"}], "+", 
       RowBox[{"\[Epsilon]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[Alpha]", "[", "11", "]"}], "+", 
          RowBox[{"\[Epsilon]", " ", 
           RowBox[{"\[Alpha]", "[", "12", "]"}]}]}], ")"}]}]}], ")"}]}]}], 
   ",", 
   RowBox[{
    RowBox[{"A", "[", "2", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{"J", "[", 
       RowBox[{"5", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "10", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Alpha]", "[", "11", "]"}], "+", 
           RowBox[{"\[Epsilon]", " ", 
            RowBox[{"\[Alpha]", "[", "12", "]"}]}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "20", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Alpha]", "[", "21", "]"}], "+", 
           RowBox[{"\[Epsilon]", " ", 
            RowBox[{"\[Alpha]", "[", "22", "]"}]}]}], ")"}]}]}], ")"}]}]}]}], 
   ",", 
   RowBox[{
    RowBox[{"A", "[", "3", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{"J", "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "2"}], "}"}]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "10", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Alpha]", "[", "11", "]"}], "+", 
           RowBox[{"\[Epsilon]", " ", 
            RowBox[{"\[Alpha]", "[", "12", "]"}]}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "20", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Alpha]", "[", "21", "]"}], "+", 
           RowBox[{"\[Epsilon]", " ", 
            RowBox[{"\[Alpha]", "[", "22", "]"}]}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"2", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "30", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Alpha]", "[", "31", "]"}], "+", 
           RowBox[{"\[Epsilon]", " ", 
            RowBox[{"\[Alpha]", "[", "32", "]"}]}]}], ")"}]}]}], ")"}]}]}]}], 
   ",", 
   RowBox[{
    RowBox[{"A", "[", "4", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"8", " ", 
      RowBox[{"J", "[", 
       RowBox[{"4", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "10", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Alpha]", "[", "11", "]"}], "+", 
           RowBox[{"\[Epsilon]", " ", 
            RowBox[{"\[Alpha]", "[", "12", "]"}]}]}], ")"}]}]}], ")"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{"J", "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "20", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Alpha]", "[", "21", "]"}], "+", 
           RowBox[{"\[Epsilon]", " ", 
            RowBox[{"\[Alpha]", "[", "22", "]"}]}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"2", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "40", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Alpha]", "[", "41", "]"}], "+", 
           RowBox[{"\[Epsilon]", " ", 
            RowBox[{"\[Alpha]", "[", "42", "]"}]}]}], ")"}]}]}], ")"}]}]}]}], 
   ",", 
   RowBox[{
    RowBox[{"A", "[", "5", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"8", " ", 
      RowBox[{"J", "[", 
       RowBox[{"3", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "10", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Alpha]", "[", "11", "]"}], "+", 
           RowBox[{"\[Epsilon]", " ", 
            RowBox[{"\[Alpha]", "[", "12", "]"}]}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"J", "[", 
         RowBox[{"2", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], "]"}], "+", 
        RowBox[{"J", "[", 
         RowBox[{"2", ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0", ",", "1"}], "}"}]}], "]"}], "+", 
        RowBox[{"J", "[", 
         RowBox[{"2", ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "1", ",", "0"}], "}"}]}], "]"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", "[", "20", "]"}], "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Alpha]", "[", "21", "]"}], "+", 
           RowBox[{"\[Epsilon]", " ", 
            RowBox[{"\[Alpha]", "[", "22", "]"}]}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"J", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "16"}], " ", "n", " ", "v", " ", "\[Epsilon]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Alpha]", "[", "20", "]"}], "+", 
           RowBox[{"\[Epsilon]", " ", 
            RowBox[{"\[Alpha]", "[", "21", "]"}]}]}], ")"}]}], "-", 
        RowBox[{"8", " ", 
         SuperscriptBox["n", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Alpha]", "[", "20", "]"}], "+", 
           RowBox[{"\[Epsilon]", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"\[Alpha]", "[", "21", "]"}], "+", 
              RowBox[{"\[Epsilon]", " ", 
               RowBox[{"\[Alpha]", "[", "22", "]"}]}]}], ")"}]}]}], ")"}]}], 
        "+", 
        RowBox[{"\[Epsilon]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "8"}], " ", 
            SuperscriptBox["v", "2"], " ", "\[Epsilon]", " ", 
            RowBox[{"\[Alpha]", "[", "20", "]"}]}], "+", 
           RowBox[{"u", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"\[Beta]", "[", "51", "]"}], "+", 
              RowBox[{"\[Epsilon]", " ", 
               RowBox[{"\[Beta]", "[", "52", "]"}]}]}], ")"}]}], "-", 
           RowBox[{"v", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"\[Beta]", "[", "51", "]"}], "+", 
              RowBox[{"\[Epsilon]", " ", 
               RowBox[{"\[Beta]", "[", "52", "]"}]}]}], ")"}]}]}], ")"}]}]}], 
       ")"}]}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.796739114580001*^9, 3.796739148156376*^9}, 
   3.796739792852998*^9, 3.7967400255802507`*^9, 3.796740671125321*^9, 
   3.796741075327856*^9, {3.7985060876356773`*^9, 3.798506104710616*^9}, 
   3.798688189738118*^9, 
   3.799040109468231*^9},ExpressionUUID->"67fe4def-e08f-4a37-8ef2-\
520010034b29"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"SecLhsEven", "=", 
   RowBox[{"Series", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"LhsOfSecondaryCWIs", "[", 
       RowBox[{"TTT", ",", "PSfinEven", ",", "dreg", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[CapitalDelta]", "[", "1", "]"}], ",", 
          RowBox[{"\[CapitalDelta]", "[", "2", "]"}], ",", 
          RowBox[{"\[CapitalDelta]", "[", "3", "]"}]}], "}"}]}], "]"}], "/.", 
      "suRegulatedEven"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Epsilon]", ",", "0", ",", "0"}], "}"}], ",", " ", 
     RowBox[{"Assumptions", "\[Rule]", "as"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.795261770138795*^9, 3.795261789827681*^9}, {
   3.795261949969742*^9, 3.795261962610084*^9}, {3.795261999794832*^9, 
   3.7952620474772377`*^9}, {3.795262157712533*^9, 3.7952621733515387`*^9}, 
   3.795265434636959*^9, {3.795266229249584*^9, 3.7952662310395117`*^9}, {
   3.79527648120599*^9, 3.7952764965810113`*^9}, {3.7955379215159817`*^9, 
   3.7955379397750254`*^9}, {3.795891528548295*^9, 3.7958915618233414`*^9}, {
   3.7958918773867836`*^9, 3.7958918789617863`*^9}, {3.7958919156968374`*^9, 
   3.795891916051838*^9}, 3.7958920673870497`*^9, {3.7958921945272274`*^9, 
   3.795892194657228*^9}, {3.7958923498220606`*^9, 3.795892350342061*^9}, {
   3.795892382862107*^9, 3.795892383512108*^9}, {3.795892758566633*^9, 
   3.795892759226634*^9}, {3.7958928623617783`*^9, 3.7958928632417793`*^9}, {
   3.795894648440279*^9, 3.795894663855301*^9}, {3.7958951228259435`*^9, 
   3.7958951608409967`*^9}, {3.795939580269759*^9, 3.795939613509676*^9}, {
   3.7959397624944563`*^9, 3.795939772418519*^9}, {3.795939829018827*^9, 
   3.795939861578162*^9}, {3.795939939829475*^9, 3.7959399400104437`*^9}, 
   3.79594068028745*^9, {3.795941983918475*^9, 3.7959419883033667`*^9}, {
   3.79594213078292*^9, 3.795942130931929*^9}, {3.796737120534081*^9, 
   3.796737120707342*^9}, {3.7967372582384853`*^9, 3.796737286307802*^9}, {
   3.7967374519570913`*^9, 3.796737490991499*^9}, {3.796738992053316*^9, 
   3.796739002620788*^9}, {3.796739174033037*^9, 
   3.7967391749016323`*^9}},ExpressionUUID->"3fe5a43d-9457-4cb4-94f6-\
b7014ab534a4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SecRhsEven", "=", 
  RowBox[{
   RowBox[{"Series", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"ReleaseHold", "[", 
           RowBox[{
            RowBox[{"SecondaryCWIsRhs", "[", "TTT", "]"}], "/.", 
            RowBox[{"TransverseWIs", "[", 
             RowBox[{"TTT", ",", 
              RowBox[{"CentralCharge", "\[Rule]", 
               RowBox[{
                RowBox[{"cT", "/", 
                 RowBox[{"(", 
                  RowBox[{"v", " ", "\[Epsilon]"}], ")"}]}], "+", 
                RowBox[{"cT", "[", "0", "]"}], "+", 
                RowBox[{"\[Epsilon]", " ", "v", " ", 
                 RowBox[{"cT", "[", "1", "]"}]}]}]}], ",", 
              RowBox[{"dTdgDerivative", "\[Rule]", 
               RowBox[{"cg", "+", 
                RowBox[{"\[Epsilon]", " ", "v", " ", 
                 RowBox[{"cg", "[", "0", "]"}]}]}]}]}], "]"}]}], "]"}], "/.", 
          
          RowBox[{"{", 
           RowBox[{"d", "\[Rule]", "dreg"}], "}"}]}], "/.", 
         "suRegulatedEven"}], "/.", "suZeroMomentumLimit"}], "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"0", "^", "x_"}], "\[RuleDelayed]", "0"}], "}"}]}], "/.", 
      RowBox[{"{", 
       RowBox[{"u", "\[Rule]", "v"}], "}"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Epsilon]", ",", "0", ",", "0"}], "}"}]}], "]"}], "//", 
   "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.796739016803419*^9, 3.7967390488108664`*^9}, {
  3.796739251381391*^9, 3.7967392734814653`*^9}, {3.796739527821683*^9, 
  3.7967395313476*^9}, {3.796739613083674*^9, 3.796739631187573*^9}, {
  3.796739667494245*^9, 3.796739700646147*^9}, {3.798506113953197*^9, 
  3.798506142177306*^9}, {3.798506174164228*^9, 
  3.798506175794138*^9}},ExpressionUUID->"895c1299-45c7-4cb1-b6f9-\
e4014c299f1c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "0", ",", 
   InterpretationBox[
    RowBox[{
     FractionBox[
      RowBox[{"16", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "cg"}]}], ")"}], " ", "cT", " ", "n", " ", 
       SuperscriptBox["p", 
        RowBox[{"2", " ", "n"}]]}], 
      RowBox[{"v", " ", "\[Epsilon]"}]], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["p", 
       RowBox[{"2", " ", "n"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"cT", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"2", " ", "cg"}], "+", 
           RowBox[{"2", " ", "n", " ", 
            RowBox[{"cg", "[", "0", "]"}]}]}], ")"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"2", " ", "cg"}]}], ")"}], " ", "n", " ", 
         RowBox[{"cT", "[", "0", "]"}]}], "+", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"2", " ", "cg"}]}], ")"}], " ", "cT", " ", "n", " ", 
         RowBox[{"Log", "[", "p", "]"}]}]}], ")"}]}], "+", 
     InterpretationBox[
      SuperscriptBox[
       RowBox[{"O", "[", "\[Epsilon]", "]"}], "1"],
      SeriesData[TripleK`\[Epsilon], 0, {}, -1, 1, 1],
      Editable->False]}],
    SeriesData[
    TripleK`\[Epsilon], 0, {
     16 (1 + 2 Konformal`cg) Konformal`cT $CellContext`n 
      TripleK`p^(2 $CellContext`n)/TripleK`v, 16 
      TripleK`p^(2 $CellContext`n) (
       Konformal`cT (1 + 2 Konformal`cg + 
         2 $CellContext`n Konformal`cg[0]) + (1 + 
         2 Konformal`cg) $CellContext`n Konformal`cT[0] + 
       2 (1 + 2 Konformal`cg) Konformal`cT $CellContext`n 
        Log[TripleK`p])}, -1, 1, 1],
    Editable->False], ",", 
   InterpretationBox[
    RowBox[{
     FractionBox[
      RowBox[{"4", " ", "cT", " ", "n", " ", 
       SuperscriptBox["p", 
        RowBox[{"2", " ", "n"}]]}], 
      RowBox[{"v", " ", "\[Epsilon]"}]], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["p", 
       RowBox[{"2", " ", "n"}]], " ", 
      RowBox[{"(", 
       RowBox[{"cT", "+", 
        RowBox[{"n", " ", 
         RowBox[{"cT", "[", "0", "]"}]}], "+", 
        RowBox[{"2", " ", "cT", " ", "n", " ", 
         RowBox[{"Log", "[", "p", "]"}]}]}], ")"}]}], "+", 
     InterpretationBox[
      SuperscriptBox[
       RowBox[{"O", "[", "\[Epsilon]", "]"}], "1"],
      SeriesData[TripleK`\[Epsilon], 0, {}, -1, 1, 1],
      Editable->False]}],
    SeriesData[
    TripleK`\[Epsilon], 0, {
     4 Konformal`cT $CellContext`n TripleK`p^(2 $CellContext`n)/TripleK`v, 4 
      TripleK`p^(2 $CellContext`n) (
       Konformal`cT + $CellContext`n Konformal`cT[0] + 
       2 Konformal`cT $CellContext`n Log[TripleK`p])}, -1, 1, 1],
    Editable->False]}], "}"}]], "Output",
 CellChangeTimes->{{3.796739252206459*^9, 3.796739274069765*^9}, {
   3.796739671228838*^9, 3.796739702102912*^9}, 3.796740032069833*^9, 
   3.7967410900910883`*^9, {3.798506165871861*^9, 3.798506180351389*^9}, 
   3.7986882467453403`*^9, 
   3.7990401792601547`*^9},ExpressionUUID->"e85a4c8e-be4e-435f-ab5d-\
0ee619b9db52"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"SeriesCoefficient", "[", 
        RowBox[{"#", ",", 
         RowBox[{"-", "1"}]}], "]"}], "&"}], "/@", 
      RowBox[{"SecLhsEven", "\[LeftDoubleBracket]", 
       RowBox[{"1", ";;", "3"}], "\[RightDoubleBracket]"}]}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"p", "^", "x_."}], "\[RuleDelayed]", "1"}], "}"}]}], "//.", 
    "solAlphaEven"}], "/.", 
   RowBox[{"{", 
    RowBox[{"u", "\[Rule]", "v"}], "}"}]}], "//", 
  RowBox[{
   RowBox[{"FullSimplify", "[", 
    RowBox[{"#", ",", "as"}], "]"}], "&"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"SeriesCoefficient", "[", 
        RowBox[{"#", ",", "0"}], "]"}], "&"}], "/@", 
      RowBox[{"SecLhsEven", "\[LeftDoubleBracket]", 
       RowBox[{"1", ";;", "3"}], "\[RightDoubleBracket]"}]}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"p", "^", "x_."}], "\[RuleDelayed]", "1"}], "}"}]}], "//.", 
    "solAlphaEven"}], "/.", 
   RowBox[{"{", 
    RowBox[{"u", "\[Rule]", "v"}], "}"}]}], "//", 
  RowBox[{
   RowBox[{"FullSimplify", "[", 
    RowBox[{"#", ",", "as"}], "]"}], "&"}]}]}], "Input",
 CellChangeTimes->{{3.796739290327415*^9, 3.796739451235468*^9}, {
  3.79673950511209*^9, 3.796739507356963*^9}, {3.7967395506809387`*^9, 
  3.796739569481691*^9}},ExpressionUUID->"75fb14ec-09e5-47b8-ab57-\
eff99101c693"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.7967392946516542`*^9, 3.796739305564783*^9}, {
   3.796739339860198*^9, 3.7967394530673933`*^9}, {3.796739500128488*^9, 
   3.79673951532133*^9}, 3.7967397086343813`*^9, 3.7967400328161917`*^9, 
   3.796740678735848*^9, 3.7967410908016043`*^9, {3.7985061688156853`*^9, 
   3.798506184573867*^9}, 3.7986882491934805`*^9, 
   3.799040182152793*^9},ExpressionUUID->"20104202-0621-4171-bffa-\
067473d2ea90"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.7967392946516542`*^9, 3.796739305564783*^9}, {
   3.796739339860198*^9, 3.7967394530673933`*^9}, {3.796739500128488*^9, 
   3.79673951532133*^9}, 3.7967397086343813`*^9, 3.7967400328161917`*^9, 
   3.796740678735848*^9, 3.7967410908016043`*^9, {3.7985061688156853`*^9, 
   3.798506184573867*^9}, 3.7986882491934805`*^9, 
   3.799040197474841*^9},ExpressionUUID->"0e110d74-1d20-4d77-bc0e-\
fec39267d628"]
}, Open  ]],

Cell["The checks below take a lot of time.", "Text",
 CellChangeTimes->{{3.799040247870277*^9, 
  3.799040257926558*^9}},ExpressionUUID->"7a2f9c02-624b-43e4-9c7d-\
807417e4a0a9"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Normal", "[", 
     RowBox[{"Series", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"SeriesCoefficient", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
            "SecLhsEven", "\[LeftDoubleBracket]", "4", 
             "\[RightDoubleBracket]"}], "-", 
            RowBox[{
            "SecRhsEven", "\[LeftDoubleBracket]", "4", 
             "\[RightDoubleBracket]"}]}], ",", 
           RowBox[{"-", "1"}]}], "]"}], "/.", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"p", "^", "x_."}], "\[RuleDelayed]", "1"}], "}"}]}], "//.",
         "solAlphaEven"}], ",", 
       RowBox[{"{", 
        RowBox[{"u", ",", "v", ",", "0"}], "}"}]}], "]"}], "]"}], "//.", 
    "solAlphaEven"}], "/.", 
   RowBox[{"{", 
    RowBox[{"u", "\[Rule]", "v"}], "}"}]}], "//", 
  RowBox[{
   RowBox[{"FullSimplify", "[", 
    RowBox[{"#", ",", "as"}], "]"}], "&"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Normal", "[", 
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Coefficient", "[", 
         RowBox[{
          RowBox[{"SeriesCoefficient", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
             "SecLhsEven", "\[LeftDoubleBracket]", "4", 
              "\[RightDoubleBracket]"}], "-", 
             RowBox[{
             "SecRhsEven", "\[LeftDoubleBracket]", "4", 
              "\[RightDoubleBracket]"}]}], ",", "0"}], "]"}], ",", 
          RowBox[{"Log", "[", "p", "]"}]}], "]"}], "/.", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"p", "^", "x_."}], "\[RuleDelayed]", "1"}], "}"}]}], "//.", 
       "solAlphaEven"}], ",", 
      RowBox[{"{", 
       RowBox[{"u", ",", "v", ",", "0"}], "}"}]}], "]"}], "]"}], "//.", 
   "solAlphaEven"}], " ", "//", 
  RowBox[{
   RowBox[{"FullSimplify", "[", 
    RowBox[{"#", ",", "as"}], "]"}], "&"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Normal", "[", 
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"SeriesCoefficient", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
           "SecLhsEven", "\[LeftDoubleBracket]", "4", 
            "\[RightDoubleBracket]"}], "-", 
           RowBox[{
           "SecRhsEven", "\[LeftDoubleBracket]", "4", 
            "\[RightDoubleBracket]"}]}], ",", "0"}], "]"}], "/.", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"Log", "[", "p", "]"}], "\[Rule]", "0"}], ",", 
          RowBox[{
           RowBox[{"p", "^", "x_."}], "\[RuleDelayed]", "1"}]}], "}"}]}], "//.",
        "solAlphaEven"}], ",", 
      RowBox[{"{", 
       RowBox[{"u", ",", "v", ",", "0"}], "}"}]}], "]"}], "]"}], "//.", 
   "solAlphaEven"}], "//", 
  RowBox[{
   RowBox[{"FullSimplify", "[", 
    RowBox[{"#", ",", "as"}], "]"}], "&"}]}]}], "Input",
 CellChangeTimes->{
  3.796739724819775*^9, {3.796739817850841*^9, 3.796739890017239*^9}, {
   3.7967399326324863`*^9, 3.796739932906473*^9}, {3.796740038413533*^9, 
   3.796740091398655*^9}, {3.796740255786847*^9, 
   3.796740302276401*^9}},ExpressionUUID->"ebdf9e98-a364-4446-ae9b-\
2d7d21d0487b"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.796739941895709*^9, 3.7967400654451237`*^9, {3.796740102283957*^9, 
   3.7967401135218573`*^9}, 3.796740312270914*^9, 3.796740711971386*^9, 
   3.796741123587376*^9, 3.7985062081025763`*^9, 3.7986882703816824`*^9, 
   3.7990402066002617`*^9},ExpressionUUID->"368ce855-bab5-412a-a5cc-\
1e75543a2028"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.796739941895709*^9, 3.7967400654451237`*^9, {3.796740102283957*^9, 
   3.7967401135218573`*^9}, 3.796740312270914*^9, 3.796740711971386*^9, 
   3.796741123587376*^9, 3.7985062081025763`*^9, 3.7986882703816824`*^9, 
   3.7990402260578213`*^9},ExpressionUUID->"c6bcdb63-5692-4e3e-8682-\
f821e8366e9b"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.796739941895709*^9, 3.7967400654451237`*^9, {3.796740102283957*^9, 
   3.7967401135218573`*^9}, 3.796740312270914*^9, 3.796740711971386*^9, 
   3.796741123587376*^9, 3.7985062081025763`*^9, 3.7986882703816824`*^9, 
   3.799040325364313*^9},ExpressionUUID->"61f1b708-17c2-43c7-aef7-\
0b622afc47a9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Normal", "[", 
     RowBox[{"Series", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"SeriesCoefficient", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
            "SecLhsEven", "\[LeftDoubleBracket]", "5", 
             "\[RightDoubleBracket]"}], "-", 
            RowBox[{
            "SecRhsEven", "\[LeftDoubleBracket]", "5", 
             "\[RightDoubleBracket]"}]}], ",", 
           RowBox[{"-", "1"}]}], "]"}], "/.", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"p", "^", "x_."}], "\[RuleDelayed]", "1"}], "}"}]}], "//.",
         "solAlphaEven"}], ",", 
       RowBox[{"{", 
        RowBox[{"u", ",", "v", ",", "0"}], "}"}]}], "]"}], "]"}], "//.", 
    "solAlphaEven"}], "/.", 
   RowBox[{"{", 
    RowBox[{"u", "\[Rule]", "v"}], "}"}]}], "//", 
  RowBox[{
   RowBox[{"FullSimplify", "[", 
    RowBox[{"#", ",", "as"}], "]"}], "&"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Normal", "[", 
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Coefficient", "[", 
         RowBox[{
          RowBox[{"SeriesCoefficient", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
             "SecLhsEven", "\[LeftDoubleBracket]", "5", 
              "\[RightDoubleBracket]"}], "-", 
             RowBox[{
             "SecRhsEven", "\[LeftDoubleBracket]", "5", 
              "\[RightDoubleBracket]"}]}], ",", "0"}], "]"}], ",", 
          RowBox[{"Log", "[", "p", "]"}]}], "]"}], "/.", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"p", "^", "x_."}], "\[RuleDelayed]", "1"}], "}"}]}], "//.", 
       "solAlphaEven"}], ",", 
      RowBox[{"{", 
       RowBox[{"u", ",", "v", ",", "0"}], "}"}]}], "]"}], "]"}], "//.", 
   "solAlphaEven"}], " ", "//", 
  RowBox[{
   RowBox[{"FullSimplify", "[", 
    RowBox[{"#", ",", "as"}], "]"}], "&"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Normal", "[", 
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"SeriesCoefficient", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
           "SecLhsEven", "\[LeftDoubleBracket]", "5", 
            "\[RightDoubleBracket]"}], "-", 
           RowBox[{
           "SecRhsEven", "\[LeftDoubleBracket]", "5", 
            "\[RightDoubleBracket]"}]}], ",", "0"}], "]"}], "/.", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"Log", "[", "p", "]"}], "\[Rule]", "0"}], ",", 
          RowBox[{
           RowBox[{"p", "^", "x_."}], "\[RuleDelayed]", "1"}]}], "}"}]}], "//.",
        "solAlphaEven"}], ",", 
      RowBox[{"{", 
       RowBox[{"u", ",", "v", ",", "0"}], "}"}]}], "]"}], "]"}], "//.", 
   "solAlphaEven"}], "//", 
  RowBox[{
   RowBox[{"FullSimplify", "[", 
    RowBox[{"#", ",", "as"}], "]"}], "&"}]}]}], "Input",
 CellChangeTimes->{{3.796740319124123*^9, 
  3.796740329460284*^9}},ExpressionUUID->"5da05499-e159-4a8d-8e2b-\
3e69f5204c7e"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.796740402622425*^9, 3.796740825252412*^9, 
  3.7967412240923033`*^9, 3.7985063202540693`*^9, 3.7986883783848114`*^9, 
  3.799040326471414*^9},ExpressionUUID->"5f2a51ed-eebb-4b26-b169-\
9301ac45b7b6"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.796740402622425*^9, 3.796740825252412*^9, 
  3.7967412240923033`*^9, 3.7985063202540693`*^9, 3.7986883783848114`*^9, 
  3.799040330467485*^9},ExpressionUUID->"c50e15fc-8552-4d4b-9bf7-\
baa1ec5cdb65"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.796740402622425*^9, 3.796740825252412*^9, 
  3.7967412240923033`*^9, 3.7985063202540693`*^9, 3.7986883783848114`*^9, 
  3.7990403542626143`*^9},ExpressionUUID->"5473170f-511e-45e5-bef7-\
543b5faedf61"]
}, Open  ]]
}, Closed]]
},
WindowSize->{1080, 1143},
WindowMargins->{{Automatic, 0}, {0, Automatic}},
Magnification:>1.25 Inherited,
FrontEndVersion->"11.2 for Linux x86 (64-bit) (September 10, 2017)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 180, 4, 39, "Input",ExpressionUUID->"29843012-b31e-48a9-b694-21745a87705e"],
Cell[741, 26, 107, 1, 39, "Input",ExpressionUUID->"452fd77b-3d9f-48a7-bf0a-9a7e5b4c0ed7"],
Cell[851, 29, 109, 1, 39, "Input",ExpressionUUID->"cb595ba1-d494-4023-a796-31c4d5b52212"],
Cell[CellGroupData[{
Cell[985, 34, 161, 3, 84, "Section",ExpressionUUID->"1e1eabfb-a03e-416a-af9e-8c156c4454f2"],
Cell[1149, 39, 1199, 30, 127, "Input",ExpressionUUID->"bd7d230f-bdbd-4d74-bc0c-19eb4c165c9d"],
Cell[2351, 71, 3098, 88, 185, "Input",ExpressionUUID->"8b272795-53ec-4bc4-bc1c-0fb03e46c1fc"],
Cell[5452, 161, 2144, 60, 98, "Input",ExpressionUUID->"cedd95e4-60ab-4c5b-8ebf-b2333d660213"],
Cell[7599, 223, 592, 17, 39, "Input",ExpressionUUID->"d3bcf744-64fa-4b85-8dba-20e8602c89e8"],
Cell[8194, 242, 3701, 99, 243, "Input",ExpressionUUID->"7d81754a-e8c5-4961-bce0-6dc1b5107802"],
Cell[11898, 343, 2490, 74, 185, "Input",ExpressionUUID->"a0bde24b-d414-433e-b416-8556c94be0bf"],
Cell[14391, 419, 1338, 37, 98, "Input",ExpressionUUID->"b65f91c8-e14e-45e7-8b02-3dcf21f11e58"],
Cell[15732, 458, 737, 22, 39, "Input",ExpressionUUID->"341b1ab8-7aff-46d7-a97b-180d7bdf7a32"],
Cell[16472, 482, 1076, 23, 69, "Input",ExpressionUUID->"af726353-7510-4aa1-980c-15d303778992"],
Cell[17551, 507, 909, 26, 98, "Input",ExpressionUUID->"e8ebb10f-e1e3-4ae9-a9b3-08f3668aa38f"],
Cell[18463, 535, 3009, 78, 214, "Input",ExpressionUUID->"01d30fc2-b415-4a5c-b063-8c16e0dd9d6e"]
}, Closed]],
Cell[CellGroupData[{
Cell[21509, 618, 172, 3, 65, "Section",ExpressionUUID->"ff6e76b4-e41e-436f-9fd6-e856b4510a85"],
Cell[CellGroupData[{
Cell[21706, 625, 293, 5, 39, "Input",ExpressionUUID->"2b973e36-34dc-4fe9-8f30-88a5158a5efc"],
Cell[22002, 632, 516, 14, 44, "Output",ExpressionUUID->"d85feaee-392f-4285-ba7e-d5e18fd179b2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22555, 651, 773, 13, 39, "Input",ExpressionUUID->"4f255293-5669-43d8-a2a9-a97aa1a20e49"],
Cell[23331, 666, 848, 17, 44, "Output",ExpressionUUID->"cfbe79cd-1c02-4b85-b1df-022bcf39e4df"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[24228, 689, 149, 3, 65, "Section",ExpressionUUID->"e9cf0603-4da8-4a60-b0c1-666e8c8e60c6"],
Cell[24380, 694, 175, 3, 44, "Text",ExpressionUUID->"d4f6d38c-234b-4b92-b077-e27bb87cc818"],
Cell[CellGroupData[{
Cell[24580, 701, 299, 6, 39, "Input",ExpressionUUID->"8ec9bdea-17ce-4f89-bf97-0771b0969072"],
Cell[24882, 709, 631, 15, 44, "Output",ExpressionUUID->"0bcfe1ef-de27-4a78-aa09-acbc50ab5cc9"]
}, Open  ]],
Cell[25528, 727, 180, 3, 44, "Text",ExpressionUUID->"dd33f9dc-3045-40b6-a1d2-c8f2ee2a09ea"],
Cell[CellGroupData[{
Cell[25733, 734, 732, 12, 39, "Input",ExpressionUUID->"e536bff8-bc1a-4299-8a58-6b22360105cc"],
Cell[26468, 748, 802, 16, 44, "Output",ExpressionUUID->"f9bb8a48-0206-420d-8314-b23834587b87"]
}, Open  ]],
Cell[27285, 767, 214, 5, 44, "Text",ExpressionUUID->"0ee48846-3676-48b8-99be-9533d38b4cb0"],
Cell[CellGroupData[{
Cell[27524, 776, 484, 13, 69, "Input",ExpressionUUID->"a33ace72-ce33-4195-bf5c-bd0a8d589304"],
Cell[28011, 791, 2380, 71, 81, "Output",ExpressionUUID->"9d847cf0-612b-4419-9a27-288dfdd05c5e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[30428, 867, 797, 14, 39, "Input",ExpressionUUID->"12598b74-448a-4b1d-9f68-87185ddd3108"],
Cell[31228, 883, 2954, 69, 170, "Output",ExpressionUUID->"1e748a5e-5885-409e-8738-290b514dfb2d"]
}, Open  ]],
Cell[34197, 955, 310, 7, 44, "Text",ExpressionUUID->"73f7872b-e82e-477a-a1be-07cabf8dabc6"],
Cell[CellGroupData[{
Cell[34532, 966, 915, 18, 69, "Input",ExpressionUUID->"e58e71a9-115d-4bc2-a84f-43e626dd8b7d"],
Cell[35450, 986, 1184, 26, 54, "Output",ExpressionUUID->"dc43ff53-59f9-49df-b799-c89e45145768"]
}, Open  ]],
Cell[36649, 1015, 493, 12, 76, "Text",ExpressionUUID->"4e4a4afe-cf81-4d89-b690-f68ecfe91248"],
Cell[CellGroupData[{
Cell[37167, 1031, 1086, 26, 69, "Input",ExpressionUUID->"a89fa288-49fd-44de-81b4-de34ed877cbd"],
Cell[38256, 1059, 1162, 29, 102, "Output",ExpressionUUID->"0fa418b6-f6a2-4609-8549-f0ee46adf761"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[39467, 1094, 198, 4, 65, "Section",ExpressionUUID->"c35a76a7-d9f3-4189-af89-7b997d20cbd4"],
Cell[39668, 1100, 175, 3, 44, "Text",ExpressionUUID->"604cb770-bef3-4394-b62a-aa93d5c0b4c6"],
Cell[CellGroupData[{
Cell[39868, 1107, 351, 7, 39, "Input",ExpressionUUID->"88e82e39-e391-45b2-a50b-037bd582a9d6"],
Cell[40222, 1116, 631, 15, 44, "Output",ExpressionUUID->"6c172dd8-8f88-4bf0-b57c-c9adffcd9d6a"]
}, Open  ]],
Cell[40868, 1134, 180, 3, 44, "Text",ExpressionUUID->"606dcb71-dfcc-4183-9215-3406d8323efc"],
Cell[CellGroupData[{
Cell[41073, 1141, 778, 12, 39, "Input",ExpressionUUID->"452b9684-fa45-4d54-a468-74f1e8e8d1b8"],
Cell[41854, 1155, 803, 16, 44, "Output",ExpressionUUID->"6cc5575c-e4b1-4586-961a-8a00fe4239c2"]
}, Open  ]],
Cell[42672, 1174, 214, 5, 44, "Text",ExpressionUUID->"b4997c9e-49e0-40bf-8159-0f0492f592a9"],
Cell[CellGroupData[{
Cell[42911, 1183, 845, 14, 39, "Input",ExpressionUUID->"a42db36f-3246-41ea-a3fc-68f285b05bd6"],
Cell[43759, 1199, 2891, 68, 170, "Output",ExpressionUUID->"c98f278d-5716-4830-8018-c5002dff9a4e"]
}, Open  ]],
Cell[46665, 1270, 310, 7, 44, "Text",ExpressionUUID->"a8768788-7328-4104-ab2c-1454893c8de0"],
Cell[CellGroupData[{
Cell[47000, 1281, 913, 18, 69, "Input",ExpressionUUID->"a50a1975-87f8-4179-bf18-c780e17e1587"],
Cell[47916, 1301, 1074, 21, 54, "Output",ExpressionUUID->"8358a8af-7b7f-45cf-8afb-10679a47ffdb"]
}, Open  ]],
Cell[49005, 1325, 493, 12, 76, "Text",ExpressionUUID->"85affc86-8ab1-4ef7-bfff-08e6d0ec5c9c"],
Cell[CellGroupData[{
Cell[49523, 1341, 1111, 26, 39, "Input",ExpressionUUID->"65464590-4fe7-4229-9ad7-00c2e97b23f7"],
Cell[50637, 1369, 1075, 26, 102, "Output",ExpressionUUID->"d98629f0-02b1-4a52-b455-2b79c09d53aa"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[51761, 1401, 243, 4, 65, "Section",ExpressionUUID->"81160edd-b0e1-4481-994a-a24cc6177350"],
Cell[52007, 1407, 175, 3, 44, "Text",ExpressionUUID->"58191cd0-738b-4cd1-a086-c951295177f5"],
Cell[CellGroupData[{
Cell[52207, 1414, 835, 20, 69, "Input",ExpressionUUID->"fd9e4afd-1dd5-41a1-a60b-6a71266ce962"],
Cell[53045, 1436, 1220, 33, 44, "Output",ExpressionUUID->"5474226a-c92a-4ece-ad44-97211beef1be"],
Cell[54268, 1471, 842, 21, 44, "Output",ExpressionUUID->"fd031d4d-485f-4363-b3d1-39a5e5250fab"]
}, Open  ]],
Cell[55125, 1495, 180, 3, 44, "Text",ExpressionUUID->"944cb5af-8321-44ad-bdce-48b3bbe4fc92"],
Cell[CellGroupData[{
Cell[55330, 1502, 828, 13, 39, "Input",ExpressionUUID->"aae49e58-d4f7-4157-992d-e08f5ddb7796"],
Cell[56161, 1517, 900, 19, 44, "Output",ExpressionUUID->"2bee0e6e-1bbc-4eac-bdc2-d965bd105def"]
}, Open  ]],
Cell[57076, 1539, 214, 5, 44, "Text",ExpressionUUID->"a410a1ee-c20c-4969-9d92-4c0e591984bf"],
Cell[CellGroupData[{
Cell[57315, 1548, 1031, 18, 39, "Input",ExpressionUUID->"b5dbb259-078d-41c0-bd36-2a8c87d713f0"],
Cell[58349, 1568, 2147, 52, 136, "Output",ExpressionUUID->"81b29317-a2d8-427a-8e9a-e32dfdeaa4b7"]
}, Open  ]],
Cell[60511, 1623, 310, 7, 44, "Text",ExpressionUUID->"e9b2c2cf-6a1a-4558-8375-4a7959999cd3"],
Cell[CellGroupData[{
Cell[60846, 1634, 961, 18, 69, "Input",ExpressionUUID->"4a73400e-26d1-444e-a8d5-dda4e1974f10"],
Cell[61810, 1654, 863, 14, 44, "Output",ExpressionUUID->"e23c5e18-6bf3-48d1-ab81-b1325e8c2843"]
}, Open  ]],
Cell[62688, 1671, 1028, 28, 105, "Text",ExpressionUUID->"892c23d6-8978-4af9-84a2-ec1a55377b00"],
Cell[CellGroupData[{
Cell[63741, 1703, 784, 16, 39, "Input",ExpressionUUID->"8d79f792-709e-412d-8763-454b808f4e82"],
Cell[64528, 1721, 856, 17, 63, "Output",ExpressionUUID->"a26ca08e-e4e3-4096-a465-60a45dcc633a"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[65433, 1744, 343, 6, 65, "Section",ExpressionUUID->"25972f1c-3d97-45db-99f1-095dab699438"],
Cell[65779, 1752, 175, 3, 44, "Text",ExpressionUUID->"33658c5f-e24f-4cc8-99e8-995254a0a6dd"],
Cell[CellGroupData[{
Cell[65979, 1759, 803, 18, 69, "Input",ExpressionUUID->"c4ad8fc4-aeb1-49b4-902b-059fa688c0c1"],
Cell[66785, 1779, 1200, 32, 44, "Output",ExpressionUUID->"1b957d3b-bdc4-4717-8246-00cf6f447fa4"],
Cell[67988, 1813, 766, 18, 44, "Output",ExpressionUUID->"35a733df-f220-42ea-a9e5-7e75dd4b3473"]
}, Open  ]],
Cell[68769, 1834, 180, 3, 44, "Text",ExpressionUUID->"d3902130-6e5f-45cc-a55d-3d0e5eabd62d"],
Cell[CellGroupData[{
Cell[68974, 1841, 829, 13, 39, "Input",ExpressionUUID->"b03a05b4-dde2-474a-b742-bc835ade4128"],
Cell[69806, 1856, 925, 20, 44, "Output",ExpressionUUID->"bca36b2f-07c8-41ef-b836-2c9bd0b17a47"]
}, Open  ]],
Cell[70746, 1879, 214, 5, 44, "Text",ExpressionUUID->"2acba741-75c4-4165-b114-acc33213bc62"],
Cell[CellGroupData[{
Cell[70985, 1888, 983, 18, 39, "Input",ExpressionUUID->"0fb34641-632c-4b97-8d54-dde3ae70f334"],
Cell[71971, 1908, 4856, 131, 355, "Output",ExpressionUUID->"2761e73a-f021-4fdf-9fba-719bd840e0ab"]
}, Open  ]],
Cell[76842, 2042, 310, 7, 44, "Text",ExpressionUUID->"a9602f0d-b726-4a8a-b40c-0ea1c2989954"],
Cell[CellGroupData[{
Cell[77177, 2053, 960, 18, 69, "Input",ExpressionUUID->"68f6e5ae-16fc-4204-ab78-74b614dd031f"],
Cell[78140, 2073, 872, 15, 44, "Output",ExpressionUUID->"4cb853f1-e6a1-459a-8cb9-fcb99a8bd27a"]
}, Open  ]],
Cell[79027, 2091, 1028, 28, 105, "Text",ExpressionUUID->"f7c40a09-4906-45dc-8046-0840629d93a3"],
Cell[CellGroupData[{
Cell[80080, 2123, 888, 20, 39, "Input",ExpressionUUID->"dc0ce332-b1d8-4573-b27a-ff20b82cde74"],
Cell[80971, 2145, 761, 16, 44, "Output",ExpressionUUID->"805c0077-dc7f-4751-baea-f70c088d8790"]
}, Open  ]],
Cell[81747, 2164, 172, 3, 44, "Text",ExpressionUUID->"bdb7d3d0-d648-419a-802e-d73b3fafd244"]
}, Closed]],
Cell[CellGroupData[{
Cell[81956, 2172, 292, 5, 65, "Section",ExpressionUUID->"1f10bbdc-8f86-43fb-a487-6679615b2372"],
Cell[82251, 2179, 175, 3, 44, "Text",ExpressionUUID->"22739b22-3250-4245-867d-1e9fa7360d0e"],
Cell[CellGroupData[{
Cell[82451, 2186, 827, 18, 69, "Input",ExpressionUUID->"c8beeccb-777b-4e8c-a0d9-102e58a29a82"],
Cell[83281, 2206, 1910, 52, 74, "Output",ExpressionUUID->"9cdea2b4-944f-4b89-b9c3-ce6cf864f7d8"],
Cell[85194, 2260, 738, 16, 44, "Output",ExpressionUUID->"61547b54-9cdc-4d0d-950a-4eaa0ecd7780"]
}, Open  ]],
Cell[85947, 2279, 180, 3, 44, "Text",ExpressionUUID->"5d6f9282-021f-4198-be4c-282ad57388b3"],
Cell[CellGroupData[{
Cell[86152, 2286, 880, 14, 39, "Input",ExpressionUUID->"0a661bd3-8de2-4b83-9861-03a696a2602b"],
Cell[87035, 2302, 960, 20, 44, "Output",ExpressionUUID->"880edb97-3437-424c-9fea-c5cb72237e94"]
}, Open  ]],
Cell[88010, 2325, 214, 5, 44, "Text",ExpressionUUID->"ff51bad4-5b99-40b6-b3eb-d20a08460712"],
Cell[CellGroupData[{
Cell[88249, 2334, 1081, 19, 39, "Input",ExpressionUUID->"a34f9f24-64e6-41ff-80e1-5ca9d75be7f5"],
Cell[89333, 2355, 4253, 112, 261, "Output",ExpressionUUID->"2025db05-06d0-4ea7-91aa-da65b9a059a9"]
}, Open  ]],
Cell[93601, 2470, 310, 7, 44, "Text",ExpressionUUID->"a9d877fa-524e-4486-a1dd-02b962262b13"],
Cell[CellGroupData[{
Cell[93936, 2481, 1012, 19, 69, "Input",ExpressionUUID->"483883af-1bdb-47be-990c-33dff62ae729"],
Cell[94951, 2502, 916, 15, 44, "Output",ExpressionUUID->"a1a0bb52-fa6d-4587-8ad9-98a5bb11b2b6"]
}, Open  ]],
Cell[95882, 2520, 1053, 27, 105, "Text",ExpressionUUID->"c284ecfb-b0de-47b2-8f4b-cbc24b05d72d"],
Cell[CellGroupData[{
Cell[96960, 2551, 932, 20, 39, "Input",ExpressionUUID->"cb238090-b685-41c9-88bd-e5582ac28760"],
Cell[97895, 2573, 1364, 32, 63, "Output",ExpressionUUID->"ac3807fc-4b25-450f-a33a-0136aa04a9eb"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[99308, 2611, 341, 6, 65, "Section",ExpressionUUID->"e3625a8a-53c3-4e99-bbb4-539e69fa650e"],
Cell[99652, 2619, 175, 3, 44, "Text",ExpressionUUID->"997213fa-2875-4129-8ec6-095212307b88"],
Cell[CellGroupData[{
Cell[99852, 2626, 940, 21, 69, "Input",ExpressionUUID->"66544f7e-493e-444e-9404-b3d68fc3e964"],
Cell[100795, 2649, 1257, 33, 44, "Output",ExpressionUUID->"96cb6d85-87ad-494f-a2ff-8310652cfbc8"],
Cell[102055, 2684, 908, 22, 44, "Output",ExpressionUUID->"bffe8516-70d1-4619-b023-073e81bac400"]
}, Open  ]],
Cell[102978, 2709, 180, 3, 44, "Text",ExpressionUUID->"467916eb-5532-4232-959d-05c8ef7b7674"],
Cell[CellGroupData[{
Cell[103183, 2716, 928, 14, 39, "Input",ExpressionUUID->"49f2af38-133b-4562-981c-dbe4228ef33b"],
Cell[104114, 2732, 950, 20, 44, "Output",ExpressionUUID->"7f6a3178-f1a6-4262-927e-e1bfa8496c90"]
}, Open  ]],
Cell[105079, 2755, 214, 5, 44, "Text",ExpressionUUID->"b7d649d6-7281-4d93-9385-891c3ddd42bb"],
Cell[CellGroupData[{
Cell[105318, 2764, 1133, 20, 39, "Input",ExpressionUUID->"7e6aafa3-dfbf-4a0a-866a-3197e7633931"],
Cell[106454, 2786, 1535, 36, 66, "Output",ExpressionUUID->"41215a42-14b6-4bf8-b139-342960004adc"]
}, Open  ]],
Cell[108004, 2825, 310, 7, 44, "Text",ExpressionUUID->"a12d8078-a0d5-476c-817e-0246f8b1a1a7"],
Cell[CellGroupData[{
Cell[108339, 2836, 1181, 22, 98, "Input",ExpressionUUID->"2d0b0a3a-0808-4ef3-ab47-1b251650f464"],
Cell[109523, 2860, 1238, 24, 54, "Output",ExpressionUUID->"dafe9a8d-3076-438a-9f24-ecf353686fb3"]
}, Open  ]],
Cell[110776, 2887, 757, 19, 47, "Text",ExpressionUUID->"4b8ed00c-7d59-4753-8bbe-5be815e9ce6e"],
Cell[CellGroupData[{
Cell[111558, 2910, 879, 17, 39, "Input",ExpressionUUID->"008074ae-4339-479e-928f-a7f73a35e72e"],
Cell[112440, 2929, 1308, 31, 107, "Output",ExpressionUUID->"1f66a7b3-0c0d-4ecc-bc77-daf3b48deef2"]
}, Open  ]],
Cell[113763, 2963, 1387, 37, 76, "Text",ExpressionUUID->"540b36c8-4cb0-4306-9774-459fdbe91167"],
Cell[CellGroupData[{
Cell[115175, 3004, 989, 31, 69, "Input",ExpressionUUID->"6379c31e-bac3-4dcd-b284-a34d948cc7e2"],
Cell[116167, 3037, 1137, 31, 44, "Output",ExpressionUUID->"cdbcc7cd-492b-4761-b1af-0b568b38bab6"],
Cell[117307, 3070, 697, 18, 44, "Output",ExpressionUUID->"0aee02c5-57ff-4362-b7bb-c0ca7de82abf"]
}, Open  ]],
Cell[CellGroupData[{
Cell[118041, 3093, 1199, 30, 185, "Input",ExpressionUUID->"9b7b62a9-4c19-4fce-a179-d169a281d2ed"],
Cell[119243, 3125, 1397, 37, 81, "Output",ExpressionUUID->"0d3ab051-93ac-47dc-a47b-81bb647c22df"],
Cell[120643, 3164, 936, 25, 68, "Output",ExpressionUUID->"2a5faac8-3a50-4c3b-a6fe-9d9d6db677f1"]
}, Open  ]],
Cell[121594, 3192, 256, 4, 44, "Text",ExpressionUUID->"70bcf87e-0027-4d9f-9c23-40625f283543"],
Cell[121853, 3198, 1264, 36, 69, "Input",ExpressionUUID->"ffd3ba91-507d-4839-9278-378145a25a1b"],
Cell[CellGroupData[{
Cell[123142, 3238, 1274, 35, 127, "Input",ExpressionUUID->"cfb7d8e9-0525-49fd-97ec-381f603fdd9c"],
Cell[124419, 3275, 2597, 74, 178, "Output",ExpressionUUID->"567256df-97fe-481e-beca-3bdae1668bf3"]
}, Open  ]],
Cell[127031, 3352, 310, 7, 44, "Text",ExpressionUUID->"122aeaa9-df84-455c-92dd-29b5adbbe7c2"]
}, Closed]],
Cell[CellGroupData[{
Cell[127378, 3364, 367, 6, 65, "Section",ExpressionUUID->"b9f79d62-057c-4d6b-985c-27ff05b60783"],
Cell[127748, 3372, 175, 3, 44, "Text",ExpressionUUID->"92414a37-92f5-4491-b583-194a67a80930"],
Cell[CellGroupData[{
Cell[127948, 3379, 723, 12, 39, "Input",ExpressionUUID->"c7c4a665-42cc-45f1-85ab-f8501a21bfbf"],
Cell[128674, 3393, 2917, 79, 103, "Output",ExpressionUUID->"2b89ad9a-5e7a-4b2b-92fc-7b894d546785"]
}, Open  ]],
Cell[131606, 3475, 180, 3, 44, "Text",ExpressionUUID->"2ca0f5f1-ea85-4d86-ae4d-b745ca07ac1f"],
Cell[CellGroupData[{
Cell[131811, 3482, 980, 15, 39, "Input",ExpressionUUID->"181637fd-cfe8-4008-856d-c1dab1ad8802"],
Cell[132794, 3499, 1230, 23, 44, "Output",ExpressionUUID->"1b0e0392-ec2e-4c67-ac87-64f6622b4b0c"]
}, Open  ]],
Cell[134039, 3525, 413, 8, 73, "Text",ExpressionUUID->"f5dbe555-f5fb-4e56-832c-ddc74d230c9a"],
Cell[CellGroupData[{
Cell[134477, 3537, 712, 19, 39, "Input",ExpressionUUID->"82b06b47-ed72-41d7-9bc3-62d541e03939"],
Cell[135192, 3558, 2765, 83, 164, "Output",ExpressionUUID->"db569040-3011-435f-b517-29b8278228f3"]
}, Open  ]],
Cell[137972, 3644, 214, 5, 44, "Text",ExpressionUUID->"45736e2a-00a2-4add-a7f1-c1524ca5bf39"],
Cell[CellGroupData[{
Cell[138211, 3653, 1516, 41, 69, "Input",ExpressionUUID->"8c053285-24a3-40cd-b830-dd27ffc497f5"],
Cell[139730, 3696, 1651, 44, 74, "Output",ExpressionUUID->"369eae24-7b10-4223-a4f6-9ad1069432ab"]
}, Open  ]],
Cell[141396, 3743, 607, 13, 73, "Text",ExpressionUUID->"07d48c77-37ae-457e-9bc0-d3fd12accde7"],
Cell[CellGroupData[{
Cell[142028, 3760, 757, 18, 69, "Input",ExpressionUUID->"be5a4577-9ac7-459c-a7b4-9d8eac338b01"],
Cell[142788, 3780, 12521, 278, 554, "Output",ExpressionUUID->"c9b148c1-da1c-4646-95e8-3d91eca3920a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[155346, 4063, 945, 27, 98, "Input",ExpressionUUID->"b37226ab-de6a-4732-9e17-93e2d19581f2"],
Cell[156294, 4092, 1145, 30, 44, "Output",ExpressionUUID->"31050922-03d2-4702-b691-b39ba784f792"]
}, Open  ]],
Cell[157454, 4125, 668, 17, 73, "Text",ExpressionUUID->"0d0781e0-b41f-4682-a416-8257893c22ca"],
Cell[CellGroupData[{
Cell[158147, 4146, 901, 27, 69, "Input",ExpressionUUID->"42494e62-69f1-4a10-b268-ac6423606326"],
Cell[159051, 4175, 1188, 32, 44, "Output",ExpressionUUID->"f3a3b8a0-9016-4f2e-a689-affc996c6048"]
}, Open  ]],
Cell[CellGroupData[{
Cell[160276, 4212, 502, 11, 39, "Input",ExpressionUUID->"3d6baf47-14a3-4ad6-947e-e4ed102012c5"],
Cell[160781, 4225, 4250, 122, 161, "Output",ExpressionUUID->"f05cdb17-e000-431e-bbac-cf2cc1006b21"]
}, Open  ]],
Cell[165046, 4350, 642, 14, 73, "Text",ExpressionUUID->"44333802-8cf1-4aeb-b975-c5bddab54036"],
Cell[CellGroupData[{
Cell[165713, 4368, 1899, 35, 98, "Input",ExpressionUUID->"a44c2215-7a5b-43bd-a1ce-62a84d9e0ca7"],
Cell[167615, 4405, 4519, 125, 172, "Output",ExpressionUUID->"090badfa-4fa1-4242-a3ef-e6da04dcfab8"]
}, Open  ]],
Cell[172149, 4533, 310, 7, 44, "Text",ExpressionUUID->"95cf5819-34fa-46f5-acd2-9da5a5b447fb"],
Cell[CellGroupData[{
Cell[172484, 4544, 1593, 31, 98, "Input",ExpressionUUID->"24581d4f-cbc3-405d-b0fe-1070593e0723"],
Cell[174080, 4577, 1646, 30, 54, "Output",ExpressionUUID->"4d144846-3ac3-49d9-b326-e960787561e0"]
}, Open  ]],
Cell[175741, 4610, 365, 7, 73, "Text",ExpressionUUID->"e64b5a9e-61d9-4978-bbbd-4b2f73a248f8"],
Cell[CellGroupData[{
Cell[176131, 4621, 488, 11, 39, "Input",ExpressionUUID->"62ba2a3d-9546-41d0-b346-7cd6fc4f6a04"],
Cell[176622, 4634, 2938, 80, 210, "Output",ExpressionUUID->"b6063a68-5e47-4cac-9ec4-427869d01a24"]
}, Open  ]],
Cell[CellGroupData[{
Cell[179597, 4719, 676, 18, 39, "Input",ExpressionUUID->"1d99649c-594c-47e9-9254-8caa16a27ffc"],
Cell[180276, 4739, 2217, 66, 200, "Output",ExpressionUUID->"cfb9f60f-3f00-4b81-a242-5a61eb0784e9"]
}, Open  ]],
Cell[182508, 4808, 432, 11, 44, "Text",ExpressionUUID->"73361023-3677-4cbd-84d7-d02695bf822c"],
Cell[CellGroupData[{
Cell[182965, 4823, 786, 20, 69, "Input",ExpressionUUID->"736d7b94-e9d0-4c8c-946e-97e2dc30a774"],
Cell[183754, 4845, 9114, 266, 441, "Output",ExpressionUUID->"202cbf56-a707-45ad-a568-bb837e7d8f72"]
}, Open  ]],
Cell[192883, 5114, 375, 10, 44, "Text",ExpressionUUID->"7b55a1ad-0ede-42eb-b571-ab7f810e2dee"],
Cell[CellGroupData[{
Cell[193283, 5128, 544, 16, 39, "Input",ExpressionUUID->"e0b6b57c-2485-45cc-88c0-068ec455d350"],
Cell[193830, 5146, 5098, 145, 143, "Output",ExpressionUUID->"09722efc-e692-4067-9f3d-0aefa1a847e6"]
}, Open  ]],
Cell[198943, 5294, 449, 13, 73, "Text",ExpressionUUID->"417244f1-4e39-4ad5-950f-22d4dd8ff06a"],
Cell[CellGroupData[{
Cell[199417, 5311, 362, 10, 39, "Input",ExpressionUUID->"52a8c151-7858-4dfb-ba25-a2c667318be6"],
Cell[199782, 5323, 3113, 86, 104, "Output",ExpressionUUID->"83a734ba-5c00-4766-921a-ccea0e678c27"]
}, Open  ]],
Cell[202910, 5412, 412, 12, 44, "Text",ExpressionUUID->"eefc6e2f-4b22-4a2b-9131-163c5949ea12"],
Cell[CellGroupData[{
Cell[203347, 5428, 527, 16, 39, "Input",ExpressionUUID->"44bae1a7-4996-49f7-ab72-039770218c15"],
Cell[203877, 5446, 1356, 39, 74, "Output",ExpressionUUID->"ae84c7c0-595e-4121-a927-1f9e9461460c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[205270, 5490, 2034, 55, 127, "Input",ExpressionUUID->"f795eceb-babc-46bb-acd9-42f52c37491f"],
Cell[207307, 5547, 1794, 52, 81, "Output",ExpressionUUID->"ed38fb31-e8c7-4a6e-b744-d3122ae9fa95"],
Cell[209104, 5601, 493, 12, 44, "Output",ExpressionUUID->"217540af-43a2-4d0f-9f3b-4adac590d937"]
}, Open  ]],
Cell[CellGroupData[{
Cell[209634, 5618, 873, 19, 39, "Input",ExpressionUUID->"263243f5-90e0-4fed-8c1f-75dd7492d7d6"],
Cell[210510, 5639, 8183, 230, 279, "Output",ExpressionUUID->"a569e833-b560-4419-93bd-a1fb3b5fed86"]
}, Open  ]],
Cell[218708, 5872, 481, 12, 73, "Text",ExpressionUUID->"047d9f1c-6e85-48d2-8bd4-4e5e3276faf3"],
Cell[CellGroupData[{
Cell[219214, 5888, 1220, 29, 98, "Input",ExpressionUUID->"1f34ec45-0396-4cd6-8131-fc478f514dc8"],
Cell[220437, 5919, 32578, 754, 1246, "Output",ExpressionUUID->"7a57e9ec-00ea-474c-9bbb-efc7c097132b"]
}, Open  ]],
Cell[253030, 6676, 255, 6, 44, "Text",ExpressionUUID->"7458f24c-c509-433c-a9e5-99f65b3472b3"],
Cell[CellGroupData[{
Cell[253310, 6686, 1264, 32, 98, "Input",ExpressionUUID->"87d506c3-2439-475f-972b-0338ded42cc9"],
Cell[254577, 6720, 1588, 44, 74, "Output",ExpressionUUID->"bf4e12f5-ca74-485a-940b-bb91417c058a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[256202, 6769, 1399, 41, 98, "Input",ExpressionUUID->"70364d06-612d-478f-9916-090aa401ea23"],
Cell[257604, 6812, 1684, 49, 74, "Output",ExpressionUUID->"67052e9e-d809-4878-a8c7-e356f6957845"]
}, Open  ]],
Cell[259303, 6864, 187, 3, 44, "Text",ExpressionUUID->"d6d2abd7-f407-4339-bd3b-91128b86c104"],
Cell[259493, 6869, 2563, 57, 214, "Input",ExpressionUUID->"1d599dd1-af0b-4fa1-bf32-e26a24148e80"],
Cell[262059, 6928, 417, 11, 44, "Text",ExpressionUUID->"5aae8719-dc20-44ae-ba2b-abf9705aa036"],
Cell[CellGroupData[{
Cell[262501, 6943, 1466, 36, 127, "Input",ExpressionUUID->"5836ab12-2f0d-4c28-b6cb-04992dffe389"],
Cell[263970, 6981, 968, 26, 68, "Output",ExpressionUUID->"e4993168-47ba-4126-8d2e-86d66eb7679a"]
}, Open  ]],
Cell[264953, 7010, 381, 12, 44, "Text",ExpressionUUID->"ea7483d3-85c9-4132-bd6a-c3bf8d896a32"],
Cell[CellGroupData[{
Cell[265359, 7026, 843, 21, 69, "Input",ExpressionUUID->"5c7c5feb-0278-4d6d-88f2-117322328fcd"],
Cell[266205, 7049, 1593, 48, 75, "Output",ExpressionUUID->"9dd2be8b-fcdb-4f64-b5dc-135a59bc9d26"],
Cell[267801, 7099, 645, 15, 68, "Output",ExpressionUUID->"1d9ce899-dedb-47a3-9195-226e4fdac862"]
}, Open  ]],
Cell[CellGroupData[{
Cell[268483, 7119, 840, 20, 69, "Input",ExpressionUUID->"2c8ee769-8a65-4686-b1c4-4fbf13af0c3d"],
Cell[269326, 7141, 1282, 35, 72, "Output",ExpressionUUID->"c5aab15b-6333-4308-a30c-eed3ebd1203e"]
}, Open  ]],
Cell[270623, 7179, 365, 11, 44, "Text",ExpressionUUID->"422c4087-047c-4b16-8dc4-84c15dd13e65"],
Cell[270991, 7192, 649, 16, 69, "Input",ExpressionUUID->"874ff177-fe2d-4fe8-ad40-04b2c7aaa692"],
Cell[CellGroupData[{
Cell[271665, 7212, 658, 18, 69, "Input",ExpressionUUID->"fbf6e849-62bd-4628-bb56-137387c44fc7"],
Cell[272326, 7232, 596, 13, 48, "Output",ExpressionUUID->"035a5342-cec5-40c4-ad01-4408b9302034"],
Cell[272925, 7247, 593, 13, 48, "Output",ExpressionUUID->"46529712-7a5d-47c6-87a0-2bbb6f72074a"]
}, Open  ]],
Cell[273533, 7263, 1124, 30, 69, "Input",ExpressionUUID->"e97a509f-0ff2-4903-bc3b-5609a59b55ee"],
Cell[274660, 7295, 292, 7, 39, "Input",ExpressionUUID->"d173b53e-7642-4f40-897b-c5d15b29f34a"],
Cell[CellGroupData[{
Cell[274977, 7306, 2080, 54, 156, "Input",ExpressionUUID->"3809abfb-2adf-490e-802f-62eec1ef3fb0"],
Cell[277060, 7362, 2486, 71, 202, "Output",ExpressionUUID->"a267071e-31e4-4508-bc33-81825ef9ad59"]
}, Open  ]],
Cell[279561, 7436, 223, 5, 44, "Text",ExpressionUUID->"5d52b535-5d2e-4d0b-9816-a9c13bd77bf7"],
Cell[279787, 7443, 1082, 23, 39, "Input",ExpressionUUID->"fa6859a4-4cdb-44c6-8b66-7ab1266cc731"],
Cell[CellGroupData[{
Cell[280894, 7470, 679, 18, 39, "Input",ExpressionUUID->"017e28b0-13bf-44ac-95d5-a0f8aa59fc67"],
Cell[281576, 7490, 1190, 32, 68, "Output",ExpressionUUID->"224ed890-3939-4463-bca8-b87de78e7836"]
}, Open  ]],
Cell[CellGroupData[{
Cell[282803, 7527, 1358, 33, 156, "Input",ExpressionUUID->"09d12fbc-f234-4626-97db-6deb94f7c467"],
Cell[284164, 7562, 1129, 31, 72, "Output",ExpressionUUID->"63d2b4ec-9a6c-40cf-b309-38bdbe02178e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[285330, 7598, 525, 15, 69, "Input",ExpressionUUID->"2dc692ec-14ea-48b2-8249-c1c70fd72b74"],
Cell[285858, 7615, 279, 5, 44, "Output",ExpressionUUID->"ea715aff-aa08-4e6b-9788-1f67c3f8a630"]
}, Open  ]],
Cell[286152, 7623, 1069, 29, 98, "Input",ExpressionUUID->"e3521ec3-544f-4d97-9ecc-25cfcdd8909d"],
Cell[CellGroupData[{
Cell[287246, 7656, 952, 25, 98, "Input",ExpressionUUID->"721824ec-14a6-4722-84cb-c469054d9c4c"],
Cell[288201, 7683, 3362, 95, 168, "Output",ExpressionUUID->"3139721d-26b0-4488-a8dd-d0e27ec92bbd"]
}, Open  ]],
Cell[291578, 7781, 222, 5, 44, "Text",ExpressionUUID->"15fd9dae-15b9-46b0-b17f-903ea49890d0"],
Cell[CellGroupData[{
Cell[291825, 7790, 723, 16, 127, "Input",ExpressionUUID->"568083a4-7f3e-43ee-a929-bcb0b9502989"],
Cell[292551, 7808, 1110, 32, 72, "Output",ExpressionUUID->"aa2ce360-85da-4e9d-aa50-ba7a5f72bd32"],
Cell[293664, 7842, 2267, 67, 202, "Output",ExpressionUUID->"9dc4faf8-1d98-4fe3-9ec2-2db47972d981"],
Cell[295934, 7911, 4721, 133, 238, "Output",ExpressionUUID->"a27de178-fa80-44b0-8e98-2ed53a3a9946"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[300704, 8050, 419, 7, 65, "Section",ExpressionUUID->"5be56d97-d735-4c42-9773-d2596f001397"],
Cell[CellGroupData[{
Cell[301148, 8061, 269, 6, 39, "Input",ExpressionUUID->"97526251-285b-4e35-88bf-426989fafa54"],
Cell[301420, 8069, 5541, 177, 219, "Output",ExpressionUUID->"d5057374-2269-460b-81dd-685a26ab64aa"]
}, Open  ]],
Cell[CellGroupData[{
Cell[306998, 8251, 636, 16, 69, "Input",ExpressionUUID->"1d78eb9a-35f1-4f4c-80df-3adc80908272"],
Cell[307637, 8269, 570, 14, 44, "Output",ExpressionUUID->"631c3530-3524-4eb1-9c17-b5f305c7a973"],
Cell[308210, 8285, 322, 6, 44, "Output",ExpressionUUID->"36fba4f1-6f62-4caa-8845-5d23dcfbbff6"]
}, Open  ]],
Cell[308547, 8294, 523, 13, 73, "Text",ExpressionUUID->"8842bdab-2355-4ea1-ba2f-f8c859e32289"],
Cell[309073, 8309, 1425, 43, 127, "Input",ExpressionUUID->"f2f52aee-e406-4a4f-8954-74c732c4d2de"],
Cell[310501, 8354, 1816, 41, 98, "Input",ExpressionUUID->"c4107b62-d0d2-40b8-a9cb-ee84a3a312fd"],
Cell[CellGroupData[{
Cell[312342, 8399, 151, 3, 39, "Input",ExpressionUUID->"c998c668-627b-4964-a279-38ac2f9cf44c"],
Cell[312496, 8404, 5435, 176, 219, "Output",ExpressionUUID->"02972266-26db-4008-ab1b-be78cde81b49"]
}, Open  ]],
Cell[317946, 8583, 898, 24, 69, "Input",ExpressionUUID->"f961d1e4-16fa-4b32-a551-c7fc0af2cd6f"],
Cell[318847, 8609, 217, 5, 44, "Text",ExpressionUUID->"9586f8d3-6ea3-4e9f-8e5e-4b251cb0424b"],
Cell[CellGroupData[{
Cell[319089, 8618, 653, 17, 39, "Input",ExpressionUUID->"8a6f90c0-b297-4e7e-8ce0-85d60506dbd7"],
Cell[319745, 8637, 36184, 1092, 1930, "Output",ExpressionUUID->"1acbec3a-6a65-43f8-89f6-66ee0aaabe4f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[355966, 9734, 832, 23, 98, "Input",ExpressionUUID->"21c22e8a-9d75-46ab-9571-7335a678ba0d"],
Cell[356801, 9759, 8217, 247, 364, "Output",ExpressionUUID->"27c44e18-a68b-4f6f-9334-db73c253748c"]
}, Open  ]],
Cell[365033, 10009, 376, 11, 44, "Text",ExpressionUUID->"2f0c9007-03d9-4e06-9384-91829f611bfb"],
Cell[CellGroupData[{
Cell[365434, 10024, 218, 5, 39, "Input",ExpressionUUID->"0adc1ca4-bc38-4459-a19f-d7ac871119df"],
Cell[365655, 10031, 291, 6, 44, "Output",ExpressionUUID->"f80bf345-4586-4dc1-9e30-9845c62a6009"]
}, Open  ]],
Cell[365961, 10040, 386, 11, 44, "Text",ExpressionUUID->"bb9a3dd5-fd55-47ce-b01c-eabba789e93c"],
Cell[CellGroupData[{
Cell[366372, 10055, 376, 11, 39, "Input",ExpressionUUID->"4773b09b-2bda-4028-bbee-bf6ee4b20680"],
Cell[366751, 10068, 452, 10, 28, "Message",ExpressionUUID->"fb935a4a-5f49-4799-832f-46647653f4c1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[367240, 10083, 220, 5, 39, "Input",ExpressionUUID->"779b31f2-4c34-4e9c-bfe3-afdef475c485"],
Cell[367463, 10090, 269, 5, 44, "Output",ExpressionUUID->"335ba09e-56b5-4cbd-ab94-534b93b0a10e"]
}, Open  ]],
Cell[367747, 10098, 164, 3, 44, "Text",ExpressionUUID->"1d1da85c-6b6e-4493-b520-3236a53ab6ea"],
Cell[CellGroupData[{
Cell[367936, 10105, 1579, 44, 98, "Input",ExpressionUUID->"7c5bcfc7-28df-48c5-b804-a5b8c45848d1"],
Cell[369518, 10151, 2564, 73, 103, "Output",ExpressionUUID->"2e4f9bc6-0134-4150-92e2-35282612cb9a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[372119, 10229, 331, 8, 39, "Input",ExpressionUUID->"66fda234-7255-4fdc-84b2-881df719e08f"],
Cell[372453, 10239, 358, 7, 44, "Output",ExpressionUUID->"c4034c20-ab4b-434d-8919-7f9c8b384772"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[372860, 10252, 421, 7, 65, "Section",ExpressionUUID->"4aca7e83-b095-4a07-8d70-7e5316cd312e"],
Cell[373284, 10261, 175, 3, 44, "Text",ExpressionUUID->"2cd0e2ad-ad6f-4f0b-a635-208162161368"],
Cell[CellGroupData[{
Cell[373484, 10268, 769, 12, 39, "Input",ExpressionUUID->"27576d7e-a16e-4ee4-ad0f-a90ddb1799f8"],
Cell[374256, 10282, 4015, 110, 161, "Output",ExpressionUUID->"2ede898a-d3d5-4b14-9dc6-92e2f695da87"]
}, Open  ]],
Cell[378286, 10395, 180, 3, 44, "Text",ExpressionUUID->"2d765de9-d06c-4e62-8ee0-f1e4dce5c8c6"],
Cell[CellGroupData[{
Cell[378491, 10402, 1030, 16, 39, "Input",ExpressionUUID->"4a073da0-4774-4027-88f1-1cb9be15dfe3"],
Cell[379524, 10420, 1313, 25, 44, "Output",ExpressionUUID->"c2475943-4cb2-44b0-8ad5-5b94796a35d4"]
}, Open  ]],
Cell[380852, 10448, 413, 8, 73, "Text",ExpressionUUID->"79741a5c-9943-420f-8d69-359d321a419d"],
Cell[CellGroupData[{
Cell[381290, 10460, 697, 18, 39, "Input",ExpressionUUID->"8a67c0a4-82bd-47f5-942c-fc2a51a6af21"],
Cell[381990, 10480, 3670, 115, 214, "Output",ExpressionUUID->"84c267af-5b6a-46f8-9a57-7da467cf7de5"]
}, Open  ]],
Cell[385675, 10598, 448, 11, 73, "Text",ExpressionUUID->"fc4de284-7d02-40fd-beac-5265c8986c90"],
Cell[CellGroupData[{
Cell[386148, 10613, 1504, 44, 98, "Input",ExpressionUUID->"011b7f87-0451-4022-8e21-303f008eafce"],
Cell[387655, 10659, 1499, 43, 81, "Output",ExpressionUUID->"92a42611-0cbc-4bcb-913f-2e618f9cc4a1"]
}, Open  ]],
Cell[389169, 10705, 436, 13, 44, "Text",ExpressionUUID->"f9db60e0-cbad-4035-aa38-fad4bdbb0ea4"],
Cell[CellGroupData[{
Cell[389630, 10722, 2595, 80, 127, "Input",ExpressionUUID->"d02b9c19-6f07-4a3c-ba16-006b95e1894c"],
Cell[392228, 10804, 2434, 75, 137, "Output",ExpressionUUID->"e81c881c-6f2e-4f63-bfc0-82979c0d4e6f"]
}, Open  ]],
Cell[394677, 10882, 408, 12, 44, "Text",ExpressionUUID->"90aaf5c0-1aa7-4cbb-b3b3-7cb774ab29ac"],
Cell[CellGroupData[{
Cell[395110, 10898, 7557, 219, 417, "Input",ExpressionUUID->"0c12307d-b0dc-464b-b1bc-01499d8add46"],
Cell[402670, 11119, 6744, 202, 399, "Output",ExpressionUUID->"34e3a50f-4b9d-4c87-83fb-61368e747693"]
}, Open  ]],
Cell[409429, 11324, 214, 5, 44, "Text",ExpressionUUID->"851eabd0-a5b8-4358-bbd9-73683ba5516a"],
Cell[CellGroupData[{
Cell[409668, 11333, 1544, 41, 69, "Input",ExpressionUUID->"b7267adf-7e99-48dd-8fa3-b61556e6e98a"],
Cell[411215, 11376, 1688, 43, 74, "Output",ExpressionUUID->"e011800d-17d5-40c3-83d3-b3c9ece654fe"]
}, Open  ]],
Cell[CellGroupData[{
Cell[412940, 11424, 303, 8, 39, "Input",ExpressionUUID->"f5954b5f-95e9-4335-951a-f4b7203c448b"],
Cell[413246, 11434, 369, 9, 44, "Output",ExpressionUUID->"cbd57415-622d-4f67-8cf3-ebbdc1ac5f24"]
}, Open  ]],
Cell[CellGroupData[{
Cell[413652, 11448, 552, 12, 39, "Input",ExpressionUUID->"3a80ce24-c107-484f-9bbb-b8d1dcb8e91e"],
Cell[414207, 11462, 5955, 168, 256, "Output",ExpressionUUID->"8329fb7b-288a-4e32-8617-30e0b629b506"]
}, Open  ]],
Cell[420177, 11633, 642, 14, 73, "Text",ExpressionUUID->"74963f5c-6668-462c-be9c-374ace245d1b"],
Cell[CellGroupData[{
Cell[420844, 11651, 2214, 43, 98, "Input",ExpressionUUID->"e533cd4c-b0fd-4468-8d7e-9148506a5138"],
Cell[423061, 11696, 6098, 165, 199, "Output",ExpressionUUID->"f0ddf5f9-7d67-4eb8-bae4-60069765d173"]
}, Open  ]],
Cell[429174, 11864, 310, 7, 44, "Text",ExpressionUUID->"c83492ae-aec0-480e-8a61-94be2fc2fe9e"],
Cell[CellGroupData[{
Cell[429509, 11875, 1911, 39, 98, "Input",ExpressionUUID->"c8815481-f8e7-4215-ba04-eb8992e5e9c8"],
Cell[431423, 11916, 2044, 41, 48, "Output",ExpressionUUID->"b9dc7616-71a3-45c9-b30b-05319e590a17"]
}, Open  ]],
Cell[CellGroupData[{
Cell[433504, 11962, 530, 15, 39, "Input",ExpressionUUID->"6d963e0c-ac9e-4b32-b13f-fca1135fe734"],
Cell[434037, 11979, 1286, 33, 48, "Output",ExpressionUUID->"72052fc0-9be5-4306-8acb-c5c8a5f402d5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[435360, 12017, 1784, 52, 127, "Input",ExpressionUUID->"84885403-37eb-457f-be7f-91d2a1d83020"],
Cell[437147, 12071, 1714, 50, 81, "Output",ExpressionUUID->"5dab1d63-619d-416e-a314-828c1259a496"],
Cell[438864, 12123, 473, 12, 44, "Output",ExpressionUUID->"1be25026-f544-4e32-8b85-9c2b04ffdf8f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[439374, 12140, 396, 11, 39, "Input",ExpressionUUID->"9e1cc6d5-ece0-4838-8cbd-ea53267d5451"],
Cell[439773, 12153, 8279, 236, 347, "Output",ExpressionUUID->"67fe4def-e08f-4a37-8ef2-520010034b29"]
}, Open  ]],
Cell[448067, 12392, 2196, 38, 98, "Input",ExpressionUUID->"3fe5a43d-9457-4cb4-94f6-b7014ab534a4"],
Cell[CellGroupData[{
Cell[450288, 12434, 1859, 45, 185, "Input",ExpressionUUID->"895c1299-45c7-4cb1-b6f9-e4014c299f1c"],
Cell[452150, 12481, 3127, 83, 152, "Output",ExpressionUUID->"e85a4c8e-be4e-435f-ab5d-0ee619b9db52"]
}, Open  ]],
Cell[CellGroupData[{
Cell[455314, 12569, 1476, 43, 127, "Input",ExpressionUUID->"75fb14ec-09e5-47b8-ab57-eff99101c693"],
Cell[456793, 12614, 509, 9, 44, "Output",ExpressionUUID->"20104202-0621-4171-bffa-067473d2ea90"],
Cell[457305, 12625, 509, 9, 44, "Output",ExpressionUUID->"0e110d74-1d20-4d77-bc0e-fec39267d628"]
}, Open  ]],
Cell[457829, 12637, 178, 3, 44, "Text",ExpressionUUID->"7a2f9c02-624b-43e4-9c7d-807417e4a0a9"],
Cell[CellGroupData[{
Cell[458032, 12644, 3216, 94, 272, "Input",ExpressionUUID->"ebdf9e98-a364-4446-ae9b-2d7d21d0487b"],
Cell[461251, 12740, 352, 6, 44, "Output",ExpressionUUID->"368ce855-bab5-412a-a5cc-1e75543a2028"],
Cell[461606, 12748, 352, 6, 44, "Output",ExpressionUUID->"c6bcdb63-5692-4e3e-8682-f821e8366e9b"],
Cell[461961, 12756, 350, 6, 44, "Output",ExpressionUUID->"61f1b708-17c2-43c7-aef7-0b622afc47a9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[462348, 12767, 3042, 91, 272, "Input",ExpressionUUID->"5da05499-e159-4a8d-8e2b-3e69f5204c7e"],
Cell[465393, 12860, 249, 4, 44, "Output",ExpressionUUID->"5f2a51ed-eebb-4b26-b169-9301ac45b7b6"],
Cell[465645, 12866, 249, 4, 44, "Output",ExpressionUUID->"c50e15fc-8552-4d4b-9bf7-baa1ec5cdb65"],
Cell[465897, 12872, 251, 4, 44, "Output",ExpressionUUID->"5473170f-511e-45e5-bef7-543b5faedf61"]
}, Open  ]]
}, Closed]]
}
]
*)

